Introduction to ClearImage 8

ClearImage 8 Help
Introduction to ClearImage 8
Send Feedback

Glossary Item Box

The ClearImage 8 continues Inlite's tradition of innovation in Image Processing and Barcode Recognition engines. Since 1992 ClearImage automated thousands of installations around the world.

ClearImage COM

ClearImage COM provides the core functionality as set of 32-bit and 64-bit modules. The COM architecture and easy-to-integrate API provide a path for development of imaging applications in VB6, C++, Java, Delphi, PHP, etc.

ClearImageNet Assembly

ClearImageNet provides a .NET managed API around core ClearImage engines.
Supporting AnyCPU configuration it defines two main namespaces:

  • ClearImageNet Namespace - Implements the functionality of the underlying ClearImage Engines through a higher-level API. This namespace is recommended for new application development. Major classes in this namespace are:

    • Image IO Class - Extends the image I/O capabilities of .NET image I/O. Loads and stores Bitmap object from/in a wide selection of file types, including PDF-based images. Obtains extended information about the structure of image files. Uses the underlying ClearImage IO and PDF IO engines.

    • ImageEditor Class - Modifies and analyzes images using the underlying ClearImage Repair and Tools engines.

    • BarcodeReader Class - Reads barcodes from images using underlying ClearImage Pdf417, ClearImage DataMatrix, ClearImage QR, ClearImage Barcode 1D Pro and ClearImage Barcode 1D Basic engines.

  • ClearImage Namespace - Implements classes which substantially mirror the ClearImage COM API. This namespace is recommended for easy porting of existing ClearImage COM and ClearImage Interop applications to the managed API.

ClearImage Development

ClearImage SDK is the primary tool for creating ClearImage-based applications. Use the ClearImage Demo Application to evaluate and select functions and strategy without code development. Use ClearImage source code examples as the starting point for development of your application.

ClearImage Production Deployment

ClearImage runtime components for production purposes are installed by ClearImage PDK. ClearImage engines are licensed by the purchase and registration of ClearImage Products licenses.

ClearImage Products implement logical groups of API functions for typical use, for example image processing or barcode recognition. Available products are listed on Inlite Web Site. Contact Inlite Sales if you are not sure which product licenses you need.

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Credits

Credits
Send Feedback

Glossary Item Box

  • CxImage Copyright (c)2001-2004 Davide Pizzolato and others
  • IJG JPEG Copyright (c)1994-1998, Thomas G. Lane.
  • LibPNG Copyright (c)1998-2001 Glenn Randers-Pehrson
  • LibTIFF Copyright (c)1988-1997 Sam Leffler, (c)1991-1997 Silicon Graphics, Inc.
  • LIBMNG Copyright (c)2000,2001 Gerard Juyn.
  • zlib Copyright (c)1995-2002 Jean-loup Gailly and Mark Adler
  • XPdf Copyright (c)1996-2010 Glyph & Cog, LLC
  • DynaPDF (c)2003-2009 DynaForms GmbH


Install ClearImage SDK

Install ClearImage SDK
Send Feedback

Glossary Item Box

ClearImage SDK

ClearImage SDK (Software Development Kit) is the primary tool for development of applications based on the ClearImage API. You can always obtain the latest version of the SDK from Inlite Web Site for free, and no license is required to use the SDK. ClearImage SDK requires Windows XP or latter version and .NET Framework 2.0 (Download the .NET Framework 2.0 from Microsoft Website )

ClearImage SDK is installed in Program File's Inlite\ClearImage 8 SDK folder. Links to major elements of the SDK are available from the Start menu -> Programs -> ClearImage 8 SDK and include:

  • ClearImage Demo - a ready to run application to help you understand how to apply the full range of ClearImage capabilities to your images, without writing a line of code
  • ClearImage Help - This Help files, also available on the product pages of the Inlite website.
  • Source Code Examples - Links to create and use ClearImage sample projects using various programming languages.
  • Licensing Manager - Registers production licenses for ClearImage products to be used by ClearImage PDK. Provides the Versions menu to switch between Production and Development use of ClearImage.

Operational mode. ClearImage SDK can be used without a production license.

For 60 days after ClearImage SDK is installed on the system SDK operates in Evaluation mode. All functionality of ClearImage products is available without limitation. NOTE: the 60 days Evaluation period starts upon the installation of either the ClearImage PDK or SDK.

After 60 days Development mode is activated. All functionality of ClearImage products remains available, with only this limitation: ClearImage periodically displays a dialog box that require user interaction. This mode cannot be used for unattended operations and operation that do not have User Interface (e.g. Windows Service)

Production mode is activated upon installation of ClearImage PDK and registering one or more ClearImage product's licenses. Call to methods implemented in un-licensed products generate a run-time exception.

ClearImage Demo never requires a licensed and is always fully functional.


Start with ClearImage Demo

Start with ClearImage Demo
Send Feedback

Glossary Item Box

Start evaluating and exploring ClearImage by executing ClearImage Demo. All major functionality of ClearImage runtime can be tested without writing code. Typical uses of ClearImage Demo include:

  • Evaluation: Evaluate various capabilities of ClearImage runtime. Open your live image files. Apply various image processing or barcode recognition
  • Development and Testing: Try parameter values for image processing and barcode recognition methods before coding them in your application.
  • Production and Diagnostics: Investigate problem with a specific image in your application. Open problem image in ClearImage Demo. Apply the same processing as your application. NOTE: ClearImage Demo uses currently installed Development version of ClearImage. If the release level of your Production and Development differ, then their behavior might vary. Make sure that your Production release is the same as the Development release.


Develop an Application

Develop an Application
Send Feedback

Glossary Item Box

Use the ClearImage Example projects, installed by ClearImage SDK to start your development. Starting points are Example projects launched from Start -> Programs -> ClearImage 8 SDK -> Examples.

After clicking on one of the projects, you will be prompted to copy the project to a user-selected location. The appropriate application (for example Visual Studio) is then launched. This mechanism allows you to:

  • Create multiple versions of the same Example projects
  • Preserve user projects even after CleartImage SDK is uninstalled.

C# and VB.NET example projects demonstrate:

  • Use of classes in ClearImage and ClearImageNet namespaces.
  • Use of ClearImage for both Barcode Recognition and Image Processing.
  • Use of additional features, like multi-threading, stream I/O, CleaImageNet events, file and zones processing

Not all of the API methods are demonstrated in the Example projects. Some functions that are available in the ClearImage Demo may not be demonstrated in the Examples. Use the Reference sections of this manual for complete set of available functions.

Some of typical issues encountered by developers are covered in How To... section of this manual.


Licensing and Production Deployment

Licensing and Production Deployment
Send Feedback

Glossary Item Box

ClearImage Production Deployment

To activate for ClearImage functionality for production use:

  1. Purchase licenses for ClearImage Products implementing required functionality. ClearImage products are licensed per computer, so number of licenses should correspond to the number of computers you intend to use. Contact Inlite Sales if you have questions about product licenses you need.
  2. Within 24 hours after purchase of license you will receive email with License Certificate and download link for ClearImage PDK.
  3. Install the PDK on your production system. NOTE: ClearImage PDK requires Windows XP or later version of Windows and .NET Framework 2.0 (Download the .NET Framework 2.0 from Microsoft Website )
  4. Register your license:
    1. Start Licensing Manager from Start menu -> Programs -> ClearImage 8 PDK
    2. Click Register button. Enter or paste License Certificate from email. Click Register.
    3. If computer is online registration is done immediately. If computer is offline follow the displayed instructions
  5. Test your application with registered license. If you get "use of unlicensed function" exceptions, that means your code invokes methods in unlicensed products. Text of an exception indicates unlicensed method or functionality. To resolve the issue:
    1. Purchase and register products implementing "unlicensed" functionality.
    2. OR remove calls to "unlicensed" functionality from your code.

License Management

Production licenses are managed through Inlite Licensing Manager. Launch Licensing Manager from Start -> Programs -> ClearImage 8 PDK or ClerarImage 7 SDK. Major licensing actions are:

  • Register purchased license. License remains registered on computer forever or until Transferred.
  • Transfer registered license. The transfer operation removes the license from one system and makes it available for registration on another system. The transfer mechanism is intended for occasional movements of the license. If the license must be moved frequently, then use a license dongle to hold the license.
  • Recover license. Restores licenses registered on current system if system is corrupted. Inlite also offers a more severe recovery service under the Software Assurance program.

Licensing operation are performed immediately if computer is online.
For computers behind firewall set proxy in File ->Preferences menu.
For computer without Internet connection (e.g. secure facilities) registration is done through intermediate request/responce files. Follow offline registration instructions.


ClearImage Versions and Operational Modes

ClearImage Versions and Operational Modes
Send Feedback

Glossary Item Box

ClearImage Versions

ClearImage runtime DLLs come in two versions:

  • Development - It is automatically activated when ClearImage SDK is installed AND Production version is not active. Development version operates in Evaluation or Development mode.
  • Production- It is automatically activated when ClearImage PDK is installed. Development version operates in Production mode.

Only one version can be active on a computer at any time. Use Licensing Manager's Versions menu to identify or select the currently active version.

Operational Modes

Evaluation mode

This mode is available when Development version is active for 60 days after ClearImage SDK is installed. All functionality of ClearImage products is available without limitation. NOTE: 60 days Evaluation period starts also upon installation of ClearImage PDK.

At Inlite's description in exceptional cases Evaluation mode can be extended for additional 60 days.

Development mode

This mode is enabled when Development version is active and after Evaluation mode expired. All functionality of ClearImage products is available with the only limitation: ClearImage periodically displays a dialog box that require user interaction. This limits use of ClearImage SDK for unattended operations and operation that do not have User Interface (e.g. Windows Service)

Production mode

This mode is enabled when Production version is active. Production mode is activated upon installation of ClearImage PDK.
In Production mode functionality of ClearImage is limited to licensed products. Call to methods implemented in unlicensed product generates a run-time exception.


ClearImage Support

ClearImage Support
Send Feedback

Glossary Item Box

Pre-sales support

Inlite sales staff would be glad to answer your question regarding functionality and licensing of Inlite products. Email your questions to sales@inliteresearch.com.

In addition to technical support of the ClearImage engines, Inlite Research provides expert assistance for:

  • Barcode design for applications with special requirements.

  • Support for integration with various languages, development and operating environments

  • Assistance with barcode recognition and image processing

  • Optimization of barcode-based or imaging-based workflow process

Production License support

One year of product support is included with the purchase of a ClearImage product license. Email your questions to support@inliteresearch.com.

This support assures successful production deployment and production use of your ClearImage-based application. It also entitles you to free updates of ClearImage PDK.

Inlite Software Assurance Program

Software Assurance program designed to support your production needs upon expiration of one-year Production License support. Benefits and details of the program are described here.


Image File Formats

Image File Formats
Send Feedback

Glossary Item Box

ClearImage reads and writes files in the most popular Bitonal, Color and Grayscale formats including TIFF, BMP, PDF, and JPEG, and many others.

TIFF and PDF multi-page image files are supported. Some formats are supported only for reading.

PDF files are imported in ClearImage in one of two ways:

  • Image PDF - Images are extracted from the pages. This is preferred treatment of PDFs created by scanning or faxing software. The images must be large enough to qualify as scanned pages or should meet specified minimum size parameters.
  • Data PDF - The pages are rasterized and rendered like the Adobe Reader ™ would do it. This is how PDF documents created by PDF document generation software are read, e.g. documents created in Word. Color scheme and rasterization resolution are specified through API.

Some formats employ lossy compression that will modify a saved image. In the case of JPEG, the compression ratio is controlled by JpegQuality parameter.

Not all formats support the entire range of CiImage.BitsPerPixel (BPP) values. On output, if such a mismatch occurs, the image is converted to the nearest supported BPP value prior to writing out the file. For example, a Bitonal image will be converted to Grayscale prior to being saved as a JPEG formatted file. The resulting image will show JPEG blocking effects, and will look different than the original Bitonal image.


Assembly Overview

ClearImageNet.70 Assembly
See Also Send Feedback

Namespaces

Namespace | Description
Inlite.ClearImage | This Namespace mirrors the ClearImage COM API, to facilitate easy porting of existing COM and Interop applications.
Inlite.ClearImageNet | Higher level API namespace using .NET - specific capabilities.


How to read barcodes

How to read barcodes
Send Feedback

Glossary Item Box

The following examples demonstrate typical uses of BarcodeReader class

Read specific barcode type Copy Code
// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
// Default for all directions is 'true'
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine(bc.Text);}

Automatically detect 1D barcode type Copy Code
// Configure barcode reader
BarcodeReader reader = new BarcodeReader();
reader.Auto1D = true; // <=== ENABLE AUTOMATIC BARCODE DETECTION
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine (bc.Text); }

Read 2D barcode Copy Code
// Configure barcode reader
BarcodeReader reader = new BarcodeReader();
reader.Pdf417 = true;  // <=== ENABLE 2D Barcode
// reader.DataMatrix = true;
// reader.QR = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine(bc.Text); }

Read barcode in an image zone

A Zone is a rectangular area-of-interest on an image. To apply operations to a rectangular region of an image set the Zone property of BarcodeReader. Zone setting can be changed at any time.
Set Zone to new Rectangle() to return to default (entire image) setting.

Read barcode in an image zone Copy Code
// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Set zone on a page
reader.Zone = new Rectangle(10, 10, 500, 400); // <==== SET ZONE TO READ
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine(bc.Text); }

Read barcode from multi-page file Copy Code
 // Configure barcode reader.
BarcodeReader reader = new BarcodeReader();
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName); // <=== READ ALL PAGES
foreach (Barcode bc in barcodes)
  { Console.WriteLine ("Page: " + bc.Page.ToString() + " " + bc.Text); }

Read barcode with events Copy Code

private void _OnBarcodeFound (object sender, BarcodeFoundEventArgs e)
{
  Console.WriteLine ("Page: " + e.Barcode.Page.ToString() + " " +   e.Barcode.Text);
// e.cancel = (e.Count == 3); // Cancel after 3 barcodes are found
}
....

// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
reader.BarcodeFoundEvent +=  // <===  CONFIGURE EVENT HANDLER
new BarcodeReader.BarcodeFoundEventHandler(_OnBarcodeFound);
// Read and process barcodes
reader.Read(fileName);


How to read damaged barcodes

How to read damaged barcodes
Send Feedback

Glossary Item Box

To read damaged barcodes

Barcode images can be damaged by unreliable design, improper printing, severe handling or poor scanning practices. ClearImage BarcodeReader object is capable of reading barcodes suffering from a wide range of impairments.

However, some images exhibit extreme damage that prevents the BarcodeReader from recovering the barcode value. Such images will often benefit from the application of image repair capabilities of ImageEditor object. Inlite can recommend appropriate set of repair operation to archive maximum readability of your barcodes.

Repair image before reading barcodes Copy Code
// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Open and repair image
ImageEditor editor = new ImageEditor();
editor.Image.Open(fileName, pageNumber);
editor.Trim(1, MorphDirections.horizontal); // <=== Example of Image Repair Action
// Read repaired image and process barcodes
Barcode[] barcodes = reader.Read(editor); // <=== Read barcodes from repaired image
foreach (Barcode bc in barcodes)
  { Console.WriteLine(bc.Text); }


How to repair an image

How to repair an image
Send Feedback

Glossary Item Box

The following examples demonstrate typical uses of ImageEditor class for the purpose of automatic production image processing:

Basic image repair Copy Code

// Open image for repair
ImageEditor repair = new ImageEditor();
repair.Image.Open(fileName, pageNumber);
// Apply repair methods. For example:
repair.AutoDeskew();
repair.AutoRotate();
repair.CleanNoise(3);
// Save results
repair.Image.SaveAs(fileOut, Inlite.ClearImage.EFileFormat.ciEXT);

Repair multi-page image file using page iteration Copy Code
// Open image for repair
ImageEditor repair = new ImageEditor();
repair.Image.Open(fileName, 1);
// Apply repair methods to each page
for (int pageNumber = 1; pageNumber <= repair.Image.PageCount;
          pageNumber++)
{
  repair.Image.Open(fileName, pageNumber);
  repair.AutoDeskew();
  repair.AutoRotate();
  repair.CleanNoise(3);
  // Save results
  repair.Image.Append(fileOut, Inlite.ClearImage.EFileFormat.ciEXT);
}

Repair multi-page image file using Edit method Copy Code
private void _OnEditPage(object sender, EditPageEventArgs e)
{
  e.Editor.AutoDeskew();
  e.Editor.AutoRotate();
  e.Editor.CleanNoise(3);
  // e.skipPage = true; // Set to true to skip this page in output file
  // e.cancel = true; // Set to true to ignore remaining pages
}
...
// Edit each page of fileName in _OnEditPage method.
// Save each page to fileOut in specified format. Overwrite fileOut if exists
ImageEditor repair = new ImageEditor();
repair.Edit(fileName, _OnEditPage, fileOut, ImageFileFormat.tiff, true);

NOTE: Image modification and repair methods can be intermixed with image analysis methods to modify images in more flexible and sophisticated ways.


How to analyze and modify image

How to analyze and modify image
Send Feedback

Glossary Item Box

The following examples demonstrate uses of ImageEditor class for the purpose of custom image processing operation. They can be combined with any image repair methods

Basic image modification Copy Code
// Open image in Image editor
ImageEditor editor = new ImageEditor();
editor.Image.Open(fileName, pageNumber);
editor.RotateFlip(RotateFlipType.Rotate90FlipNone); // rotate 90
editor.RotateFlip(RotateFlipType.RotateNoneFlipXY); // rotate 180
if (editor.BitsPerPixel == 1)
  {editor.Fatten(1, MorphDirections.allNeighbors);}
editor.Invert();
editor.Clear();

Modifying image's area-of-interest

A Zone is a rectangular area-of-interest on an image. By default the ImageEditor methods operate on the whole image.

To apply operations to a rectangular region of an image set the Zone property of ImageEditor. Then apply image processing methods. Several ImageEditor methods ignore a Zone setting. Check the ClearImageNet API Reference for specific details of each method.

Zone setting can be changed at any time.
Set Zone to new Rectangle() to return to default (entire image) setting.

Modifying image's area-of-interest Copy Code
// Open image in Image editor
ImageEditor editor = new ImageEditor();
editor.Image.Open(fileName, pageNumber);
// Set zone on a page
editor.Zone = new Rectangle(10, 10, 500, 400); // <==== SET ZONE
editor.Clear();
editor.Zone = new Rectangle(); // <==== Remove ZONE Image

Image analysis

Image analysis methods measure various image properties.

Image analysis Copy Code
 // Open image in Image editor
ImageEditor tools = new ImageEditor();
tools.Image.Open(fileName, page);
// Measure skew angle
double dSkew = tools.SkewAngle;
Console.WriteLine (string.Format("Skew {0:0.##} deg", dSkew));
// Iterate through image objects
if (tools.BitsPerPixel == 1)
{
ImageObject[] objects = tools.GetObjects();
Console.WriteLine ("Object Count: {0}", objects.Length);
foreach (ImageObject Obj in objects)
{
  Console.WriteLine (" Pixels:" + Obj.Pixels.ToString() +
    " Intervals:" + Obj.Intervals.ToString());
  Console.WriteLine (" ERect:" + Obj.Rectangle.Left.ToString() +
    ":" + Obj.Rectangle.Top.ToString() +
    "-" + Obj.Rectangle.Right.ToString() +
    ":" + Obj.Rectangle.Bottom.ToString());
}
}


Working with threads

Working with threads
Send Feedback

Glossary Item Box

ClearImageNet supports multi-threaded execution. A single ClearImage engine is instantiated for each thread that uses ClearImage API. Once the thread is terminated, the engine becomes available for another thread.

The number of threads that invoke ClearImage at any time should be equal to or less than the number of cores available to the application.

Read barcodes from all files in a directory using threads

Reading barcodes with threads Copy Code
static object _lockObject = new object();
string[] filesToScan;
long filesScanned = 0;

private void ReadFilesOnThread()
  {
  BarcodeReader reader = new BarcodeReader();
  reader.Code39 = true;
  reader.BarcodeFoundEvent += new BarcodeReader.BarcodeFoundEventHandler(_OnBarcodeFoundThread);
    // Read
  while (true)
    {
    string fileName;
      // Obtain the next file name
    lock (_lockObject)
      {
      if (filesScanned >= filesToScan.Length)
        break;
      fileName = filesToScan[filesScanned];
      filesScanned++;
      }
     // Read images from file
    try
      {
      Barcode[] barcodes = reader.Read(fileName); // Read all pages
      foreach (Barcode bc in barcodes)
        {Console.WriteLine(bc.Text); }
      }
    catch (Exception ex)
      {
      Console.WriteLine("Error: " + ex.Message);
      }
    }
  }

public void ReadBarcodesWithThreads(string directoryName)
  {  // Collect list of files to read
  filesToScan = Directory.GetFiles(directoryName, "*.*",
  SearchOption.TopDirectoryOnly);
  filesScanned = 0;
     // Start 2 threads
  Thread workerThread1 = new Thread(new ThreadStart(ReadFilesOnThread));
  workerThread1.Start();
  Thread workerThread2 = new Thread(new ThreadStart(ReadFilesOnThread));
  workerThread2.Start();
    // wait for both threads to exit
  while (workerThread1.IsAlive || workerThread2.IsAlive)
    {
    System.Windows.Forms.Application.DoEvents();
    }
  }


Error Handling

Error Handling
Send Feedback

Glossary Item Box

ClearImageNet reports errors through ClearImageException object that is derived from Exception class. Errors should be handled by try/catch in your .NET applications. Example of exception handling:

ClearImageNet Error Handling Copy Code
try
{
  // Configure barcode reader. Set direction and expected types
  BarcodeReader reader = new BarcodeReader();
  reader.Auto1D = true;
  Barcode[] barcodes = reader.Read(fileName, pageNumber);
  foreach (Barcode bc in barcodes)
    { Console.WriteLine(bc.Text); }
}
catch (Exception ex)
{
  Console.WriteLine ("ERROR: " + ex.Message.ToString());
}

NOTE: If you encounter an error message that you can not interpret, contact Inlite Support


Inlite.ClearImage Namespace

Inlite.ClearImage Namespace
See Also Inheritance Hierarchy Send Feedback

This Namespace mirrors the ClearImage COM API, to facilitate easy porting of existing COM and Interop applications.

Classes

 | Class | Description
Class | CiBarcode | Barcode information object
Class | CiBarcodeBasic | 1D barcodes recognition object (Basic)
Class | CiBarcodePro | 1D barcodes recognition object (Pro)
Class | CiBarcodes |
Class | CiDataMatrix | DataMatrix barcodes recognition object
Class | CiImage | Image object
Class | CiLine | Line information object
Class | CiObject | Object information object An Object is a portion of the image comprised of adjacent connected pixels.
Class | CiPdf | Pdf Read/Write configuration Class
Class | CiPdf417 | PDF417 barcodes recognition object
Class | CiPoint | Point-on-image object
Class | CiQR | QR barcodes recognition object
Class | CiRect | Rectangle on image object
Class | CiRepair | Image repair object Automatic image correction functions: deskew, rotation, crop, etc. Improves OCR, image compression, and image visual quality.
Class | CiServer | ClearImage COM root object
Class | CiTools | Image tools object Image analysis function to implement form-processing and specialized imaging applications.

Enumerations

 | Enumeration | Description
Enumeration | EBarcodeAlgorithm | Barcode recognition algorithm
Enumeration | EBarcodeEncoding | Encoding or compression of barcode data
Enumeration | EBarcodeRotation | Barcode rotation
Enumeration | EBarcodeType | Recognized barcode type (symbology)
Enumeration | EBorderExtractAlgorithm | Border Extraction algorithm
Enumeration | EBorderExtractFlags | Border Extraction flags
Enumeration | ECleanNoiseFlags | CleanNoiseExt flags
Enumeration | EComprBitonal |
Enumeration | EComprColor |
Enumeration | EFileFormat | Image file format
Enumeration | EImageAlignment | Alignment of image on a page
Enumeration | EInfoType | Server information type
Enumeration | ELineCurvature | Limit on line curvature
Enumeration | ELineDirection | Line direction
Enumeration | EMorphDirections | Direction to fatten or trim image
Enumeration | EPageOrientation | Page orientation
Enumeration | EPageRotation | Page rotation
Enumeration | EPageSize | Page size
Enumeration | EPdfRasterColorMode | Rasterization color selection
Enumeration | EPdfReadMode | Pdf page reading mode selection
Enumeration | EScaleType | Type of image to image scale down
Enumeration | ESizeUnit | Alignment of image on a page
Enumeration | ESmoothType | Type of smoothing
Enumeration | FBarcodeDiag | Barcode recognition control flags
Enumeration | FBarcodeDirections | Barcode search direction
Enumeration | FBarcodeErrors | Recognized barcode errors
Enumeration | FBarcodeType | Barcode type (symbology) to find

See Also

Reference

ClearImageNet.70 Assembly

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcode Class

[image]
ClearImage 8 Help
CiBarcode Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcode Class

Barcode information object

Object Model

CiBarcode ClassCiRect Class

Syntax

Visual Basic (Declaration)
Public Class CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
C#
public class CiBarcode
Delphi
public class CiBarcode
JScript
public class CiBarcode
Managed Extensions for C++
public __gc class CiBarcode
C++/CLI
public ref class CiBarcode

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcode Class Members

[image]
ClearImage 8 Help
CiBarcode Class Members
See Also Properties Send Feedback
Inlite.ClearImage Namespace : CiBarcode Class

The following tables list the members exposed by CiBarcode.

Public Properties

 | Name | Description
public Property | Confidence | Barcode recognition confidence
public Property | Data | Barcode value as character array
public Property | Encoding | Barcode encoding
public Property | ErrorFlags | Barcode error flags
public Property | IsBinary | Barcode contains binary data
public Property | IsChecksumVerified | Barcode contains verified checksum
public Property | Length | Barcode length in characters
public Property | ModuleSize | Average width of barcode module
public Property | Quality | Barcode contains verified checksum
public Property | Rect | Barcode rectangle
public Property | Rotation | Barcode Rotation
public Property | Text | Barcode value as text
public Property | Type | Barcode type (symbology)
Top

See Also

Reference

CiBarcode Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcode Class Properties

[image]
ClearImage 8 Help
CiBarcode Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcode Class

For a list of all members of this type, see CiBarcode members.

Public Properties

 | Name | Description
public Property | Confidence | Barcode recognition confidence
public Property | Data | Barcode value as character array
public Property | Encoding | Barcode encoding
public Property | ErrorFlags | Barcode error flags
public Property | IsBinary | Barcode contains binary data
public Property | IsChecksumVerified | Barcode contains verified checksum
public Property | Length | Barcode length in characters
public Property | ModuleSize | Average width of barcode module
public Property | Quality | Barcode contains verified checksum
public Property | Rect | Barcode rectangle
public Property | Rotation | Barcode Rotation
public Property | Text | Barcode value as text
public Property | Type | Barcode type (symbology)
Top

See Also

Reference

CiBarcode Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Confidence Property

[image]
ClearImage 8 Help
Confidence Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Confidence Property

Barcode recognition confidence

Syntax

Visual Basic (Declaration)
Public Property Confidence As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As Integer

instance.Confidence = value

value = instance.Confidence
C#
public int Confidence {get; set;}
Delphi
public read-write property Confidence: Integer;
JScript
public function get,set Confidence : int
Managed Extensions for C++
public: __property int get_Confidence();
public: __property void set_Confidence(
   int value
);
C++/CLI
public:
property int Confidence {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Data Property

[image]
ClearImage 8 Help
Data Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Data Property

Barcode value as character array

Syntax

Visual Basic (Declaration)
Public Property Data As Byte()
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value() As Byte

instance.Data = value

value = instance.Data
C#
public byte[] Data {get; set;}
Delphi
public read-write property Data: array of Byte;
JScript
public function get,set Data : byte[]
Managed Extensions for C++
public: __property byte[]* get_Data();
public: __property void set_Data(
   byte[]* value
);
C++/CLI
public:
property array<byte>^ Data {
   array<byte>^ get();
   void set (    array<byte>^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Encoding Property

[image]
ClearImage 8 Help
Encoding Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Encoding Property

Barcode encoding

Syntax

Visual Basic (Declaration)
Public Property Encoding As EBarcodeEncoding
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As EBarcodeEncoding

instance.Encoding = value

value = instance.Encoding
C#
public EBarcodeEncoding Encoding {get; set;}
Delphi
public read-write property Encoding: EBarcodeEncoding;
JScript
public function get,set Encoding : EBarcodeEncoding
Managed Extensions for C++
public: __property EBarcodeEncoding get_Encoding();
public: __property void set_Encoding(
   EBarcodeEncoding value
);
C++/CLI
public:
property EBarcodeEncoding Encoding {
   EBarcodeEncoding get();
   void set (    EBarcodeEncoding value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ErrorFlags Property

[image]
ClearImage 8 Help
ErrorFlags Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : ErrorFlags Property

Barcode error flags

Syntax

Visual Basic (Declaration)
Public Property ErrorFlags As FBarcodeErrors
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As FBarcodeErrors

instance.ErrorFlags = value

value = instance.ErrorFlags
C#
public FBarcodeErrors ErrorFlags {get; set;}
Delphi
public read-write property ErrorFlags: FBarcodeErrors;
JScript
public function get,set ErrorFlags : FBarcodeErrors
Managed Extensions for C++
public: __property FBarcodeErrors get_ErrorFlags();
public: __property void set_ErrorFlags(
   FBarcodeErrors value
);
C++/CLI
public:
property FBarcodeErrors ErrorFlags {
   FBarcodeErrors get();
   void set (    FBarcodeErrors value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsBinary Property

[image]
ClearImage 8 Help
IsBinary Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : IsBinary Property

Barcode contains binary data

Syntax

Visual Basic (Declaration)
Public Property IsBinary As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As Boolean

instance.IsBinary = value

value = instance.IsBinary
C#
public bool IsBinary {get; set;}
Delphi
public read-write property IsBinary: Boolean;
JScript
public function get,set IsBinary : boolean
Managed Extensions for C++
public: __property bool get_IsBinary();
public: __property void set_IsBinary(
   bool value
);
C++/CLI
public:
property bool IsBinary {
   bool get();
   void set (    bool value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsChecksumVerified Property

[image]
ClearImage 8 Help
IsChecksumVerified Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : IsChecksumVerified Property

Barcode contains verified checksum

Syntax

Visual Basic (Declaration)
Public Property IsChecksumVerified As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As Boolean

instance.IsChecksumVerified = value

value = instance.IsChecksumVerified
C#
public bool IsChecksumVerified {get; set;}
Delphi
public read-write property IsChecksumVerified: Boolean;
JScript
public function get,set IsChecksumVerified : boolean
Managed Extensions for C++
public: __property bool get_IsChecksumVerified();
public: __property void set_IsChecksumVerified(
   bool value
);
C++/CLI
public:
property bool IsChecksumVerified {
   bool get();
   void set (    bool value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Length Property

[image]
ClearImage 8 Help
Length Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Length Property

Barcode length in characters

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Length As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As Integer

value = instance.Length
C#
public int Length {get;}
Delphi
public read-only property Length: Integer;
JScript
public function get Length : int
Managed Extensions for C++
public: __property int get_Length();
C++/CLI
public:
property int Length {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ModuleSize Property

[image]
ClearImage 8 Help
ModuleSize Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : ModuleSize Property

Average width of barcode module

Syntax

Visual Basic (Declaration)
Public Property ModuleSize As Double
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As Double

instance.ModuleSize = value

value = instance.ModuleSize
C#
public double ModuleSize {get; set;}
Delphi
public read-write property ModuleSize: Double;
JScript
public function get,set ModuleSize : double
Managed Extensions for C++
public: __property double get_ModuleSize();
public: __property void set_ModuleSize(
   double value
);
C++/CLI
public:
property double ModuleSize {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Quality Property

[image]
ClearImage 8 Help
Quality Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Quality Property

Barcode contains verified checksum

Syntax

Visual Basic (Declaration)
Public Property Quality As Double
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As Double

instance.Quality = value

value = instance.Quality
C#
public double Quality {get; set;}
Delphi
public read-write property Quality: Double;
JScript
public function get,set Quality : double
Managed Extensions for C++
public: __property double get_Quality();
public: __property void set_Quality(
   double value
);
C++/CLI
public:
property double Quality {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rect Property

[image]
ClearImage 8 Help
Rect Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Rect Property

Barcode rectangle

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rect As CiRect
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As CiRect

value = instance.Rect
C#
public CiRect Rect {get;}
Delphi
public read-only property Rect: CiRect;
JScript
public function get Rect : CiRect
Managed Extensions for C++
public: __property CiRect* get_Rect();
C++/CLI
public:
property CiRect^ Rect {
   CiRect^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rotation Property

[image]
ClearImage 8 Help
Rotation Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Rotation Property

Barcode Rotation

Syntax

Visual Basic (Declaration)
Public Property Rotation As EBarcodeRotation
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As EBarcodeRotation

instance.Rotation = value

value = instance.Rotation
C#
public EBarcodeRotation Rotation {get; set;}
Delphi
public read-write property Rotation: EBarcodeRotation;
JScript
public function get,set Rotation : EBarcodeRotation
Managed Extensions for C++
public: __property EBarcodeRotation get_Rotation();
public: __property void set_Rotation(
   EBarcodeRotation value
);
C++/CLI
public:
property EBarcodeRotation Rotation {
   EBarcodeRotation get();
   void set (    EBarcodeRotation value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Text Property

[image]
ClearImage 8 Help
Text Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Text Property

Barcode value as text

Syntax

Visual Basic (Declaration)
Public Property Text As String
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As String

instance.Text = value

value = instance.Text
C#
public string Text {get; set;}
Delphi
public read-write property Text: String;
JScript
public function get,set Text : String
Managed Extensions for C++
public: __property string* get_Text();
public: __property void set_Text(
   string* value
);
C++/CLI
public:
property String^ Text {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Type Property

[image]
ClearImage 8 Help
Type Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcode Class : Type Property

Barcode type (symbology)

Syntax

Visual Basic (Declaration)
Public Property Type As EBarcodeType
Visual Basic (Usage) Copy Code
Dim instance As CiBarcode
Dim value As EBarcodeType

instance.Type = value

value = instance.Type
C#
public EBarcodeType Type {get; set;}
Delphi
public read-write property Type: EBarcodeType;
JScript
public function get,set Type : EBarcodeType
Managed Extensions for C++
public: __property EBarcodeType get_Type();
public: __property void set_Type(
   EBarcodeType value
);
C++/CLI
public:
property EBarcodeType Type {
   EBarcodeType get();
   void set (    EBarcodeType value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcode Class
CiBarcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodeBasic Class

[image]
ClearImage 8 Help
CiBarcodeBasic Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodeBasic Class

1D barcodes recognition object (Basic)

Object Model

CiBarcodeBasic ClassCiBarcodes ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class CiBarcodeBasic
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
C#
public class CiBarcodeBasic
Delphi
public class CiBarcodeBasic
JScript
public class CiBarcodeBasic
Managed Extensions for C++
public __gc class CiBarcodeBasic
C++/CLI
public ref class CiBarcodeBasic

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodeBasic Class Members

[image]
ClearImage 8 Help
CiBarcodeBasic Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiBarcodeBasic Class

The following tables list the members exposed by CiBarcodeBasic.

Public Properties

 | Name | Description
public Property | AutoDetect1D | Automatically recognize barcode type
public Property | Barcodes | property Barcodes
public Property | Image | Image as CiImage object
public Property | Type | Barcode type(s) to recognize
public Property | ValidateOptChecksum | Enable validation of optional checksum
Top

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiBarcodeBasic Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodeBasic Class Methods

[image]
ClearImage 8 Help
CiBarcodeBasic Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodeBasic Class

For a list of all members of this type, see CiBarcodeBasic members.

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiBarcodeBasic Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Find Method

[image]
ClearImage 8 Help
Find Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : Find Method

MaxBarcodes
Find multiple barcodes

Syntax

Visual Basic (Declaration)
Public Function Find( _
   ByVal MaxBarcodes As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim MaxBarcodes As Integer
Dim value As Integer

value = instance.Find(MaxBarcodes)
C#
public int Find(
   int MaxBarcodes
)
Delphi
public function Find(
    MaxBarcodes: Integer
): Integer;
JScript
public function Find(
   MaxBarcodes : int
) : int;
Managed Extensions for C++
public: int Find(
   int MaxBarcodes
)
C++/CLI
public:
int Find(
   int MaxBarcodes
)

Parameters

MaxBarcodes

Remarks

Method puts Barcode objects in Barcodescollection.

MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

[image]
ClearImage 8 Help
FirstBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : FirstBarcode Method

Find first barcode

Syntax

Visual Basic (Declaration)
Public Function FirstBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim value As CiBarcode

value = instance.FirstBarcode()
C#
public CiBarcode FirstBarcode()
Delphi
public function FirstBarcode(): CiBarcode;
JScript
public function FirstBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* FirstBarcode();
C++/CLI
public:
CiBarcode^ FirstBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

[image]
ClearImage 8 Help
NextBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : NextBarcode Method

Find another barcode

Syntax

Visual Basic (Declaration)
Public Function NextBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim value As CiBarcode

value = instance.NextBarcode()
C#
public CiBarcode NextBarcode()
Delphi
public function NextBarcode(): CiBarcode;
JScript
public function NextBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* NextBarcode();
C++/CLI
public:
CiBarcode^ NextBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodeBasic Class Properties

[image]
ClearImage 8 Help
CiBarcodeBasic Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodeBasic Class

For a list of all members of this type, see CiBarcodeBasic members.

Public Properties

 | Name | Description
public Property | AutoDetect1D | Automatically recognize barcode type
public Property | Barcodes | property Barcodes
public Property | Image | Image as CiImage object
public Property | Type | Barcode type(s) to recognize
public Property | ValidateOptChecksum | Enable validation of optional checksum
Top

See Also

Reference

CiBarcodeBasic Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoDetect1D Property

[image]
ClearImage 8 Help
AutoDetect1D Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : AutoDetect1D Property

Automatically recognize barcode type

Syntax

Visual Basic (Declaration)
Public Property AutoDetect1D As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim value As Boolean

instance.AutoDetect1D = value

value = instance.AutoDetect1D
C#
public bool AutoDetect1D {get; set;}
Delphi
public read-write property AutoDetect1D: Boolean;
JScript
public function get,set AutoDetect1D : boolean
Managed Extensions for C++
public: __property bool get_AutoDetect1D();
public: __property void set_AutoDetect1D(
   bool value
);
C++/CLI
public:
property bool AutoDetect1D {
   bool get();
   void set (    bool value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

[image]
ClearImage 8 Help
Barcodes Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : Barcodes Property

property Barcodes

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Barcodes As CiBarcodes
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim value As CiBarcodes

value = instance.Barcodes
C#
public CiBarcodes Barcodes {get;}
Delphi
public read-only property Barcodes: CiBarcodes;
JScript
public function get Barcodes : CiBarcodes
Managed Extensions for C++
public: __property CiBarcodes* get_Barcodes();
C++/CLI
public:
property CiBarcodes^ Barcodes {
   CiBarcodes^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : Image Property

Image as CiImage object

Syntax

Visual Basic (Declaration)
Public Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim value As CiImage

instance.Image = value

value = instance.Image
C#
public CiImage Image {get; set;}
Delphi
public read-write property Image: CiImage;
JScript
public function get,set Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
public: __property void set_Image(
   CiImage* value
);
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
   void set (    CiImage^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Type Property

[image]
ClearImage 8 Help
Type Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : Type Property

Barcode type(s) to recognize

Syntax

Visual Basic (Declaration)
Public Property Type As FBarcodeType
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim value As FBarcodeType

instance.Type = value

value = instance.Type
C#
public FBarcodeType Type {get; set;}
Delphi
public read-write property Type: FBarcodeType;
JScript
public function get,set Type : FBarcodeType
Managed Extensions for C++
public: __property FBarcodeType get_Type();
public: __property void set_Type(
   FBarcodeType value
);
C++/CLI
public:
property FBarcodeType Type {
   FBarcodeType get();
   void set (    FBarcodeType value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ValidateOptChecksum Property

[image]
ClearImage 8 Help
ValidateOptChecksum Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodeBasic Class : ValidateOptChecksum Property

Enable validation of optional checksum

Syntax

Visual Basic (Declaration)
Public Property ValidateOptChecksum As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodeBasic
Dim value As Boolean

instance.ValidateOptChecksum = value

value = instance.ValidateOptChecksum
C#
public bool ValidateOptChecksum {get; set;}
Delphi
public read-write property ValidateOptChecksum: Boolean;
JScript
public function get,set ValidateOptChecksum : boolean
Managed Extensions for C++
public: __property bool get_ValidateOptChecksum();
public: __property void set_ValidateOptChecksum(
   bool value
);
C++/CLI
public:
property bool ValidateOptChecksum {
   bool get();
   void set (    bool value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodeBasic Class
CiBarcodeBasic Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodePro Class

[image]
ClearImage 8 Help
CiBarcodePro Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodePro Class

1D barcodes recognition object (Pro)

Object Model

CiBarcodePro ClassCiBarcodes ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class CiBarcodePro
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
C#
public class CiBarcodePro
Delphi
public class CiBarcodePro
JScript
public class CiBarcodePro
Managed Extensions for C++
public __gc class CiBarcodePro
C++/CLI
public ref class CiBarcodePro

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodePro Class Members

[image]
ClearImage 8 Help
CiBarcodePro Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiBarcodePro Class

The following tables list the members exposed by CiBarcodePro.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | AutoDetect1D | Automatically recognize 1-D barcode type
public Property | Barcodes | Barcodes list
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Directions of barcodes to recognize
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
public Property | Type | Barcode type(s) to recognize
public Property | ValidateOptChecksum | Enable validation of optional checksum
Top

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiBarcodePro Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodePro Class Methods

[image]
ClearImage 8 Help
CiBarcodePro Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodePro Class

For a list of all members of this type, see CiBarcodePro members.

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiBarcodePro Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Find Method

[image]
ClearImage 8 Help
Find Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : Find Method

MaxBarcodes
Find multiple barcodes

Syntax

Visual Basic (Declaration)
Public Function Find( _
   ByVal MaxBarcodes As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim MaxBarcodes As Integer
Dim value As Integer

value = instance.Find(MaxBarcodes)
C#
public int Find(
   int MaxBarcodes
)
Delphi
public function Find(
    MaxBarcodes: Integer
): Integer;
JScript
public function Find(
   MaxBarcodes : int
) : int;
Managed Extensions for C++
public: int Find(
   int MaxBarcodes
)
C++/CLI
public:
int Find(
   int MaxBarcodes
)

Parameters

MaxBarcodes

Remarks

Method puts Barcode objects in Barcodescollection.

MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

[image]
ClearImage 8 Help
FirstBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : FirstBarcode Method

Find first barcode

Syntax

Visual Basic (Declaration)
Public Function FirstBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As CiBarcode

value = instance.FirstBarcode()
C#
public CiBarcode FirstBarcode()
Delphi
public function FirstBarcode(): CiBarcode;
JScript
public function FirstBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* FirstBarcode();
C++/CLI
public:
CiBarcode^ FirstBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

[image]
ClearImage 8 Help
NextBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : NextBarcode Method

Find another barcode

Syntax

Visual Basic (Declaration)
Public Function NextBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As CiBarcode

value = instance.NextBarcode()
C#
public CiBarcode NextBarcode()
Delphi
public function NextBarcode(): CiBarcode;
JScript
public function NextBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* NextBarcode();
C++/CLI
public:
CiBarcode^ NextBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodePro Class Properties

[image]
ClearImage 8 Help
CiBarcodePro Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodePro Class

For a list of all members of this type, see CiBarcodePro members.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | AutoDetect1D | Automatically recognize 1-D barcode type
public Property | Barcodes | Barcodes list
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Directions of barcodes to recognize
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
public Property | Type | Barcode type(s) to recognize
public Property | ValidateOptChecksum | Enable validation of optional checksum
Top

See Also

Reference

CiBarcodePro Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

[image]
ClearImage 8 Help
Algorithm Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : Algorithm Property

Quality of barcode image

Syntax

Visual Basic (Declaration)
Public Property Algorithm As EBarcodeAlgorithm
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As EBarcodeAlgorithm

instance.Algorithm = value

value = instance.Algorithm
C#
public EBarcodeAlgorithm Algorithm {get; set;}
Delphi
public read-write property Algorithm: EBarcodeAlgorithm;
JScript
public function get,set Algorithm : EBarcodeAlgorithm
Managed Extensions for C++
public: __property EBarcodeAlgorithm get_Algorithm();
public: __property void set_Algorithm(
   EBarcodeAlgorithm value
);
C++/CLI
public:
property EBarcodeAlgorithm Algorithm {
   EBarcodeAlgorithm get();
   void set (    EBarcodeAlgorithm value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoDetect1D Property

[image]
ClearImage 8 Help
AutoDetect1D Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : AutoDetect1D Property

Automatically recognize 1-D barcode type

Syntax

Visual Basic (Declaration)
Public Property AutoDetect1D As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As Boolean

instance.AutoDetect1D = value

value = instance.AutoDetect1D
C#
public bool AutoDetect1D {get; set;}
Delphi
public read-write property AutoDetect1D: Boolean;
JScript
public function get,set AutoDetect1D : boolean
Managed Extensions for C++
public: __property bool get_AutoDetect1D();
public: __property void set_AutoDetect1D(
   bool value
);
C++/CLI
public:
property bool AutoDetect1D {
   bool get();
   void set (    bool value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

[image]
ClearImage 8 Help
Barcodes Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : Barcodes Property

Barcodes list

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Barcodes As CiBarcodes
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As CiBarcodes

value = instance.Barcodes
C#
public CiBarcodes Barcodes {get;}
Delphi
public read-only property Barcodes: CiBarcodes;
JScript
public function get Barcodes : CiBarcodes
Managed Extensions for C++
public: __property CiBarcodes* get_Barcodes();
C++/CLI
public:
property CiBarcodes^ Barcodes {
   CiBarcodes^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

[image]
ClearImage 8 Help
DiagFlags Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : DiagFlags Property

Barcode diagnostic flags

Syntax

Visual Basic (Declaration)
Public Property DiagFlags As FBarcodeDiag
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As FBarcodeDiag

instance.DiagFlags = value

value = instance.DiagFlags
C#
public FBarcodeDiag DiagFlags {get; set;}
Delphi
public read-write property DiagFlags: FBarcodeDiag;
JScript
public function get,set DiagFlags : FBarcodeDiag
Managed Extensions for C++
public: __property FBarcodeDiag get_DiagFlags();
public: __property void set_DiagFlags(
   FBarcodeDiag value
);
C++/CLI
public:
property FBarcodeDiag DiagFlags {
   FBarcodeDiag get();
   void set (    FBarcodeDiag value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Directions Property

[image]
ClearImage 8 Help
Directions Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : Directions Property

Directions of barcodes to recognize

Syntax

Visual Basic (Declaration)
Public Property Directions As FBarcodeDirections
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As FBarcodeDirections

instance.Directions = value

value = instance.Directions
C#
public FBarcodeDirections Directions {get; set;}
Delphi
public read-write property Directions: FBarcodeDirections;
JScript
public function get,set Directions : FBarcodeDirections
Managed Extensions for C++
public: __property FBarcodeDirections get_Directions();
public: __property void set_Directions(
   FBarcodeDirections value
);
C++/CLI
public:
property FBarcodeDirections Directions {
   FBarcodeDirections get();
   void set (    FBarcodeDirections value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Encodings Property

[image]
ClearImage 8 Help
Encodings Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : Encodings Property

Enable/disable barcode encoding analysis

Syntax

Visual Basic (Declaration)
Public Property Encodings As EBarcodeEncoding
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As EBarcodeEncoding

instance.Encodings = value

value = instance.Encodings
C#
public EBarcodeEncoding Encodings {get; set;}
Delphi
public read-write property Encodings: EBarcodeEncoding;
JScript
public function get,set Encodings : EBarcodeEncoding
Managed Extensions for C++
public: __property EBarcodeEncoding get_Encodings();
public: __property void set_Encodings(
   EBarcodeEncoding value
);
C++/CLI
public:
property EBarcodeEncoding Encodings {
   EBarcodeEncoding get();
   void set (    EBarcodeEncoding value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : Image Property

Image as CiImage object

Syntax

Visual Basic (Declaration)
Public Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As CiImage

instance.Image = value

value = instance.Image
C#
public CiImage Image {get; set;}
Delphi
public read-write property Image: CiImage;
JScript
public function get,set Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
public: __property void set_Image(
   CiImage* value
);
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
   void set (    CiImage^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Type Property

[image]
ClearImage 8 Help
Type Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : Type Property

Barcode type(s) to recognize

Syntax

Visual Basic (Declaration)
Public Property Type As FBarcodeType
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As FBarcodeType

instance.Type = value

value = instance.Type
C#
public FBarcodeType Type {get; set;}
Delphi
public read-write property Type: FBarcodeType;
JScript
public function get,set Type : FBarcodeType
Managed Extensions for C++
public: __property FBarcodeType get_Type();
public: __property void set_Type(
   FBarcodeType value
);
C++/CLI
public:
property FBarcodeType Type {
   FBarcodeType get();
   void set (    FBarcodeType value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ValidateOptChecksum Property

[image]
ClearImage 8 Help
ValidateOptChecksum Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodePro Class : ValidateOptChecksum Property

Enable validation of optional checksum

Syntax

Visual Basic (Declaration)
Public Property ValidateOptChecksum As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodePro
Dim value As Boolean

instance.ValidateOptChecksum = value

value = instance.ValidateOptChecksum
C#
public bool ValidateOptChecksum {get; set;}
Delphi
public read-write property ValidateOptChecksum: Boolean;
JScript
public function get,set ValidateOptChecksum : boolean
Managed Extensions for C++
public: __property bool get_ValidateOptChecksum();
public: __property void set_ValidateOptChecksum(
   bool value
);
C++/CLI
public:
property bool ValidateOptChecksum {
   bool get();
   void set (    bool value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodePro Class
CiBarcodePro Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodes Class

[image]
ClearImage 8 Help
CiBarcodes Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodes Class

Object Model

CiBarcodes Class

Syntax

Visual Basic (Declaration)
<DefaultMemberAttribute("Item")>
Public Class CiBarcodes
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodes
C#
[DefaultMemberAttribute("Item")]
public class CiBarcodes
Delphi
public class CiBarcodes
JScript
DefaultMemberAttribute("Item")
public class CiBarcodes
Managed Extensions for C++
[DefaultMemberAttribute("Item")]
public __gc class CiBarcodes
C++/CLI
[DefaultMemberAttribute("Item")]
public ref class CiBarcodes

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodes Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodes Class Members

[image]
ClearImage 8 Help
CiBarcodes Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiBarcodes Class

The following tables list the members exposed by CiBarcodes.

Public Properties

 | Name | Description
public Property | Count |
Top

Public Methods

 | Name | Description
public Method | Add |
public Method | GetCount |
public Method | GetEnumerator |
public Method | GetItem |
public Method | Remove |
Top

See Also

Reference

CiBarcodes Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodes Class Methods

[image]
ClearImage 8 Help
CiBarcodes Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodes Class

For a list of all members of this type, see CiBarcodes members.

Public Methods

 | Name | Description
public Method | Add |
public Method | GetCount |
public Method | GetEnumerator |
public Method | GetItem |
public Method | Remove |
Top

See Also

Reference

CiBarcodes Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Add Method

[image]
ClearImage 8 Help
Add Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodes Class : Add Method

pVal

Syntax

Visual Basic (Declaration)
Public Function Add( _
   ByRef pVal As CiBarcode _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodes
Dim pVal As CiBarcode
Dim value As Integer

value = instance.Add(pVal)
C#
public int Add(
   ref CiBarcode pVal
)
Delphi
public function Add(
   var  pVal: CiBarcode
): Integer;
JScript
public function Add(
   pVal : CiBarcode
) : int;
Managed Extensions for C++
public: int Add(
   ref CiBarcode* pVal
)
C++/CLI
public:
int Add(
   CiBarcode^% pVal
)

Parameters

pVal

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodes Class
CiBarcodes Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


GetCount Method

[image]
ClearImage 8 Help
GetCount Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodes Class : GetCount Method

Syntax

Visual Basic (Declaration)
Public Function GetCount() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodes
Dim value As Integer

value = instance.GetCount()
C#
public int GetCount()
Delphi
public function GetCount(): Integer;
JScript
public function GetCount() : int;
Managed Extensions for C++
public: int GetCount();
C++/CLI
public:
int GetCount();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodes Class
CiBarcodes Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


GetEnumerator Method

[image]
ClearImage 8 Help
GetEnumerator Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodes Class : GetEnumerator Method

Syntax

Visual Basic (Declaration)
Public Function GetEnumerator() As IEnumerator
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodes
Dim value As IEnumerator

value = instance.GetEnumerator()
C#
public IEnumerator GetEnumerator()
Delphi
public function GetEnumerator(): IEnumerator;
JScript
public function GetEnumerator() : IEnumerator;
Managed Extensions for C++
public: IEnumerator* GetEnumerator();
C++/CLI
public:
IEnumerator^ GetEnumerator();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodes Class
CiBarcodes Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


GetItem Method

[image]
ClearImage 8 Help
GetItem Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodes Class : GetItem Method

n

Syntax

Visual Basic (Declaration)
Public Function GetItem( _
   ByVal n As Integer _
) As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodes
Dim n As Integer
Dim value As CiBarcode

value = instance.GetItem(n)
C#
public CiBarcode GetItem(
   int n
)
Delphi
public function GetItem(
    n: Integer
): CiBarcode;
JScript
public function GetItem(
   n : int
) : CiBarcode;
Managed Extensions for C++
public: CiBarcode* GetItem(
   int n
)
C++/CLI
public:
CiBarcode^ GetItem(
   int n
)

Parameters

n

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodes Class
CiBarcodes Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Remove Method

[image]
ClearImage 8 Help
Remove Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodes Class : Remove Method

n

Syntax

Visual Basic (Declaration)
Public Function Remove( _
   ByVal n As Integer _
) As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodes
Dim n As Integer
Dim value As CiBarcode

value = instance.Remove(n)
C#
public CiBarcode Remove(
   int n
)
Delphi
public function Remove(
    n: Integer
): CiBarcode;
JScript
public function Remove(
   n : int
) : CiBarcode;
Managed Extensions for C++
public: CiBarcode* Remove(
   int n
)
C++/CLI
public:
CiBarcode^ Remove(
   int n
)

Parameters

n

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodes Class
CiBarcodes Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiBarcodes Class Properties

[image]
ClearImage 8 Help
CiBarcodes Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiBarcodes Class

For a list of all members of this type, see CiBarcodes members.

Public Properties

 | Name | Description
public Property | Count |
Top

See Also

Reference

CiBarcodes Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Count Property

[image]
ClearImage 8 Help
Count Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiBarcodes Class : Count Property

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Count As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiBarcodes
Dim value As Integer

value = instance.Count
C#
public int Count {get;}
Delphi
public read-only property Count: Integer;
JScript
public function get Count : int
Managed Extensions for C++
public: __property int get_Count();
C++/CLI
public:
property int Count {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiBarcodes Class
CiBarcodes Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiDataMatrix Class

[image]
ClearImage 8 Help
CiDataMatrix Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiDataMatrix Class

DataMatrix barcodes recognition object

Object Model

CiDataMatrix ClassCiBarcodes ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class CiDataMatrix
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
C#
public class CiDataMatrix
Delphi
public class CiDataMatrix
JScript
public class CiDataMatrix
Managed Extensions for C++
public __gc class CiDataMatrix
C++/CLI
public ref class CiDataMatrix

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiDataMatrix Class Members

[image]
ClearImage 8 Help
CiDataMatrix Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiDataMatrix Class

The following tables list the members exposed by CiDataMatrix.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | Barcodes | property Barcodes
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Directions of barcodes to recognize
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
Top

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiDataMatrix Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiDataMatrix Class Methods

[image]
ClearImage 8 Help
CiDataMatrix Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiDataMatrix Class

For a list of all members of this type, see CiDataMatrix members.

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiDataMatrix Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Find Method

[image]
ClearImage 8 Help
Find Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : Find Method

MaxBarcodes
Find multiple barcodes

Syntax

Visual Basic (Declaration)
Public Function Find( _
   ByVal MaxBarcodes As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim MaxBarcodes As Integer
Dim value As Integer

value = instance.Find(MaxBarcodes)
C#
public int Find(
   int MaxBarcodes
)
Delphi
public function Find(
    MaxBarcodes: Integer
): Integer;
JScript
public function Find(
   MaxBarcodes : int
) : int;
Managed Extensions for C++
public: int Find(
   int MaxBarcodes
)
C++/CLI
public:
int Find(
   int MaxBarcodes
)

Parameters

MaxBarcodes

Remarks

Method puts Barcode objects in Barcodescollection.

MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

[image]
ClearImage 8 Help
FirstBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : FirstBarcode Method

Find first barcode

Syntax

Visual Basic (Declaration)
Public Function FirstBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As CiBarcode

value = instance.FirstBarcode()
C#
public CiBarcode FirstBarcode()
Delphi
public function FirstBarcode(): CiBarcode;
JScript
public function FirstBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* FirstBarcode();
C++/CLI
public:
CiBarcode^ FirstBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

[image]
ClearImage 8 Help
NextBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : NextBarcode Method

Find another barcode

Syntax

Visual Basic (Declaration)
Public Function NextBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As CiBarcode

value = instance.NextBarcode()
C#
public CiBarcode NextBarcode()
Delphi
public function NextBarcode(): CiBarcode;
JScript
public function NextBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* NextBarcode();
C++/CLI
public:
CiBarcode^ NextBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiDataMatrix Class Properties

[image]
ClearImage 8 Help
CiDataMatrix Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiDataMatrix Class

For a list of all members of this type, see CiDataMatrix members.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | Barcodes | property Barcodes
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Directions of barcodes to recognize
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
Top

See Also

Reference

CiDataMatrix Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

[image]
ClearImage 8 Help
Algorithm Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : Algorithm Property

Quality of barcode image

Syntax

Visual Basic (Declaration)
Public Property Algorithm As EBarcodeAlgorithm
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As EBarcodeAlgorithm

instance.Algorithm = value

value = instance.Algorithm
C#
public EBarcodeAlgorithm Algorithm {get; set;}
Delphi
public read-write property Algorithm: EBarcodeAlgorithm;
JScript
public function get,set Algorithm : EBarcodeAlgorithm
Managed Extensions for C++
public: __property EBarcodeAlgorithm get_Algorithm();
public: __property void set_Algorithm(
   EBarcodeAlgorithm value
);
C++/CLI
public:
property EBarcodeAlgorithm Algorithm {
   EBarcodeAlgorithm get();
   void set (    EBarcodeAlgorithm value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

[image]
ClearImage 8 Help
Barcodes Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : Barcodes Property

property Barcodes

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Barcodes As CiBarcodes
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As CiBarcodes

value = instance.Barcodes
C#
public CiBarcodes Barcodes {get;}
Delphi
public read-only property Barcodes: CiBarcodes;
JScript
public function get Barcodes : CiBarcodes
Managed Extensions for C++
public: __property CiBarcodes* get_Barcodes();
C++/CLI
public:
property CiBarcodes^ Barcodes {
   CiBarcodes^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

[image]
ClearImage 8 Help
DiagFlags Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : DiagFlags Property

Barcode diagnostic flags

Syntax

Visual Basic (Declaration)
Public Property DiagFlags As FBarcodeDiag
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As FBarcodeDiag

instance.DiagFlags = value

value = instance.DiagFlags
C#
public FBarcodeDiag DiagFlags {get; set;}
Delphi
public read-write property DiagFlags: FBarcodeDiag;
JScript
public function get,set DiagFlags : FBarcodeDiag
Managed Extensions for C++
public: __property FBarcodeDiag get_DiagFlags();
public: __property void set_DiagFlags(
   FBarcodeDiag value
);
C++/CLI
public:
property FBarcodeDiag DiagFlags {
   FBarcodeDiag get();
   void set (    FBarcodeDiag value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Directions Property

[image]
ClearImage 8 Help
Directions Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : Directions Property

Directions of barcodes to recognize

Syntax

Visual Basic (Declaration)
Public Property Directions As FBarcodeDirections
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As FBarcodeDirections

instance.Directions = value

value = instance.Directions
C#
public FBarcodeDirections Directions {get; set;}
Delphi
public read-write property Directions: FBarcodeDirections;
JScript
public function get,set Directions : FBarcodeDirections
Managed Extensions for C++
public: __property FBarcodeDirections get_Directions();
public: __property void set_Directions(
   FBarcodeDirections value
);
C++/CLI
public:
property FBarcodeDirections Directions {
   FBarcodeDirections get();
   void set (    FBarcodeDirections value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Encodings Property

[image]
ClearImage 8 Help
Encodings Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : Encodings Property

Enable/disable barcode encoding analysis

Syntax

Visual Basic (Declaration)
Public Property Encodings As EBarcodeEncoding
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As EBarcodeEncoding

instance.Encodings = value

value = instance.Encodings
C#
public EBarcodeEncoding Encodings {get; set;}
Delphi
public read-write property Encodings: EBarcodeEncoding;
JScript
public function get,set Encodings : EBarcodeEncoding
Managed Extensions for C++
public: __property EBarcodeEncoding get_Encodings();
public: __property void set_Encodings(
   EBarcodeEncoding value
);
C++/CLI
public:
property EBarcodeEncoding Encodings {
   EBarcodeEncoding get();
   void set (    EBarcodeEncoding value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiDataMatrix Class : Image Property

Image as CiImage object

Syntax

Visual Basic (Declaration)
Public Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiDataMatrix
Dim value As CiImage

instance.Image = value

value = instance.Image
C#
public CiImage Image {get; set;}
Delphi
public read-write property Image: CiImage;
JScript
public function get,set Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
public: __property void set_Image(
   CiImage* value
);
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
   void set (    CiImage^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiDataMatrix Class
CiDataMatrix Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiImage Class

[image]
ClearImage 8 Help
CiImage Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiImage Class

Image object

Object Model

CiImage ClassCiImage ClassCiPdf ClassCiRect Class

Syntax

Visual Basic (Declaration)
Public Class CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiImage
C#
public class CiImage
Delphi
public class CiImage
JScript
public class CiImage
Managed Extensions for C++
public __gc class CiImage
C++/CLI
public ref class CiImage

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiImage Class Members

[image]
ClearImage 8 Help
CiImage Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiImage Class

The following tables list the members exposed by CiImage.

Public Properties

 | Name | Description
public Property | BitsPerPixel | Number of bits to store each pixel
public Property | FileName | Image file name
public Property | Format | Image file format
public Property | Height | Image height in pixels
public Property | HorzDpi | Horizontal resolution in dots-per-inch
public Property | IsModified | Image was modified flag
public Property | IsValid | Image is opened
public Property | IsZone | Object represents a zone on another image
public Property | JpegQuality | Quality of Jpeg Compression 0-100
public Property | LineBytes | Image memory line width in bytes
public Property | PageCount | Number of pages in image file
public Property | PageNumber | Image page number in image file
public Property | Parent | Object containing image memory of this object
public Property | pComprBitonal | TIFF/PDF Compression to save Bitonal image
public Property | pComprColor | TIFF/PDF Compression to save Color/GS image
public Property | Pdf | property Pdf
public Property | VertDpi | Vertical resolution in dots-per-inch
public Property | Width | Image width in pixels
public Property | Zone | Current zone coordinates
Top

Public Methods

 | Name | Description
public Method | Append | Append image to file
public Method | Clear | Set all pixels to white
public Method | Close | Close image
public Method | Copy | Copy image to another image
public Method | CopyToClipboard | Copy image to clipboard
public Method | Create | Create a Bitonal image
public Method | CreateBpp | Create an image (bpp = 1, 8, 24)
public Method | CreateZone | Create new Zone within image
public Method | CreateZoneRect | Create new Zone within image
public Method | Crop | Crop rectangle
public Method | Duplicate | Create a duplicate of this CiImage object
public Method | Flip | Rotate image upside down
public Method | FlipHorz | Flip image around horizontal axis
public Method | FlipVert | Flip image around vertical axis
public Method | GetBitmap | Convert CiImage object to .NET Bitmap object.
public Method | Invert | Invert image pixels
public Method | Open | Overloaded. Open image from Stream object using specified page.
public Method | OpenFromBitmap | Create image from Windows Bitmap
public Method | OpenFromClipboard | Create image from Clipboard
public Method | OpenPage |
public Method | RotateLeft | Rotate image to the left
public Method | RotateRight | Rotate image to the right
public Method | Save | Save image into its image file
public Method | SaveAs | Save image in new file
public Method | SaveToStream | Save image to a Stream object.
public Method | ToBitonal | method ToBitonal
public Method | ToGrayscale | method ToGrayscale
Top

See Also

Reference

CiImage Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiImage Class Methods

[image]
ClearImage 8 Help
CiImage Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiImage Class

For a list of all members of this type, see CiImage members.

Public Methods

 | Name | Description
public Method | Append | Append image to file
public Method | Clear | Set all pixels to white
public Method | Close | Close image
public Method | Copy | Copy image to another image
public Method | CopyToClipboard | Copy image to clipboard
public Method | Create | Create a Bitonal image
public Method | CreateBpp | Create an image (bpp = 1, 8, 24)
public Method | CreateZone | Create new Zone within image
public Method | CreateZoneRect | Create new Zone within image
public Method | Crop | Crop rectangle
public Method | Duplicate | Create a duplicate of this CiImage object
public Method | Flip | Rotate image upside down
public Method | FlipHorz | Flip image around horizontal axis
public Method | FlipVert | Flip image around vertical axis
public Method | GetBitmap | Convert CiImage object to .NET Bitmap object.
public Method | Invert | Invert image pixels
public Method | Open | Overloaded. Open image from Stream object using specified page.
public Method | OpenFromBitmap | Create image from Windows Bitmap
public Method | OpenFromClipboard | Create image from Clipboard
public Method | OpenPage |
public Method | RotateLeft | Rotate image to the left
public Method | RotateRight | Rotate image to the right
public Method | Save | Save image into its image file
public Method | SaveAs | Save image in new file
public Method | SaveToStream | Save image to a Stream object.
public Method | ToBitonal | method ToBitonal
public Method | ToGrayscale | method ToGrayscale
Top

See Also

Reference

CiImage Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Append Method

[image]
ClearImage 8 Help
Append Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Append Method

FileName
Format
Only formats starting with ciTIFF or cifPDF are valid. ciTIFF_G4 for Bi-tonal images and ciTIFF_LZW for Color and Grayscale images.
Append image to file

Syntax

Visual Basic (Declaration)
Public Function Append( _
   ByVal FileName As String, _
   ByVal Format As EFileFormat _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim FileName As String
Dim Format As EFileFormat
Dim value As Integer

value = instance.Append(FileName, Format)
C#
public int Append(
   string FileName,
   EFileFormat Format
)
Delphi
public function Append(
    FileName: String;
    Format: EFileFormat
): Integer;
JScript
public function Append(
   FileName : String,
   Format : EFileFormat
) : int;
Managed Extensions for C++
public: int Append(
   string* FileName,
   EFileFormat Format
)
C++/CLI
public:
int Append(
   String^ FileName,
   EFileFormat Format
)

Parameters

FileName
Format
Only formats starting with ciTIFF or cifPDF are valid. ciTIFF_G4 for Bi-tonal images and ciTIFF_LZW for Color and Grayscale images.

Remarks

File is created if it does not exist. Existing file should be in TIFF format.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Clear Method

[image]
ClearImage 8 Help
Clear Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Clear Method

Set all pixels to white

Syntax

Visual Basic (Declaration)
Public Function Clear() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.Clear()
C#
public int Clear()
Delphi
public function Clear(): Integer;
JScript
public function Clear() : int;
Managed Extensions for C++
public: int Clear();
C++/CLI
public:
int Clear();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Close Method

[image]
ClearImage 8 Help
Close Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Close Method

Close image

Syntax

Visual Basic (Declaration)
Public Function Close() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.Close()
C#
public int Close()
Delphi
public function Close(): Integer;
JScript
public function Close() : int;
Managed Extensions for C++
public: int Close();
C++/CLI
public:
int Close();

Remarks

Frees memory buffer associated with CiImage object. All following operations that require valid image will generate an error.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Copy Method

[image]
ClearImage 8 Help
Copy Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Copy Method

ImageFrom
Copy image to another image

Syntax

Visual Basic (Declaration)
Public Function Copy( _
   ByVal ImageFrom As CiImage _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim ImageFrom As CiImage
Dim value As Integer

value = instance.Copy(ImageFrom)
C#
public int Copy(
   CiImage ImageFrom
)
Delphi
public function Copy(
    ImageFrom: CiImage
): Integer;
JScript
public function Copy(
   ImageFrom : CiImage
) : int;
Managed Extensions for C++
public: int Copy(
   CiImage* ImageFrom
)
C++/CLI
public:
int Copy(
   CiImage^ ImageFrom
)

Parameters

ImageFrom

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CopyToClipboard Method

[image]
ClearImage 8 Help
CopyToClipboard Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : CopyToClipboard Method

Copy image to clipboard

Syntax

Visual Basic (Declaration)
Public Function CopyToClipboard() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.CopyToClipboard()
C#
public int CopyToClipboard()
Delphi
public function CopyToClipboard(): Integer;
JScript
public function CopyToClipboard() : int;
Managed Extensions for C++
public: int CopyToClipboard();
C++/CLI
public:
int CopyToClipboard();

Remarks

CF_BITMAP and CF_DIB formats copied to clipboard.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Create Method

[image]
ClearImage 8 Help
Create Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Create Method

Width
Height
Create a Bitonal image

Syntax

Visual Basic (Declaration)
Public Function Create( _
   ByVal Width As Integer, _
   ByVal Height As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim Width As Integer
Dim Height As Integer
Dim value As Integer

value = instance.Create(Width, Height)
C#
public int Create(
   int Width,
   int Height
)
Delphi
public function Create(
    Width: Integer;
    Height: Integer
): Integer;
JScript
public function Create(
   Width : int,
   Height : int
) : int;
Managed Extensions for C++
public: int Create(
   int Width,
   int Height
)
C++/CLI
public:
int Create(
   int Width,
   int Height
)

Parameters

Width
Height

Remarks

This method generates an error if Image object is a zone.

Use CreateBpp to create an image object for color or grayscale

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateBpp Method

[image]
ClearImage 8 Help
CreateBpp Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : CreateBpp Method

Width
Height
BitsPerPixel
Create an image (bpp = 1, 8, 24)

Syntax

Visual Basic (Declaration)
Public Function CreateBpp( _
   ByVal Width As Integer, _
   ByVal Height As Integer, _
   ByVal BitsPerPixel As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim Width As Integer
Dim Height As Integer
Dim BitsPerPixel As Integer
Dim value As Integer

value = instance.CreateBpp(Width, Height, BitsPerPixel)
C#
public int CreateBpp(
   int Width,
   int Height,
   int BitsPerPixel
)
Delphi
public function CreateBpp(
    Width: Integer;
    Height: Integer;
    BitsPerPixel: Integer
): Integer;
JScript
public function CreateBpp(
   Width : int,
   Height : int,
   BitsPerPixel : int
) : int;
Managed Extensions for C++
public: int CreateBpp(
   int Width,
   int Height,
   int BitsPerPixel
)
C++/CLI
public:
int CreateBpp(
   int Width,
   int Height,
   int BitsPerPixel
)

Parameters

Width
Height
BitsPerPixel

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateZone Method

[image]
ClearImage 8 Help
CreateZone Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : CreateZone Method

left
top
right
bottom
Create new Zone within image

Syntax

Visual Basic (Declaration)
Public Function CreateZone( _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal right As Integer, _
   ByVal bottom As Integer _
) As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim left As Integer
Dim top As Integer
Dim right As Integer
Dim bottom As Integer
Dim value As CiImage

value = instance.CreateZone(left, top, right, bottom)
C#
public CiImage CreateZone(
   int left,
   int top,
   int right,
   int bottom
)
Delphi
public function CreateZone(
    left: Integer;
    top: Integer;
    right: Integer;
    bottom: Integer
): CiImage;
JScript
public function CreateZone(
   left : int,
   top : int,
   right : int,
   bottom : int
) : CiImage;
Managed Extensions for C++
public: CiImage* CreateZone(
   int left,
   int top,
   int right,
   int bottom
)
C++/CLI
public:
CiImage^ CreateZone(
   int left,
   int top,
   int right,
   int bottom
)

Parameters

left
top
right
bottom

Remarks

The zone's rectangle object should have valid coordinates (right greater than left and bottom greater than top); otherwise the zone is considered empty (object.Zone.IsEmpty returns True.) Invocation of ClearImage methods with an empty zone will generate an error.

Cordinates are inclusive, meaning pixels belonging to left and top row, top and bottom columns beInt32 to a zone.
Minimum width and height of zone are 2 pixels.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateZoneRect Method

[image]
ClearImage 8 Help
CreateZoneRect Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : CreateZoneRect Method

Rect
Create new Zone within image

Syntax

Visual Basic (Declaration)
Public Function CreateZoneRect( _
   ByVal Rect As CiRect _
) As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim Rect As CiRect
Dim value As CiImage

value = instance.CreateZoneRect(Rect)
C#
public CiImage CreateZoneRect(
   CiRect Rect
)
Delphi
public function CreateZoneRect(
    Rect: CiRect
): CiImage;
JScript
public function CreateZoneRect(
   Rect : CiRect
) : CiImage;
Managed Extensions for C++
public: CiImage* CreateZoneRect(
   CiRect* Rect
)
C++/CLI
public:
CiImage^ CreateZoneRect(
   CiRect^ Rect
)

Parameters

Rect

Remarks

Cordinates are inclusive, meaning pixels belonging to left and top row, top and bottom columns beInt32 to a zone.
Minimum width and height of zone are 2 pixels.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Crop Method

[image]
ClearImage 8 Help
Crop Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Crop Method

left
top
right
bottom
Crop rectangle

Syntax

Visual Basic (Declaration)
Public Function Crop( _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal right As Integer, _
   ByVal bottom As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim left As Integer
Dim top As Integer
Dim right As Integer
Dim bottom As Integer
Dim value As Integer

value = instance.Crop(left, top, right, bottom)
C#
public int Crop(
   int left,
   int top,
   int right,
   int bottom
)
Delphi
public function Crop(
    left: Integer;
    top: Integer;
    right: Integer;
    bottom: Integer
): Integer;
JScript
public function Crop(
   left : int,
   top : int,
   right : int,
   bottom : int
) : int;
Managed Extensions for C++
public: int Crop(
   int left,
   int top,
   int right,
   int bottom
)
C++/CLI
public:
int Crop(
   int left,
   int top,
   int right,
   int bottom
)

Parameters

left
top
right
bottom

Remarks

Image is cropped to the size of cropping rectangle. left, top define upper left corner coordinates of cropping rectangle. right, bottom define lower right corner of cropping rectangle. The coordinates should be valid (right greater than left and bottom greater than top); otherwise error is generated.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Duplicate Method

[image]
ClearImage 8 Help
Duplicate Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Duplicate Method

Create a duplicate of this CiImage object

Syntax

Visual Basic (Declaration)
Public Function Duplicate() As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As CiImage

value = instance.Duplicate()
C#
public CiImage Duplicate()
Delphi
public function Duplicate(): CiImage;
JScript
public function Duplicate() : CiImage;
Managed Extensions for C++
public: CiImage* Duplicate();
C++/CLI
public:
CiImage^ Duplicate();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Flip Method

[image]
ClearImage 8 Help
Flip Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Flip Method

Rotate image upside down

Syntax

Visual Basic (Declaration)
Public Function Flip() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.Flip()
C#
public int Flip()
Delphi
public function Flip(): Integer;
JScript
public function Flip() : int;
Managed Extensions for C++
public: int Flip();
C++/CLI
public:
int Flip();

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FlipHorz Method

[image]
ClearImage 8 Help
FlipHorz Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : FlipHorz Method

Flip image around horizontal axis

Syntax

Visual Basic (Declaration)
Public Function FlipHorz() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.FlipHorz()
C#
public int FlipHorz()
Delphi
public function FlipHorz(): Integer;
JScript
public function FlipHorz() : int;
Managed Extensions for C++
public: int FlipHorz();
C++/CLI
public:
int FlipHorz();

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FlipVert Method

[image]
ClearImage 8 Help
FlipVert Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : FlipVert Method

Flip image around vertical axis

Syntax

Visual Basic (Declaration)
Public Function FlipVert() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.FlipVert()
C#
public int FlipVert()
Delphi
public function FlipVert(): Integer;
JScript
public function FlipVert() : int;
Managed Extensions for C++
public: int FlipVert();
C++/CLI
public:
int FlipVert();

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


GetBitmap Method

[image]
ClearImage 8 Help
GetBitmap Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : GetBitmap Method

Convert CiImage object to .NET Bitmap object.

Syntax

Visual Basic (Declaration)
Public Function GetBitmap() As Bitmap
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Bitmap

value = instance.GetBitmap()
C#
public Bitmap GetBitmap()
Delphi
public function GetBitmap(): Bitmap;
JScript
public function GetBitmap() : Bitmap;
Managed Extensions for C++
public: Bitmap* GetBitmap();
C++/CLI
public:
Bitmap^ GetBitmap();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Invert Method

[image]
ClearImage 8 Help
Invert Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Invert Method

Invert image pixels

Syntax

Visual Basic (Declaration)
Public Function Invert() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.Invert()
C#
public int Invert()
Delphi
public function Invert(): Integer;
JScript
public function Invert() : int;
Managed Extensions for C++
public: int Invert();
C++/CLI
public:
int Invert();

Remarks

For Color and Grayscale images, inversion means the 1's complement values are calculated for each byte of the image.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Open Method

[image]
ClearImage 8 Help
Open Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Open Method

Open image from Stream object using specified page.

Overload List

Overload | Description
Open(Stream,Int32) | Open image from Stream object using specified page.
Open(Bitmap) | Open image from .NET Bitmap object.
Open(String,Int32) | Create image from image file

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Open(Stream,Int32) Method

[image]
ClearImage 8 Help
Open(Stream,Int32) Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class > Open Method : Open(Stream,Int32) Method

stream
page
Open image from Stream object using specified page.

Syntax

Visual Basic (Declaration)
Public Overloads Function Open( _
   ByVal stream As Stream, _
   ByVal page As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim stream As Stream
Dim page As Integer
Dim value As Integer

value = instance.Open(stream, page)
C#
public int Open(
   Stream stream,
   int page
)
Delphi
public function Open(
    stream: Stream;
    page: Integer
): Integer;
JScript
public function Open(
   stream : Stream,
   page : int
) : int;
Managed Extensions for C++
public: int Open(
   Stream* stream,
   int page
)
C++/CLI
public:
int Open(
   Stream^ stream,
   int page
)

Parameters

stream
page

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Open(Bitmap) Method

[image]
ClearImage 8 Help
Open(Bitmap) Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class > Open Method : Open(Bitmap) Method

bmp
Open image from .NET Bitmap object.

Syntax

Visual Basic (Declaration)
Public Overloads Function Open( _
   ByVal bmp As Bitmap _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim bmp As Bitmap
Dim value As Integer

value = instance.Open(bmp)
C#
public int Open(
   Bitmap bmp
)
Delphi
public function Open(
    bmp: Bitmap
): Integer;
JScript
public function Open(
   bmp : Bitmap
) : int;
Managed Extensions for C++
public: int Open(
   Bitmap* bmp
)
C++/CLI
public:
int Open(
   Bitmap^ bmp
)

Parameters

bmp

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Open(String,Int32) Method

[image]
ClearImage 8 Help
Open(String,Int32) Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class > Open Method : Open(String,Int32) Method

FileName
PageNumber
.
Create image from image file

Syntax

Visual Basic (Declaration)
Public Overloads Function Open( _
   ByVal FileName As String, _
   ByVal PageNumber As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim FileName As String
Dim PageNumber As Integer
Dim value As Integer

value = instance.Open(FileName, PageNumber)
C#
public int Open(
   string FileName,
   int PageNumber
)
Delphi
public function Open(
    FileName: String;
    PageNumber: Integer
): Integer;
JScript
public function Open(
   FileName : String,
   PageNumber : int
) : int;
Managed Extensions for C++
public: int Open(
   string* FileName,
   int PageNumber
)
C++/CLI
public:
int Open(
   String^ FileName,
   int PageNumber
)

Parameters

FileName
PageNumber
.

Remarks

This method generates an error if Image object is a zone.

This method reads the following image file formats:

  • Bitonal: TIFF, PCX, BMP, PDF
  • Color and Grayscale: TIFF, BMP, PDF, WMF, JPEG, Targa, PCX, and PICT.

Multipage TIFF and PDF image files are supported. See EFileFormat for list of supported formats.
PDF read requires CiPdf license.

Additional formats might be supported. Review current specification at www.inliteresearch.com or contact technical support support@inliteresearch.com

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OpenFromBitmap Method

[image]
ClearImage 8 Help
OpenFromBitmap Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : OpenFromBitmap Method

hBitmap
Create image from Windows Bitmap

Syntax

Visual Basic (Declaration)
Public Function OpenFromBitmap( _
   ByVal hBitmap As IntPtr _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim hBitmap As IntPtr
Dim value As Integer

value = instance.OpenFromBitmap(hBitmap)
C#
public int OpenFromBitmap(
   IntPtr hBitmap
)
Delphi
public function OpenFromBitmap(
    hBitmap: IntPtr
): Integer;
JScript
public function OpenFromBitmap(
   hBitmap : IntPtr
) : int;
Managed Extensions for C++
public: int OpenFromBitmap(
   IntPtr hBitmap
)
C++/CLI
public:
int OpenFromBitmap(
   IntPtr hBitmap
)

Parameters

hBitmap

Remarks

This method generates an error if Image object is a zone.

hBitmap points either to a Windows Device Dependent Bitmap (DDB) or Device Independent Bitmap (DIB).

  • DDB should start with BITMAP structure.
  • DIB should start with BITMAPINFOHEADER structure.

hBitmap memory is not freed by this method. Use GlobalFree for DIB and DeleteObject for DDB to free memory.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OpenFromClipboard Method

[image]
ClearImage 8 Help
OpenFromClipboard Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : OpenFromClipboard Method

Create image from Clipboard

Syntax

Visual Basic (Declaration)
Public Function OpenFromClipboard() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.OpenFromClipboard()
C#
public int OpenFromClipboard()
Delphi
public function OpenFromClipboard(): Integer;
JScript
public function OpenFromClipboard() : int;
Managed Extensions for C++
public: int OpenFromClipboard();
C++/CLI
public:
int OpenFromClipboard();

Remarks

This method generates an error if Image object is a zone.

Clipboard must contain either a CF_BITMAP or a CF_DIB formatted image.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OpenPage Method

[image]
ClearImage 8 Help
OpenPage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : OpenPage Method

page

Syntax

Visual Basic (Declaration)
Public Function OpenPage( _
   ByVal page As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim page As Integer
Dim value As Integer

value = instance.OpenPage(page)
C#
public int OpenPage(
   int page
)
Delphi
public function OpenPage(
    page: Integer
): Integer;
JScript
public function OpenPage(
   page : int
) : int;
Managed Extensions for C++
public: int OpenPage(
   int page
)
C++/CLI
public:
int OpenPage(
   int page
)

Parameters

page

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RotateLeft Method

[image]
ClearImage 8 Help
RotateLeft Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : RotateLeft Method

Rotate image to the left

Syntax

Visual Basic (Declaration)
Public Function RotateLeft() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.RotateLeft()
C#
public int RotateLeft()
Delphi
public function RotateLeft(): Integer;
JScript
public function RotateLeft() : int;
Managed Extensions for C++
public: int RotateLeft();
C++/CLI
public:
int RotateLeft();

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RotateRight Method

[image]
ClearImage 8 Help
RotateRight Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : RotateRight Method

Rotate image to the right

Syntax

Visual Basic (Declaration)
Public Function RotateRight() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.RotateRight()
C#
public int RotateRight()
Delphi
public function RotateRight(): Integer;
JScript
public function RotateRight() : int;
Managed Extensions for C++
public: int RotateRight();
C++/CLI
public:
int RotateRight();

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Save Method

[image]
ClearImage 8 Help
Save Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Save Method

Save image into its image file

Syntax

Visual Basic (Declaration)
Public Function Save() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.Save()
C#
public int Save()
Delphi
public function Save(): Integer;
JScript
public function Save() : int;
Managed Extensions for C++
public: int Save();
C++/CLI
public:
int Save();

Remarks

This method generates an error if Image object is a zone.

Method saves image using format specified in Format property. Some formats are "read-only" and are not supported by this method.

Some formats use lossy compression. Therefore saving image in such format will modify saved image.
Amount of JPEG compression is controlled by JpegQuality parameter.

Not each format supports all CiImage. BitsPerPixel values. Image is converted to the nearest supported BPP prior to saving.
For example Bitonal image is converted to Grayscale prior to saving using JPEG format. Resulting file image might have blocking effect, typical for JPEG lossy compression.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


SaveAs Method

[image]
ClearImage 8 Help
SaveAs Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : SaveAs Method

FileName
Format
Save image in new file

Syntax

Visual Basic (Declaration)
Public Function SaveAs( _
   ByVal FileName As String, _
   ByVal Format As EFileFormat _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim FileName As String
Dim Format As EFileFormat
Dim value As Integer

value = instance.SaveAs(FileName, Format)
C#
public int SaveAs(
   string FileName,
   EFileFormat Format
)
Delphi
public function SaveAs(
    FileName: String;
    Format: EFileFormat
): Integer;
JScript
public function SaveAs(
   FileName : String,
   Format : EFileFormat
) : int;
Managed Extensions for C++
public: int SaveAs(
   string* FileName,
   EFileFormat Format
)
C++/CLI
public:
int SaveAs(
   String^ FileName,
   EFileFormat Format
)

Parameters

FileName
Format

Remarks

This method saves the following image file formats:

  • Bitonal: TIFF, PCX, BMP
  • Color and Grayscale: TIFF, BMP, WMF, JPEG, Targa, PCX, and PICT.

If Format=ciEXT, then the format is derived from file extension of the FileName parameter.

See EFileFormat for list of supported formats. Some formats are "read-only" and are not supported by this method.

Additional formats might be supported. Review current specification at www.inliteresearch.com or contact technical support support@inliteresearch.com

Some formats use lossy compression. Saving images with those compression methods will modify the saved image as compared to the original image. For JPEG, the amount of JPEG compression is controlled by the JpegQuality parameter.

Not all formats support the range of CiImage. BitsPerPixel values. Prior to being saved, the image is converted to the nearest supported BPP of that particular format. For example, a bitonal image is converted to Grayscale prior to saving as a JPEG format. The saved file image may show severe blocking effects, typical of JPEG. Similarly a Color or Grayscale image is converted to bitonal prior to being saved as a TIFF format.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


SaveToStream Method

[image]
ClearImage 8 Help
SaveToStream Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : SaveToStream Method

outFormat
Save image to a Stream object.

Syntax

Visual Basic (Declaration)
Public Function SaveToStream( _
   ByVal outFormat As EFileFormat _
) As MemoryStream
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim outFormat As EFileFormat
Dim value As MemoryStream

value = instance.SaveToStream(outFormat)
C#
public MemoryStream SaveToStream(
   EFileFormat outFormat
)
Delphi
public function SaveToStream(
    outFormat: EFileFormat
): MemoryStream;
JScript
public function SaveToStream(
   outFormat : EFileFormat
) : MemoryStream;
Managed Extensions for C++
public: MemoryStream* SaveToStream(
   EFileFormat outFormat
)
C++/CLI
public:
MemoryStream^ SaveToStream(
   EFileFormat outFormat
)

Parameters

outFormat

Remarks

Only one page is saved to stream.
To save multiple pages: SaveAs/Append to multi-page file. Create stream from file.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ToBitonal Method

[image]
ClearImage 8 Help
ToBitonal Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : ToBitonal Method

method ToBitonal

Syntax

Visual Basic (Declaration)
Public Function ToBitonal() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.ToBitonal()
C#
public int ToBitonal()
Delphi
public function ToBitonal(): Integer;
JScript
public function ToBitonal() : int;
Managed Extensions for C++
public: int ToBitonal();
C++/CLI
public:
int ToBitonal();

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ToGrayscale Method

[image]
ClearImage 8 Help
ToGrayscale Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : ToGrayscale Method

method ToGrayscale

Syntax

Visual Basic (Declaration)
Public Function ToGrayscale() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.ToGrayscale()
C#
public int ToGrayscale()
Delphi
public function ToGrayscale(): Integer;
JScript
public function ToGrayscale() : int;
Managed Extensions for C++
public: int ToGrayscale();
C++/CLI
public:
int ToGrayscale();

Remarks

This method generates an error if Image object is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiImage Class Properties

[image]
ClearImage 8 Help
CiImage Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiImage Class

For a list of all members of this type, see CiImage members.

Public Properties

 | Name | Description
public Property | BitsPerPixel | Number of bits to store each pixel
public Property | FileName | Image file name
public Property | Format | Image file format
public Property | Height | Image height in pixels
public Property | HorzDpi | Horizontal resolution in dots-per-inch
public Property | IsModified | Image was modified flag
public Property | IsValid | Image is opened
public Property | IsZone | Object represents a zone on another image
public Property | JpegQuality | Quality of Jpeg Compression 0-100
public Property | LineBytes | Image memory line width in bytes
public Property | PageCount | Number of pages in image file
public Property | PageNumber | Image page number in image file
public Property | Parent | Object containing image memory of this object
public Property | pComprBitonal | TIFF/PDF Compression to save Bitonal image
public Property | pComprColor | TIFF/PDF Compression to save Color/GS image
public Property | Pdf | property Pdf
public Property | VertDpi | Vertical resolution in dots-per-inch
public Property | Width | Image width in pixels
public Property | Zone | Current zone coordinates
Top

See Also

Reference

CiImage Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BitsPerPixel Property

[image]
ClearImage 8 Help
BitsPerPixel Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : BitsPerPixel Property

Number of bits to store each pixel

Syntax

Visual Basic (Declaration)
Public ReadOnly Property BitsPerPixel As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.BitsPerPixel
C#
public int BitsPerPixel {get;}
Delphi
public read-only property BitsPerPixel: Integer;
JScript
public function get BitsPerPixel : int
Managed Extensions for C++
public: __property int get_BitsPerPixel();
C++/CLI
public:
property int BitsPerPixel {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FileName Property

[image]
ClearImage 8 Help
FileName Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : FileName Property

Image file name

Syntax

Visual Basic (Declaration)
Public ReadOnly Property FileName As String
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As String

value = instance.FileName
C#
public string FileName {get;}
Delphi
public read-only property FileName: String;
JScript
public function get FileName : String
Managed Extensions for C++
public: __property string* get_FileName();
C++/CLI
public:
property String^ FileName {
   String^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Format Property

[image]
ClearImage 8 Help
Format Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Format Property

Image file format

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Format As EFileFormat
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As EFileFormat

value = instance.Format
C#
public EFileFormat Format {get;}
Delphi
public read-only property Format: EFileFormat;
JScript
public function get Format : EFileFormat
Managed Extensions for C++
public: __property EFileFormat get_Format();
C++/CLI
public:
property EFileFormat Format {
   EFileFormat get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Height Property

[image]
ClearImage 8 Help
Height Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Height Property

Image height in pixels

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Height As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.Height
C#
public int Height {get;}
Delphi
public read-only property Height: Integer;
JScript
public function get Height : int
Managed Extensions for C++
public: __property int get_Height();
C++/CLI
public:
property int Height {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


HorzDpi Property

[image]
ClearImage 8 Help
HorzDpi Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : HorzDpi Property

Horizontal resolution in dots-per-inch

Syntax

Visual Basic (Declaration)
Public Property HorzDpi As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

instance.HorzDpi = value

value = instance.HorzDpi
C#
public int HorzDpi {get; set;}
Delphi
public read-write property HorzDpi: Integer;
JScript
public function get,set HorzDpi : int
Managed Extensions for C++
public: __property int get_HorzDpi();
public: __property void set_HorzDpi(
   int value
);
C++/CLI
public:
property int HorzDpi {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsModified Property

[image]
ClearImage 8 Help
IsModified Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : IsModified Property

Image was modified flag

Syntax

Visual Basic (Declaration)
Public ReadOnly Property IsModified As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Boolean

value = instance.IsModified
C#
public bool IsModified {get;}
Delphi
public read-only property IsModified: Boolean;
JScript
public function get IsModified : boolean
Managed Extensions for C++
public: __property bool get_IsModified();
C++/CLI
public:
property bool IsModified {
   bool get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsValid Property

[image]
ClearImage 8 Help
IsValid Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : IsValid Property

Image is opened

Syntax

Visual Basic (Declaration)
Public ReadOnly Property IsValid As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Boolean

value = instance.IsValid
C#
public bool IsValid {get;}
Delphi
public read-only property IsValid: Boolean;
JScript
public function get IsValid : boolean
Managed Extensions for C++
public: __property bool get_IsValid();
C++/CLI
public:
property bool IsValid {
   bool get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsZone Property

[image]
ClearImage 8 Help
IsZone Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : IsZone Property

Object represents a zone on another image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property IsZone As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Boolean

value = instance.IsZone
C#
public bool IsZone {get;}
Delphi
public read-only property IsZone: Boolean;
JScript
public function get IsZone : boolean
Managed Extensions for C++
public: __property bool get_IsZone();
C++/CLI
public:
property bool IsZone {
   bool get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


JpegQuality Property

[image]
ClearImage 8 Help
JpegQuality Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : JpegQuality Property

Quality of Jpeg Compression 0-100

Syntax

Visual Basic (Declaration)
Public Property JpegQuality As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

instance.JpegQuality = value

value = instance.JpegQuality
C#
public int JpegQuality {get; set;}
Delphi
public read-write property JpegQuality: Integer;
JScript
public function get,set JpegQuality : int
Managed Extensions for C++
public: __property int get_JpegQuality();
public: __property void set_JpegQuality(
   int value
);
C++/CLI
public:
property int JpegQuality {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LineBytes Property

[image]
ClearImage 8 Help
LineBytes Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : LineBytes Property

Image memory line width in bytes

Syntax

Visual Basic (Declaration)
Public ReadOnly Property LineBytes As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.LineBytes
C#
public int LineBytes {get;}
Delphi
public read-only property LineBytes: Integer;
JScript
public function get LineBytes : int
Managed Extensions for C++
public: __property int get_LineBytes();
C++/CLI
public:
property int LineBytes {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PageCount Property

[image]
ClearImage 8 Help
PageCount Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : PageCount Property

Number of pages in image file

Syntax

Visual Basic (Declaration)
Public ReadOnly Property PageCount As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.PageCount
C#
public int PageCount {get;}
Delphi
public read-only property PageCount: Integer;
JScript
public function get PageCount : int
Managed Extensions for C++
public: __property int get_PageCount();
C++/CLI
public:
property int PageCount {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PageNumber Property

[image]
ClearImage 8 Help
PageNumber Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : PageNumber Property

Image page number in image file

Syntax

Visual Basic (Declaration)
Public ReadOnly Property PageNumber As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.PageNumber
C#
public int PageNumber {get;}
Delphi
public read-only property PageNumber: Integer;
JScript
public function get PageNumber : int
Managed Extensions for C++
public: __property int get_PageNumber();
C++/CLI
public:
property int PageNumber {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Parent Property

[image]
ClearImage 8 Help
Parent Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Parent Property

Object containing image memory of this object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Parent As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As CiImage

value = instance.Parent
C#
public CiImage Parent {get;}
Delphi
public read-only property Parent: CiImage;
JScript
public function get Parent : CiImage
Managed Extensions for C++
public: __property CiImage* get_Parent();
C++/CLI
public:
property CiImage^ Parent {
   CiImage^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pComprBitonal Property

[image]
ClearImage 8 Help
pComprBitonal Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : pComprBitonal Property

TIFF/PDF Compression to save Bitonal image

Syntax

Visual Basic (Declaration)
Public Property pComprBitonal As EComprBitonal
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As EComprBitonal

instance.pComprBitonal = value

value = instance.pComprBitonal
C#
public EComprBitonal pComprBitonal {get; set;}
Delphi
public read-write property pComprBitonal: EComprBitonal;
JScript
public function get,set pComprBitonal : EComprBitonal
Managed Extensions for C++
public: __property EComprBitonal get_pComprBitonal();
public: __property void set_pComprBitonal(
   EComprBitonal value
);
C++/CLI
public:
property EComprBitonal pComprBitonal {
   EComprBitonal get();
   void set (    EComprBitonal value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pComprColor Property

[image]
ClearImage 8 Help
pComprColor Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : pComprColor Property

TIFF/PDF Compression to save Color/GS image

Syntax

Visual Basic (Declaration)
Public Property pComprColor As EComprColor
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As EComprColor

instance.pComprColor = value

value = instance.pComprColor
C#
public EComprColor pComprColor {get; set;}
Delphi
public read-write property pComprColor: EComprColor;
JScript
public function get,set pComprColor : EComprColor
Managed Extensions for C++
public: __property EComprColor get_pComprColor();
public: __property void set_pComprColor(
   EComprColor value
);
C++/CLI
public:
property EComprColor pComprColor {
   EComprColor get();
   void set (    EComprColor value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Pdf Property

[image]
ClearImage 8 Help
Pdf Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Pdf Property

property Pdf

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Pdf As CiPdf
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As CiPdf

value = instance.Pdf
C#
public CiPdf Pdf {get;}
Delphi
public read-only property Pdf: CiPdf;
JScript
public function get Pdf : CiPdf
Managed Extensions for C++
public: __property CiPdf* get_Pdf();
C++/CLI
public:
property CiPdf^ Pdf {
   CiPdf^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


VertDpi Property

[image]
ClearImage 8 Help
VertDpi Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : VertDpi Property

Vertical resolution in dots-per-inch

Syntax

Visual Basic (Declaration)
Public Property VertDpi As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

instance.VertDpi = value

value = instance.VertDpi
C#
public int VertDpi {get; set;}
Delphi
public read-write property VertDpi: Integer;
JScript
public function get,set VertDpi : int
Managed Extensions for C++
public: __property int get_VertDpi();
public: __property void set_VertDpi(
   int value
);
C++/CLI
public:
property int VertDpi {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Width Property

[image]
ClearImage 8 Help
Width Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Width Property

Image width in pixels

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Width As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As Integer

value = instance.Width
C#
public int Width {get;}
Delphi
public read-only property Width: Integer;
JScript
public function get Width : int
Managed Extensions for C++
public: __property int get_Width();
C++/CLI
public:
property int Width {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Zone Property

[image]
ClearImage 8 Help
Zone Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiImage Class : Zone Property

Current zone coordinates

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Zone As CiRect
Visual Basic (Usage) Copy Code
Dim instance As CiImage
Dim value As CiRect

value = instance.Zone
C#
public CiRect Zone {get;}
Delphi
public read-only property Zone: CiRect;
JScript
public function get Zone : CiRect
Managed Extensions for C++
public: __property CiRect* get_Zone();
C++/CLI
public:
property CiRect^ Zone {
   CiRect^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiImage Class
CiImage Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiLine Class

[image]
ClearImage 8 Help
CiLine Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiLine Class

Line information object

Object Model

CiLine ClassCiPoint ClassCiRect ClassCiPoint Class

Syntax

Visual Basic (Declaration)
Public Class CiLine
Visual Basic (Usage) Copy Code
Dim instance As CiLine
C#
public class CiLine
Delphi
public class CiLine
JScript
public class CiLine
Managed Extensions for C++
public __gc class CiLine
C++/CLI
public ref class CiLine

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiLine Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiLine Class Members

[image]
ClearImage 8 Help
CiLine Class Members
See Also Properties Send Feedback
Inlite.ClearImage Namespace : CiLine Class

The following tables list the members exposed by CiLine.

Public Properties

 | Name | Description
public Property | Angle | Line angle
public Property | Direction | Line direction
public Property | End | Line end coordinates
public Property | Rect | Rectangle, encompassing line
public Property | Start | Line start coordinates
public Property | Thickness | Line thickness
Top

See Also

Reference

CiLine Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiLine Class Properties

[image]
ClearImage 8 Help
CiLine Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiLine Class

For a list of all members of this type, see CiLine members.

Public Properties

 | Name | Description
public Property | Angle | Line angle
public Property | Direction | Line direction
public Property | End | Line end coordinates
public Property | Rect | Rectangle, encompassing line
public Property | Start | Line start coordinates
public Property | Thickness | Line thickness
Top

See Also

Reference

CiLine Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Angle Property

[image]
ClearImage 8 Help
Angle Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiLine Class : Angle Property

Line angle

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Angle As Double
Visual Basic (Usage) Copy Code
Dim instance As CiLine
Dim value As Double

value = instance.Angle
C#
public double Angle {get;}
Delphi
public read-only property Angle: Double;
JScript
public function get Angle : double
Managed Extensions for C++
public: __property double get_Angle();
C++/CLI
public:
property double Angle {
   double get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiLine Class
CiLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Direction Property

[image]
ClearImage 8 Help
Direction Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiLine Class : Direction Property

Line direction

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Direction As ELineDirection
Visual Basic (Usage) Copy Code
Dim instance As CiLine
Dim value As ELineDirection

value = instance.Direction
C#
public ELineDirection Direction {get;}
Delphi
public read-only property Direction: ELineDirection;
JScript
public function get Direction : ELineDirection
Managed Extensions for C++
public: __property ELineDirection get_Direction();
C++/CLI
public:
property ELineDirection Direction {
   ELineDirection get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiLine Class
CiLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


End Property

[image]
ClearImage 8 Help
End Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiLine Class : End Property

Line end coordinates

Syntax

Visual Basic (Declaration)
Public ReadOnly Property End As CiPoint
Visual Basic (Usage) Copy Code
Dim instance As CiLine
Dim value As CiPoint

value = instance.End
C#
public CiPoint End {get;}
Delphi
public read-only property End: CiPoint;
JScript
public function get End : CiPoint
Managed Extensions for C++
public: __property CiPoint* get_End();
C++/CLI
public:
property CiPoint^ End {
   CiPoint^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiLine Class
CiLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rect Property

[image]
ClearImage 8 Help
Rect Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiLine Class : Rect Property

Rectangle, encompassing line

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rect As CiRect
Visual Basic (Usage) Copy Code
Dim instance As CiLine
Dim value As CiRect

value = instance.Rect
C#
public CiRect Rect {get;}
Delphi
public read-only property Rect: CiRect;
JScript
public function get Rect : CiRect
Managed Extensions for C++
public: __property CiRect* get_Rect();
C++/CLI
public:
property CiRect^ Rect {
   CiRect^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiLine Class
CiLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Start Property

[image]
ClearImage 8 Help
Start Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiLine Class : Start Property

Line start coordinates

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Start As CiPoint
Visual Basic (Usage) Copy Code
Dim instance As CiLine
Dim value As CiPoint

value = instance.Start
C#
public CiPoint Start {get;}
Delphi
public read-only property Start: CiPoint;
JScript
public function get Start : CiPoint
Managed Extensions for C++
public: __property CiPoint* get_Start();
C++/CLI
public:
property CiPoint^ Start {
   CiPoint^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiLine Class
CiLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Thickness Property

[image]
ClearImage 8 Help
Thickness Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiLine Class : Thickness Property

Line thickness

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Thickness As Double
Visual Basic (Usage) Copy Code
Dim instance As CiLine
Dim value As Double

value = instance.Thickness
C#
public double Thickness {get;}
Delphi
public read-only property Thickness: Double;
JScript
public function get Thickness : double
Managed Extensions for C++
public: __property double get_Thickness();
C++/CLI
public:
property double Thickness {
   double get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiLine Class
CiLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiObject Class

[image]
ClearImage 8 Help
CiObject Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiObject Class

Object information object An Object is a portion of the image comprised of adjacent connected pixels.

Object Model

CiObject ClassCiRect Class

Syntax

Visual Basic (Declaration)
Public Class CiObject
Visual Basic (Usage) Copy Code
Dim instance As CiObject
C#
public class CiObject
Delphi
public class CiObject
JScript
public class CiObject
Managed Extensions for C++
public __gc class CiObject
C++/CLI
public ref class CiObject

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiObject Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiObject Class Members

[image]
ClearImage 8 Help
CiObject Class Members
See Also Properties Send Feedback
Inlite.ClearImage Namespace : CiObject Class

The following tables list the members exposed by CiObject.

Public Properties

 | Name | Description
public Property | Intervals | Intervals in object Interval is a portion of an image line composed of adjacent connected pixels.
public Property | Pixels | Pixels in object
public Property | Rect | Rectangle, encompassing object
Top

See Also

Reference

CiObject Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiObject Class Properties

[image]
ClearImage 8 Help
CiObject Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiObject Class

For a list of all members of this type, see CiObject members.

Public Properties

 | Name | Description
public Property | Intervals | Intervals in object Interval is a portion of an image line composed of adjacent connected pixels.
public Property | Pixels | Pixels in object
public Property | Rect | Rectangle, encompassing object
Top

See Also

Reference

CiObject Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Intervals Property

[image]
ClearImage 8 Help
Intervals Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiObject Class : Intervals Property

Intervals in object Interval is a portion of an image line composed of adjacent connected pixels.

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Intervals As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiObject
Dim value As Integer

value = instance.Intervals
C#
public int Intervals {get;}
Delphi
public read-only property Intervals: Integer;
JScript
public function get Intervals : int
Managed Extensions for C++
public: __property int get_Intervals();
C++/CLI
public:
property int Intervals {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiObject Class
CiObject Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Pixels Property

[image]
ClearImage 8 Help
Pixels Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiObject Class : Pixels Property

Pixels in object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Pixels As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiObject
Dim value As Integer

value = instance.Pixels
C#
public int Pixels {get;}
Delphi
public read-only property Pixels: Integer;
JScript
public function get Pixels : int
Managed Extensions for C++
public: __property int get_Pixels();
C++/CLI
public:
property int Pixels {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiObject Class
CiObject Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rect Property

[image]
ClearImage 8 Help
Rect Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiObject Class : Rect Property

Rectangle, encompassing object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rect As CiRect
Visual Basic (Usage) Copy Code
Dim instance As CiObject
Dim value As CiRect

value = instance.Rect
C#
public CiRect Rect {get;}
Delphi
public read-only property Rect: CiRect;
JScript
public function get Rect : CiRect
Managed Extensions for C++
public: __property CiRect* get_Rect();
C++/CLI
public:
property CiRect^ Rect {
   CiRect^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiObject Class
CiObject Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPdf Class

[image]
ClearImage 8 Help
CiPdf Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiPdf Class

Pdf Read/Write configuration Class

Object Model

CiPdf Class

Syntax

Visual Basic (Declaration)
Public Class CiPdf
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
C#
public class CiPdf
Delphi
public class CiPdf
JScript
public class CiPdf
Managed Extensions for C++
public __gc class CiPdf
C++/CLI
public ref class CiPdf

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPdf Class Members

[image]
ClearImage 8 Help
CiPdf Class Members
See Also Properties Send Feedback
Inlite.ClearImage Namespace : CiPdf Class

The following tables list the members exposed by CiPdf.

Public Properties

 | Name | Description
public Property | Author | property Author
public Property | CreationDate | property CreationDate
public Property | Creator | property Creator
public Property | dpiRasterBw | DPI used to rasterize as BW
public Property | dpiRasterGs | DPI used to rasterize as GS
public Property | dpiRasterRgb | DPI used to rasterize as Color
public Property | Keywords | property Keywords
public Property | minImageHeight | Minimum height of embeded images
public Property | minImageWidth | Minimum width of embeded images
public Property | ModDate | property ModDate
public Property | Producer | property Producer
public Property | rasterColorMode | Rasterize as BW, GS or Color
public Property | readMode | Open embeded images or rasterized pages
public Property | Subject | property Subject
public Property | Title | property Title
public Property | useMinImageColors | Minimize color of embeded images
Top

See Also

Reference

CiPdf Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPdf Class Properties

[image]
ClearImage 8 Help
CiPdf Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiPdf Class

For a list of all members of this type, see CiPdf members.

Public Properties

 | Name | Description
public Property | Author | property Author
public Property | CreationDate | property CreationDate
public Property | Creator | property Creator
public Property | dpiRasterBw | DPI used to rasterize as BW
public Property | dpiRasterGs | DPI used to rasterize as GS
public Property | dpiRasterRgb | DPI used to rasterize as Color
public Property | Keywords | property Keywords
public Property | minImageHeight | Minimum height of embeded images
public Property | minImageWidth | Minimum width of embeded images
public Property | ModDate | property ModDate
public Property | Producer | property Producer
public Property | rasterColorMode | Rasterize as BW, GS or Color
public Property | readMode | Open embeded images or rasterized pages
public Property | Subject | property Subject
public Property | Title | property Title
public Property | useMinImageColors | Minimize color of embeded images
Top

See Also

Reference

CiPdf Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Author Property

[image]
ClearImage 8 Help
Author Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : Author Property

property Author

Syntax

Visual Basic (Declaration)
Public Property Author As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.Author = value

value = instance.Author
C#
public string Author {get; set;}
Delphi
public read-write property Author: String;
JScript
public function get,set Author : String
Managed Extensions for C++
public: __property string* get_Author();
public: __property void set_Author(
   string* value
);
C++/CLI
public:
property String^ Author {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreationDate Property

[image]
ClearImage 8 Help
CreationDate Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : CreationDate Property

property CreationDate

Syntax

Visual Basic (Declaration)
Public Property CreationDate As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.CreationDate = value

value = instance.CreationDate
C#
public string CreationDate {get; set;}
Delphi
public read-write property CreationDate: String;
JScript
public function get,set CreationDate : String
Managed Extensions for C++
public: __property string* get_CreationDate();
public: __property void set_CreationDate(
   string* value
);
C++/CLI
public:
property String^ CreationDate {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Creator Property

[image]
ClearImage 8 Help
Creator Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : Creator Property

property Creator

Syntax

Visual Basic (Declaration)
Public Property Creator As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.Creator = value

value = instance.Creator
C#
public string Creator {get; set;}
Delphi
public read-write property Creator: String;
JScript
public function get,set Creator : String
Managed Extensions for C++
public: __property string* get_Creator();
public: __property void set_Creator(
   string* value
);
C++/CLI
public:
property String^ Creator {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


dpiRasterBw Property

[image]
ClearImage 8 Help
dpiRasterBw Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : dpiRasterBw Property

DPI used to rasterize as BW

Syntax

Visual Basic (Declaration)
Public Property dpiRasterBw As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As Integer

instance.dpiRasterBw = value

value = instance.dpiRasterBw
C#
public int dpiRasterBw {get; set;}
Delphi
public read-write property dpiRasterBw: Integer;
JScript
public function get,set dpiRasterBw : int
Managed Extensions for C++
public: __property int get_dpiRasterBw();
public: __property void set_dpiRasterBw(
   int value
);
C++/CLI
public:
property int dpiRasterBw {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


dpiRasterGs Property

[image]
ClearImage 8 Help
dpiRasterGs Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : dpiRasterGs Property

DPI used to rasterize as GS

Syntax

Visual Basic (Declaration)
Public Property dpiRasterGs As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As Integer

instance.dpiRasterGs = value

value = instance.dpiRasterGs
C#
public int dpiRasterGs {get; set;}
Delphi
public read-write property dpiRasterGs: Integer;
JScript
public function get,set dpiRasterGs : int
Managed Extensions for C++
public: __property int get_dpiRasterGs();
public: __property void set_dpiRasterGs(
   int value
);
C++/CLI
public:
property int dpiRasterGs {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


dpiRasterRgb Property

[image]
ClearImage 8 Help
dpiRasterRgb Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : dpiRasterRgb Property

DPI used to rasterize as Color

Syntax

Visual Basic (Declaration)
Public Property dpiRasterRgb As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As Integer

instance.dpiRasterRgb = value

value = instance.dpiRasterRgb
C#
public int dpiRasterRgb {get; set;}
Delphi
public read-write property dpiRasterRgb: Integer;
JScript
public function get,set dpiRasterRgb : int
Managed Extensions for C++
public: __property int get_dpiRasterRgb();
public: __property void set_dpiRasterRgb(
   int value
);
C++/CLI
public:
property int dpiRasterRgb {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Keywords Property

[image]
ClearImage 8 Help
Keywords Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : Keywords Property

property Keywords

Syntax

Visual Basic (Declaration)
Public Property Keywords As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.Keywords = value

value = instance.Keywords
C#
public string Keywords {get; set;}
Delphi
public read-write property Keywords: String;
JScript
public function get,set Keywords : String
Managed Extensions for C++
public: __property string* get_Keywords();
public: __property void set_Keywords(
   string* value
);
C++/CLI
public:
property String^ Keywords {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


minImageHeight Property

[image]
ClearImage 8 Help
minImageHeight Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : minImageHeight Property

Minimum height of embeded images

Syntax

Visual Basic (Declaration)
Public Property minImageHeight As Double
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As Double

instance.minImageHeight = value

value = instance.minImageHeight
C#
public double minImageHeight {get; set;}
Delphi
public read-write property minImageHeight: Double;
JScript
public function get,set minImageHeight : double
Managed Extensions for C++
public: __property double get_minImageHeight();
public: __property void set_minImageHeight(
   double value
);
C++/CLI
public:
property double minImageHeight {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


minImageWidth Property

[image]
ClearImage 8 Help
minImageWidth Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : minImageWidth Property

Minimum width of embeded images

Syntax

Visual Basic (Declaration)
Public Property minImageWidth As Double
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As Double

instance.minImageWidth = value

value = instance.minImageWidth
C#
public double minImageWidth {get; set;}
Delphi
public read-write property minImageWidth: Double;
JScript
public function get,set minImageWidth : double
Managed Extensions for C++
public: __property double get_minImageWidth();
public: __property void set_minImageWidth(
   double value
);
C++/CLI
public:
property double minImageWidth {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ModDate Property

[image]
ClearImage 8 Help
ModDate Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : ModDate Property

property ModDate

Syntax

Visual Basic (Declaration)
Public Property ModDate As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.ModDate = value

value = instance.ModDate
C#
public string ModDate {get; set;}
Delphi
public read-write property ModDate: String;
JScript
public function get,set ModDate : String
Managed Extensions for C++
public: __property string* get_ModDate();
public: __property void set_ModDate(
   string* value
);
C++/CLI
public:
property String^ ModDate {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Producer Property

[image]
ClearImage 8 Help
Producer Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : Producer Property

property Producer

Syntax

Visual Basic (Declaration)
Public Property Producer As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.Producer = value

value = instance.Producer
C#
public string Producer {get; set;}
Delphi
public read-write property Producer: String;
JScript
public function get,set Producer : String
Managed Extensions for C++
public: __property string* get_Producer();
public: __property void set_Producer(
   string* value
);
C++/CLI
public:
property String^ Producer {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


rasterColorMode Property

[image]
ClearImage 8 Help
rasterColorMode Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : rasterColorMode Property

Rasterize as BW, GS or Color

Syntax

Visual Basic (Declaration)
Public Property rasterColorMode As EPdfRasterColorMode
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As EPdfRasterColorMode

instance.rasterColorMode = value

value = instance.rasterColorMode
C#
public EPdfRasterColorMode rasterColorMode {get; set;}
Delphi
public read-write property rasterColorMode: EPdfRasterColorMode;
JScript
public function get,set rasterColorMode : EPdfRasterColorMode
Managed Extensions for C++
public: __property EPdfRasterColorMode get_rasterColorMode();
public: __property void set_rasterColorMode(
   EPdfRasterColorMode value
);
C++/CLI
public:
property EPdfRasterColorMode rasterColorMode {
   EPdfRasterColorMode get();
   void set (    EPdfRasterColorMode value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


readMode Property

[image]
ClearImage 8 Help
readMode Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : readMode Property

Open embeded images or rasterized pages

Syntax

Visual Basic (Declaration)
Public Property readMode As EPdfReadMode
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As EPdfReadMode

instance.readMode = value

value = instance.readMode
C#
public EPdfReadMode readMode {get; set;}
Delphi
public read-write property readMode: EPdfReadMode;
JScript
public function get,set readMode : EPdfReadMode
Managed Extensions for C++
public: __property EPdfReadMode get_readMode();
public: __property void set_readMode(
   EPdfReadMode value
);
C++/CLI
public:
property EPdfReadMode readMode {
   EPdfReadMode get();
   void set (    EPdfReadMode value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Subject Property

[image]
ClearImage 8 Help
Subject Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : Subject Property

property Subject

Syntax

Visual Basic (Declaration)
Public Property Subject As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.Subject = value

value = instance.Subject
C#
public string Subject {get; set;}
Delphi
public read-write property Subject: String;
JScript
public function get,set Subject : String
Managed Extensions for C++
public: __property string* get_Subject();
public: __property void set_Subject(
   string* value
);
C++/CLI
public:
property String^ Subject {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Title Property

[image]
ClearImage 8 Help
Title Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : Title Property

property Title

Syntax

Visual Basic (Declaration)
Public Property Title As String
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As String

instance.Title = value

value = instance.Title
C#
public string Title {get; set;}
Delphi
public read-write property Title: String;
JScript
public function get,set Title : String
Managed Extensions for C++
public: __property string* get_Title();
public: __property void set_Title(
   string* value
);
C++/CLI
public:
property String^ Title {
   String^ get();
   void set (    String^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


useMinImageColors Property

[image]
ClearImage 8 Help
useMinImageColors Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf Class : useMinImageColors Property

Minimize color of embeded images

Syntax

Visual Basic (Declaration)
Public Property useMinImageColors As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiPdf
Dim value As Integer

instance.useMinImageColors = value

value = instance.useMinImageColors
C#
public int useMinImageColors {get; set;}
Delphi
public read-write property useMinImageColors: Integer;
JScript
public function get,set useMinImageColors : int
Managed Extensions for C++
public: __property int get_useMinImageColors();
public: __property void set_useMinImageColors(
   int value
);
C++/CLI
public:
property int useMinImageColors {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf Class
CiPdf Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPdf417 Class

[image]
ClearImage 8 Help
CiPdf417 Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiPdf417 Class

PDF417 barcodes recognition object

Object Model

CiPdf417 ClassCiBarcodes ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class CiPdf417
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
C#
public class CiPdf417
Delphi
public class CiPdf417
JScript
public class CiPdf417
Managed Extensions for C++
public __gc class CiPdf417
C++/CLI
public ref class CiPdf417

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPdf417 Class Members

[image]
ClearImage 8 Help
CiPdf417 Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiPdf417 Class

The following tables list the members exposed by CiPdf417.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | Barcodes | property Barcodes
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Directions of barcodes to recognize
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
Top

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiPdf417 Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPdf417 Class Methods

[image]
ClearImage 8 Help
CiPdf417 Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiPdf417 Class

For a list of all members of this type, see CiPdf417 members.

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiPdf417 Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Find Method

[image]
ClearImage 8 Help
Find Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : Find Method

MaxBarcodes
Find multiple barcodes

Syntax

Visual Basic (Declaration)
Public Function Find( _
   ByVal MaxBarcodes As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim MaxBarcodes As Integer
Dim value As Integer

value = instance.Find(MaxBarcodes)
C#
public int Find(
   int MaxBarcodes
)
Delphi
public function Find(
    MaxBarcodes: Integer
): Integer;
JScript
public function Find(
   MaxBarcodes : int
) : int;
Managed Extensions for C++
public: int Find(
   int MaxBarcodes
)
C++/CLI
public:
int Find(
   int MaxBarcodes
)

Parameters

MaxBarcodes

Remarks

Method puts Barcode objects in Barcodescollection.

MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

[image]
ClearImage 8 Help
FirstBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : FirstBarcode Method

Find first barcode

Syntax

Visual Basic (Declaration)
Public Function FirstBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As CiBarcode

value = instance.FirstBarcode()
C#
public CiBarcode FirstBarcode()
Delphi
public function FirstBarcode(): CiBarcode;
JScript
public function FirstBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* FirstBarcode();
C++/CLI
public:
CiBarcode^ FirstBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

[image]
ClearImage 8 Help
NextBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : NextBarcode Method

Find another barcode

Syntax

Visual Basic (Declaration)
Public Function NextBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As CiBarcode

value = instance.NextBarcode()
C#
public CiBarcode NextBarcode()
Delphi
public function NextBarcode(): CiBarcode;
JScript
public function NextBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* NextBarcode();
C++/CLI
public:
CiBarcode^ NextBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPdf417 Class Properties

[image]
ClearImage 8 Help
CiPdf417 Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiPdf417 Class

For a list of all members of this type, see CiPdf417 members.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | Barcodes | property Barcodes
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Directions of barcodes to recognize
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
Top

See Also

Reference

CiPdf417 Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

[image]
ClearImage 8 Help
Algorithm Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : Algorithm Property

Quality of barcode image

Syntax

Visual Basic (Declaration)
Public Property Algorithm As EBarcodeAlgorithm
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As EBarcodeAlgorithm

instance.Algorithm = value

value = instance.Algorithm
C#
public EBarcodeAlgorithm Algorithm {get; set;}
Delphi
public read-write property Algorithm: EBarcodeAlgorithm;
JScript
public function get,set Algorithm : EBarcodeAlgorithm
Managed Extensions for C++
public: __property EBarcodeAlgorithm get_Algorithm();
public: __property void set_Algorithm(
   EBarcodeAlgorithm value
);
C++/CLI
public:
property EBarcodeAlgorithm Algorithm {
   EBarcodeAlgorithm get();
   void set (    EBarcodeAlgorithm value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

[image]
ClearImage 8 Help
Barcodes Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : Barcodes Property

property Barcodes

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Barcodes As CiBarcodes
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As CiBarcodes

value = instance.Barcodes
C#
public CiBarcodes Barcodes {get;}
Delphi
public read-only property Barcodes: CiBarcodes;
JScript
public function get Barcodes : CiBarcodes
Managed Extensions for C++
public: __property CiBarcodes* get_Barcodes();
C++/CLI
public:
property CiBarcodes^ Barcodes {
   CiBarcodes^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

[image]
ClearImage 8 Help
DiagFlags Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : DiagFlags Property

Barcode diagnostic flags

Syntax

Visual Basic (Declaration)
Public Property DiagFlags As FBarcodeDiag
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As FBarcodeDiag

instance.DiagFlags = value

value = instance.DiagFlags
C#
public FBarcodeDiag DiagFlags {get; set;}
Delphi
public read-write property DiagFlags: FBarcodeDiag;
JScript
public function get,set DiagFlags : FBarcodeDiag
Managed Extensions for C++
public: __property FBarcodeDiag get_DiagFlags();
public: __property void set_DiagFlags(
   FBarcodeDiag value
);
C++/CLI
public:
property FBarcodeDiag DiagFlags {
   FBarcodeDiag get();
   void set (    FBarcodeDiag value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Directions Property

[image]
ClearImage 8 Help
Directions Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : Directions Property

Directions of barcodes to recognize

Syntax

Visual Basic (Declaration)
Public Property Directions As FBarcodeDirections
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As FBarcodeDirections

instance.Directions = value

value = instance.Directions
C#
public FBarcodeDirections Directions {get; set;}
Delphi
public read-write property Directions: FBarcodeDirections;
JScript
public function get,set Directions : FBarcodeDirections
Managed Extensions for C++
public: __property FBarcodeDirections get_Directions();
public: __property void set_Directions(
   FBarcodeDirections value
);
C++/CLI
public:
property FBarcodeDirections Directions {
   FBarcodeDirections get();
   void set (    FBarcodeDirections value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Encodings Property

[image]
ClearImage 8 Help
Encodings Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : Encodings Property

Enable/disable barcode encoding analysis

Syntax

Visual Basic (Declaration)
Public Property Encodings As EBarcodeEncoding
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As EBarcodeEncoding

instance.Encodings = value

value = instance.Encodings
C#
public EBarcodeEncoding Encodings {get; set;}
Delphi
public read-write property Encodings: EBarcodeEncoding;
JScript
public function get,set Encodings : EBarcodeEncoding
Managed Extensions for C++
public: __property EBarcodeEncoding get_Encodings();
public: __property void set_Encodings(
   EBarcodeEncoding value
);
C++/CLI
public:
property EBarcodeEncoding Encodings {
   EBarcodeEncoding get();
   void set (    EBarcodeEncoding value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPdf417 Class : Image Property

Image as CiImage object

Syntax

Visual Basic (Declaration)
Public Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiPdf417
Dim value As CiImage

instance.Image = value

value = instance.Image
C#
public CiImage Image {get; set;}
Delphi
public read-write property Image: CiImage;
JScript
public function get,set Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
public: __property void set_Image(
   CiImage* value
);
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
   void set (    CiImage^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPdf417 Class
CiPdf417 Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPoint Class

[image]
ClearImage 8 Help
CiPoint Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiPoint Class

Point-on-image object

Object Model

CiPoint Class

Syntax

Visual Basic (Declaration)
Public Class CiPoint
Visual Basic (Usage) Copy Code
Dim instance As CiPoint
C#
public class CiPoint
Delphi
public class CiPoint
JScript
public class CiPoint
Managed Extensions for C++
public __gc class CiPoint
C++/CLI
public ref class CiPoint

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPoint Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPoint Class Members

[image]
ClearImage 8 Help
CiPoint Class Members
See Also Properties Send Feedback
Inlite.ClearImage Namespace : CiPoint Class

The following tables list the members exposed by CiPoint.

Public Properties

 | Name | Description
public Property | x | The horizontal coordinate for this point
public Property | y | The vertical coordinate for this point
Top

See Also

Reference

CiPoint Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiPoint Class Properties

[image]
ClearImage 8 Help
CiPoint Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiPoint Class

For a list of all members of this type, see CiPoint members.

Public Properties

 | Name | Description
public Property | x | The horizontal coordinate for this point
public Property | y | The vertical coordinate for this point
Top

See Also

Reference

CiPoint Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


x Property

[image]
ClearImage 8 Help
x Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPoint Class : x Property

The horizontal coordinate for this point

Syntax

Visual Basic (Declaration)
Public Property x As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiPoint
Dim value As Integer

instance.x = value

value = instance.x
C#
public int x {get; set;}
Delphi
public read-write property x: Integer;
JScript
public function get,set x : int
Managed Extensions for C++
public: __property int get_x();
public: __property void set_x(
   int value
);
C++/CLI
public:
property int x {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPoint Class
CiPoint Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


y Property

[image]
ClearImage 8 Help
y Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiPoint Class : y Property

The vertical coordinate for this point

Syntax

Visual Basic (Declaration)
Public Property y As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiPoint
Dim value As Integer

instance.y = value

value = instance.y
C#
public int y {get; set;}
Delphi
public read-write property y: Integer;
JScript
public function get,set y : int
Managed Extensions for C++
public: __property int get_y();
public: __property void set_y(
   int value
);
C++/CLI
public:
property int y {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiPoint Class
CiPoint Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiQR Class

[image]
ClearImage 8 Help
CiQR Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiQR Class

QR barcodes recognition object

Object Model

CiQR ClassCiBarcodes ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class CiQR
Visual Basic (Usage) Copy Code
Dim instance As CiQR
C#
public class CiQR
Delphi
public class CiQR
JScript
public class CiQR
Managed Extensions for C++
public __gc class CiQR
C++/CLI
public ref class CiQR

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiQR Class Members

[image]
ClearImage 8 Help
CiQR Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiQR Class

The following tables list the members exposed by CiQR.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | Barcodes | property Barcodes
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Barcode diagnostic flags
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
Top

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiQR Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiQR Class Methods

[image]
ClearImage 8 Help
CiQR Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiQR Class

For a list of all members of this type, see CiQR members.

Public Methods

 | Name | Description
public Method | Find | Find multiple barcodes
public Method | FirstBarcode | Find first barcode
public Method | NextBarcode | Find another barcode
Top

See Also

Reference

CiQR Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Find Method

[image]
ClearImage 8 Help
Find Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : Find Method

MaxBarcodes
Find multiple barcodes

Syntax

Visual Basic (Declaration)
Public Function Find( _
   ByVal MaxBarcodes As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim MaxBarcodes As Integer
Dim value As Integer

value = instance.Find(MaxBarcodes)
C#
public int Find(
   int MaxBarcodes
)
Delphi
public function Find(
    MaxBarcodes: Integer
): Integer;
JScript
public function Find(
   MaxBarcodes : int
) : int;
Managed Extensions for C++
public: int Find(
   int MaxBarcodes
)
C++/CLI
public:
int Find(
   int MaxBarcodes
)

Parameters

MaxBarcodes

Remarks

Method puts Barcode objects in Barcodescollection.

MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

[image]
ClearImage 8 Help
FirstBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : FirstBarcode Method

Find first barcode

Syntax

Visual Basic (Declaration)
Public Function FirstBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As CiBarcode

value = instance.FirstBarcode()
C#
public CiBarcode FirstBarcode()
Delphi
public function FirstBarcode(): CiBarcode;
JScript
public function FirstBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* FirstBarcode();
C++/CLI
public:
CiBarcode^ FirstBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

[image]
ClearImage 8 Help
NextBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : NextBarcode Method

Find another barcode

Syntax

Visual Basic (Declaration)
Public Function NextBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As CiBarcode

value = instance.NextBarcode()
C#
public CiBarcode NextBarcode()
Delphi
public function NextBarcode(): CiBarcode;
JScript
public function NextBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* NextBarcode();
C++/CLI
public:
CiBarcode^ NextBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiQR Class Properties

[image]
ClearImage 8 Help
CiQR Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiQR Class

For a list of all members of this type, see CiQR members.

Public Properties

 | Name | Description
public Property | Algorithm | Quality of barcode image
public Property | Barcodes | property Barcodes
public Property | DiagFlags | Barcode diagnostic flags
public Property | Directions | Barcode diagnostic flags
public Property | Encodings | Enable/disable barcode encoding analysis
public Property | Image | Image as CiImage object
Top

See Also

Reference

CiQR Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

[image]
ClearImage 8 Help
Algorithm Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : Algorithm Property

Quality of barcode image

Syntax

Visual Basic (Declaration)
Public Property Algorithm As EBarcodeAlgorithm
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As EBarcodeAlgorithm

instance.Algorithm = value

value = instance.Algorithm
C#
public EBarcodeAlgorithm Algorithm {get; set;}
Delphi
public read-write property Algorithm: EBarcodeAlgorithm;
JScript
public function get,set Algorithm : EBarcodeAlgorithm
Managed Extensions for C++
public: __property EBarcodeAlgorithm get_Algorithm();
public: __property void set_Algorithm(
   EBarcodeAlgorithm value
);
C++/CLI
public:
property EBarcodeAlgorithm Algorithm {
   EBarcodeAlgorithm get();
   void set (    EBarcodeAlgorithm value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

[image]
ClearImage 8 Help
Barcodes Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : Barcodes Property

property Barcodes

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Barcodes As CiBarcodes
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As CiBarcodes

value = instance.Barcodes
C#
public CiBarcodes Barcodes {get;}
Delphi
public read-only property Barcodes: CiBarcodes;
JScript
public function get Barcodes : CiBarcodes
Managed Extensions for C++
public: __property CiBarcodes* get_Barcodes();
C++/CLI
public:
property CiBarcodes^ Barcodes {
   CiBarcodes^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

[image]
ClearImage 8 Help
DiagFlags Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : DiagFlags Property

Barcode diagnostic flags

Syntax

Visual Basic (Declaration)
Public Property DiagFlags As FBarcodeDiag
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As FBarcodeDiag

instance.DiagFlags = value

value = instance.DiagFlags
C#
public FBarcodeDiag DiagFlags {get; set;}
Delphi
public read-write property DiagFlags: FBarcodeDiag;
JScript
public function get,set DiagFlags : FBarcodeDiag
Managed Extensions for C++
public: __property FBarcodeDiag get_DiagFlags();
public: __property void set_DiagFlags(
   FBarcodeDiag value
);
C++/CLI
public:
property FBarcodeDiag DiagFlags {
   FBarcodeDiag get();
   void set (    FBarcodeDiag value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Directions Property

[image]
ClearImage 8 Help
Directions Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : Directions Property

Barcode diagnostic flags

Syntax

Visual Basic (Declaration)
Public Property Directions As FBarcodeDirections
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As FBarcodeDirections

instance.Directions = value

value = instance.Directions
C#
public FBarcodeDirections Directions {get; set;}
Delphi
public read-write property Directions: FBarcodeDirections;
JScript
public function get,set Directions : FBarcodeDirections
Managed Extensions for C++
public: __property FBarcodeDirections get_Directions();
public: __property void set_Directions(
   FBarcodeDirections value
);
C++/CLI
public:
property FBarcodeDirections Directions {
   FBarcodeDirections get();
   void set (    FBarcodeDirections value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Encodings Property

[image]
ClearImage 8 Help
Encodings Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : Encodings Property

Enable/disable barcode encoding analysis

Syntax

Visual Basic (Declaration)
Public Property Encodings As EBarcodeEncoding
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As EBarcodeEncoding

instance.Encodings = value

value = instance.Encodings
C#
public EBarcodeEncoding Encodings {get; set;}
Delphi
public read-write property Encodings: EBarcodeEncoding;
JScript
public function get,set Encodings : EBarcodeEncoding
Managed Extensions for C++
public: __property EBarcodeEncoding get_Encodings();
public: __property void set_Encodings(
   EBarcodeEncoding value
);
C++/CLI
public:
property EBarcodeEncoding Encodings {
   EBarcodeEncoding get();
   void set (    EBarcodeEncoding value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiQR Class : Image Property

Image as CiImage object

Syntax

Visual Basic (Declaration)
Public Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiQR
Dim value As CiImage

instance.Image = value

value = instance.Image
C#
public CiImage Image {get; set;}
Delphi
public read-write property Image: CiImage;
JScript
public function get,set Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
public: __property void set_Image(
   CiImage* value
);
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
   void set (    CiImage^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiQR Class
CiQR Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRect Class

[image]
ClearImage 8 Help
CiRect Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiRect Class

Rectangle on image object

Object Model

CiRect Class

Syntax

Visual Basic (Declaration)
Public Class CiRect
Visual Basic (Usage) Copy Code
Dim instance As CiRect
C#
public class CiRect
Delphi
public class CiRect
JScript
public class CiRect
Managed Extensions for C++
public __gc class CiRect
C++/CLI
public ref class CiRect

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRect Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRect Class Members

[image]
ClearImage 8 Help
CiRect Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiRect Class

The following tables list the members exposed by CiRect.

Public Properties

 | Name | Description
public Property | bottom | The y coordinate of the lower-right corner
public Property | IsEmpty | Is rectangle has no area
public Property | left | The x coordinate of the upper-left corner
public Property | right | The x coordinate of the lower-right corner
public Property | top | The y coordinate of the upper-left corner
Top

Public Methods

 | Name | Description
public Method | Empty | Set rectangle coordinates to zero
Top

See Also

Reference

CiRect Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRect Class Methods

[image]
ClearImage 8 Help
CiRect Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiRect Class

For a list of all members of this type, see CiRect members.

Public Methods

 | Name | Description
public Method | Empty | Set rectangle coordinates to zero
Top

See Also

Reference

CiRect Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Empty Method

[image]
ClearImage 8 Help
Empty Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRect Class : Empty Method

Set rectangle coordinates to zero

Syntax

Visual Basic (Declaration)
Public Function Empty() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRect
Dim value As Integer

value = instance.Empty()
C#
public int Empty()
Delphi
public function Empty(): Integer;
JScript
public function Empty() : int;
Managed Extensions for C++
public: int Empty();
C++/CLI
public:
int Empty();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRect Class
CiRect Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRect Class Properties

[image]
ClearImage 8 Help
CiRect Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiRect Class

For a list of all members of this type, see CiRect members.

Public Properties

 | Name | Description
public Property | bottom | The y coordinate of the lower-right corner
public Property | IsEmpty | Is rectangle has no area
public Property | left | The x coordinate of the upper-left corner
public Property | right | The x coordinate of the lower-right corner
public Property | top | The y coordinate of the upper-left corner
Top

See Also

Reference

CiRect Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


bottom Property

[image]
ClearImage 8 Help
bottom Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRect Class : bottom Property

The y coordinate of the lower-right corner

Syntax

Visual Basic (Declaration)
Public Property bottom As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRect
Dim value As Integer

instance.bottom = value

value = instance.bottom
C#
public int bottom {get; set;}
Delphi
public read-write property bottom: Integer;
JScript
public function get,set bottom : int
Managed Extensions for C++
public: __property int get_bottom();
public: __property void set_bottom(
   int value
);
C++/CLI
public:
property int bottom {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRect Class
CiRect Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsEmpty Property

[image]
ClearImage 8 Help
IsEmpty Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRect Class : IsEmpty Property

Is rectangle has no area

Syntax

Visual Basic (Declaration)
Public ReadOnly Property IsEmpty As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiRect
Dim value As Boolean

value = instance.IsEmpty
C#
public bool IsEmpty {get;}
Delphi
public read-only property IsEmpty: Boolean;
JScript
public function get IsEmpty : boolean
Managed Extensions for C++
public: __property bool get_IsEmpty();
C++/CLI
public:
property bool IsEmpty {
   bool get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRect Class
CiRect Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


left Property

[image]
ClearImage 8 Help
left Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRect Class : left Property

The x coordinate of the upper-left corner

Syntax

Visual Basic (Declaration)
Public Property left As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRect
Dim value As Integer

instance.left = value

value = instance.left
C#
public int left {get; set;}
Delphi
public read-write property left: Integer;
JScript
public function get,set left : int
Managed Extensions for C++
public: __property int get_left();
public: __property void set_left(
   int value
);
C++/CLI
public:
property int left {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRect Class
CiRect Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


right Property

[image]
ClearImage 8 Help
right Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRect Class : right Property

The x coordinate of the lower-right corner

Syntax

Visual Basic (Declaration)
Public Property right As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRect
Dim value As Integer

instance.right = value

value = instance.right
C#
public int right {get; set;}
Delphi
public read-write property right: Integer;
JScript
public function get,set right : int
Managed Extensions for C++
public: __property int get_right();
public: __property void set_right(
   int value
);
C++/CLI
public:
property int right {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRect Class
CiRect Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


top Property

[image]
ClearImage 8 Help
top Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRect Class : top Property

The y coordinate of the upper-left corner

Syntax

Visual Basic (Declaration)
Public Property top As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRect
Dim value As Integer

instance.top = value

value = instance.top
C#
public int top {get; set;}
Delphi
public read-write property top: Integer;
JScript
public function get,set top : int
Managed Extensions for C++
public: __property int get_top();
public: __property void set_top(
   int value
);
C++/CLI
public:
property int top {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRect Class
CiRect Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRepair Class

[image]
ClearImage 8 Help
CiRepair Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiRepair Class

Image repair object

Automatic image correction functions: deskew, rotation, crop, etc. Improves OCR, image compression, and image visual quality.

Object Model

CiRepair ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class CiRepair
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
C#
public class CiRepair
Delphi
public class CiRepair
JScript
public class CiRepair
Managed Extensions for C++
public __gc class CiRepair
C++/CLI
public ref class CiRepair

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRepair Class Members

[image]
ClearImage 8 Help
CiRepair Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiRepair Class

The following tables list the members exposed by CiRepair.

Public Properties

 | Name | Description
public Property | Image | Image as CiImage object
public Property | pLineCurvature | Maximum line curvature
public Property | pMaxLineAngle | Maximum angle of line
public Property | pMaxLineGap | Maximum gap inside line in pixels
public Property | pMinLineLength | Minimum length of line in pixels
Top

Public Methods

 | Name | Description
public Method | AdvancedBinarize | Advanced Binarize
public Method | AutoCrop | Set image margins
public Method | AutoDeskew | Automatically deskew image
public Method | AutoInvertImage | Negative to Positive
public Method | AutoRegister | Set top and left margins
public Method | AutoRotate | Automatically rotate image
public Method | BorderExtract | Extract document image using borders
public Method | CleanNoise | Remove noise objects
public Method | CleanNoiseExt | Remove noise objects (extended)
public Method | ClearBackground | Set background to white
public Method | DeleteLines | Delete lines and reconnect intersected objects
public Method | FaxRemoveBlankLines | Remove blank lines from faxed image
public Method | FaxRemoveHeader | Remove header from faxed image
public Method | FaxStandardToFine | Convert standard resolution fax image to fine resolution
public Method | IsBlankImage | Is image blank
public Method | ReconstructLines | Find and straighten image lines
public Method | RemoveHalftone | Remove halftone from image background
public Method | RemovePunchHoles | Remove punch holes form image
public Method | Resize | Resize image to page
public Method | SmoothCharacters | Smoothen character edges
Top

See Also

Reference

CiRepair Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRepair Class Methods

[image]
ClearImage 8 Help
CiRepair Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiRepair Class

For a list of all members of this type, see CiRepair members.

Public Methods

 | Name | Description
public Method | AdvancedBinarize | Advanced Binarize
public Method | AutoCrop | Set image margins
public Method | AutoDeskew | Automatically deskew image
public Method | AutoInvertImage | Negative to Positive
public Method | AutoRegister | Set top and left margins
public Method | AutoRotate | Automatically rotate image
public Method | BorderExtract | Extract document image using borders
public Method | CleanNoise | Remove noise objects
public Method | CleanNoiseExt | Remove noise objects (extended)
public Method | ClearBackground | Set background to white
public Method | DeleteLines | Delete lines and reconnect intersected objects
public Method | FaxRemoveBlankLines | Remove blank lines from faxed image
public Method | FaxRemoveHeader | Remove header from faxed image
public Method | FaxStandardToFine | Convert standard resolution fax image to fine resolution
public Method | IsBlankImage | Is image blank
public Method | ReconstructLines | Find and straighten image lines
public Method | RemoveHalftone | Remove halftone from image background
public Method | RemovePunchHoles | Remove punch holes form image
public Method | Resize | Resize image to page
public Method | SmoothCharacters | Smoothen character edges
Top

See Also

Reference

CiRepair Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AdvancedBinarize Method

[image]
ClearImage 8 Help
AdvancedBinarize Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : AdvancedBinarize Method

targetDpi
0 converts to 300 DPI
-1 preserves current DPI
100 to 600 converts to specified DPI
reserved1
Set to 0.0
reserved2
Set to 0.0
Advanced Binarize

Syntax

Visual Basic (Declaration)
Public Function AdvancedBinarize( _
   ByVal targetDpi As Integer, _
   ByVal reserved1 As Double, _
   ByVal reserved2 As Double _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim targetDpi As Integer
Dim reserved1 As Double
Dim reserved2 As Double
Dim value As Integer

value = instance.AdvancedBinarize(targetDpi, reserved1, reserved2)
C#
public int AdvancedBinarize(
   int targetDpi,
   double reserved1,
   double reserved2
)
Delphi
public function AdvancedBinarize(
    targetDpi: Integer;
    reserved1: Double;
    reserved2: Double
): Integer;
JScript
public function AdvancedBinarize(
   targetDpi : int,
   reserved1 : double,
   reserved2 : double
) : int;
Managed Extensions for C++
public: int AdvancedBinarize(
   int targetDpi,
   double reserved1,
   double reserved2
)
C++/CLI
public:
int AdvancedBinarize(
   int targetDpi,
   double reserved1,
   double reserved2
)

Parameters

targetDpi
0 converts to 300 DPI
-1 preserves current DPI
100 to 600 converts to specified DPI
reserved1
Set to 0.0
reserved2
Set to 0.0

Remarks

Optimized conversion of color and grayscale images to bi-tonal using multiple image analysis techniques.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoCrop Method

[image]
ClearImage 8 Help
AutoCrop Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : AutoCrop Method

NewLeftMargin
NewTopMargin
NewRightMargin
NewBottomMargin
Set image margins

Syntax

Visual Basic (Declaration)
Public Function AutoCrop( _
   ByVal NewLeftMargin As Integer, _
   ByVal NewTopMargin As Integer, _
   ByVal NewRightMargin As Integer, _
   ByVal NewBottomMargin As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim NewLeftMargin As Integer
Dim NewTopMargin As Integer
Dim NewRightMargin As Integer
Dim NewBottomMargin As Integer
Dim value As Integer

value = instance.AutoCrop(NewLeftMargin, NewTopMargin, NewRightMargin, NewBottomMargin)
C#
public int AutoCrop(
   int NewLeftMargin,
   int NewTopMargin,
   int NewRightMargin,
   int NewBottomMargin
)
Delphi
public function AutoCrop(
    NewLeftMargin: Integer;
    NewTopMargin: Integer;
    NewRightMargin: Integer;
    NewBottomMargin: Integer
): Integer;
JScript
public function AutoCrop(
   NewLeftMargin : int,
   NewTopMargin : int,
   NewRightMargin : int,
   NewBottomMargin : int
) : int;
Managed Extensions for C++
public: int AutoCrop(
   int NewLeftMargin,
   int NewTopMargin,
   int NewRightMargin,
   int NewBottomMargin
)
C++/CLI
public:
int AutoCrop(
   int NewLeftMargin,
   int NewTopMargin,
   int NewRightMargin,
   int NewBottomMargin
)

Parameters

NewLeftMargin
NewTopMargin
NewRightMargin
NewBottomMargin

Remarks

Size of image is changed.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoDeskew Method

[image]
ClearImage 8 Help
AutoDeskew Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : AutoDeskew Method

Automatically deskew image

Syntax

Visual Basic (Declaration)
Public Function AutoDeskew() As Double
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Double

value = instance.AutoDeskew()
C#
public double AutoDeskew()
Delphi
public function AutoDeskew(): Double;
JScript
public function AutoDeskew() : double;
Managed Extensions for C++
public: double AutoDeskew();
C++/CLI
public:
double AutoDeskew();

Remarks

Deskews image to the nearest vertical or horizontal axis, on the basis of measurements taken of the overall image object. It is also possible to use a zone as a reference for the measurement, in which case the Parent of the zone object is deskewed based on image data inside the zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoInvertImage Method

[image]
ClearImage 8 Help
AutoInvertImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : AutoInvertImage Method

Threshold
Minimum percentage of black pixels in the image to be inverted
Negative to Positive

Syntax

Visual Basic (Declaration)
Public Function AutoInvertImage( _
   ByVal Threshold As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim Threshold As Integer
Dim value As Integer

value = instance.AutoInvertImage(Threshold)
C#
public int AutoInvertImage(
   int Threshold
)
Delphi
public function AutoInvertImage(
    Threshold: Integer
): Integer;
JScript
public function AutoInvertImage(
   Threshold : int
) : int;
Managed Extensions for C++
public: int AutoInvertImage(
   int Threshold
)
C++/CLI
public:
int AutoInvertImage(
   int Threshold
)

Parameters

Threshold
Minimum percentage of black pixels in the image to be inverted

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoRegister Method

[image]
ClearImage 8 Help
AutoRegister Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : AutoRegister Method

NewLeftMargin
New left margin in pixels
NewTopMargin
New top margin in pixels
Set top and left margins

Syntax

Visual Basic (Declaration)
Public Function AutoRegister( _
   ByVal NewLeftMargin As Integer, _
   ByVal NewTopMargin As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim NewLeftMargin As Integer
Dim NewTopMargin As Integer
Dim value As Integer

value = instance.AutoRegister(NewLeftMargin, NewTopMargin)
C#
public int AutoRegister(
   int NewLeftMargin,
   int NewTopMargin
)
Delphi
public function AutoRegister(
    NewLeftMargin: Integer;
    NewTopMargin: Integer
): Integer;
JScript
public function AutoRegister(
   NewLeftMargin : int,
   NewTopMargin : int
) : int;
Managed Extensions for C++
public: int AutoRegister(
   int NewLeftMargin,
   int NewTopMargin
)
C++/CLI
public:
int AutoRegister(
   int NewLeftMargin,
   int NewTopMargin
)

Parameters

NewLeftMargin
New left margin in pixels
NewTopMargin
New top margin in pixels

Remarks

Size of image is preserved.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoRotate Method

[image]
ClearImage 8 Help
AutoRotate Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : AutoRotate Method

Automatically rotate image

Syntax

Visual Basic (Declaration)
Public Function AutoRotate() As EPageRotation
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As EPageRotation

value = instance.AutoRotate()
C#
public EPageRotation AutoRotate()
Delphi
public function AutoRotate(): EPageRotation;
JScript
public function AutoRotate() : EPageRotation;
Managed Extensions for C++
public: EPageRotation AutoRotate();
C++/CLI
public:
EPageRotation AutoRotate();

Remarks

It is recommended to AutoDeskew prior to AutoRotate.

If image contains enough of textual elements AutoRotate sets image in the position with text lines running horizontally and readable from left to right . If image contains mostly graphical objects, like lines, AutoRotate sets image in the position with the most lines running horizontally.

The Parent of zone object is autorotated based on image data inside the zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BorderExtract Method

[image]
ClearImage 8 Help
BorderExtract Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : BorderExtract Method

Flags
Algorithm
Extract document image using borders

Syntax

Visual Basic (Declaration)
Public Function BorderExtract( _
   ByVal Flags As EBorderExtractFlags, _
   ByVal Algorithm As EBorderExtractAlgorithm _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim Flags As EBorderExtractFlags
Dim Algorithm As EBorderExtractAlgorithm
Dim value As Integer

value = instance.BorderExtract(Flags, Algorithm)
C#
public int BorderExtract(
   EBorderExtractFlags Flags,
   EBorderExtractAlgorithm Algorithm
)
Delphi
public function BorderExtract(
    Flags: EBorderExtractFlags;
    Algorithm: EBorderExtractAlgorithm
): Integer;
JScript
public function BorderExtract(
   Flags : EBorderExtractFlags,
   Algorithm : EBorderExtractAlgorithm
) : int;
Managed Extensions for C++
public: int BorderExtract(
   EBorderExtractFlags Flags,
   EBorderExtractAlgorithm Algorithm
)
C++/CLI
public:
int BorderExtract(
   EBorderExtractFlags Flags,
   EBorderExtractAlgorithm Algorithm
)

Parameters

Flags
Algorithm

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CleanNoise Method

[image]
ClearImage 8 Help
CleanNoise Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : CleanNoise Method

NoiseSize
Maximum horizontal or vertical size in pixels of the noise object.
Remove noise objects

Syntax

Visual Basic (Declaration)
Public Function CleanNoise( _
   ByVal NoiseSize As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim NoiseSize As Integer
Dim value As Integer

value = instance.CleanNoise(NoiseSize)
C#
public int CleanNoise(
   int NoiseSize
)
Delphi
public function CleanNoise(
    NoiseSize: Integer
): Integer;
JScript
public function CleanNoise(
   NoiseSize : int
) : int;
Managed Extensions for C++
public: int CleanNoise(
   int NoiseSize
)
C++/CLI
public:
int CleanNoise(
   int NoiseSize
)

Parameters

NoiseSize
Maximum horizontal or vertical size in pixels of the noise object.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CleanNoiseExt Method

[image]
ClearImage 8 Help
CleanNoiseExt Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : CleanNoiseExt Method

Flags
maxNoiseSizeHorz
maxNoiseSizeVert
minObjectDistance
reserved0
Remove noise objects (extended)

Syntax

Visual Basic (Declaration)
Public Function CleanNoiseExt( _
   ByVal Flags As ECleanNoiseFlags, _
   ByVal maxNoiseSizeHorz As Integer, _
   ByVal maxNoiseSizeVert As Integer, _
   ByVal minObjectDistance As Integer, _
   ByVal reserved0 As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim Flags As ECleanNoiseFlags
Dim maxNoiseSizeHorz As Integer
Dim maxNoiseSizeVert As Integer
Dim minObjectDistance As Integer
Dim reserved0 As Integer
Dim value As Integer

value = instance.CleanNoiseExt(Flags, maxNoiseSizeHorz, maxNoiseSizeVert, minObjectDistance, reserved0)
C#
public int CleanNoiseExt(
   ECleanNoiseFlags Flags,
   int maxNoiseSizeHorz,
   int maxNoiseSizeVert,
   int minObjectDistance,
   int reserved0
)
Delphi
public function CleanNoiseExt(
    Flags: ECleanNoiseFlags;
    maxNoiseSizeHorz: Integer;
    maxNoiseSizeVert: Integer;
    minObjectDistance: Integer;
    reserved0: Integer
): Integer;
JScript
public function CleanNoiseExt(
   Flags : ECleanNoiseFlags,
   maxNoiseSizeHorz : int,
   maxNoiseSizeVert : int,
   minObjectDistance : int,
   reserved0 : int
) : int;
Managed Extensions for C++
public: int CleanNoiseExt(
   ECleanNoiseFlags Flags,
   int maxNoiseSizeHorz,
   int maxNoiseSizeVert,
   int minObjectDistance,
   int reserved0
)
C++/CLI
public:
int CleanNoiseExt(
   ECleanNoiseFlags Flags,
   int maxNoiseSizeHorz,
   int maxNoiseSizeVert,
   int minObjectDistance,
   int reserved0
)

Parameters

Flags
maxNoiseSizeHorz
maxNoiseSizeVert
minObjectDistance
reserved0

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ClearBackground Method

[image]
ClearImage 8 Help
ClearBackground Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : ClearBackground Method

ThrLevel
Set background to white

Syntax

Visual Basic (Declaration)
Public Function ClearBackground( _
   ByVal ThrLevel As Double _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim ThrLevel As Double
Dim value As Integer

value = instance.ClearBackground(ThrLevel)
C#
public int ClearBackground(
   double ThrLevel
)
Delphi
public function ClearBackground(
    ThrLevel: Double
): Integer;
JScript
public function ClearBackground(
   ThrLevel : double
) : int;
Managed Extensions for C++
public: int ClearBackground(
   double ThrLevel
)
C++/CLI
public:
int ClearBackground(
   double ThrLevel
)

Parameters

ThrLevel

Remarks

Scanning pages with white background scanned as grayscale and color typically produces off-white background. ClearBackground sets all pixels brighter than specified threshold to pure white. This makes image visually closer to the original document.

Method applies only to grayscale and color image.
ThrLevel = 0!UNRECOGNISED ELEMENT TYPE ' threshold does not change an image
ThrLevel = 100'! sets all image pixels to white
ThrLevel = 30% is recomended

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DeleteLines Method

[image]
ClearImage 8 Help
DeleteLines Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : DeleteLines Method

Direction
bRepair
Delete lines and reconnect intersected objects

Syntax

Visual Basic (Declaration)
Public Function DeleteLines( _
   ByVal Direction As ELineDirection, _
   ByVal bRepair As Boolean _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim Direction As ELineDirection
Dim bRepair As Boolean
Dim value As Integer

value = instance.DeleteLines(Direction, bRepair)
C#
public int DeleteLines(
   ELineDirection Direction,
   bool bRepair
)
Delphi
public function DeleteLines(
    Direction: ELineDirection;
    bRepair: Boolean
): Integer;
JScript
public function DeleteLines(
   Direction : ELineDirection,
   bRepair : boolean
) : int;
Managed Extensions for C++
public: int DeleteLines(
   ELineDirection Direction,
   bool bRepair
)
C++/CLI
public:
int DeleteLines(
   ELineDirection Direction,
   bool bRepair
)

Parameters

Direction
bRepair

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FaxRemoveBlankLines Method

[image]
ClearImage 8 Help
FaxRemoveBlankLines Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : FaxRemoveBlankLines Method

Remove blank lines from faxed image

Syntax

Visual Basic (Declaration)
Public Function FaxRemoveBlankLines() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Integer

value = instance.FaxRemoveBlankLines()
C#
public int FaxRemoveBlankLines()
Delphi
public function FaxRemoveBlankLines(): Integer;
JScript
public function FaxRemoveBlankLines() : int;
Managed Extensions for C++
public: int FaxRemoveBlankLines();
C++/CLI
public:
int FaxRemoveBlankLines();

Remarks

This method generates an error if Image is not bi-tonal.

Only blank (all white) horizontal lines created by communication error are removed.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FaxRemoveHeader Method

[image]
ClearImage 8 Help
FaxRemoveHeader Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : FaxRemoveHeader Method

Remove header from faxed image

Syntax

Visual Basic (Declaration)
Public Function FaxRemoveHeader() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Integer

value = instance.FaxRemoveHeader()
C#
public int FaxRemoveHeader()
Delphi
public function FaxRemoveHeader(): Integer;
JScript
public function FaxRemoveHeader() : int;
Managed Extensions for C++
public: int FaxRemoveHeader();
C++/CLI
public:
int FaxRemoveHeader();

Remarks

A fax header consists of uniform text objects, residing on a single fax scan line, and located at the upper edge of the image. Once images are re-scanned or deskewed, their text objects will no longer reside on a single scan line and will not be identified as a fax header.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FaxStandardToFine Method

[image]
ClearImage 8 Help
FaxStandardToFine Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : FaxStandardToFine Method

Convert standard resolution fax image to fine resolution

Syntax

Visual Basic (Declaration)
Public Function FaxStandardToFine() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Integer

value = instance.FaxStandardToFine()
C#
public int FaxStandardToFine()
Delphi
public function FaxStandardToFine(): Integer;
JScript
public function FaxStandardToFine() : int;
Managed Extensions for C++
public: int FaxStandardToFine();
C++/CLI
public:
int FaxStandardToFine();

Remarks

This method generates an error if Image property is a zone.
This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsBlankImage Method

[image]
ClearImage 8 Help
IsBlankImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : IsBlankImage Method

reserved0
Set to 0
reserved1
Set to 0.0
reserved2
Set to 0.0
Is image blank

Syntax

Visual Basic (Declaration)
Public Function IsBlankImage( _
   ByVal reserved0 As Integer, _
   ByVal reserved1 As Double, _
   ByVal reserved2 As Double _
) As Boolean
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim reserved0 As Integer
Dim reserved1 As Double
Dim reserved2 As Double
Dim value As Boolean

value = instance.IsBlankImage(reserved0, reserved1, reserved2)
C#
public bool IsBlankImage(
   int reserved0,
   double reserved1,
   double reserved2
)
Delphi
public function IsBlankImage(
    reserved0: Integer;
    reserved1: Double;
    reserved2: Double
): Boolean;
JScript
public function IsBlankImage(
   reserved0 : int,
   reserved1 : double,
   reserved2 : double
) : boolean;
Managed Extensions for C++
public: bool IsBlankImage(
   int reserved0,
   double reserved1,
   double reserved2
)
C++/CLI
public:
bool IsBlankImage(
   int reserved0,
   double reserved1,
   double reserved2
)

Parameters

reserved0
Set to 0
reserved1
Set to 0.0
reserved2
Set to 0.0

Remarks

Blank pages normally occur in duplex scanning when both sides of the page are scanned.
Image is not blank if it has black pixels after ignoring the following image elements:

Margins ? Black pixels inside the following margin

-for sides larger than 7 inches the margin will be 1 inch

- for sides between 5 and 7 inches the margin will be 0.5 inch

- for smaller sides there will be no margin

Noise - Speckles of 5x5 pixels and smaller

Object ? Single object smaller than 0.5 x 0.5 inch in size

Note: Image should have correct values for vertical and horizontal resolution for proper calculations of margins and object size.
If parameters are supplied make sure they are set to 0.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ReconstructLines Method

[image]
ClearImage 8 Help
ReconstructLines Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : ReconstructLines Method

Direction
Find and straighten image lines

Syntax

Visual Basic (Declaration)
Public Function ReconstructLines( _
   ByVal Direction As ELineDirection _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim Direction As ELineDirection
Dim value As Integer

value = instance.ReconstructLines(Direction)
C#
public int ReconstructLines(
   ELineDirection Direction
)
Delphi
public function ReconstructLines(
    Direction: ELineDirection
): Integer;
JScript
public function ReconstructLines(
   Direction : ELineDirection
) : int;
Managed Extensions for C++
public: int ReconstructLines(
   ELineDirection Direction
)
C++/CLI
public:
int ReconstructLines(
   ELineDirection Direction
)

Parameters

Direction

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RemoveHalftone Method

[image]
ClearImage 8 Help
RemoveHalftone Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : RemoveHalftone Method

Remove halftone from image background

Syntax

Visual Basic (Declaration)
Public Function RemoveHalftone() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Integer

value = instance.RemoveHalftone()
C#
public int RemoveHalftone()
Delphi
public function RemoveHalftone(): Integer;
JScript
public function RemoveHalftone() : int;
Managed Extensions for C++
public: int RemoveHalftone();
C++/CLI
public:
int RemoveHalftone();

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RemovePunchHoles Method

[image]
ClearImage 8 Help
RemovePunchHoles Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : RemovePunchHoles Method

Remove punch holes form image

Syntax

Visual Basic (Declaration)
Public Function RemovePunchHoles() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Integer

value = instance.RemovePunchHoles()
C#
public int RemovePunchHoles()
Delphi
public function RemovePunchHoles(): Integer;
JScript
public function RemovePunchHoles() : int;
Managed Extensions for C++
public: int RemovePunchHoles();
C++/CLI
public:
int RemovePunchHoles();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Resize Method

[image]
ClearImage 8 Help
Resize Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : Resize Method

PageSize
PageOrientation
ImageAlignment
Width
Height
Unit
Resize image to page

Syntax

Visual Basic (Declaration)
Public Function Resize( _
   ByVal PageSize As EPageSize, _
   ByVal PageOrientation As EPageOrientation, _
   ByVal ImageAlignment As EImageAlignment, _
   ByVal Width As Double, _
   ByVal Height As Double, _
   ByVal Unit As ESizeUnit _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim PageSize As EPageSize
Dim PageOrientation As EPageOrientation
Dim ImageAlignment As EImageAlignment
Dim Width As Double
Dim Height As Double
Dim Unit As ESizeUnit
Dim value As Integer

value = instance.Resize(PageSize, PageOrientation, ImageAlignment, Width, Height, Unit)
C#
public int Resize(
   EPageSize PageSize,
   EPageOrientation PageOrientation,
   EImageAlignment ImageAlignment,
   double Width,
   double Height,
   ESizeUnit Unit
)
Delphi
public function Resize(
    PageSize: EPageSize;
    PageOrientation: EPageOrientation;
    ImageAlignment: EImageAlignment;
    Width: Double;
    Height: Double;
    Unit: ESizeUnit
): Integer;
JScript
public function Resize(
   PageSize : EPageSize,
   PageOrientation : EPageOrientation,
   ImageAlignment : EImageAlignment,
   Width : double,
   Height : double,
   Unit : ESizeUnit
) : int;
Managed Extensions for C++
public: int Resize(
   EPageSize PageSize,
   EPageOrientation PageOrientation,
   EImageAlignment ImageAlignment,
   double Width,
   double Height,
   ESizeUnit Unit
)
C++/CLI
public:
int Resize(
   EPageSize PageSize,
   EPageOrientation PageOrientation,
   EImageAlignment ImageAlignment,
   double Width,
   double Height,
   ESizeUnit Unit
)

Parameters

PageSize
PageOrientation
ImageAlignment
Width
Height
Unit

Remarks

Scanning document of standard size often produces images of slightly different dimension. Some image processing operations, like BorderExtract, AutoCrop, AutoDeskew change size of the image.

Resize method sets of an image to one of:

  • Predefined size (PageSize, PageOrientation parameters)
  • Custom size (PageSize = epgsCusom, Width, Height, Unit paramters)
  • Size of the image when it wos open (PageSize = epgsOriginal)

Image data before resizing are:

  • Placed on resized image according to ImageAlignment paramter in the center of an new image, one of the corners, or alligned with center of one of sides. NOTE: If ImageAlignment is not epiaBestFit and new image size is smaller than original some of orginal image information will be lost.
  • Scaled to occupy maximum area of resized image (ImageAlignment = epiaBestFit)

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


SmoothCharacters Method

[image]
ClearImage 8 Help
SmoothCharacters Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : SmoothCharacters Method

Type
Smoothen character edges

Syntax

Visual Basic (Declaration)
Public Function SmoothCharacters( _
   ByVal Type As ESmoothType _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim Type As ESmoothType
Dim value As Integer

value = instance.SmoothCharacters(Type)
C#
public int SmoothCharacters(
   ESmoothType Type
)
Delphi
public function SmoothCharacters(
    Type: ESmoothType
): Integer;
JScript
public function SmoothCharacters(
   Type : ESmoothType
) : int;
Managed Extensions for C++
public: int SmoothCharacters(
   ESmoothType Type
)
C++/CLI
public:
int SmoothCharacters(
   ESmoothType Type
)

Parameters

Type

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiRepair Class Properties

[image]
ClearImage 8 Help
CiRepair Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiRepair Class

For a list of all members of this type, see CiRepair members.

Public Properties

 | Name | Description
public Property | Image | Image as CiImage object
public Property | pLineCurvature | Maximum line curvature
public Property | pMaxLineAngle | Maximum angle of line
public Property | pMaxLineGap | Maximum gap inside line in pixels
public Property | pMinLineLength | Minimum length of line in pixels
Top

See Also

Reference

CiRepair Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : Image Property

Image as CiImage object

Syntax

Visual Basic (Declaration)
Public Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As CiImage

instance.Image = value

value = instance.Image
C#
public CiImage Image {get; set;}
Delphi
public read-write property Image: CiImage;
JScript
public function get,set Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
public: __property void set_Image(
   CiImage* value
);
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
   void set (    CiImage^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pLineCurvature Property

[image]
ClearImage 8 Help
pLineCurvature Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : pLineCurvature Property

Maximum line curvature

Syntax

Visual Basic (Declaration)
Public Property pLineCurvature As ELineCurvature
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As ELineCurvature

instance.pLineCurvature = value

value = instance.pLineCurvature
C#
public ELineCurvature pLineCurvature {get; set;}
Delphi
public read-write property pLineCurvature: ELineCurvature;
JScript
public function get,set pLineCurvature : ELineCurvature
Managed Extensions for C++
public: __property ELineCurvature get_pLineCurvature();
public: __property void set_pLineCurvature(
   ELineCurvature value
);
C++/CLI
public:
property ELineCurvature pLineCurvature {
   ELineCurvature get();
   void set (    ELineCurvature value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pMaxLineAngle Property

[image]
ClearImage 8 Help
pMaxLineAngle Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : pMaxLineAngle Property

Maximum angle of line

Syntax

Visual Basic (Declaration)
Public Property pMaxLineAngle As Double
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Double

instance.pMaxLineAngle = value

value = instance.pMaxLineAngle
C#
public double pMaxLineAngle {get; set;}
Delphi
public read-write property pMaxLineAngle: Double;
JScript
public function get,set pMaxLineAngle : double
Managed Extensions for C++
public: __property double get_pMaxLineAngle();
public: __property void set_pMaxLineAngle(
   double value
);
C++/CLI
public:
property double pMaxLineAngle {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pMaxLineGap Property

[image]
ClearImage 8 Help
pMaxLineGap Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : pMaxLineGap Property

Maximum gap inside line in pixels

Syntax

Visual Basic (Declaration)
Public Property pMaxLineGap As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Integer

instance.pMaxLineGap = value

value = instance.pMaxLineGap
C#
public int pMaxLineGap {get; set;}
Delphi
public read-write property pMaxLineGap: Integer;
JScript
public function get,set pMaxLineGap : int
Managed Extensions for C++
public: __property int get_pMaxLineGap();
public: __property void set_pMaxLineGap(
   int value
);
C++/CLI
public:
property int pMaxLineGap {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pMinLineLength Property

[image]
ClearImage 8 Help
pMinLineLength Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiRepair Class : pMinLineLength Property

Minimum length of line in pixels

Syntax

Visual Basic (Declaration)
Public Property pMinLineLength As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiRepair
Dim value As Integer

instance.pMinLineLength = value

value = instance.pMinLineLength
C#
public int pMinLineLength {get; set;}
Delphi
public read-write property pMinLineLength: Integer;
JScript
public function get,set pMinLineLength : int
Managed Extensions for C++
public: __property int get_pMinLineLength();
public: __property void set_pMinLineLength(
   int value
);
C++/CLI
public:
property int pMinLineLength {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiRepair Class
CiRepair Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiServer Class

[image]
ClearImage 8 Help
CiServer Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiServer Class

ClearImage COM root object

Object Model

CiServer Class

Syntax

Visual Basic (Declaration)
Public Class CiServer
Visual Basic (Usage) Copy Code
Dim instance As CiServer
C#
public class CiServer
Delphi
public class CiServer
JScript
public class CiServer
Managed Extensions for C++
public __gc class CiServer
C++/CLI
public ref class CiServer

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiServer Class Members

[image]
ClearImage 8 Help
CiServer Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiServer Class

The following tables list the members exposed by CiServer.

Public Properties

 | Name | Description
public Property | VerMajor | Major version number
public Property | VerMinor | Minor version number
public Property | VerRelease | Release number
Top

Public Methods

 | Name | Description
public Method | CreateAdvColor | Create new CiDataMatrix object
public Method | CreateBarcode | Create new CiDataMatrix object
public Method | CreateBarcodeBasic | Create new CiBarcodeBasic object
public Method | CreateBarcodePro | Create new CiBarcodePro object
public Method | CreateBarcodes | Create new CiDataMatrix object
public Method | CreateDataMatrix | Create new CiDataMatrix object
public Method | CreateImage | Create new CiImage object
public Method | CreatePdf417 | Create new CiPdf417 object
public Method | CreateQR | Create new CiQR object
public Method | CreateRect | Create new CiRect object
public Method | CreateRepair | Create new CiRepair object
public Method | CreateTools | Create new CiTools object
public Method | get_Info |
public Method | OpenExt | Open ClearImage COM License
Top

See Also

Reference

CiServer Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiServer Class Methods

[image]
ClearImage 8 Help
CiServer Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiServer Class

For a list of all members of this type, see CiServer members.

Public Methods

 | Name | Description
public Method | CreateAdvColor | Create new CiDataMatrix object
public Method | CreateBarcode | Create new CiDataMatrix object
public Method | CreateBarcodeBasic | Create new CiBarcodeBasic object
public Method | CreateBarcodePro | Create new CiBarcodePro object
public Method | CreateBarcodes | Create new CiDataMatrix object
public Method | CreateDataMatrix | Create new CiDataMatrix object
public Method | CreateImage | Create new CiImage object
public Method | CreatePdf417 | Create new CiPdf417 object
public Method | CreateQR | Create new CiQR object
public Method | CreateRect | Create new CiRect object
public Method | CreateRepair | Create new CiRepair object
public Method | CreateTools | Create new CiTools object
public Method | get_Info |
public Method | OpenExt | Open ClearImage COM License
Top

See Also

Reference

CiServer Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateAdvColor Method

[image]
ClearImage 8 Help
CreateAdvColor Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateAdvColor Method

Create new CiDataMatrix object

Syntax

Visual Basic (Declaration)
Public Function CreateAdvColor() As CiAdvColor
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiAdvColor

value = instance.CreateAdvColor()
C#
public CiAdvColor CreateAdvColor()
Delphi
public function CreateAdvColor(): CiAdvColor;
JScript
public function CreateAdvColor() : CiAdvColor;
Managed Extensions for C++
public: CiAdvColor* CreateAdvColor();
C++/CLI
public:
CiAdvColor^ CreateAdvColor();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateBarcode Method

[image]
ClearImage 8 Help
CreateBarcode Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateBarcode Method

Create new CiDataMatrix object

Syntax

Visual Basic (Declaration)
Public Function CreateBarcode() As CiBarcode
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiBarcode

value = instance.CreateBarcode()
C#
public CiBarcode CreateBarcode()
Delphi
public function CreateBarcode(): CiBarcode;
JScript
public function CreateBarcode() : CiBarcode;
Managed Extensions for C++
public: CiBarcode* CreateBarcode();
C++/CLI
public:
CiBarcode^ CreateBarcode();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateBarcodeBasic Method

[image]
ClearImage 8 Help
CreateBarcodeBasic Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateBarcodeBasic Method

Create new CiBarcodeBasic object

Syntax

Visual Basic (Declaration)
Public Function CreateBarcodeBasic() As CiBarcodeBasic
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiBarcodeBasic

value = instance.CreateBarcodeBasic()
C#
public CiBarcodeBasic CreateBarcodeBasic()
Delphi
public function CreateBarcodeBasic(): CiBarcodeBasic;
JScript
public function CreateBarcodeBasic() : CiBarcodeBasic;
Managed Extensions for C++
public: CiBarcodeBasic* CreateBarcodeBasic();
C++/CLI
public:
CiBarcodeBasic^ CreateBarcodeBasic();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateBarcodePro Method

[image]
ClearImage 8 Help
CreateBarcodePro Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateBarcodePro Method

Create new CiBarcodePro object

Syntax

Visual Basic (Declaration)
Public Function CreateBarcodePro() As CiBarcodePro
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiBarcodePro

value = instance.CreateBarcodePro()
C#
public CiBarcodePro CreateBarcodePro()
Delphi
public function CreateBarcodePro(): CiBarcodePro;
JScript
public function CreateBarcodePro() : CiBarcodePro;
Managed Extensions for C++
public: CiBarcodePro* CreateBarcodePro();
C++/CLI
public:
CiBarcodePro^ CreateBarcodePro();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateBarcodes Method

[image]
ClearImage 8 Help
CreateBarcodes Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateBarcodes Method

Create new CiDataMatrix object

Syntax

Visual Basic (Declaration)
Public Function CreateBarcodes() As CiBarcodes
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiBarcodes

value = instance.CreateBarcodes()
C#
public CiBarcodes CreateBarcodes()
Delphi
public function CreateBarcodes(): CiBarcodes;
JScript
public function CreateBarcodes() : CiBarcodes;
Managed Extensions for C++
public: CiBarcodes* CreateBarcodes();
C++/CLI
public:
CiBarcodes^ CreateBarcodes();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateDataMatrix Method

[image]
ClearImage 8 Help
CreateDataMatrix Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateDataMatrix Method

Create new CiDataMatrix object

Syntax

Visual Basic (Declaration)
Public Function CreateDataMatrix() As CiDataMatrix
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiDataMatrix

value = instance.CreateDataMatrix()
C#
public CiDataMatrix CreateDataMatrix()
Delphi
public function CreateDataMatrix(): CiDataMatrix;
JScript
public function CreateDataMatrix() : CiDataMatrix;
Managed Extensions for C++
public: CiDataMatrix* CreateDataMatrix();
C++/CLI
public:
CiDataMatrix^ CreateDataMatrix();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateImage Method

[image]
ClearImage 8 Help
CreateImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateImage Method

Create new CiImage object

Syntax

Visual Basic (Declaration)
Public Function CreateImage() As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiImage

value = instance.CreateImage()
C#
public CiImage CreateImage()
Delphi
public function CreateImage(): CiImage;
JScript
public function CreateImage() : CiImage;
Managed Extensions for C++
public: CiImage* CreateImage();
C++/CLI
public:
CiImage^ CreateImage();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreatePdf417 Method

[image]
ClearImage 8 Help
CreatePdf417 Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreatePdf417 Method

Create new CiPdf417 object

Syntax

Visual Basic (Declaration)
Public Function CreatePdf417() As CiPdf417
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiPdf417

value = instance.CreatePdf417()
C#
public CiPdf417 CreatePdf417()
Delphi
public function CreatePdf417(): CiPdf417;
JScript
public function CreatePdf417() : CiPdf417;
Managed Extensions for C++
public: CiPdf417* CreatePdf417();
C++/CLI
public:
CiPdf417^ CreatePdf417();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateQR Method

[image]
ClearImage 8 Help
CreateQR Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateQR Method

Create new CiQR object

Syntax

Visual Basic (Declaration)
Public Function CreateQR() As CiQR
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiQR

value = instance.CreateQR()
C#
public CiQR CreateQR()
Delphi
public function CreateQR(): CiQR;
JScript
public function CreateQR() : CiQR;
Managed Extensions for C++
public: CiQR* CreateQR();
C++/CLI
public:
CiQR^ CreateQR();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateRect Method

[image]
ClearImage 8 Help
CreateRect Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateRect Method

left
top
right
bottom
Create new CiRect object

Syntax

Visual Basic (Declaration)
Public Function CreateRect( _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal right As Integer, _
   ByVal bottom As Integer _
) As CiRect
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim left As Integer
Dim top As Integer
Dim right As Integer
Dim bottom As Integer
Dim value As CiRect

value = instance.CreateRect(left, top, right, bottom)
C#
public CiRect CreateRect(
   int left,
   int top,
   int right,
   int bottom
)
Delphi
public function CreateRect(
    left: Integer;
    top: Integer;
    right: Integer;
    bottom: Integer
): CiRect;
JScript
public function CreateRect(
   left : int,
   top : int,
   right : int,
   bottom : int
) : CiRect;
Managed Extensions for C++
public: CiRect* CreateRect(
   int left,
   int top,
   int right,
   int bottom
)
C++/CLI
public:
CiRect^ CreateRect(
   int left,
   int top,
   int right,
   int bottom
)

Parameters

left
top
right
bottom

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateRepair Method

[image]
ClearImage 8 Help
CreateRepair Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateRepair Method

Create new CiRepair object

Syntax

Visual Basic (Declaration)
Public Function CreateRepair() As CiRepair
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiRepair

value = instance.CreateRepair()
C#
public CiRepair CreateRepair()
Delphi
public function CreateRepair(): CiRepair;
JScript
public function CreateRepair() : CiRepair;
Managed Extensions for C++
public: CiRepair* CreateRepair();
C++/CLI
public:
CiRepair^ CreateRepair();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CreateTools Method

[image]
ClearImage 8 Help
CreateTools Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : CreateTools Method

Create new CiTools object

Syntax

Visual Basic (Declaration)
Public Function CreateTools() As CiTools
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As CiTools

value = instance.CreateTools()
C#
public CiTools CreateTools()
Delphi
public function CreateTools(): CiTools;
JScript
public function CreateTools() : CiTools;
Managed Extensions for C++
public: CiTools* CreateTools();
C++/CLI
public:
CiTools^ CreateTools();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


get_Info Method

[image]
ClearImage 8 Help
get_Info Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : get_Info Method

Type
nParam

Syntax

Visual Basic (Declaration)
Public Function get_Info( _
   ByVal Type As EInfoType, _
   ByVal nParam As Integer _
) As String
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim Type As EInfoType
Dim nParam As Integer
Dim value As String

value = instance.get_Info(Type, nParam)
C#
public string get_Info(
   EInfoType Type,
   int nParam
)
Delphi
public function get_Info(
    Type: EInfoType;
    nParam: Integer
): String;
JScript
public function get_Info(
   Type : EInfoType,
   nParam : int
) : String;
Managed Extensions for C++
public: string* get_Info(
   EInfoType Type,
   int nParam
)
C++/CLI
public:
String^ get_Info(
   EInfoType Type,
   int nParam
)

Parameters

Type
nParam

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OpenExt Method

[image]
ClearImage 8 Help
OpenExt Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : OpenExt Method

hModule
Instance handle of the module calling this method.
MasterId
License Master ID
pParam
Should always be set to 0
Open ClearImage COM License

Syntax

Visual Basic (Declaration)
Public Function OpenExt( _
   ByVal hModule As Integer, _
   ByVal MasterId As Integer, _
   ByVal pParam As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim hModule As Integer
Dim MasterId As Integer
Dim pParam As Integer
Dim value As Integer

value = instance.OpenExt(hModule, MasterId, pParam)
C#
public int OpenExt(
   int hModule,
   int MasterId,
   int pParam
)
Delphi
public function OpenExt(
    hModule: Integer;
    MasterId: Integer;
    pParam: Integer
): Integer;
JScript
public function OpenExt(
   hModule : int,
   MasterId : int,
   pParam : int
) : int;
Managed Extensions for C++
public: int OpenExt(
   int hModule,
   int MasterId,
   int pParam
)
C++/CLI
public:
int OpenExt(
   int hModule,
   int MasterId,
   int pParam
)

Parameters

hModule
Instance handle of the module calling this method.
MasterId
License Master ID
pParam
Should always be set to 0

Remarks

Call this method prior to any other methods, if a Master Id license other than the default is used.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiServer Class Properties

[image]
ClearImage 8 Help
CiServer Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiServer Class

For a list of all members of this type, see CiServer members.

Public Properties

 | Name | Description
public Property | VerMajor | Major version number
public Property | VerMinor | Minor version number
public Property | VerRelease | Release number
Top

See Also

Reference

CiServer Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


VerMajor Property

[image]
ClearImage 8 Help
VerMajor Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : VerMajor Property

Major version number

Syntax

Visual Basic (Declaration)
Public ReadOnly Property VerMajor As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As Integer

value = instance.VerMajor
C#
public int VerMajor {get;}
Delphi
public read-only property VerMajor: Integer;
JScript
public function get VerMajor : int
Managed Extensions for C++
public: __property int get_VerMajor();
C++/CLI
public:
property int VerMajor {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


VerMinor Property

[image]
ClearImage 8 Help
VerMinor Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : VerMinor Property

Minor version number

Syntax

Visual Basic (Declaration)
Public ReadOnly Property VerMinor As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As Integer

value = instance.VerMinor
C#
public int VerMinor {get;}
Delphi
public read-only property VerMinor: Integer;
JScript
public function get VerMinor : int
Managed Extensions for C++
public: __property int get_VerMinor();
C++/CLI
public:
property int VerMinor {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


VerRelease Property

[image]
ClearImage 8 Help
VerRelease Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiServer Class : VerRelease Property

Release number

Syntax

Visual Basic (Declaration)
Public ReadOnly Property VerRelease As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiServer
Dim value As Integer

value = instance.VerRelease
C#
public int VerRelease {get;}
Delphi
public read-only property VerRelease: Integer;
JScript
public function get VerRelease : int
Managed Extensions for C++
public: __property int get_VerRelease();
C++/CLI
public:
property int VerRelease {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiServer Class
CiServer Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiTools Class

[image]
ClearImage 8 Help
CiTools Class
Members See Also Send Feedback
Inlite.ClearImage Namespace : CiTools Class

Image tools object

Image analysis function to implement form-processing and specialized imaging applications.

Object Model

CiTools ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class CiTools
Visual Basic (Usage) Copy Code
Dim instance As CiTools
C#
public class CiTools
Delphi
public class CiTools
JScript
public class CiTools
Managed Extensions for C++
public __gc class CiTools
C++/CLI
public ref class CiTools

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Members
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiTools Class Members

[image]
ClearImage 8 Help
CiTools Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImage Namespace : CiTools Class

The following tables list the members exposed by CiTools.

Public Properties

 | Name | Description
public Property | Image | Image as CiImage object
public Property | pLineCurvature | Maximum line curvature
public Property | pLineDirection | Line direction(s)
public Property | pMaxLineAngle | Maximum angle of line
public Property | pMaxLineGap | Maximum gap inside line in pixels
public Property | pMinLineLength | Minimum length of line in pixels
public Property | rConfidence | Image rotation and skew confidence
Top

Public Methods

 | Name | Description
public Method | AndImage | Logical AND with another image
public Method | CountPixels | Count image pixels
public Method | ExtractObject | Extract an object into new image
public Method | Fatten | Fatten image
public Method | FirstLine | Find first line
public Method | FirstObject | Find first object
public Method | MeasureHorzHistogram | Measure horizontal histogram
public Method | MeasureMargins | Measure image margins
public Method | MeasureRotation | Measure image rotation
public Method | MeasureSkew | Measure image skew
public Method | MeasureVertHistogram | Measure vertical histogram
public Method | NextLine | Find another line
public Method | NextObject | Find another object
public Method | OrImage | Logical OR with another image
public Method | PasteImage | Paste another image
public Method | ScaleImage | Scale image
public Method | Skeleton | Trim image
public Method | Skew | Skew image
public Method | Trim | Trim image
public Method | XorImage | Logical XOR with another image
Top

See Also

Reference

CiTools Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiTools Class Methods

[image]
ClearImage 8 Help
CiTools Class Methods
See Also Send Feedback
Inlite.ClearImage Namespace : CiTools Class

For a list of all members of this type, see CiTools members.

Public Methods

 | Name | Description
public Method | AndImage | Logical AND with another image
public Method | CountPixels | Count image pixels
public Method | ExtractObject | Extract an object into new image
public Method | Fatten | Fatten image
public Method | FirstLine | Find first line
public Method | FirstObject | Find first object
public Method | MeasureHorzHistogram | Measure horizontal histogram
public Method | MeasureMargins | Measure image margins
public Method | MeasureRotation | Measure image rotation
public Method | MeasureSkew | Measure image skew
public Method | MeasureVertHistogram | Measure vertical histogram
public Method | NextLine | Find another line
public Method | NextObject | Find another object
public Method | OrImage | Logical OR with another image
public Method | PasteImage | Paste another image
public Method | ScaleImage | Scale image
public Method | Skeleton | Trim image
public Method | Skew | Skew image
public Method | Trim | Trim image
public Method | XorImage | Logical XOR with another image
Top

See Also

Reference

CiTools Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AndImage Method

[image]
ClearImage 8 Help
AndImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : AndImage Method

ImgSrc
left
Target position on CiTools.Image object.
top
Target position on CiTools.Image object.
Logical AND with another image

Syntax

Visual Basic (Declaration)
Public Function AndImage( _
   ByVal ImgSrc As CiImage, _
   ByVal left As Integer, _
   ByVal top As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim ImgSrc As CiImage
Dim left As Integer
Dim top As Integer
Dim value As Integer

value = instance.AndImage(ImgSrc, left, top)
C#
public int AndImage(
   CiImage ImgSrc,
   int left,
   int top
)
Delphi
public function AndImage(
    ImgSrc: CiImage;
    left: Integer;
    top: Integer
): Integer;
JScript
public function AndImage(
   ImgSrc : CiImage,
   left : int,
   top : int
) : int;
Managed Extensions for C++
public: int AndImage(
   CiImage* ImgSrc,
   int left,
   int top
)
C++/CLI
public:
int AndImage(
   CiImage^ ImgSrc,
   int left,
   int top
)

Parameters

ImgSrc
left
Target position on CiTools.Image object.
top
Target position on CiTools.Image object.

Remarks

This method generates an error if Image property is a zone.
BitsPerPixel property of object.Image and ImgSrc should be the same.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CountPixels Method

[image]
ClearImage 8 Help
CountPixels Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : CountPixels Method

Count image pixels

Syntax

Visual Basic (Declaration)
Public Function CountPixels() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As Integer

value = instance.CountPixels()
C#
public int CountPixels()
Delphi
public function CountPixels(): Integer;
JScript
public function CountPixels() : int;
Managed Extensions for C++
public: int CountPixels();
C++/CLI
public:
int CountPixels();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ExtractObject Method

[image]
ClearImage 8 Help
ExtractObject Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : ExtractObject Method

Object
Object returned by FindObject or NextObject methods
Extract an object into new image

Syntax

Visual Basic (Declaration)
Public Function ExtractObject( _
   ByVal Object As CiObject _
) As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim Object As CiObject
Dim value As CiImage

value = instance.ExtractObject(Object)
C#
public CiImage ExtractObject(
   CiObject Object
)
Delphi
public function ExtractObject(
    Object: CiObject
): CiImage;
JScript
public function ExtractObject(
   Object : CiObject
) : CiImage;
Managed Extensions for C++
public: CiImage* ExtractObject(
   CiObject* Object
)
C++/CLI
public:
CiImage^ ExtractObject(
   CiObject^ Object
)

Parameters

Object
Object returned by FindObject or NextObject methods

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Fatten Method

[image]
ClearImage 8 Help
Fatten Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : Fatten Method

Pixels
Number of Pixels to add in each direction
Direction
Fatten image

Syntax

Visual Basic (Declaration)
Public Function Fatten( _
   ByVal Pixels As Integer, _
   ByVal Direction As EMorphDirections _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim Pixels As Integer
Dim Direction As EMorphDirections
Dim value As Integer

value = instance.Fatten(Pixels, Direction)
C#
public int Fatten(
   int Pixels,
   EMorphDirections Direction
)
Delphi
public function Fatten(
    Pixels: Integer;
    Direction: EMorphDirections
): Integer;
JScript
public function Fatten(
   Pixels : int,
   Direction : EMorphDirections
) : int;
Managed Extensions for C++
public: int Fatten(
   int Pixels,
   EMorphDirections Direction
)
C++/CLI
public:
int Fatten(
   int Pixels,
   EMorphDirections Direction
)

Parameters

Pixels
Number of Pixels to add in each direction
Direction

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FirstLine Method

[image]
ClearImage 8 Help
FirstLine Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : FirstLine Method

Find first line

Syntax

Visual Basic (Declaration)
Public Function FirstLine() As CiLine
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As CiLine

value = instance.FirstLine()
C#
public CiLine FirstLine()
Delphi
public function FirstLine(): CiLine;
JScript
public function FirstLine() : CiLine;
Managed Extensions for C++
public: CiLine* FirstLine();
C++/CLI
public:
CiLine^ FirstLine();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FirstObject Method

[image]
ClearImage 8 Help
FirstObject Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : FirstObject Method

Find first object

Syntax

Visual Basic (Declaration)
Public Function FirstObject() As CiObject
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As CiObject

value = instance.FirstObject()
C#
public CiObject FirstObject()
Delphi
public function FirstObject(): CiObject;
JScript
public function FirstObject() : CiObject;
Managed Extensions for C++
public: CiObject* FirstObject();
C++/CLI
public:
CiObject^ FirstObject();

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


MeasureHorzHistogram Method

[image]
ClearImage 8 Help
MeasureHorzHistogram Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : MeasureHorzHistogram Method

Measure horizontal histogram

Syntax

Visual Basic (Declaration)
Public Function MeasureHorzHistogram() As Integer()
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value() As Integer

value = instance.MeasureHorzHistogram()
C#
public int[] MeasureHorzHistogram()
Delphi
public function MeasureHorzHistogram(): array of Integer;
JScript
public function MeasureHorzHistogram() : int[];
Managed Extensions for C++
public: int[]* MeasureHorzHistogram();
C++/CLI
public:
array<int>^ MeasureHorzHistogram();

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


MeasureMargins Method

[image]
ClearImage 8 Help
MeasureMargins Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : MeasureMargins Method

Measure image margins

Syntax

Visual Basic (Declaration)
Public Function MeasureMargins() As CiRect
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As CiRect

value = instance.MeasureMargins()
C#
public CiRect MeasureMargins()
Delphi
public function MeasureMargins(): CiRect;
JScript
public function MeasureMargins() : CiRect;
Managed Extensions for C++
public: CiRect* MeasureMargins();
C++/CLI
public:
CiRect^ MeasureMargins();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


MeasureRotation Method

[image]
ClearImage 8 Help
MeasureRotation Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : MeasureRotation Method

Measure image rotation

Syntax

Visual Basic (Declaration)
Public Function MeasureRotation() As EPageRotation
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As EPageRotation

value = instance.MeasureRotation()
C#
public EPageRotation MeasureRotation()
Delphi
public function MeasureRotation(): EPageRotation;
JScript
public function MeasureRotation() : EPageRotation;
Managed Extensions for C++
public: EPageRotation MeasureRotation();
C++/CLI
public:
EPageRotation MeasureRotation();

Remarks

Level of confidence in percent is set in rConfidence.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


MeasureSkew Method

[image]
ClearImage 8 Help
MeasureSkew Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : MeasureSkew Method

Measure image skew

Syntax

Visual Basic (Declaration)
Public Function MeasureSkew() As Double
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As Double

value = instance.MeasureSkew()
C#
public double MeasureSkew()
Delphi
public function MeasureSkew(): Double;
JScript
public function MeasureSkew() : double;
Managed Extensions for C++
public: double MeasureSkew();
C++/CLI
public:
double MeasureSkew();

Remarks

Measures image or ROI skew relative to the nearest vertical or horizontal axis.
Level of confidence in percent is set in rConfidence.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


MeasureVertHistogram Method

[image]
ClearImage 8 Help
MeasureVertHistogram Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : MeasureVertHistogram Method

Measure vertical histogram

Syntax

Visual Basic (Declaration)
Public Function MeasureVertHistogram() As Integer()
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value() As Integer

value = instance.MeasureVertHistogram()
C#
public int[] MeasureVertHistogram()
Delphi
public function MeasureVertHistogram(): array of Integer;
JScript
public function MeasureVertHistogram() : int[];
Managed Extensions for C++
public: int[]* MeasureVertHistogram();
C++/CLI
public:
array<int>^ MeasureVertHistogram();

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


NextLine Method

[image]
ClearImage 8 Help
NextLine Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : NextLine Method

Find another line

Syntax

Visual Basic (Declaration)
Public Function NextLine() As CiLine
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As CiLine

value = instance.NextLine()
C#
public CiLine NextLine()
Delphi
public function NextLine(): CiLine;
JScript
public function NextLine() : CiLine;
Managed Extensions for C++
public: CiLine* NextLine();
C++/CLI
public:
CiLine^ NextLine();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


NextObject Method

[image]
ClearImage 8 Help
NextObject Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : NextObject Method

Find another object

Syntax

Visual Basic (Declaration)
Public Function NextObject() As CiObject
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As CiObject

value = instance.NextObject()
C#
public CiObject NextObject()
Delphi
public function NextObject(): CiObject;
JScript
public function NextObject() : CiObject;
Managed Extensions for C++
public: CiObject* NextObject();
C++/CLI
public:
CiObject^ NextObject();

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OrImage Method

[image]
ClearImage 8 Help
OrImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : OrImage Method

ImgSrc
left

Target position on CiTools.Image object.

top

Target position on CiTools.Image object.

Logical OR with another image

Syntax

Visual Basic (Declaration)
Public Function OrImage( _
   ByVal ImgSrc As CiImage, _
   ByVal left As Integer, _
   ByVal top As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim ImgSrc As CiImage
Dim left As Integer
Dim top As Integer
Dim value As Integer

value = instance.OrImage(ImgSrc, left, top)
C#
public int OrImage(
   CiImage ImgSrc,
   int left,
   int top
)
Delphi
public function OrImage(
    ImgSrc: CiImage;
    left: Integer;
    top: Integer
): Integer;
JScript
public function OrImage(
   ImgSrc : CiImage,
   left : int,
   top : int
) : int;
Managed Extensions for C++
public: int OrImage(
   CiImage* ImgSrc,
   int left,
   int top
)
C++/CLI
public:
int OrImage(
   CiImage^ ImgSrc,
   int left,
   int top
)

Parameters

ImgSrc
left

Target position on CiTools.Image object.

top

Target position on CiTools.Image object.

Remarks

This method generates an error if Image property is a zone.
BitsPerPixel property of object.Image and ImgSrc should be the same.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PasteImage Method

[image]
ClearImage 8 Help
PasteImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : PasteImage Method

ImgSrc
left

Target position on CiTools.Image object.

top

Target position on CiTools.Image object.

Paste another image

Syntax

Visual Basic (Declaration)
Public Function PasteImage( _
   ByVal ImgSrc As CiImage, _
   ByVal left As Integer, _
   ByVal top As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim ImgSrc As CiImage
Dim left As Integer
Dim top As Integer
Dim value As Integer

value = instance.PasteImage(ImgSrc, left, top)
C#
public int PasteImage(
   CiImage ImgSrc,
   int left,
   int top
)
Delphi
public function PasteImage(
    ImgSrc: CiImage;
    left: Integer;
    top: Integer
): Integer;
JScript
public function PasteImage(
   ImgSrc : CiImage,
   left : int,
   top : int
) : int;
Managed Extensions for C++
public: int PasteImage(
   CiImage* ImgSrc,
   int left,
   int top
)
C++/CLI
public:
int PasteImage(
   CiImage^ ImgSrc,
   int left,
   int top
)

Parameters

ImgSrc
left

Target position on CiTools.Image object.

top

Target position on CiTools.Image object.

Remarks

This method generates an error if Image property is a zone.
BitsPerPixel property of object.Image and ImgSrc should be the same.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ScaleImage Method

[image]
ClearImage 8 Help
ScaleImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : ScaleImage Method

ScaleX
ScaleY
Scale image

Syntax

Visual Basic (Declaration)
Public Function ScaleImage( _
   ByVal ScaleX As Double, _
   ByVal ScaleY As Double _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim ScaleX As Double
Dim ScaleY As Double
Dim value As Integer

value = instance.ScaleImage(ScaleX, ScaleY)
C#
public int ScaleImage(
   double ScaleX,
   double ScaleY
)
Delphi
public function ScaleImage(
    ScaleX: Double;
    ScaleY: Double
): Integer;
JScript
public function ScaleImage(
   ScaleX : double,
   ScaleY : double
) : int;
Managed Extensions for C++
public: int ScaleImage(
   double ScaleX,
   double ScaleY
)
C++/CLI
public:
int ScaleImage(
   double ScaleX,
   double ScaleY
)

Parameters

ScaleX
ScaleY

Remarks

This method generates an error if Image property is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Skeleton Method

[image]
ClearImage 8 Help
Skeleton Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : Skeleton Method

Trim image

Syntax

Visual Basic (Declaration)
Public Function Skeleton() As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As Integer

value = instance.Skeleton()
C#
public int Skeleton()
Delphi
public function Skeleton(): Integer;
JScript
public function Skeleton() : int;
Managed Extensions for C++
public: int Skeleton();
C++/CLI
public:
int Skeleton();

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Skew Method

[image]
ClearImage 8 Help
Skew Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : Skew Method

Angle
Positive value represents a clockwise angle.
Skew image

Syntax

Visual Basic (Declaration)
Public Function Skew( _
   ByVal Angle As Double _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim Angle As Double
Dim value As Integer

value = instance.Skew(Angle)
C#
public int Skew(
   double Angle
)
Delphi
public function Skew(
    Angle: Double
): Integer;
JScript
public function Skew(
   Angle : double
) : int;
Managed Extensions for C++
public: int Skew(
   double Angle
)
C++/CLI
public:
int Skew(
   double Angle
)

Parameters

Angle
Positive value represents a clockwise angle.

Remarks

This method generates an error if Image property is a zone.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Trim Method

[image]
ClearImage 8 Help
Trim Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : Trim Method

Pixels
Number of pixels to trim from each side
Direction
Trim image

Syntax

Visual Basic (Declaration)
Public Function Trim( _
   ByVal Pixels As Integer, _
   ByVal Direction As EMorphDirections _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim Pixels As Integer
Dim Direction As EMorphDirections
Dim value As Integer

value = instance.Trim(Pixels, Direction)
C#
public int Trim(
   int Pixels,
   EMorphDirections Direction
)
Delphi
public function Trim(
    Pixels: Integer;
    Direction: EMorphDirections
): Integer;
JScript
public function Trim(
   Pixels : int,
   Direction : EMorphDirections
) : int;
Managed Extensions for C++
public: int Trim(
   int Pixels,
   EMorphDirections Direction
)
C++/CLI
public:
int Trim(
   int Pixels,
   EMorphDirections Direction
)

Parameters

Pixels
Number of pixels to trim from each side
Direction

Remarks

This method generates an error if Image is not bi-tonal.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


XorImage Method

[image]
ClearImage 8 Help
XorImage Method
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : XorImage Method

ImgSrc
left

Target position on CiTools.Image object.

top

Target position on CiTools.Image object.

Logical XOR with another image

Syntax

Visual Basic (Declaration)
Public Function XorImage( _
   ByVal ImgSrc As CiImage, _
   ByVal left As Integer, _
   ByVal top As Integer _
) As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim ImgSrc As CiImage
Dim left As Integer
Dim top As Integer
Dim value As Integer

value = instance.XorImage(ImgSrc, left, top)
C#
public int XorImage(
   CiImage ImgSrc,
   int left,
   int top
)
Delphi
public function XorImage(
    ImgSrc: CiImage;
    left: Integer;
    top: Integer
): Integer;
JScript
public function XorImage(
   ImgSrc : CiImage,
   left : int,
   top : int
) : int;
Managed Extensions for C++
public: int XorImage(
   CiImage* ImgSrc,
   int left,
   int top
)
C++/CLI
public:
int XorImage(
   CiImage^ ImgSrc,
   int left,
   int top
)

Parameters

ImgSrc
left

Target position on CiTools.Image object.

top

Target position on CiTools.Image object.

Remarks

This method generates an error if Image property is a zone.
BitsPerPixel property of object.Image and ImgSrc should be the same.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CiTools Class Properties

[image]
ClearImage 8 Help
CiTools Class Properties
See Also Send Feedback
Inlite.ClearImage Namespace : CiTools Class

For a list of all members of this type, see CiTools members.

Public Properties

 | Name | Description
public Property | Image | Image as CiImage object
public Property | pLineCurvature | Maximum line curvature
public Property | pLineDirection | Line direction(s)
public Property | pMaxLineAngle | Maximum angle of line
public Property | pMaxLineGap | Maximum gap inside line in pixels
public Property | pMinLineLength | Minimum length of line in pixels
public Property | rConfidence | Image rotation and skew confidence
Top

See Also

Reference

CiTools Class
Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : Image Property

Image as CiImage object

Syntax

Visual Basic (Declaration)
Public Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As CiImage

instance.Image = value

value = instance.Image
C#
public CiImage Image {get; set;}
Delphi
public read-write property Image: CiImage;
JScript
public function get,set Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
public: __property void set_Image(
   CiImage* value
);
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
   void set (    CiImage^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pLineCurvature Property

[image]
ClearImage 8 Help
pLineCurvature Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : pLineCurvature Property

Maximum line curvature

Syntax

Visual Basic (Declaration)
Public Property pLineCurvature As ELineCurvature
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As ELineCurvature

instance.pLineCurvature = value

value = instance.pLineCurvature
C#
public ELineCurvature pLineCurvature {get; set;}
Delphi
public read-write property pLineCurvature: ELineCurvature;
JScript
public function get,set pLineCurvature : ELineCurvature
Managed Extensions for C++
public: __property ELineCurvature get_pLineCurvature();
public: __property void set_pLineCurvature(
   ELineCurvature value
);
C++/CLI
public:
property ELineCurvature pLineCurvature {
   ELineCurvature get();
   void set (    ELineCurvature value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pLineDirection Property

[image]
ClearImage 8 Help
pLineDirection Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : pLineDirection Property

Line direction(s)

Syntax

Visual Basic (Declaration)
Public Property pLineDirection As ELineDirection
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As ELineDirection

instance.pLineDirection = value

value = instance.pLineDirection
C#
public ELineDirection pLineDirection {get; set;}
Delphi
public read-write property pLineDirection: ELineDirection;
JScript
public function get,set pLineDirection : ELineDirection
Managed Extensions for C++
public: __property ELineDirection get_pLineDirection();
public: __property void set_pLineDirection(
   ELineDirection value
);
C++/CLI
public:
property ELineDirection pLineDirection {
   ELineDirection get();
   void set (    ELineDirection value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pMaxLineAngle Property

[image]
ClearImage 8 Help
pMaxLineAngle Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : pMaxLineAngle Property

Maximum angle of line

Syntax

Visual Basic (Declaration)
Public Property pMaxLineAngle As Double
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As Double

instance.pMaxLineAngle = value

value = instance.pMaxLineAngle
C#
public double pMaxLineAngle {get; set;}
Delphi
public read-write property pMaxLineAngle: Double;
JScript
public function get,set pMaxLineAngle : double
Managed Extensions for C++
public: __property double get_pMaxLineAngle();
public: __property void set_pMaxLineAngle(
   double value
);
C++/CLI
public:
property double pMaxLineAngle {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pMaxLineGap Property

[image]
ClearImage 8 Help
pMaxLineGap Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : pMaxLineGap Property

Maximum gap inside line in pixels

Syntax

Visual Basic (Declaration)
Public Property pMaxLineGap As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As Integer

instance.pMaxLineGap = value

value = instance.pMaxLineGap
C#
public int pMaxLineGap {get; set;}
Delphi
public read-write property pMaxLineGap: Integer;
JScript
public function get,set pMaxLineGap : int
Managed Extensions for C++
public: __property int get_pMaxLineGap();
public: __property void set_pMaxLineGap(
   int value
);
C++/CLI
public:
property int pMaxLineGap {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pMinLineLength Property

[image]
ClearImage 8 Help
pMinLineLength Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : pMinLineLength Property

Minimum length of line in pixels

Syntax

Visual Basic (Declaration)
Public Property pMinLineLength As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As Integer

instance.pMinLineLength = value

value = instance.pMinLineLength
C#
public int pMinLineLength {get; set;}
Delphi
public read-write property pMinLineLength: Integer;
JScript
public function get,set pMinLineLength : int
Managed Extensions for C++
public: __property int get_pMinLineLength();
public: __property void set_pMinLineLength(
   int value
);
C++/CLI
public:
property int pMinLineLength {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


rConfidence Property

[image]
ClearImage 8 Help
rConfidence Property
See Also Send Feedback
Inlite.ClearImage Namespace > CiTools Class : rConfidence Property

Image rotation and skew confidence

Syntax

Visual Basic (Declaration)
Public ReadOnly Property rConfidence As Integer
Visual Basic (Usage) Copy Code
Dim instance As CiTools
Dim value As Integer

value = instance.rConfidence
C#
public int rConfidence {get;}
Delphi
public read-only property rConfidence: Integer;
JScript
public function get rConfidence : int
Managed Extensions for C++
public: __property int get_rConfidence();
C++/CLI
public:
property int rConfidence {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

CiTools Class
CiTools Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EBarcodeAlgorithm Enumeration

[image]
ClearImage 8 Help
EBarcodeAlgorithm Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EBarcodeAlgorithm Enumeration

Barcode recognition algorithm

Syntax

Visual Basic (Declaration)
Public Enum EBarcodeAlgorithm
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EBarcodeAlgorithm
C#
public enum EBarcodeAlgorithm : System.Enum
Delphi
public enum EBarcodeAlgorithm = class(System.Enum)
JScript
public enum EBarcodeAlgorithm extends System.Enum
Managed Extensions for C++
__value public enum EBarcodeAlgorithm : public System.Enum
C++/CLI
public enum class EBarcodeAlgorithm : public System.Enum

Members

Member | Description
cibBestRecognition | Find poor quality and damaged barcodes
cibBestSpeed | Fastest barcode recognition

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EBarcodeEncoding Enumeration

[image]
ClearImage 8 Help
EBarcodeEncoding Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EBarcodeEncoding Enumeration

Encoding or compression of barcode data

Syntax

Visual Basic (Declaration)
Public Enum EBarcodeEncoding
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EBarcodeEncoding
C#
public enum EBarcodeEncoding : System.Enum
Delphi
public enum EBarcodeEncoding = class(System.Enum)
JScript
public enum EBarcodeEncoding extends System.Enum
Managed Extensions for C++
__value public enum EBarcodeEncoding : public System.Enum
C++/CLI
public enum class EBarcodeEncoding : public System.Enum

Members

Member | Description
ebeCompressionA1 | Barcode value was compressed by Adobe? LifeCycle?
ebeCompressionV1 | Barcode value was compressed by Inlite Barcodes-For-Documents
ebeNone | No decoding\decompression

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EBarcodeRotation Enumeration

[image]
ClearImage 8 Help
EBarcodeRotation Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EBarcodeRotation Enumeration

Barcode rotation

Syntax

Visual Basic (Declaration)
Public Enum EBarcodeRotation
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EBarcodeRotation
C#
public enum EBarcodeRotation : System.Enum
Delphi
public enum EBarcodeRotation = class(System.Enum)
JScript
public enum EBarcodeRotation extends System.Enum
Managed Extensions for C++
__value public enum EBarcodeRotation : public System.Enum
C++/CLI
public enum class EBarcodeRotation : public System.Enum

Members

Member | Description
cibRotDiag | Barcode is diagonal
cibRotLeft | Barcode is rotated left
cibRotNone | Barcode is not rotated
cibRotRight | Barcode is rotated right
cibRotUpsideDown | Barcode rotated upside down

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EBarcodeType Enumeration

[image]
ClearImage 8 Help
EBarcodeType Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EBarcodeType Enumeration

Recognized barcode type (symbology)

Syntax

Visual Basic (Declaration)
Public Enum EBarcodeType
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EBarcodeType
C#
public enum EBarcodeType : System.Enum
Delphi
public enum EBarcodeType = class(System.Enum)
JScript
public enum EBarcodeType extends System.Enum
Managed Extensions for C++
__value public enum EBarcodeType : public System.Enum
C++/CLI
public enum class EBarcodeType : public System.Enum

Members

Member | Description
cib4State | 4State postal barcode
cibAddon2 | Addon-2 barcode
cibAddon5 | Addon-5 barcode
cibAirline2of5 | IATA barcode
cibAustralianPost | Australian Post barcode
cibBpoPostcode | British Post barcode
cibCodabar | Codabar barcode
cibCode128 | Code 128 barcode
cibCode32 | Code 32 barcode
cibCode39 | Code 39 barcode
cibCode93 | Code 93 barcode
cibDatalogic2of5 | Datalogic barcode
cibDataMatrix | DataMatrix code
cibEan13 | EAN-13 barcode
cibEan8 | EAN-8 barcode
cibIndustrial2of5 | Industrial barcode
cibInterleaved2of5 | Interleaved 2 of 5 barcode
cibMatrix2of5 | Matrix barcode
cibPatch | Patch code
cibPdf417 | PDF417 barcode
cibPlanet | Planet barcode
cibPostnet | Postnet barcode
cibQR | QR barcode
cibSingaporePost |
cibUcc128 | UCC-128 barcode
cibUpca | UPC-A barcode
cibUpce | UPC-E barcode
cibUspsIntelligentMail | USPS Inteligent mail barcode

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EBorderExtractAlgorithm Enumeration

[image]
ClearImage 8 Help
EBorderExtractAlgorithm Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EBorderExtractAlgorithm Enumeration

Border Extraction algorithm

Syntax

Visual Basic (Declaration)
Public Enum EBorderExtractAlgorithm
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EBorderExtractAlgorithm
C#
public enum EBorderExtractAlgorithm : System.Enum
Delphi
public enum EBorderExtractAlgorithm = class(System.Enum)
JScript
public enum EBorderExtractAlgorithm extends System.Enum
Managed Extensions for C++
__value public enum EBorderExtractAlgorithm : public System.Enum
C++/CLI
public enum class EBorderExtractAlgorithm : public System.Enum

Members

Member | Description
ciBeaCleaner | Cleaner border extraction
ciBeaFaster | Faster border extraction

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EBorderExtractFlags Enumeration

[image]
ClearImage 8 Help
EBorderExtractFlags Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EBorderExtractFlags Enumeration

Border Extraction flags

Syntax

Visual Basic (Declaration)
Public Enum EBorderExtractFlags
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EBorderExtractFlags
C#
public enum EBorderExtractFlags : System.Enum
Delphi
public enum EBorderExtractFlags = class(System.Enum)
JScript
public enum EBorderExtractFlags extends System.Enum
Managed Extensions for C++
__value public enum EBorderExtractFlags : public System.Enum
C++/CLI
public enum class EBorderExtractFlags : public System.Enum

Members

Member | Description
ciBexBorder | Remove borders only
ciBexBorderDeskew | Remove borders and deskew
ciBexBorderDeskewCrop | Remove borders, deskew, and crop
ciBexDeskewCrop | Deskew, and crop

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ECleanNoiseFlags Enumeration

[image]
ClearImage 8 Help
ECleanNoiseFlags Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : ECleanNoiseFlags Enumeration

CleanNoiseExt flags

Syntax

Visual Basic (Declaration)
Public Enum ECleanNoiseFlags
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ECleanNoiseFlags
C#
public enum ECleanNoiseFlags : System.Enum
Delphi
public enum ECleanNoiseFlags = class(System.Enum)
JScript
public enum ECleanNoiseFlags extends System.Enum
Managed Extensions for C++
__value public enum ECleanNoiseFlags : public System.Enum
C++/CLI
public enum class ECleanNoiseFlags : public System.Enum

Members

Member | Description
ciCnxBlackNoise | Remove black-on-white noise
ciCnxMarginsNoise | Remove noise only in margins area
ciCnxWhiteNoise | Remove white-on-black noise

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EComprBitonal Enumeration

[image]
ClearImage 8 Help
EComprBitonal Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EComprBitonal Enumeration

Syntax

Visual Basic (Declaration)
Public Enum EComprBitonal
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EComprBitonal
C#
public enum EComprBitonal : System.Enum
Delphi
public enum EComprBitonal = class(System.Enum)
JScript
public enum EComprBitonal extends System.Enum
Managed Extensions for C++
__value public enum EComprBitonal : public System.Enum
C++/CLI
public enum class EComprBitonal : public System.Enum

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EComprColor Enumeration

[image]
ClearImage 8 Help
EComprColor Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EComprColor Enumeration

Syntax

Visual Basic (Declaration)
Public Enum EComprColor
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EComprColor
C#
public enum EComprColor : System.Enum
Delphi
public enum EComprColor = class(System.Enum)
JScript
public enum EComprColor extends System.Enum
Managed Extensions for C++
__value public enum EComprColor : public System.Enum
C++/CLI
public enum class EComprColor : public System.Enum

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EFileFormat Enumeration

[image]
ClearImage 8 Help
EFileFormat Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EFileFormat Enumeration

Image file format

Syntax

Visual Basic (Declaration)
Public Enum EFileFormat
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EFileFormat
C#
public enum EFileFormat : System.Enum
Delphi
public enum EFileFormat = class(System.Enum)
JScript
public enum EFileFormat extends System.Enum
Managed Extensions for C++
__value public enum EFileFormat : public System.Enum
C++/CLI
public enum class EFileFormat : public System.Enum

Members

Member | Description
ciBMP | BMP format. bpp= 1, 8, 24
ciEXT | Format is based on file name extension
cifICL | Image Cash Letter format. bpp=1,8,24
cifPDF | PDF Format. bpp=1,8,24
ciGIF | GIF format. bpp= 1, 8, 24. Read only
ciICO | Windows icon format, 255x255 max. bpp=8, 24
ciJBG | JBIG format. bpp=1. Read only
ciJP2 | JPEG-2000 format. bpp=8, 24
ciJPC | JPEG 2000 Code stream. bpp=8
ciJPG | JPEG format. bpp=8, 24
ciPCX | PCX format. bpp= 1, 8, 24
ciPGX | JPEG-2000 verification model. bpp=8
ciPNG | Portable Network Graphic format. bpp= 1, 8, 24
ciPNM | Portable aNyMap format. bpp=8
ciTGA | Targa format. bpp=8, 24
ciTIFF | Uncompressed TIFF format. bpp= 1, 8, 24
ciTIFF_G3_1D | TIFF Group3 compression, bpp=1
ciTIFF_G4 | TIFF Group 4 compression, bpp=1
ciTIFF_JPEG | TIFF JPEG compression, bpp=8, 24
ciTIFF_NEOL | TIFF No-end-of-line compression, bpp=1
ciWBMP | Wireless Bitmap format, 255x255 max. bpp=1

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EImageAlignment Enumeration

[image]
ClearImage 8 Help
EImageAlignment Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EImageAlignment Enumeration

Alignment of image on a page

Syntax

Visual Basic (Declaration)
Public Enum EImageAlignment
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EImageAlignment
C#
public enum EImageAlignment : System.Enum
Delphi
public enum EImageAlignment = class(System.Enum)
JScript
public enum EImageAlignment extends System.Enum
Managed Extensions for C++
__value public enum EImageAlignment : public System.Enum
C++/CLI
public enum class EImageAlignment : public System.Enum

Members

Member | Description
epiaStretch |

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EInfoType Enumeration

[image]
ClearImage 8 Help
EInfoType Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EInfoType Enumeration

Server information type

Syntax

Visual Basic (Declaration)
Public Enum EInfoType
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EInfoType
C#
public enum EInfoType : System.Enum
Delphi
public enum EInfoType = class(System.Enum)
JScript
public enum EInfoType extends System.Enum
Managed Extensions for C++
__value public enum EInfoType : public System.Enum
C++/CLI
public enum class EInfoType : public System.Enum

Members

Member | Description
ciErrorText | Error text for specified error
ciModulesList | List of modules - List format
ciModulesXml | List of modules - XML format

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ELineCurvature Enumeration

[image]
ClearImage 8 Help
ELineCurvature Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : ELineCurvature Enumeration

Limit on line curvature

Syntax

Visual Basic (Declaration)
Public Enum ELineCurvature
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ELineCurvature
C#
public enum ELineCurvature : System.Enum
Delphi
public enum ELineCurvature = class(System.Enum)
JScript
public enum ELineCurvature extends System.Enum
Managed Extensions for C++
__value public enum ELineCurvature : public System.Enum
C++/CLI
public enum class ELineCurvature : public System.Enum

Members

Member | Description
ciCurvHigh | High curvature with gaps
ciCurvLow | Low curvature with gaps
ciCurvMedium | Medium curvature with gaps
ciCurvStraight | Straight lines, no gaps
ciCurvVeryLow | Very low curvature with gaps

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ELineDirection Enumeration

[image]
ClearImage 8 Help
ELineDirection Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : ELineDirection Enumeration

Line direction

Syntax

Visual Basic (Declaration)
Public Enum ELineDirection
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ELineDirection
C#
public enum ELineDirection : System.Enum
Delphi
public enum ELineDirection = class(System.Enum)
JScript
public enum ELineDirection extends System.Enum
Managed Extensions for C++
__value public enum ELineDirection : public System.Enum
C++/CLI
public enum class ELineDirection : public System.Enum

Members

Member | Description
ciLineHorz | Horizontal lines
ciLineUnknown | Unknown
ciLineVert | Vertical lines
ciLineVertAndHorz | Both vertical and horizontal lines

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EMorphDirections Enumeration

[image]
ClearImage 8 Help
EMorphDirections Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EMorphDirections Enumeration

Direction to fatten or trim image

Syntax

Visual Basic (Declaration)
Public Enum EMorphDirections
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EMorphDirections
C#
public enum EMorphDirections : System.Enum
Delphi
public enum EMorphDirections = class(System.Enum)
JScript
public enum EMorphDirections extends System.Enum
Managed Extensions for C++
__value public enum EMorphDirections : public System.Enum
C++/CLI
public enum class EMorphDirections : public System.Enum

Members

Member | Description
ciMorphAllNeighbours | Modify all neighboring pixels
ciMorphDiag | Modify pixels located diagonally
ciMorphHorz | Modify pixels located to the left and right
ciMorphHorzAndVert | Modify pixels located left, right, up or down
ciMorphVert | Modify pixels located up and down

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EPageOrientation Enumeration

[image]
ClearImage 8 Help
EPageOrientation Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EPageOrientation Enumeration

Page orientation

Syntax

Visual Basic (Declaration)
Public Enum EPageOrientation
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EPageOrientation
C#
public enum EPageOrientation : System.Enum
Delphi
public enum EPageOrientation = class(System.Enum)
JScript
public enum EPageOrientation extends System.Enum
Managed Extensions for C++
__value public enum EPageOrientation : public System.Enum
C++/CLI
public enum class EPageOrientation : public System.Enum

Members

Member | Description
epgoAuto | Orientation is determind automaticaly
epgoLandscape | Use landscape orientation
epgoPortrait | Use portrait orientation

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EPageRotation Enumeration

[image]
ClearImage 8 Help
EPageRotation Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EPageRotation Enumeration

Page rotation

Syntax

Visual Basic (Declaration)
Public Enum EPageRotation
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EPageRotation
C#
public enum EPageRotation : System.Enum
Delphi
public enum EPageRotation = class(System.Enum)
JScript
public enum EPageRotation extends System.Enum
Managed Extensions for C++
__value public enum EPageRotation : public System.Enum
C++/CLI
public enum class EPageRotation : public System.Enum

Members

Member | Description
ciRotLeft | Page is rotated left
ciRotLeftOrRight | Page is rotated left or right
ciRotNone | Page is not rotated
ciRotPortrait | Page is not rotated or rotated upside down
ciRotRight | Page is rotated right
ciRotUnknown | Page rotation unknown
ciRotUpsideDown | Page rotated upside down

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EPageSize Enumeration

[image]
ClearImage 8 Help
EPageSize Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EPageSize Enumeration

Page size

Syntax

Visual Basic (Declaration)
Public Enum EPageSize
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EPageSize
C#
public enum EPageSize : System.Enum
Delphi
public enum EPageSize = class(System.Enum)
JScript
public enum EPageSize extends System.Enum
Managed Extensions for C++
__value public enum EPageSize : public System.Enum
C++/CLI
public enum class EPageSize : public System.Enum

Members

Member | Description
epgsA4 | A4 page size
epgsCustom | Custom image size
epgsImage |
epgsLedger | Ledger size
epgsLegal | Legal size
epgsLetter | Letter size
epgsNearest |
epgsNearestMetric |
epgsNearestStd |
epgsOriginal | Image size before image is modified

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EPdfRasterColorMode Enumeration

[image]
ClearImage 8 Help
EPdfRasterColorMode Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EPdfRasterColorMode Enumeration

Rasterization color selection

Syntax

Visual Basic (Declaration)
Public Enum EPdfRasterColorMode
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EPdfRasterColorMode
C#
public enum EPdfRasterColorMode : System.Enum
Delphi
public enum EPdfRasterColorMode = class(System.Enum)
JScript
public enum EPdfRasterColorMode extends System.Enum
Managed Extensions for C++
__value public enum EPdfRasterColorMode : public System.Enum
C++/CLI
public enum class EPdfRasterColorMode : public System.Enum

Members

Member | Description
eprmAuto | Rasterize based on color of page objects
eprmBw | Rasterize page as black-and-white
eprmGs | Rasterize page as grayscale
eprmRgb | Rasterize page as color

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EPdfReadMode Enumeration

[image]
ClearImage 8 Help
EPdfReadMode Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EPdfReadMode Enumeration

Pdf page reading mode selection

Syntax

Visual Basic (Declaration)
Public Enum EPdfReadMode
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EPdfReadMode
C#
public enum EPdfReadMode : System.Enum
Delphi
public enum EPdfReadMode = class(System.Enum)
JScript
public enum EPdfReadMode extends System.Enum
Managed Extensions for C++
__value public enum EPdfReadMode : public System.Enum
C++/CLI
public enum class EPdfReadMode : public System.Enum

Members

Member | Description
epemAuto | Automaticly switch between image and rasterized based on content
epemImage | Read embedded images
epemRaster | Read rasterized pages

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EScaleType Enumeration

[image]
ClearImage 8 Help
EScaleType Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : EScaleType Enumeration

Type of image to image scale down

Syntax

Visual Basic (Declaration)
Public Enum EScaleType
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As EScaleType
C#
public enum EScaleType : System.Enum
Delphi
public enum EScaleType = class(System.Enum)
JScript
public enum EScaleType extends System.Enum
Managed Extensions for C++
__value public enum EScaleType : public System.Enum
C++/CLI
public enum class EScaleType : public System.Enum

Members

Member | Description
ciScaleMergeLineGaps | Merge gaps, making image lighter
ciScaleMergeLinePixels | Merge pixels, making image darker
ciScaleSkipLines | Skip extra lines
ciScaleThreshold | Apply threshold to merged lines

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ESizeUnit Enumeration

[image]
ClearImage 8 Help
ESizeUnit Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : ESizeUnit Enumeration

Alignment of image on a page

Syntax

Visual Basic (Declaration)
Public Enum ESizeUnit
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ESizeUnit
C#
public enum ESizeUnit : System.Enum
Delphi
public enum ESizeUnit = class(System.Enum)
JScript
public enum ESizeUnit extends System.Enum
Managed Extensions for C++
__value public enum ESizeUnit : public System.Enum
C++/CLI
public enum class ESizeUnit : public System.Enum

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ESmoothType Enumeration

[image]
ClearImage 8 Help
ESmoothType Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : ESmoothType Enumeration

Type of smoothing

Syntax

Visual Basic (Declaration)
Public Enum ESmoothType
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ESmoothType
C#
public enum ESmoothType : System.Enum
Delphi
public enum ESmoothType = class(System.Enum)
JScript
public enum ESmoothType extends System.Enum
Managed Extensions for C++
__value public enum ESmoothType : public System.Enum
C++/CLI
public enum class ESmoothType : public System.Enum

Members

Member | Description
ciSmoothDarkenEdges | Make character edges darker
ciSmoothLightenEdges | Make character edges lighter

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FBarcodeDiag Enumeration

[image]
ClearImage 8 Help
FBarcodeDiag Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : FBarcodeDiag Enumeration

Barcode recognition control flags

Syntax

Visual Basic (Declaration)
Public Enum FBarcodeDiag
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As FBarcodeDiag
C#
public enum FBarcodeDiag : System.Enum
Delphi
public enum FBarcodeDiag = class(System.Enum)
JScript
public enum FBarcodeDiag extends System.Enum
Managed Extensions for C++
__value public enum FBarcodeDiag : public System.Enum
C++/CLI
public enum class FBarcodeDiag : public System.Enum

Members

Member | Description
cibNoValidation | Disable checksum or ECC validation
cibRawData | Return un-decoded data
cibSymbologyIdentifier | Output AIM symbology identifier

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FBarcodeDirections Enumeration

[image]
ClearImage 8 Help
FBarcodeDirections Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : FBarcodeDirections Enumeration

Barcode search direction

Syntax

Visual Basic (Declaration)
Public Enum FBarcodeDirections
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As FBarcodeDirections
C#
public enum FBarcodeDirections : System.Enum
Delphi
public enum FBarcodeDirections = class(System.Enum)
JScript
public enum FBarcodeDirections extends System.Enum
Managed Extensions for C++
__value public enum FBarcodeDirections : public System.Enum
C++/CLI
public enum class FBarcodeDirections : public System.Enum

Members

Member | Description
cibDiag | Recognize diagonal barcodes
cibHorz | Recognize horizontal barcodes
cibVert | Recognize vertical barcodes

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FBarcodeErrors Enumeration

[image]
ClearImage 8 Help
FBarcodeErrors Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : FBarcodeErrors Enumeration

Recognized barcode errors

Syntax

Visual Basic (Declaration)
Public Enum FBarcodeErrors
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As FBarcodeErrors
C#
public enum FBarcodeErrors : System.Enum
Delphi
public enum FBarcodeErrors = class(System.Enum)
JScript
public enum FBarcodeErrors extends System.Enum
Managed Extensions for C++
__value public enum FBarcodeErrors : public System.Enum
C++/CLI
public enum class FBarcodeErrors : public System.Enum

Members

Member | Description
cibBadChecksum | Checksum (or ECC) failed
cibBadData | At least one Data character is incorrect
cibBadStartChar | Incorrect Start character
cibBadStopChar | Incorrect Stop character
cibDecoding | Barcode decoding problem

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FBarcodeType Enumeration

[image]
ClearImage 8 Help
FBarcodeType Enumeration
See Also Send Feedback
Inlite.ClearImage Namespace : FBarcodeType Enumeration

Barcode type (symbology) to find

Syntax

Visual Basic (Declaration)
Public Enum FBarcodeType
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As FBarcodeType
C#
public enum FBarcodeType : System.Enum
Delphi
public enum FBarcodeType = class(System.Enum)
JScript
public enum FBarcodeType extends System.Enum
Managed Extensions for C++
__value public enum FBarcodeType : public System.Enum
C++/CLI
public enum class FBarcodeType : public System.Enum

Members

Member | Description
cibf4State | 4State postal barcods: USPS Intelligent Mail, British Postcode, Australian Postcode
cibfAddon2 | Addon-2 barcode
cibfAddon5 | Addon-5 barcode
cibfAirline2of5 | IATA barcode
cibfCodabar | Codabar barcode
cibfCode128 | Code 128 barcode
cibfCode32 | Code 32 barcode
cibfCode39 | Code 39 barcode
cibfCode93 | Code 93 barcode
cibfDatalogic2of5 | Datalogic barcode
cibfEan13 | EAN-13 barcode
cibfEan8 | EAN-8 barcode
cibfIndustrial2of5 | Industrial barcode
cibfInterleaved2of5 | Interleaved 2 of 5 barcode
cibfMatrix2of5 | Matrix barcode
cibfPatch | Patch code
cibfPostnet | Postnet or Planet barcode
cibfUcc128 | UCC-128 barcode
cibfUpca | UPC-A barcode
cibfUpce | UPC-E barcode

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImage Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Inlite.ClearImageNet Namespace

Inlite.ClearImageNet Namespace
See Also Inheritance Hierarchy Send Feedback
Higher level API namespace using .NET - specific capabilities.

Classes

 | Class | Description
Class | Barcode | Holds information about barcode
Class | BarcodeFoundEventArgs | Event arguments used by BarcodeReader.BarcodeFoundEventHandler
Class | BarcodeReader | Reads barcode values and properties
Class | ClearImageException | Exception from ClearImageNet class library
Class | EditPageEventArgs | Event arguments used by ImageEditor.EditPageEventHandler
Class | ImageEditor | Modifies and analyzes Bitmap image
Class | ImageInfo | Holds information about image and page in the image
Class | ImageIO | Opens, saves, gets information from file-based images
Class | ImageLine | Holds information about image line
Class | ImageObject | Holds information about image object
Class | ImageOpenedEventArgs | Event arguments used by BarcodeReader.ImageOpenedEventHandler
Class | LicModule | Holds information about the module and license status
Class | LineFoundEventArgs | Event arguments used by ImageEditor.LineFoundEventHandler
Class | ObjectFoundEventArgs | Event arguments used by ImageEditor.ObjectFoundEventHandler
Class | Server | Provides information about ClearImage Server

Delegates

 | Delegate | Description
Delegate | BarcodeReader.BarcodeFoundEventHandler | Handles BarcodeFound events.
Delegate | BarcodeReader.ImageOpenedEventHandler | Handles ImageOpened events.
Delegate | ImageEditor.EditPageEventHandler | Handles EditPage events.
Delegate | ImageEditor.LineFoundEventHandler | Handles LineFound events.
Delegate | ImageEditor.ObjectFoundEventHandler | Handles ObjectFound events.

Enumerations

 | Enumeration | Description
Enumeration | BarcodeDecoding | Identifies barcode decoding type
Enumeration | BarcodeRotation | Identifies barcode's direction of rotation in respect to an image
Enumeration | BarcodeType | Identifies barcode's type (symbology)
Enumeration | BorderExtractMode | Sets actions for ImageEditor.BorderExtract method
Enumeration | CleanNoiseFlags | Sets flags for extended CleanNoise
Enumeration | ComprBitonal | Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF
Enumeration | ComprColor | Identifies compression of saved color and grayscale images inside fo TIFF or PDF
Enumeration | ImageFileFormat | Identifies image file format returned
Enumeration | LineCurvature | Sets criteria for line identification and/or processing
Enumeration | LineDirection | Sets directions of lines for line identification and/or processing
Enumeration | MorphDirections | Sets directions for ImageEditor.Fatten and ImageEditor.Trim methods
Enumeration | PageCompression | Identifies compression of the page in the image file
Enumeration | PageRotation | Identifies page rotation based on text or graphics
Enumeration | PdfRasterMode | Pdf Rasterization color selection
Enumeration | PdfReadMode | Pdf page reading mode selection

See Also

Reference

ClearImageNet.70 Assembly

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcode Class

[image]
ClearImage 8 Help
Barcode Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : Barcode Class

Holds information about barcode

Object Model

Barcode Class

Syntax

Visual Basic (Declaration)
Public Class Barcode
Visual Basic (Usage) Copy Code
Dim instance As Barcode
C#
public class Barcode
Delphi
public class Barcode
JScript
public class Barcode
Managed Extensions for C++
public __gc class Barcode
C++/CLI
public ref class Barcode

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcode Class Members

[image]
ClearImage 8 Help
Barcode Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImageNet Namespace : Barcode Class

The following tables list the members exposed by Barcode.

Public Properties

 | Name | Description
public Property | Data | Barcode data as a byte array
public Property | File | Name of the image file containing the barcode.
public Property | Length | Length of barcode data
public Property | ModuleSize | Average width (in pixels) of the barcode modules
public Property | Page | Page number in the image file containing the barcode
public Property | Rectangle | Rectangle enclosing the barcode
public Property | Rotation | Direction of the barcode rotation on an image
public Property | Text | Barcode data as a string
public Property | Type | Barcode type (symbology)
Top

Public Methods

 | Name | Description
public Method | Decode | Get decoded value of barcode
Top

See Also

Reference

Barcode Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcode Class Methods

[image]
ClearImage 8 Help
Barcode Class Methods
See Also Send Feedback
Inlite.ClearImageNet Namespace : Barcode Class

For a list of all members of this type, see Barcode members.

Public Methods

 | Name | Description
public Method | Decode | Get decoded value of barcode
Top

See Also

Reference

Barcode Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Decode Method

[image]
ClearImage 8 Help
Decode Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Decode Method

type
Get decoded value of barcode

Syntax

Visual Basic (Declaration)
Public Function Decode( _
   ByVal type As BarcodeDecoding _
) As String
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim type As BarcodeDecoding
Dim value As String

value = instance.Decode(type)
C#
public string Decode(
   BarcodeDecoding type
)
Delphi
public function Decode(
    type: BarcodeDecoding
): String;
JScript
public function Decode(
   type : BarcodeDecoding
) : String;
Managed Extensions for C++
public: string* Decode(
   BarcodeDecoding type
)
C++/CLI
public:
String^ Decode(
   BarcodeDecoding type
)

Parameters

type

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcode Class Properties

[image]
ClearImage 8 Help
Barcode Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : Barcode Class

For a list of all members of this type, see Barcode members.

Public Properties

 | Name | Description
public Property | Data | Barcode data as a byte array
public Property | File | Name of the image file containing the barcode.
public Property | Length | Length of barcode data
public Property | ModuleSize | Average width (in pixels) of the barcode modules
public Property | Page | Page number in the image file containing the barcode
public Property | Rectangle | Rectangle enclosing the barcode
public Property | Rotation | Direction of the barcode rotation on an image
public Property | Text | Barcode data as a string
public Property | Type | Barcode type (symbology)
Top

See Also

Reference

Barcode Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Data Property

[image]
ClearImage 8 Help
Data Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Data Property

Barcode data as a byte array

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Data As Byte()
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value() As Byte

value = instance.Data
C#
public byte[] Data {get;}
Delphi
public read-only property Data: array of Byte;
JScript
public function get Data : byte[]
Managed Extensions for C++
public: __property byte[]* get_Data();
C++/CLI
public:
property array<byte>^ Data {
   array<byte>^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


File Property

[image]
ClearImage 8 Help
File Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : File Property

Name of the image file containing the barcode.

Syntax

Visual Basic (Declaration)
Public ReadOnly Property File As String
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As String

value = instance.File
C#
public string File {get;}
Delphi
public read-only property File: String;
JScript
public function get File : String
Managed Extensions for C++
public: __property string* get_File();
C++/CLI
public:
property String^ File {
   String^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Length Property

[image]
ClearImage 8 Help
Length Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Length Property

Length of barcode data

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Length As Integer
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As Integer

value = instance.Length
C#
public int Length {get;}
Delphi
public read-only property Length: Integer;
JScript
public function get Length : int
Managed Extensions for C++
public: __property int get_Length();
C++/CLI
public:
property int Length {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ModuleSize Property

[image]
ClearImage 8 Help
ModuleSize Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : ModuleSize Property

Average width (in pixels) of the barcode modules

Syntax

Visual Basic (Declaration)
Public ReadOnly Property ModuleSize As Double
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As Double

value = instance.ModuleSize
C#
public double ModuleSize {get;}
Delphi
public read-only property ModuleSize: Double;
JScript
public function get ModuleSize : double
Managed Extensions for C++
public: __property double get_ModuleSize();
C++/CLI
public:
property double ModuleSize {
   double get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Page Property

[image]
ClearImage 8 Help
Page Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Page Property

Page number in the image file containing the barcode

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Page As Integer
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As Integer

value = instance.Page
C#
public int Page {get;}
Delphi
public read-only property Page: Integer;
JScript
public function get Page : int
Managed Extensions for C++
public: __property int get_Page();
C++/CLI
public:
property int Page {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rectangle Property

[image]
ClearImage 8 Help
Rectangle Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Rectangle Property

Rectangle enclosing the barcode

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rectangle As Rectangle
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As Rectangle

value = instance.Rectangle
C#
public Rectangle Rectangle {get;}
Delphi
public read-only property Rectangle: Rectangle;
JScript
public function get Rectangle : Rectangle
Managed Extensions for C++
public: __property Rectangle get_Rectangle();
C++/CLI
public:
property Rectangle Rectangle {
   Rectangle get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rotation Property

[image]
ClearImage 8 Help
Rotation Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Rotation Property

Direction of the barcode rotation on an image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rotation As BarcodeRotation
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As BarcodeRotation

value = instance.Rotation
C#
public BarcodeRotation Rotation {get;}
Delphi
public read-only property Rotation: BarcodeRotation;
JScript
public function get Rotation : BarcodeRotation
Managed Extensions for C++
public: __property BarcodeRotation get_Rotation();
C++/CLI
public:
property BarcodeRotation Rotation {
   BarcodeRotation get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Text Property

[image]
ClearImage 8 Help
Text Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Text Property

Barcode data as a string

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Text As String
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As String

value = instance.Text
C#
public string Text {get;}
Delphi
public read-only property Text: String;
JScript
public function get Text : String
Managed Extensions for C++
public: __property string* get_Text();
C++/CLI
public:
property String^ Text {
   String^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Type Property

[image]
ClearImage 8 Help
Type Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Barcode Class : Type Property

Barcode type (symbology)

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Type As BarcodeType
Visual Basic (Usage) Copy Code
Dim instance As Barcode
Dim value As BarcodeType

value = instance.Type
C#
public BarcodeType Type {get;}
Delphi
public read-only property Type: BarcodeType;
JScript
public function get Type : BarcodeType
Managed Extensions for C++
public: __property BarcodeType get_Type();
C++/CLI
public:
property BarcodeType Type {
   BarcodeType get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Barcode Class
Barcode Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeFoundEventArgs Class

[image]
ClearImage 8 Help
BarcodeFoundEventArgs Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeFoundEventArgs Class

Event arguments used by BarcodeReader.BarcodeFoundEventHandler

Object Model

BarcodeFoundEventArgs ClassBarcode Class

Syntax

Visual Basic (Declaration)
Public Class BarcodeFoundEventArgs
   Inherits System.EventArgs
Visual Basic (Usage) Copy Code
Dim instance As BarcodeFoundEventArgs
C#
public class BarcodeFoundEventArgs : System.EventArgs
Delphi
public class BarcodeFoundEventArgs = class(System.EventArgs)
JScript
public class BarcodeFoundEventArgs extends System.EventArgs
Managed Extensions for C++
public __gc class BarcodeFoundEventArgs : public System.EventArgs
C++/CLI
public ref class BarcodeFoundEventArgs : public System.EventArgs

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeFoundEventArgs Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeFoundEventArgs Class Members

[image]
ClearImage 8 Help
BarcodeFoundEventArgs Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : BarcodeFoundEventArgs Class

The following tables list the members exposed by BarcodeFoundEventArgs.

Public Properties

 | Name | Description
public Property | Barcode | Information about the last found barcode
public Property | cancel | Flag to abort barcode detection. Set 'true' to abort
public Property | Count | Number of barcodes found during this Read operation
Top

See Also

Reference

BarcodeFoundEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeFoundEventArgs Class Properties

[image]
ClearImage 8 Help
BarcodeFoundEventArgs Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeFoundEventArgs Class

For a list of all members of this type, see BarcodeFoundEventArgs members.

Public Properties

 | Name | Description
public Property | Barcode | Information about the last found barcode
public Property | cancel | Flag to abort barcode detection. Set 'true' to abort
public Property | Count | Number of barcodes found during this Read operation
Top

See Also

Reference

BarcodeFoundEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Barcode Property

[image]
ClearImage 8 Help
Barcode Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeFoundEventArgs Class : Barcode Property

Information about the last found barcode

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Barcode As Barcode
Visual Basic (Usage) Copy Code
Dim instance As BarcodeFoundEventArgs
Dim value As Barcode

value = instance.Barcode
C#
public Barcode Barcode {get;}
Delphi
public read-only property Barcode: Barcode;
JScript
public function get Barcode : Barcode
Managed Extensions for C++
public: __property Barcode* get_Barcode();
C++/CLI
public:
property Barcode^ Barcode {
   Barcode^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeFoundEventArgs Class
BarcodeFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


cancel Property

[image]
ClearImage 8 Help
cancel Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeFoundEventArgs Class : cancel Property

Flag to abort barcode detection. Set 'true' to abort

Syntax

Visual Basic (Declaration)
Public Property cancel As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeFoundEventArgs
Dim value As Boolean

instance.cancel = value

value = instance.cancel
C#
public bool cancel {get; set;}
Delphi
public read-write property cancel: Boolean;
JScript
public function get,set cancel : boolean
Managed Extensions for C++
public: __property bool get_cancel();
public: __property void set_cancel(
   bool value
);
C++/CLI
public:
property bool cancel {
   bool get();
   void set (    bool value);
}

Remarks

Set 'true' to abort barcode detection

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeFoundEventArgs Class
BarcodeFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Count Property

[image]
ClearImage 8 Help
Count Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeFoundEventArgs Class : Count Property

Number of barcodes found during this Read operation

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Count As Integer
Visual Basic (Usage) Copy Code
Dim instance As BarcodeFoundEventArgs
Dim value As Integer

value = instance.Count
C#
public int Count {get;}
Delphi
public read-only property Count: Integer;
JScript
public function get Count : int
Managed Extensions for C++
public: __property int get_Count();
C++/CLI
public:
property int Count {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeFoundEventArgs Class
BarcodeFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader Class

[image]
ClearImage 8 Help
BarcodeReader Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeReader Class

Reads barcode values and properties

Object Model

BarcodeReader ClassImageIO Class

Syntax

Visual Basic (Declaration)
Public Class BarcodeReader
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
C#
public class BarcodeReader
Delphi
public class BarcodeReader
JScript
public class BarcodeReader
Managed Extensions for C++
public __gc class BarcodeReader
C++/CLI
public ref class BarcodeReader

Remarks

Depending on selected barcode types requires ClearImage Barcode 1D Pro, 1D Basic, PDF417, DataMatrix or QR licenses

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader Class Members

[image]
ClearImage 8 Help
BarcodeReader Class Members
See Also Properties Methods Events Send Feedback
Inlite.ClearImageNet Namespace : BarcodeReader Class

The following tables list the members exposed by BarcodeReader.

Public Constructors

 | Name | Description
public Constructor | BarcodeReader Constructor | Barcode reader constructor
Top

Public Properties

 | Name | Description
public Property | Addon2 | Enables/disables reading of ADDON-2 barcodes
public Property | Addon5 | Enables/disables reading of ADDON-2 barcodes
public Property | Airline2of5 | Enables/disables reading of Airline 2 of 5 barcodes
public Property | Auto1D | Enables reading of the most popular 1D barcodes
public Property | Codabar | Enables/disables reading of Codebar barcodes
public Property | Code128 | Enables/disables reading of Code 128 barcodes
public Property | Code32 | Enables/disables reading of Code 32 barcodes
public Property | Code39 | Enables/disables reading of Code 39 barcodes
public Property | Code39basic | Enables/disables reading of Basic Code 39 barcodes.
public Property | Code39checksum | Enables/disables reading of Code 39 barcodes with checksum.
public Property | Code93 | Enables/disables reading of Code 93 barcodes
public Property | Datalogic2of5 | Enables/disables reading of Datalogic 2 of 5 barcodes
public Property | DataMatrix | Enables/disables reading of DataMatrix barcodes
public Property | Diagonal | Enables/disables reading of substantially diagonal barcodes (default true)
public Property | DrvLicID | Enables/disables reading of DL/ID barcodes
public Property | Ean13 | Enables/disables reading of EAN-13 barcodes
public Property | Ean8 | Enables/disables reading of EAN-8 barcodes
public Property | FourState | Enables/disables reading of 4-State barcodes: USPS Intelligent Mail, British Postcode, Australian Postcode
public Property | Horizontal | Enables/disables reading of substantially horizontal barcodes (default true)
public Property | Industrial2of5 | Enables/disables reading of Industrial 2 of 5 barcodes
public Property | Interleaved2of5 | Enables/disables reading of Interleaved 2 of 5 barcodes
public Property | Interleaved2of5checksum | Enables/disables reading of Interleaved 2 of 5 barcodes with checksum.
public Property | IO | ImageIO to configure opening of image files
public Property | Matrix2of5 | Enables/disables reading of Matrix 2 of 5 barcodes
public Property | MaxBarcodes | Limits maximum number of barcodes to read (default 0)
public Property | Patch | Enables/disables reading of PATCH barcodes
public Property | Pdf417 | Enables/disables reading of PDF417 barcodes
public Property | Postnet | Enables/disables reading of Postnet and Planet barcodes
public Property | QR | Enables/disables reading of QR barcodes
public Property | Ucc128 | Enables/disables reading of UCC 128 barcodes
public Property | Upca | Enables/disables reading of UPCA barcodes
public Property | Upce | Enables/disables reading of UPCE barcodes
public Property | Vertical | Enables/disables reading of substantially vertical barcodes (default true)
public Property | Zone | Limits barcode detection to a rectangular area on an image
Top

Public Methods

 | Name | Description
public Method | Read | Overloaded. Reads barcodes from a Bitmap object or image file
Top

Public Events

 | Name | Description
public Event | BarcodeFoundEvent | Raised by BarcodeReader when new barcode is found
public Event | ImageOpenedEvent | Raised by BarcodeReader when new barcode is found
Top

See Also

Reference

BarcodeReader Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader Constructor

[image]
ClearImage 8 Help
BarcodeReader Constructor
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : BarcodeReader Constructor

Barcode reader constructor

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New BarcodeReader()
C#
public BarcodeReader()
Delphi
public BarcodeReader();
JScript
public function BarcodeReader();
Managed Extensions for C++
public: BarcodeReader();
C++/CLI
public:
BarcodeReader();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader Class Methods

[image]
ClearImage 8 Help
BarcodeReader Class Methods
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeReader Class

For a list of all members of this type, see BarcodeReader members.

Public Methods

 | Name | Description
public Method | Read | Overloaded. Reads barcodes from a Bitmap object or image file
Top

See Also

Reference

BarcodeReader Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Read Method

[image]
ClearImage 8 Help
Read Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Read Method

Reads barcodes from a Bitmap object or image file

Overload List

Overload | Description
Read(Bitmap) | Reads barcodes from the image in the Bitmap object
Read(ImageEditor) | Reads barcodes from the image in ImageEditor object
Read(String,Int32) | Reads barcodes from the specific page in the specified file
Read(Stream) | Reads barcodes from a stream
Read(String) | Reads barcodes from all pages in the specified file

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Read(Bitmap) Method

[image]
ClearImage 8 Help
Read(Bitmap) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class > Read Method : Read(Bitmap) Method

bmp
Bitmap object
Reads barcodes from the image in the Bitmap object

Syntax

Visual Basic (Declaration)
Public Overloads Function Read( _
   ByVal bmp As Bitmap _
) As Barcode()
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim bmp As Bitmap
Dim value() As Barcode

value = instance.Read(bmp)
C#
public Barcode[] Read(
   Bitmap bmp
)
Delphi
public function Read(
    bmp: Bitmap
): array of Barcode;
JScript
public function Read(
   bmp : Bitmap
) : Barcode[];
Managed Extensions for C++
public: Barcode*[]* Read(
   Bitmap* bmp
)
C++/CLI
public:
array<Barcode^>^ Read(
   Bitmap^ bmp
)

Parameters

bmp
Bitmap object

Return Value

Array of Barcode objects.

Remarks

Licensing: Requires ClearImage license appropriate for each enabled barcode type.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Read(ImageEditor) Method

[image]
ClearImage 8 Help
Read(ImageEditor) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class > Read Method : Read(ImageEditor) Method

editor
ImageEditor object with an image to read
Reads barcodes from the image in ImageEditor object

Syntax

Visual Basic (Declaration)
Public Overloads Function Read( _
   ByVal editor As ImageEditor _
) As Barcode()
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim editor As ImageEditor
Dim value() As Barcode

value = instance.Read(editor)
C#
public Barcode[] Read(
   ImageEditor editor
)
Delphi
public function Read(
    editor: ImageEditor
): array of Barcode;
JScript
public function Read(
   editor : ImageEditor
) : Barcode[];
Managed Extensions for C++
public: Barcode*[]* Read(
   ImageEditor* editor
)
C++/CLI
public:
array<Barcode^>^ Read(
   ImageEditor^ editor
)

Parameters

editor
ImageEditor object with an image to read

Return Value

Array of Barcode objects.

Remarks

For zoned barcode reading set Zone value in ImageEditor object.
Licensing: Requires ClearImage license appropriate for each enabled barcode type.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Read(String,Int32) Method

[image]
ClearImage 8 Help
Read(String,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class > Read Method : Read(String,Int32) Method

fileName
Name of the image file
page
Page number (1-based)
Reads barcodes from the specific page in the specified file

Syntax

Visual Basic (Declaration)
Public Overloads Function Read( _
   ByVal fileName As String, _
   ByVal page As Integer _
) As Barcode()
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim fileName As String
Dim page As Integer
Dim value() As Barcode

value = instance.Read(fileName, page)
C#
public Barcode[] Read(
   string fileName,
   int page
)
Delphi
public function Read(
    fileName: String;
    page: Integer
): array of Barcode;
JScript
public function Read(
   fileName : String,
   page : int
) : Barcode[];
Managed Extensions for C++
public: Barcode*[]* Read(
   string* fileName,
   int page
)
C++/CLI
public:
array<Barcode^>^ Read(
   String^ fileName,
   int page
)

Parameters

fileName
Name of the image file
page
Page number (1-based)

Return Value

Array of Barcode objects.

Remarks

Licensing: Requires ClearImage license appropriate for each enabled barcode type.
No ClearImage PDF IO license required to read PDF files.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Read(Stream) Method

[image]
ClearImage 8 Help
Read(Stream) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class > Read Method : Read(Stream) Method

stream
Input stream object
Reads barcodes from a stream

Syntax

Visual Basic (Declaration)
Public Overloads Function Read( _
   ByVal stream As Stream _
) As Barcode()
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim stream As Stream
Dim value() As Barcode

value = instance.Read(stream)
C#
public Barcode[] Read(
   Stream stream
)
Delphi
public function Read(
    stream: Stream
): array of Barcode;
JScript
public function Read(
   stream : Stream
) : Barcode[];
Managed Extensions for C++
public: Barcode*[]* Read(
   Stream* stream
)
C++/CLI
public:
array<Barcode^>^ Read(
   Stream^ stream
)

Parameters

stream
Input stream object

Return Value

Array of Barcode objects.

Remarks

Licensing: Requires ClearImage license appropriate for each enabled barcode type.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Read(String) Method

[image]
ClearImage 8 Help
Read(String) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class > Read Method : Read(String) Method

fileName
Name of the image file
Reads barcodes from all pages in the specified file

Syntax

Visual Basic (Declaration)
Public Overloads Function Read( _
   ByVal fileName As String _
) As Barcode()
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim fileName As String
Dim value() As Barcode

value = instance.Read(fileName)
C#
public Barcode[] Read(
   string fileName
)
Delphi
public function Read(
    fileName: String
): array of Barcode;
JScript
public function Read(
   fileName : String
) : Barcode[];
Managed Extensions for C++
public: Barcode*[]* Read(
   string* fileName
)
C++/CLI
public:
array<Barcode^>^ Read(
   String^ fileName
)

Parameters

fileName
Name of the image file

Return Value

Array of Barcode objects.

Remarks

Licensing: Requires ClearImage license appropriate for each enabled barcode type.
No ClearImage PDF IO license required to read PDF files.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader Class Properties

[image]
ClearImage 8 Help
BarcodeReader Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeReader Class

For a list of all members of this type, see BarcodeReader members.

Public Properties

 | Name | Description
public Property | Addon2 | Enables/disables reading of ADDON-2 barcodes
public Property | Addon5 | Enables/disables reading of ADDON-2 barcodes
public Property | Airline2of5 | Enables/disables reading of Airline 2 of 5 barcodes
public Property | Auto1D | Enables reading of the most popular 1D barcodes
public Property | Codabar | Enables/disables reading of Codebar barcodes
public Property | Code128 | Enables/disables reading of Code 128 barcodes
public Property | Code32 | Enables/disables reading of Code 32 barcodes
public Property | Code39 | Enables/disables reading of Code 39 barcodes
public Property | Code39basic | Enables/disables reading of Basic Code 39 barcodes.
public Property | Code39checksum | Enables/disables reading of Code 39 barcodes with checksum.
public Property | Code93 | Enables/disables reading of Code 93 barcodes
public Property | Datalogic2of5 | Enables/disables reading of Datalogic 2 of 5 barcodes
public Property | DataMatrix | Enables/disables reading of DataMatrix barcodes
public Property | Diagonal | Enables/disables reading of substantially diagonal barcodes (default true)
public Property | DrvLicID | Enables/disables reading of DL/ID barcodes
public Property | Ean13 | Enables/disables reading of EAN-13 barcodes
public Property | Ean8 | Enables/disables reading of EAN-8 barcodes
public Property | FourState | Enables/disables reading of 4-State barcodes: USPS Intelligent Mail, British Postcode, Australian Postcode
public Property | Horizontal | Enables/disables reading of substantially horizontal barcodes (default true)
public Property | Industrial2of5 | Enables/disables reading of Industrial 2 of 5 barcodes
public Property | Interleaved2of5 | Enables/disables reading of Interleaved 2 of 5 barcodes
public Property | Interleaved2of5checksum | Enables/disables reading of Interleaved 2 of 5 barcodes with checksum.
public Property | IO | ImageIO to configure opening of image files
public Property | Matrix2of5 | Enables/disables reading of Matrix 2 of 5 barcodes
public Property | MaxBarcodes | Limits maximum number of barcodes to read (default 0)
public Property | Patch | Enables/disables reading of PATCH barcodes
public Property | Pdf417 | Enables/disables reading of PDF417 barcodes
public Property | Postnet | Enables/disables reading of Postnet and Planet barcodes
public Property | QR | Enables/disables reading of QR barcodes
public Property | Ucc128 | Enables/disables reading of UCC 128 barcodes
public Property | Upca | Enables/disables reading of UPCA barcodes
public Property | Upce | Enables/disables reading of UPCE barcodes
public Property | Vertical | Enables/disables reading of substantially vertical barcodes (default true)
public Property | Zone | Limits barcode detection to a rectangular area on an image
Top

See Also

Reference

BarcodeReader Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Addon2 Property

[image]
ClearImage 8 Help
Addon2 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Addon2 Property

Enables/disables reading of ADDON-2 barcodes

Syntax

Visual Basic (Declaration)
Public Property Addon2 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Addon2 = value

value = instance.Addon2
C#
public bool Addon2 {get; set;}
Delphi
public read-write property Addon2: Boolean;
JScript
public function get,set Addon2 : boolean
Managed Extensions for C++
public: __property bool get_Addon2();
public: __property void set_Addon2(
   bool value
);
C++/CLI
public:
property bool Addon2 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Addon5 Property

[image]
ClearImage 8 Help
Addon5 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Addon5 Property

Enables/disables reading of ADDON-2 barcodes

Syntax

Visual Basic (Declaration)
Public Property Addon5 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Addon5 = value

value = instance.Addon5
C#
public bool Addon5 {get; set;}
Delphi
public read-write property Addon5: Boolean;
JScript
public function get,set Addon5 : boolean
Managed Extensions for C++
public: __property bool get_Addon5();
public: __property void set_Addon5(
   bool value
);
C++/CLI
public:
property bool Addon5 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Airline2of5 Property

[image]
ClearImage 8 Help
Airline2of5 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Airline2of5 Property

Enables/disables reading of Airline 2 of 5 barcodes

Syntax

Visual Basic (Declaration)
Public Property Airline2of5 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Airline2of5 = value

value = instance.Airline2of5
C#
public bool Airline2of5 {get; set;}
Delphi
public read-write property Airline2of5: Boolean;
JScript
public function get,set Airline2of5 : boolean
Managed Extensions for C++
public: __property bool get_Airline2of5();
public: __property void set_Airline2of5(
   bool value
);
C++/CLI
public:
property bool Airline2of5 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Auto1D Property

[image]
ClearImage 8 Help
Auto1D Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Auto1D Property

Enables reading of the most popular 1D barcodes

Syntax

Visual Basic (Declaration)
Public Property Auto1D As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Auto1D = value

value = instance.Auto1D
C#
public bool Auto1D {get; set;}
Delphi
public read-write property Auto1D: Boolean;
JScript
public function get,set Auto1D : boolean
Managed Extensions for C++
public: __property bool get_Auto1D();
public: __property void set_Auto1D(
   bool value
);
C++/CLI
public:
property bool Auto1D {
   bool get();
   void set (    bool value);
}

Remarks

If true reads the following barcode types: Code 39, Code 128, Code 93, UCC 128, Codabar, Interleaved 2 of 5, UPCA, UPCE, EAN-8, EAN-13.
For faster processing set to false and enable specific barcode type.

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Codabar Property

[image]
ClearImage 8 Help
Codabar Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Codabar Property

Enables/disables reading of Codebar barcodes

Syntax

Visual Basic (Declaration)
Public Property Codabar As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Codabar = value

value = instance.Codabar
C#
public bool Codabar {get; set;}
Delphi
public read-write property Codabar: Boolean;
JScript
public function get,set Codabar : boolean
Managed Extensions for C++
public: __property bool get_Codabar();
public: __property void set_Codabar(
   bool value
);
C++/CLI
public:
property bool Codabar {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Code128 Property

[image]
ClearImage 8 Help
Code128 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Code128 Property

Enables/disables reading of Code 128 barcodes

Syntax

Visual Basic (Declaration)
Public Property Code128 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Code128 = value

value = instance.Code128
C#
public bool Code128 {get; set;}
Delphi
public read-write property Code128: Boolean;
JScript
public function get,set Code128 : boolean
Managed Extensions for C++
public: __property bool get_Code128();
public: __property void set_Code128(
   bool value
);
C++/CLI
public:
property bool Code128 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Code32 Property

[image]
ClearImage 8 Help
Code32 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Code32 Property

Enables/disables reading of Code 32 barcodes

Syntax

Visual Basic (Declaration)
Public Property Code32 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Code32 = value

value = instance.Code32
C#
public bool Code32 {get; set;}
Delphi
public read-write property Code32: Boolean;
JScript
public function get,set Code32 : boolean
Managed Extensions for C++
public: __property bool get_Code32();
public: __property void set_Code32(
   bool value
);
C++/CLI
public:
property bool Code32 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Code39 Property

[image]
ClearImage 8 Help
Code39 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Code39 Property

Enables/disables reading of Code 39 barcodes

Syntax

Visual Basic (Declaration)
Public Property Code39 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Code39 = value

value = instance.Code39
C#
public bool Code39 {get; set;}
Delphi
public read-write property Code39: Boolean;
JScript
public function get,set Code39 : boolean
Managed Extensions for C++
public: __property bool get_Code39();
public: __property void set_Code39(
   bool value
);
C++/CLI
public:
property bool Code39 {
   bool get();
   void set (    bool value);
}

Remarks

Reads Full Ascii and Basic Code 39 barcodes.
Characters following any escape character (/ or % or @) are converted to Full Ascii.
Use Code39basic to read Basic Code 39 without converting escape characters.
Does not verifies checksum. Use Code39checksum to validate barcodes with checksum.

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Code39basic Property

[image]
ClearImage 8 Help
Code39basic Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Code39basic Property

Enables/disables reading of Basic Code 39 barcodes.

Syntax

Visual Basic (Declaration)
Public Property Code39basic As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Code39basic = value

value = instance.Code39basic
C#
public bool Code39basic {get; set;}
Delphi
public read-write property Code39basic: Boolean;
JScript
public function get,set Code39basic : boolean
Managed Extensions for C++
public: __property bool get_Code39basic();
public: __property void set_Code39basic(
   bool value
);
C++/CLI
public:
property bool Code39basic {
   bool get();
   void set (    bool value);
}

Remarks

Escape character (/ or % or @) included in barcode data.

Licensing: Requires ClearImage Barcode 1D Pro license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Code39checksum Property

[image]
ClearImage 8 Help
Code39checksum Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Code39checksum Property

Enables/disables reading of Code 39 barcodes with checksum.

Syntax

Visual Basic (Declaration)
Public Property Code39checksum As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Code39checksum = value

value = instance.Code39checksum
C#
public bool Code39checksum {get; set;}
Delphi
public read-write property Code39checksum: Boolean;
JScript
public function get,set Code39checksum : boolean
Managed Extensions for C++
public: __property bool get_Code39checksum();
public: __property void set_Code39checksum(
   bool value
);
C++/CLI
public:
property bool Code39checksum {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Code93 Property

[image]
ClearImage 8 Help
Code93 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Code93 Property

Enables/disables reading of Code 93 barcodes

Syntax

Visual Basic (Declaration)
Public Property Code93 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Code93 = value

value = instance.Code93
C#
public bool Code93 {get; set;}
Delphi
public read-write property Code93: Boolean;
JScript
public function get,set Code93 : boolean
Managed Extensions for C++
public: __property bool get_Code93();
public: __property void set_Code93(
   bool value
);
C++/CLI
public:
property bool Code93 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Datalogic2of5 Property

[image]
ClearImage 8 Help
Datalogic2of5 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Datalogic2of5 Property

Enables/disables reading of Datalogic 2 of 5 barcodes

Syntax

Visual Basic (Declaration)
Public Property Datalogic2of5 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Datalogic2of5 = value

value = instance.Datalogic2of5
C#
public bool Datalogic2of5 {get; set;}
Delphi
public read-write property Datalogic2of5: Boolean;
JScript
public function get,set Datalogic2of5 : boolean
Managed Extensions for C++
public: __property bool get_Datalogic2of5();
public: __property void set_Datalogic2of5(
   bool value
);
C++/CLI
public:
property bool Datalogic2of5 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DataMatrix Property

[image]
ClearImage 8 Help
DataMatrix Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : DataMatrix Property

Enables/disables reading of DataMatrix barcodes

Syntax

Visual Basic (Declaration)
Public Property DataMatrix As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.DataMatrix = value

value = instance.DataMatrix
C#
public bool DataMatrix {get; set;}
Delphi
public read-write property DataMatrix: Boolean;
JScript
public function get,set DataMatrix : boolean
Managed Extensions for C++
public: __property bool get_DataMatrix();
public: __property void set_DataMatrix(
   bool value
);
C++/CLI
public:
property bool DataMatrix {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage DataMatrix license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Diagonal Property

[image]
ClearImage 8 Help
Diagonal Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Diagonal Property

Enables/disables reading of substantially diagonal barcodes (default true)

Syntax

Visual Basic (Declaration)
Public Property Diagonal As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Diagonal = value

value = instance.Diagonal
C#
public bool Diagonal {get; set;}
Delphi
public read-write property Diagonal: Boolean;
JScript
public function get,set Diagonal : boolean
Managed Extensions for C++
public: __property bool get_Diagonal();
public: __property void set_Diagonal(
   bool value
);
C++/CLI
public:
property bool Diagonal {
   bool get();
   void set (    bool value);
}

Remarks

For faster processing set to false if diagonal barcodes are not expected.
Licensing: Not available with ClearImage Barcode 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DrvLicID Property

[image]
ClearImage 8 Help
DrvLicID Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : DrvLicID Property

Enables/disables reading of DL/ID barcodes

Syntax

Visual Basic (Declaration)
Public Property DrvLicID As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.DrvLicID = value

value = instance.DrvLicID
C#
public bool DrvLicID {get; set;}
Delphi
public read-write property DrvLicID: Boolean;
JScript
public function get,set DrvLicID : boolean
Managed Extensions for C++
public: __property bool get_DrvLicID();
public: __property void set_DrvLicID(
   bool value
);
C++/CLI
public:
property bool DrvLicID {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage DL/ID Barcode Reader license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Ean13 Property

[image]
ClearImage 8 Help
Ean13 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Ean13 Property

Enables/disables reading of EAN-13 barcodes

Syntax

Visual Basic (Declaration)
Public Property Ean13 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Ean13 = value

value = instance.Ean13
C#
public bool Ean13 {get; set;}
Delphi
public read-write property Ean13: Boolean;
JScript
public function get,set Ean13 : boolean
Managed Extensions for C++
public: __property bool get_Ean13();
public: __property void set_Ean13(
   bool value
);
C++/CLI
public:
property bool Ean13 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Ean8 Property

[image]
ClearImage 8 Help
Ean8 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Ean8 Property

Enables/disables reading of EAN-8 barcodes

Syntax

Visual Basic (Declaration)
Public Property Ean8 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Ean8 = value

value = instance.Ean8
C#
public bool Ean8 {get; set;}
Delphi
public read-write property Ean8: Boolean;
JScript
public function get,set Ean8 : boolean
Managed Extensions for C++
public: __property bool get_Ean8();
public: __property void set_Ean8(
   bool value
);
C++/CLI
public:
property bool Ean8 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FourState Property

[image]
ClearImage 8 Help
FourState Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : FourState Property

Enables/disables reading of 4-State barcodes: USPS Intelligent Mail, British Postcode, Australian Postcode

Syntax

Visual Basic (Declaration)
Public Property FourState As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.FourState = value

value = instance.FourState
C#
public bool FourState {get; set;}
Delphi
public read-write property FourState: Boolean;
JScript
public function get,set FourState : boolean
Managed Extensions for C++
public: __property bool get_FourState();
public: __property void set_FourState(
   bool value
);
C++/CLI
public:
property bool FourState {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Horizontal Property

[image]
ClearImage 8 Help
Horizontal Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Horizontal Property

Enables/disables reading of substantially horizontal barcodes (default true)

Syntax

Visual Basic (Declaration)
Public Property Horizontal As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Horizontal = value

value = instance.Horizontal
C#
public bool Horizontal {get; set;}
Delphi
public read-write property Horizontal: Boolean;
JScript
public function get,set Horizontal : boolean
Managed Extensions for C++
public: __property bool get_Horizontal();
public: __property void set_Horizontal(
   bool value
);
C++/CLI
public:
property bool Horizontal {
   bool get();
   void set (    bool value);
}

Remarks

For faster processing set to false if horizontal barcodes are not expected.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Industrial2of5 Property

[image]
ClearImage 8 Help
Industrial2of5 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Industrial2of5 Property

Enables/disables reading of Industrial 2 of 5 barcodes

Syntax

Visual Basic (Declaration)
Public Property Industrial2of5 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Industrial2of5 = value

value = instance.Industrial2of5
C#
public bool Industrial2of5 {get; set;}
Delphi
public read-write property Industrial2of5: Boolean;
JScript
public function get,set Industrial2of5 : boolean
Managed Extensions for C++
public: __property bool get_Industrial2of5();
public: __property void set_Industrial2of5(
   bool value
);
C++/CLI
public:
property bool Industrial2of5 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Interleaved2of5 Property

[image]
ClearImage 8 Help
Interleaved2of5 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Interleaved2of5 Property

Enables/disables reading of Interleaved 2 of 5 barcodes

Syntax

Visual Basic (Declaration)
Public Property Interleaved2of5 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Interleaved2of5 = value

value = instance.Interleaved2of5
C#
public bool Interleaved2of5 {get; set;}
Delphi
public read-write property Interleaved2of5: Boolean;
JScript
public function get,set Interleaved2of5 : boolean
Managed Extensions for C++
public: __property bool get_Interleaved2of5();
public: __property void set_Interleaved2of5(
   bool value
);
C++/CLI
public:
property bool Interleaved2of5 {
   bool get();
   void set (    bool value);
}

Remarks

Does not verify checksum. Use Interleaved2of5 to validate barcodes with checksum.

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Interleaved2of5checksum Property

[image]
ClearImage 8 Help
Interleaved2of5checksum Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Interleaved2of5checksum Property

Enables/disables reading of Interleaved 2 of 5 barcodes with checksum.

Syntax

Visual Basic (Declaration)
Public Property Interleaved2of5checksum As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Interleaved2of5checksum = value

value = instance.Interleaved2of5checksum
C#
public bool Interleaved2of5checksum {get; set;}
Delphi
public read-write property Interleaved2of5checksum: Boolean;
JScript
public function get,set Interleaved2of5checksum : boolean
Managed Extensions for C++
public: __property bool get_Interleaved2of5checksum();
public: __property void set_Interleaved2of5checksum(
   bool value
);
C++/CLI
public:
property bool Interleaved2of5checksum {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IO Property

[image]
ClearImage 8 Help
IO Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : IO Property

ImageIO to configure opening of image files

Syntax

Visual Basic (Declaration)
Public Property IO As ImageIO
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As ImageIO

instance.IO = value

value = instance.IO
C#
public ImageIO IO {get; set;}
Delphi
public read-write property IO: ImageIO;
JScript
public function get,set IO : ImageIO
Managed Extensions for C++
public: __property ImageIO* get_IO();
public: __property void set_IO(
   ImageIO* value
);
C++/CLI
public:
property ImageIO^ IO {
   ImageIO^ get();
   void set (    ImageIO^ value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Matrix2of5 Property

[image]
ClearImage 8 Help
Matrix2of5 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Matrix2of5 Property

Enables/disables reading of Matrix 2 of 5 barcodes

Syntax

Visual Basic (Declaration)
Public Property Matrix2of5 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Matrix2of5 = value

value = instance.Matrix2of5
C#
public bool Matrix2of5 {get; set;}
Delphi
public read-write property Matrix2of5: Boolean;
JScript
public function get,set Matrix2of5 : boolean
Managed Extensions for C++
public: __property bool get_Matrix2of5();
public: __property void set_Matrix2of5(
   bool value
);
C++/CLI
public:
property bool Matrix2of5 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


MaxBarcodes Property

[image]
ClearImage 8 Help
MaxBarcodes Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : MaxBarcodes Property

Limits maximum number of barcodes to read (default 0)

Syntax

Visual Basic (Declaration)
Public Property MaxBarcodes As Integer
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Integer

instance.MaxBarcodes = value

value = instance.MaxBarcodes
C#
public int MaxBarcodes {get; set;}
Delphi
public read-write property MaxBarcodes: Integer;
JScript
public function get,set MaxBarcodes : int
Managed Extensions for C++
public: __property int get_MaxBarcodes();
public: __property void set_MaxBarcodes(
   int value
);
C++/CLI
public:
property int MaxBarcodes {
   int get();
   void set (    int value);
}

Remarks

Set to 0 to read all barcodes.
ClearImage Barcode 1D Basic allows maximum 2 barcodes per image. No limit for other readers.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Patch Property

[image]
ClearImage 8 Help
Patch Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Patch Property

Enables/disables reading of PATCH barcodes

Syntax

Visual Basic (Declaration)
Public Property Patch As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Patch = value

value = instance.Patch
C#
public bool Patch {get; set;}
Delphi
public read-write property Patch: Boolean;
JScript
public function get,set Patch : boolean
Managed Extensions for C++
public: __property bool get_Patch();
public: __property void set_Patch(
   bool value
);
C++/CLI
public:
property bool Patch {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Pdf417 Property

[image]
ClearImage 8 Help
Pdf417 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Pdf417 Property

Enables/disables reading of PDF417 barcodes

Syntax

Visual Basic (Declaration)
Public Property Pdf417 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Pdf417 = value

value = instance.Pdf417
C#
public bool Pdf417 {get; set;}
Delphi
public read-write property Pdf417: Boolean;
JScript
public function get,set Pdf417 : boolean
Managed Extensions for C++
public: __property bool get_Pdf417();
public: __property void set_Pdf417(
   bool value
);
C++/CLI
public:
property bool Pdf417 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage PDF417 license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Postnet Property

[image]
ClearImage 8 Help
Postnet Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Postnet Property

Enables/disables reading of Postnet and Planet barcodes

Syntax

Visual Basic (Declaration)
Public Property Postnet As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Postnet = value

value = instance.Postnet
C#
public bool Postnet {get; set;}
Delphi
public read-write property Postnet: Boolean;
JScript
public function get,set Postnet : boolean
Managed Extensions for C++
public: __property bool get_Postnet();
public: __property void set_Postnet(
   bool value
);
C++/CLI
public:
property bool Postnet {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


QR Property

[image]
ClearImage 8 Help
QR Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : QR Property

Enables/disables reading of QR barcodes

Syntax

Visual Basic (Declaration)
Public Property QR As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.QR = value

value = instance.QR
C#
public bool QR {get; set;}
Delphi
public read-write property QR: Boolean;
JScript
public function get,set QR : boolean
Managed Extensions for C++
public: __property bool get_QR();
public: __property void set_QR(
   bool value
);
C++/CLI
public:
property bool QR {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage QR license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Ucc128 Property

[image]
ClearImage 8 Help
Ucc128 Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Ucc128 Property

Enables/disables reading of UCC 128 barcodes

Syntax

Visual Basic (Declaration)
Public Property Ucc128 As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Ucc128 = value

value = instance.Ucc128
C#
public bool Ucc128 {get; set;}
Delphi
public read-write property Ucc128: Boolean;
JScript
public function get,set Ucc128 : boolean
Managed Extensions for C++
public: __property bool get_Ucc128();
public: __property void set_Ucc128(
   bool value
);
C++/CLI
public:
property bool Ucc128 {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Upca Property

[image]
ClearImage 8 Help
Upca Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Upca Property

Enables/disables reading of UPCA barcodes

Syntax

Visual Basic (Declaration)
Public Property Upca As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Upca = value

value = instance.Upca
C#
public bool Upca {get; set;}
Delphi
public read-write property Upca: Boolean;
JScript
public function get,set Upca : boolean
Managed Extensions for C++
public: __property bool get_Upca();
public: __property void set_Upca(
   bool value
);
C++/CLI
public:
property bool Upca {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Upce Property

[image]
ClearImage 8 Help
Upce Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Upce Property

Enables/disables reading of UPCE barcodes

Syntax

Visual Basic (Declaration)
Public Property Upce As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Upce = value

value = instance.Upce
C#
public bool Upce {get; set;}
Delphi
public read-write property Upce: Boolean;
JScript
public function get,set Upce : boolean
Managed Extensions for C++
public: __property bool get_Upce();
public: __property void set_Upce(
   bool value
);
C++/CLI
public:
property bool Upce {
   bool get();
   void set (    bool value);
}

Remarks

Licensing: Requires ClearImage Barcode 1D Pro or 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Vertical Property

[image]
ClearImage 8 Help
Vertical Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Vertical Property

Enables/disables reading of substantially vertical barcodes (default true)

Syntax

Visual Basic (Declaration)
Public Property Vertical As Boolean
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Boolean

instance.Vertical = value

value = instance.Vertical
C#
public bool Vertical {get; set;}
Delphi
public read-write property Vertical: Boolean;
JScript
public function get,set Vertical : boolean
Managed Extensions for C++
public: __property bool get_Vertical();
public: __property void set_Vertical(
   bool value
);
C++/CLI
public:
property bool Vertical {
   bool get();
   void set (    bool value);
}

Remarks

For faster processing set to false if vertical barcodes are not expected.
Licensing: Not available with ClearImage Barcode 1D Basic license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Zone Property

[image]
ClearImage 8 Help
Zone Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : Zone Property

Limits barcode detection to a rectangular area on an image

Syntax

Visual Basic (Declaration)
Public Property Zone As Rectangle
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim value As Rectangle

instance.Zone = value

value = instance.Zone
C#
public Rectangle Zone {get; set;}
Delphi
public read-write property Zone: Rectangle;
JScript
public function get,set Zone : Rectangle
Managed Extensions for C++
public: __property Rectangle get_Zone();
public: __property void set_Zone(
   Rectangle value
);
C++/CLI
public:
property Rectangle Zone {
   Rectangle get();
   void set (    Rectangle value);
}

Remarks

Set to empty rectangle to disable zoned detection

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader Class Events

[image]
ClearImage 8 Help
BarcodeReader Class Events
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeReader Class

For a list of all members of this type, see BarcodeReader members.

Public Events

 | Name | Description
public Event | BarcodeFoundEvent | Raised by BarcodeReader when new barcode is found
public Event | ImageOpenedEvent | Raised by BarcodeReader when new barcode is found
Top

See Also

Reference

BarcodeReader Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeFoundEvent Event

[image]
ClearImage 8 Help
BarcodeFoundEvent Event
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : BarcodeFoundEvent Event

Raised by BarcodeReader when new barcode is found

Syntax

Visual Basic (Declaration)
Public Event BarcodeFoundEvent As BarcodeReader.BarcodeFoundEventHandler
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim handler As BarcodeReader.BarcodeFoundEventHandler

AddHandler instance.BarcodeFoundEvent, handler
C#
public event BarcodeReader.BarcodeFoundEventHandler BarcodeFoundEvent
Delphi
public event BarcodeFoundEvent: BarcodeReader.BarcodeFoundEventHandler;
JScript
In JScript, you can handle the events defined by another class, but you cannot define your own.
Managed Extensions for C++
public: __event BarcodeReader.BarcodeFoundEventHandler* BarcodeFoundEvent
C++/CLI
public:
event BarcodeReader.BarcodeFoundEventHandler^ BarcodeFoundEvent

Event Data

The event handler receives an argument of type BarcodeFoundEventArgs containing data related to this event. The following BarcodeFoundEventArgs properties provide information specific to this event.

Property | Description
Barcode | Information about the last found barcode
cancel | Flag to abort barcode detection. Set 'true' to abort
Count | Number of barcodes found during this Read operation

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageOpenedEvent Event

[image]
ClearImage 8 Help
ImageOpenedEvent Event
See Also Send Feedback
Inlite.ClearImageNet Namespace > BarcodeReader Class : ImageOpenedEvent Event

Raised by BarcodeReader when new barcode is found

Syntax

Visual Basic (Declaration)
Public Event ImageOpenedEvent As BarcodeReader.ImageOpenedEventHandler
Visual Basic (Usage) Copy Code
Dim instance As BarcodeReader
Dim handler As BarcodeReader.ImageOpenedEventHandler

AddHandler instance.ImageOpenedEvent, handler
C#
public event BarcodeReader.ImageOpenedEventHandler ImageOpenedEvent
Delphi
public event ImageOpenedEvent: BarcodeReader.ImageOpenedEventHandler;
JScript
In JScript, you can handle the events defined by another class, but you cannot define your own.
Managed Extensions for C++
public: __event BarcodeReader.ImageOpenedEventHandler* ImageOpenedEvent
C++/CLI
public:
event BarcodeReader.ImageOpenedEventHandler^ ImageOpenedEvent

Event Data

The event handler receives an argument of type ImageOpenedEventArgs containing data related to this event. The following ImageOpenedEventArgs properties provide information specific to this event.

Property | Description
cancel | Flag to abort barcode detection. Set 'true' to abort
Info | Information about opened image

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader Class
BarcodeReader Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ClearImageException Class

[image]
ClearImage 8 Help
ClearImageException Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ClearImageException Class

Exception from ClearImageNet class library

Object Model

ClearImageException Class

Syntax

Visual Basic (Declaration)
Public Class ClearImageException
   Inherits System.Exception
Visual Basic (Usage) Copy Code
Dim instance As ClearImageException
C#
public class ClearImageException : System.Exception
Delphi
public class ClearImageException = class(System.Exception)
JScript
public class ClearImageException extends System.Exception
Managed Extensions for C++
public __gc class ClearImageException : public System.Exception
C++/CLI
public ref class ClearImageException : public System.Exception

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ClearImageException Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ClearImageException Class Members

[image]
ClearImage 8 Help
ClearImageException Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImageNet Namespace : ClearImageException Class

The following tables list the members exposed by ClearImageException.

Public Properties

 | Name | Description
public Property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from System.Exception)
public Property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from System.Exception)
public Property | InnerException | Gets the System.Exception instance that caused the current exception. (Inherited from System.Exception)
public Property | Message | Gets a message that describes the current exception. (Inherited from System.Exception)
public Property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from System.Exception)
public Property | StackTrace | Gets a string representation of the frames on the call stack at the time the current exception was thrown. (Inherited from System.Exception)
public Property | TargetSite | Gets the method that throws the current exception. (Inherited from System.Exception)
Top

Public Methods

 | Name | Description
public Method | GetBaseException | When overridden in a derived class, returns the System.Exception that is the root cause of one or more subsequent exceptions. (Inherited from System.Exception)
public Method | GetObjectData | When overridden in a derived class, sets the System.Runtime.Serialization.SerializationInfo with information about the exception. (Inherited from System.Exception)
public Method | GetType | Gets the runtime type of the current instance. (Inherited from System.Exception)
Top

See Also

Reference

ClearImageException Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EditPageEventArgs Class

[image]
ClearImage 8 Help
EditPageEventArgs Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : EditPageEventArgs Class

Event arguments used by ImageEditor.EditPageEventHandler

Object Model

EditPageEventArgs ClassImageEditor Class

Syntax

Visual Basic (Declaration)
Public Class EditPageEventArgs
   Inherits System.EventArgs
Visual Basic (Usage) Copy Code
Dim instance As EditPageEventArgs
C#
public class EditPageEventArgs : System.EventArgs
Delphi
public class EditPageEventArgs = class(System.EventArgs)
JScript
public class EditPageEventArgs extends System.EventArgs
Managed Extensions for C++
public __gc class EditPageEventArgs : public System.EventArgs
C++/CLI
public ref class EditPageEventArgs : public System.EventArgs

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

EditPageEventArgs Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EditPageEventArgs Class Members

[image]
ClearImage 8 Help
EditPageEventArgs Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : EditPageEventArgs Class

The following tables list the members exposed by EditPageEventArgs.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort file processing. Set 'true' to abort
public Property | Editor | ImageEditor object to process page
public Property | skipPage | Flag to skip page in output file/stream. Set 'true' to skip
Top

See Also

Reference

EditPageEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EditPageEventArgs Class Properties

[image]
ClearImage 8 Help
EditPageEventArgs Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : EditPageEventArgs Class

For a list of all members of this type, see EditPageEventArgs members.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort file processing. Set 'true' to abort
public Property | Editor | ImageEditor object to process page
public Property | skipPage | Flag to skip page in output file/stream. Set 'true' to skip
Top

See Also

Reference

EditPageEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


cancel Property

[image]
ClearImage 8 Help
cancel Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > EditPageEventArgs Class : cancel Property

Flag to abort file processing. Set 'true' to abort

Syntax

Visual Basic (Declaration)
Public Property cancel As Boolean
Visual Basic (Usage) Copy Code
Dim instance As EditPageEventArgs
Dim value As Boolean

instance.cancel = value

value = instance.cancel
C#
public bool cancel {get; set;}
Delphi
public read-write property cancel: Boolean;
JScript
public function get,set cancel : boolean
Managed Extensions for C++
public: __property bool get_cancel();
public: __property void set_cancel(
   bool value
);
C++/CLI
public:
property bool cancel {
   bool get();
   void set (    bool value);
}

Remarks

Set 'true' to abort file processing

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

EditPageEventArgs Class
EditPageEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Editor Property

[image]
ClearImage 8 Help
Editor Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > EditPageEventArgs Class : Editor Property

ImageEditor object to process page

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Editor As ImageEditor
Visual Basic (Usage) Copy Code
Dim instance As EditPageEventArgs
Dim value As ImageEditor

value = instance.Editor
C#
public ImageEditor Editor {get;}
Delphi
public read-only property Editor: ImageEditor;
JScript
public function get Editor : ImageEditor
Managed Extensions for C++
public: __property ImageEditor* get_Editor();
C++/CLI
public:
property ImageEditor^ Editor {
   ImageEditor^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

EditPageEventArgs Class
EditPageEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


skipPage Property

[image]
ClearImage 8 Help
skipPage Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > EditPageEventArgs Class : skipPage Property

Flag to skip page in output file/stream. Set 'true' to skip

Syntax

Visual Basic (Declaration)
Public Property skipPage As Boolean
Visual Basic (Usage) Copy Code
Dim instance As EditPageEventArgs
Dim value As Boolean

instance.skipPage = value

value = instance.skipPage
C#
public bool skipPage {get; set;}
Delphi
public read-write property skipPage: Boolean;
JScript
public function get,set skipPage : boolean
Managed Extensions for C++
public: __property bool get_skipPage();
public: __property void set_skipPage(
   bool value
);
C++/CLI
public:
property bool skipPage {
   bool get();
   void set (    bool value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

EditPageEventArgs Class
EditPageEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Class

[image]
ClearImage 8 Help
ImageEditor Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor Class

Modifies and analyzes Bitmap image

Object Model

ImageEditor ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class ImageEditor
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
C#
public class ImageEditor
Delphi
public class ImageEditor
JScript
public class ImageEditor
Managed Extensions for C++
public __gc class ImageEditor
C++/CLI
public ref class ImageEditor

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Class Members

[image]
ClearImage 8 Help
ImageEditor Class Members
See Also Properties Methods Events Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor Class

The following tables list the members exposed by ImageEditor.

Public Constructors

 | Name | Description
public Constructor | ImageEditor Constructor | Overloaded.
Top

Public Properties

 | Name | Description
public Property | Bitmap | Sets Bitmap for editing. Gets results of editing
public Property | BitmapZone | Gets results of editing. If Zone is set corresponding portion of the image.
public Property | BitsPerPixel | Gets image bits-per-pixel
public Property | Height | Gets image height in pixels
public Property | HorizontalHistogram | Gets number of black pixels in each column
public Property | HorizontalResolution | Gets/Sets horizontal resolution in dots-per-inch(DPI)
public Property | Image | Get CiImage object associated with ImageEditor
public Property | IsValid | Checks is valid Bitmap has been assigned
public Property | lineCurvature | Maximum line curvature for line identification (default medium)
public Property | lineMaxAngle | Maximum line angle in degrees for line identification (default 5.0)
public Property | lineMaxGap | Maximum gap size in pixel for line identification (default 3)
public Property | lineMinLength | Minimum length in pixel for line identification (default 100)
public Property | Pixels | Gets number of black pixels
public Property | PixelsArea | Gets image rectangle encompassing all image pixels
public Property | Rotation | Gets image rotation information
public Property | RotationConfidence | Gets confidence level of the last Rotation measurement
public Property | SkewAngle | Gets image skew angle in degrees
public Property | SkewAngleConfidence | Gets confidence level of the last SkewAngle measurement
public Property | VerticalHistogram | Gets number of black pixels in each row
public Property | VerticalResolution | Gets/Sets vertical resolution in dots-per-inch(DPI)
public Property | Width | Gets image width in pixels
public Property | Zone | Limits image modification or analysis to a rectangular area on an image
Top

Public Methods

 | Name | Description
public Method | AdvancedBinarize | Overloaded. Converts color or grayscale image to bi-tonal
public Method | AndBitmap | Overloaded. AND the working image with the specified Bitmap image
public Method | AutoCrop | Sets white margins of fixed size around image
public Method | AutoDeskew | Deskews image automatically based on the measured alignment of the image contents
public Method | AutoInvert | Converts negative(white-on-black) to positive(black-on-white)
public Method | AutoRegister | Sets top and left image margins
public Method | AutoRotate | Rotates image to right-side-up orientation
public Method | BorderExtract | Removes black borders to extract document portion of an image
public Method | CleanNoise | Overloaded. Removes black noise
public Method | Clear | Sets image pixels to white
public Method | ClearBackground | Sets background of color or grayscale image to white
public Method | Copy | Copies image from another ImageEditor object
public Method | Crop | Overloaded. Crops image to specified rectangular area
public Method | DeleteLines | Deletes image lines
public Method | DeleteLinesAndRepair | Deletes image lines. Restores characters intersected by deleted lines.
public Method | Edit | Overloaded. Edit file pages in ImageEditor.EditPageEventHandler
public Method | Fatten | Extends black area of image objects
public Method | FaxRemoveHeader | Removes header from faxed image
public Method | FaxStandardToFine | Converts standard resolution fax image to fine resolution
public Method | GetLines | Obtains list of image lines
public Method | GetObjects | Obtains list of image objects
public Method | Invert | Sets image pixels to the opposite value
public Method | IsBlankImage | Checks if image is blank
public Method | OrBitmap | Overloaded. OR the working image with the specified Bitmap image
public Method | PasteBitmap | Overloaded. Paste Bitmap image to this image
public Method | ReconstructLines | Replaces image lines with synthesized lines of similar thickness.
public Method | RemoveHalftone | Remove halftone pattern
public Method | RemovePunchHoles | Remove punchholes pattern from all sides
public Method | RotateFlip | Rotates image in specified direction
public Method | Scale | Overloaded. Scales image
public Method | Skew | Skews image
public Method | SmoothCharacters | Remove single pixel irregularities around object edges.
public Method | ToBitonal | Converts image to bi-tonal
public Method | ToGrayscale | Converts image to grayscale
public Method | Trim | Reduces black area of image objects
public Method | XorBitmap | Overloaded. XOR the working image with the specified Bitmap image
Top

Public Events

 | Name | Description
public Event | EditPageEvent | Raised by Edit(String,EditPageEventHandler,String,ImageFileFormat,Boolean) method when new page is opened
public Event | LineFoundEvent | Raised by GetLines method when new line is found
public Event | ObjectFoundEvent | Raised by GetObjects method when new object is found
Top

See Also

Reference

ImageEditor Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Constructor

[image]
ClearImage 8 Help
ImageEditor Constructor
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : ImageEditor Constructor

Overload List

Overload | Description
ImageEditor Constructor() | Creates ImageEditor object
ImageEditor Constructor(Bitmap) | Creates ImageEditor object and assigns Bitmap property

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Constructor()

[image]
ClearImage 8 Help
ImageEditor Constructor()
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > ImageEditor Constructor : ImageEditor Constructor()

Creates ImageEditor object

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New ImageEditor()
C#
public ImageEditor()
Delphi
public ImageEditor();
JScript
public function ImageEditor();
Managed Extensions for C++
public: ImageEditor();
C++/CLI
public:
ImageEditor();

Remarks

Before editing assign value to Bitmap property.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Constructor(Bitmap)

[image]
ClearImage 8 Help
ImageEditor Constructor(Bitmap)
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > ImageEditor Constructor : ImageEditor Constructor(Bitmap)

bmp
Bitmap object to be edited
Creates ImageEditor object and assigns Bitmap property

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal bmp As Bitmap _
)
Visual Basic (Usage) Copy Code
Dim bmp As Bitmap

Dim instance As New ImageEditor(bmp)
C#
public ImageEditor(
   Bitmap bmp
)
Delphi
public ImageEditor(
    bmp: Bitmap
);
JScript
public function ImageEditor(
   bmp : Bitmap
);
Managed Extensions for C++
public: ImageEditor(
   Bitmap* bmp
)
C++/CLI
public:
ImageEditor(
   Bitmap^ bmp
)

Parameters

bmp
Bitmap object to be edited

Remarks

Assigns value to Bitmap property to start processing

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Class Methods

[image]
ClearImage 8 Help
ImageEditor Class Methods
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor Class

For a list of all members of this type, see ImageEditor members.

Public Methods

 | Name | Description
public Method | AdvancedBinarize | Overloaded. Converts color or grayscale image to bi-tonal
public Method | AndBitmap | Overloaded. AND the working image with the specified Bitmap image
public Method | AutoCrop | Sets white margins of fixed size around image
public Method | AutoDeskew | Deskews image automatically based on the measured alignment of the image contents
public Method | AutoInvert | Converts negative(white-on-black) to positive(black-on-white)
public Method | AutoRegister | Sets top and left image margins
public Method | AutoRotate | Rotates image to right-side-up orientation
public Method | BorderExtract | Removes black borders to extract document portion of an image
public Method | CleanNoise | Overloaded. Removes black noise
public Method | Clear | Sets image pixels to white
public Method | ClearBackground | Sets background of color or grayscale image to white
public Method | Copy | Copies image from another ImageEditor object
public Method | Crop | Overloaded. Crops image to specified rectangular area
public Method | DeleteLines | Deletes image lines
public Method | DeleteLinesAndRepair | Deletes image lines. Restores characters intersected by deleted lines.
public Method | Edit | Overloaded. Edit file pages in ImageEditor.EditPageEventHandler
public Method | Fatten | Extends black area of image objects
public Method | FaxRemoveHeader | Removes header from faxed image
public Method | FaxStandardToFine | Converts standard resolution fax image to fine resolution
public Method | GetLines | Obtains list of image lines
public Method | GetObjects | Obtains list of image objects
public Method | Invert | Sets image pixels to the opposite value
public Method | IsBlankImage | Checks if image is blank
public Method | OrBitmap | Overloaded. OR the working image with the specified Bitmap image
public Method | PasteBitmap | Overloaded. Paste Bitmap image to this image
public Method | ReconstructLines | Replaces image lines with synthesized lines of similar thickness.
public Method | RemoveHalftone | Remove halftone pattern
public Method | RemovePunchHoles | Remove punchholes pattern from all sides
public Method | RotateFlip | Rotates image in specified direction
public Method | Scale | Overloaded. Scales image
public Method | Skew | Skews image
public Method | SmoothCharacters | Remove single pixel irregularities around object edges.
public Method | ToBitonal | Converts image to bi-tonal
public Method | ToGrayscale | Converts image to grayscale
public Method | Trim | Reduces black area of image objects
public Method | XorBitmap | Overloaded. XOR the working image with the specified Bitmap image
Top

See Also

Reference

ImageEditor Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AdvancedBinarize Method

[image]
ClearImage 8 Help
AdvancedBinarize Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : AdvancedBinarize Method

Converts color or grayscale image to bi-tonal

Overload List

Overload | Description
AdvancedBinarize() | Converts color or grayscale image to bi-tonal
AdvancedBinarize(Int32) | Converts color or grayscale image to bi-tonal

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AdvancedBinarize() Method

[image]
ClearImage 8 Help
AdvancedBinarize() Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > AdvancedBinarize Method : AdvancedBinarize() Method

Converts color or grayscale image to bi-tonal

Syntax

Visual Basic (Declaration)
Public Overloads Sub AdvancedBinarize()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.AdvancedBinarize()
C#
public void AdvancedBinarize()
Delphi
public procedure AdvancedBinarize();
JScript
public function AdvancedBinarize();
Managed Extensions for C++
public: void AdvancedBinarize();
C++/CLI
public:
void AdvancedBinarize();

Remarks

Optimized to through use of multiple image analysis techniques
Converts to 300dpi image
Zone parameter does not apply

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AdvancedBinarize(Int32) Method

[image]
ClearImage 8 Help
AdvancedBinarize(Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > AdvancedBinarize Method : AdvancedBinarize(Int32) Method

targetDpi
Specifies resolution of converted image.
0 converts to 300 DPI
-1 preserves current DPI
100 to 600 converts to specified DPI
Converts color or grayscale image to bi-tonal

Syntax

Visual Basic (Declaration)
Public Overloads Sub AdvancedBinarize( _
   ByVal targetDpi As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim targetDpi As Integer

instance.AdvancedBinarize(targetDpi)
C#
public void AdvancedBinarize(
   int targetDpi
)
Delphi
public procedure AdvancedBinarize(
    targetDpi: Integer
);
JScript
public function AdvancedBinarize(
   targetDpi : int
);
Managed Extensions for C++
public: void AdvancedBinarize(
   int targetDpi
)
C++/CLI
public:
void AdvancedBinarize(
   int targetDpi
)

Parameters

targetDpi
Specifies resolution of converted image.
0 converts to 300 DPI
-1 preserves current DPI
100 to 600 converts to specified DPI

Remarks

Optimized to through use of multiple image analysis techniques
Zone parameter does not apply

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AndBitmap Method

[image]
ClearImage 8 Help
AndBitmap Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : AndBitmap Method

AND the working image with the specified Bitmap image

Overload List

Overload | Description
AndBitmap(Bitmap) | AND the working image with the specified Bitmap image
AndBitmap(Bitmap,Int32,Int32) | AND the working image with the specified Bitmap image with offset

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AndBitmap(Bitmap) Method

[image]
ClearImage 8 Help
AndBitmap(Bitmap) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > AndBitmap Method : AndBitmap(Bitmap) Method

bmp
source Bitmap
AND the working image with the specified Bitmap image

Syntax

Visual Basic (Declaration)
Public Overloads Sub AndBitmap( _
   ByVal bmp As Bitmap _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap

instance.AndBitmap(bmp)
C#
public void AndBitmap(
   Bitmap bmp
)
Delphi
public procedure AndBitmap(
    bmp: Bitmap
);
JScript
public function AndBitmap(
   bmp : Bitmap
);
Managed Extensions for C++
public: void AndBitmap(
   Bitmap* bmp
)
C++/CLI
public:
void AndBitmap(
   Bitmap^ bmp
)

Parameters

bmp
source Bitmap

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AndBitmap(Bitmap,Int32,Int32) Method

[image]
ClearImage 8 Help
AndBitmap(Bitmap,Int32,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > AndBitmap Method : AndBitmap(Bitmap,Int32,Int32) Method

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image
AND the working image with the specified Bitmap image with offset

Syntax

Visual Basic (Declaration)
Public Overloads Sub AndBitmap( _
   ByVal bmp As Bitmap, _
   ByVal left As Integer, _
   ByVal top As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap
Dim left As Integer
Dim top As Integer

instance.AndBitmap(bmp, left, top)
C#
public void AndBitmap(
   Bitmap bmp,
   int left,
   int top
)
Delphi
public procedure AndBitmap(
    bmp: Bitmap;
    left: Integer;
    top: Integer
);
JScript
public function AndBitmap(
   bmp : Bitmap,
   left : int,
   top : int
);
Managed Extensions for C++
public: void AndBitmap(
   Bitmap* bmp,
   int left,
   int top
)
C++/CLI
public:
void AndBitmap(
   Bitmap^ bmp,
   int left,
   int top
)

Parameters

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoCrop Method

[image]
ClearImage 8 Help
AutoCrop Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : AutoCrop Method

leftMargin
topMargin
rightMargin
bottomMargin
Sets white margins of fixed size around image

Syntax

Visual Basic (Declaration)
Public Sub AutoCrop( _
   ByVal leftMargin As Integer, _
   ByVal topMargin As Integer, _
   ByVal rightMargin As Integer, _
   ByVal bottomMargin As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim leftMargin As Integer
Dim topMargin As Integer
Dim rightMargin As Integer
Dim bottomMargin As Integer

instance.AutoCrop(leftMargin, topMargin, rightMargin, bottomMargin)
C#
public void AutoCrop(
   int leftMargin,
   int topMargin,
   int rightMargin,
   int bottomMargin
)
Delphi
public procedure AutoCrop(
    leftMargin: Integer;
    topMargin: Integer;
    rightMargin: Integer;
    bottomMargin: Integer
);
JScript
public function AutoCrop(
   leftMargin : int,
   topMargin : int,
   rightMargin : int,
   bottomMargin : int
);
Managed Extensions for C++
public: void AutoCrop(
   int leftMargin,
   int topMargin,
   int rightMargin,
   int bottomMargin
)
C++/CLI
public:
void AutoCrop(
   int leftMargin,
   int topMargin,
   int rightMargin,
   int bottomMargin
)

Parameters

leftMargin
topMargin
rightMargin
bottomMargin

Remarks

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoDeskew Method

[image]
ClearImage 8 Help
AutoDeskew Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : AutoDeskew Method

Deskews image automatically based on the measured alignment of the image contents

Syntax

Visual Basic (Declaration)
Public Function AutoDeskew() As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Double

value = instance.AutoDeskew()
C#
public double AutoDeskew()
Delphi
public function AutoDeskew(): Double;
JScript
public function AutoDeskew() : double;
Managed Extensions for C++
public: double AutoDeskew();
C++/CLI
public:
double AutoDeskew();

Return Value

Skew angle in the range from -45 degrees to 45 degrees. Value is negative, if image was skewed counterclockwise and positive if image was skewed clockwise.

Remarks

Deskews the whole image to the nearest vertical or horizontal axis.
If Zone is set, uses Zone area to identify skew angle. Otherwise the whole image is used.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoInvert Method

[image]
ClearImage 8 Help
AutoInvert Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : AutoInvert Method

Threshold
Minimum percentage of black pixels in the image to be inverted
Converts negative(white-on-black) to positive(black-on-white)

Syntax

Visual Basic (Declaration)
Public Sub AutoInvert( _
   ByVal Threshold As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim Threshold As Integer

instance.AutoInvert(Threshold)
C#
public void AutoInvert(
   int Threshold
)
Delphi
public procedure AutoInvert(
    Threshold: Integer
);
JScript
public function AutoInvert(
   Threshold : int
);
Managed Extensions for C++
public: void AutoInvert(
   int Threshold
)
C++/CLI
public:
void AutoInvert(
   int Threshold
)

Parameters

Threshold
Minimum percentage of black pixels in the image to be inverted

Remarks

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoRegister Method

[image]
ClearImage 8 Help
AutoRegister Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : AutoRegister Method

leftMargin
topMargin
Sets top and left image margins

Syntax

Visual Basic (Declaration)
Public Sub AutoRegister( _
   ByVal leftMargin As Integer, _
   ByVal topMargin As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim leftMargin As Integer
Dim topMargin As Integer

instance.AutoRegister(leftMargin, topMargin)
C#
public void AutoRegister(
   int leftMargin,
   int topMargin
)
Delphi
public procedure AutoRegister(
    leftMargin: Integer;
    topMargin: Integer
);
JScript
public function AutoRegister(
   leftMargin : int,
   topMargin : int
);
Managed Extensions for C++
public: void AutoRegister(
   int leftMargin,
   int topMargin
)
C++/CLI
public:
void AutoRegister(
   int leftMargin,
   int topMargin
)

Parameters

leftMargin
topMargin

Remarks

Image size is not changed

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


AutoRotate Method

[image]
ClearImage 8 Help
AutoRotate Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : AutoRotate Method

Rotates image to right-side-up orientation

Syntax

Visual Basic (Declaration)
Public Function AutoRotate() As PageRotation
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As PageRotation

value = instance.AutoRotate()
C#
public PageRotation AutoRotate()
Delphi
public function AutoRotate(): PageRotation;
JScript
public function AutoRotate() : PageRotation;
Managed Extensions for C++
public: PageRotation AutoRotate();
C++/CLI
public:
PageRotation AutoRotate();

Return Value

For text-based rotation returns none, upsideDown, left, or right values
For graphics-based rotation returns portrait or leftOrRight values.

Remarks

For image with enough of textual elements sets image in the position with text lines running horizontally and readable from left to right.
For image with mostly graphical objects, like lines, sets image to most lines running horizontally.

Rotates the whole image. If Zone is set, uses Zone area to identify rotation. Otherwise the whole image is used.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BorderExtract Method

[image]
ClearImage 8 Help
BorderExtract Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : BorderExtract Method

mode
Enables steps of border-based extraction
Removes black borders to extract document portion of an image

Syntax

Visual Basic (Declaration)
Public Sub BorderExtract( _
   ByVal mode As BorderExtractMode _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim mode As BorderExtractMode

instance.BorderExtract(mode)
C#
public void BorderExtract(
   BorderExtractMode mode
)
Delphi
public procedure BorderExtract(
    mode: BorderExtractMode
);
JScript
public function BorderExtract(
   mode : BorderExtractMode
);
Managed Extensions for C++
public: void BorderExtract(
   BorderExtractMode mode
)
C++/CLI
public:
void BorderExtract(
   BorderExtractMode mode
)

Parameters

mode
Enables steps of border-based extraction

Remarks

Zone parameter does not apply
Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CleanNoise Method

[image]
ClearImage 8 Help
CleanNoise Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : CleanNoise Method

Removes black noise

Overload List

Overload | Description
CleanNoise(Int32) | Removes black noise
CleanNoise(CleanNoiseFlags,Int32,Int32,Int32) | Removes black and/or white noise

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CleanNoise(Int32) Method

[image]
ClearImage 8 Help
CleanNoise(Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > CleanNoise Method : CleanNoise(Int32) Method

size
Removes all objects whose vertical and horizontal size is less than size
Removes black noise

Syntax

Visual Basic (Declaration)
Public Overloads Sub CleanNoise( _
   ByVal size As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim size As Integer

instance.CleanNoise(size)
C#
public void CleanNoise(
   int size
)
Delphi
public procedure CleanNoise(
    size: Integer
);
JScript
public function CleanNoise(
   size : int
);
Managed Extensions for C++
public: void CleanNoise(
   int size
)
C++/CLI
public:
void CleanNoise(
   int size
)

Parameters

size
Removes all objects whose vertical and horizontal size is less than size

Remarks

To remove white noise: Call Invert method. Call CleanNoise. Call Invert again.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CleanNoise(CleanNoiseFlags,Int32,Int32,Int32) Method

[image]
ClearImage 8 Help
CleanNoise(CleanNoiseFlags,Int32,Int32,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > CleanNoise Method : CleanNoise(CleanNoiseFlags,Int32,Int32,Int32) Method

flags
Control flags to remove noise
sizeHorz
Removes all objects whose horizontal size is less than sizeHorz
sizeVert
Removes all objects whose vertical size is less than sizeVert
objectDistance
Distance from non-noise object where noise is ignored
Removes black and/or white noise

Syntax

Visual Basic (Declaration)
Public Overloads Sub CleanNoise( _
   ByVal flags As CleanNoiseFlags, _
   ByVal sizeHorz As Integer, _
   ByVal sizeVert As Integer, _
   ByVal objectDistance As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim flags As CleanNoiseFlags
Dim sizeHorz As Integer
Dim sizeVert As Integer
Dim objectDistance As Integer

instance.CleanNoise(flags, sizeHorz, sizeVert, objectDistance)
C#
public void CleanNoise(
   CleanNoiseFlags flags,
   int sizeHorz,
   int sizeVert,
   int objectDistance
)
Delphi
public procedure CleanNoise(
    flags: CleanNoiseFlags;
    sizeHorz: Integer;
    sizeVert: Integer;
    objectDistance: Integer
);
JScript
public function CleanNoise(
   flags : CleanNoiseFlags,
   sizeHorz : int,
   sizeVert : int,
   objectDistance : int
);
Managed Extensions for C++
public: void CleanNoise(
   CleanNoiseFlags flags,
   int sizeHorz,
   int sizeVert,
   int objectDistance
)
C++/CLI
public:
void CleanNoise(
   CleanNoiseFlags flags,
   int sizeHorz,
   int sizeVert,
   int objectDistance
)

Parameters

flags
Control flags to remove noise
sizeHorz
Removes all objects whose horizontal size is less than sizeHorz
sizeVert
Removes all objects whose vertical size is less than sizeVert
objectDistance
Distance from non-noise object where noise is ignored

Remarks

To remove white noise: Call Invert method. Call CleanNoise. Call Invert again.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Clear Method

[image]
ClearImage 8 Help
Clear Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Clear Method

Sets image pixels to white

Syntax

Visual Basic (Declaration)
Public Sub Clear()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.Clear()
C#
public void Clear()
Delphi
public procedure Clear();
JScript
public function Clear();
Managed Extensions for C++
public: void Clear();
C++/CLI
public:
void Clear();

Remarks

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ClearBackground Method

[image]
ClearImage 8 Help
ClearBackground Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : ClearBackground Method

threshold
Background threshold level (range 0-100)
Sets background of color or grayscale image to white

Syntax

Visual Basic (Declaration)
Public Sub ClearBackground( _
   ByVal threshold As Double _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim threshold As Double

instance.ClearBackground(threshold)
C#
public void ClearBackground(
   double threshold
)
Delphi
public procedure ClearBackground(
    threshold: Double
);
JScript
public function ClearBackground(
   threshold : double
);
Managed Extensions for C++
public: void ClearBackground(
   double threshold
)
C++/CLI
public:
void ClearBackground(
   double threshold
)

Parameters

threshold
Background threshold level (range 0-100)

Remarks

Background of scanned pages is typically off-white.
This method sets all pixels brighter than the specified threshold to pure white.
threshold = 0 threshold does not modify the image
threshold = 100 sets all image pixels to white
threshold = 30% is recommended

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Copy Method

[image]
ClearImage 8 Help
Copy Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Copy Method

source
Image is copied from this ImageEditor object
Copies image from another ImageEditor object

Syntax

Visual Basic (Declaration)
Public Sub Copy( _
   ByVal source As ImageEditor _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim source As ImageEditor

instance.Copy(source)
C#
public void Copy(
   ImageEditor source
)
Delphi
public procedure Copy(
    source: ImageEditor
);
JScript
public function Copy(
   source : ImageEditor
);
Managed Extensions for C++
public: void Copy(
   ImageEditor* source
)
C++/CLI
public:
void Copy(
   ImageEditor^ source
)

Parameters

source
Image is copied from this ImageEditor object

Remarks

Only portion of source object is copied, if source object's Zone property is set.
This method destroys any modifications done to the current image.

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Crop Method

[image]
ClearImage 8 Help
Crop Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Crop Method

Crops image to specified rectangular area

Overload List

Overload | Description
Crop(Int32,Int32,Int32,Int32) | Crops image to specified rectangular area
Crop(Rectangle) | Crops image to specified rectangular area

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Crop(Int32,Int32,Int32,Int32) Method

[image]
ClearImage 8 Help
Crop(Int32,Int32,Int32,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > Crop Method : Crop(Int32,Int32,Int32,Int32) Method

left
left edge of cropping rectangle
top
top edge of cropping rectangle
right
right edge of cropping rectangle
bottom
bottom edge of cropping rectangle
Crops image to specified rectangular area

Syntax

Visual Basic (Declaration)
Public Overloads Sub Crop( _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal right As Integer, _
   ByVal bottom As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim left As Integer
Dim top As Integer
Dim right As Integer
Dim bottom As Integer

instance.Crop(left, top, right, bottom)
C#
public void Crop(
   int left,
   int top,
   int right,
   int bottom
)
Delphi
public procedure Crop(
    left: Integer;
    top: Integer;
    right: Integer;
    bottom: Integer
);
JScript
public function Crop(
   left : int,
   top : int,
   right : int,
   bottom : int
);
Managed Extensions for C++
public: void Crop(
   int left,
   int top,
   int right,
   int bottom
)
C++/CLI
public:
void Crop(
   int left,
   int top,
   int right,
   int bottom
)

Parameters

left
left edge of cropping rectangle
top
top edge of cropping rectangle
right
right edge of cropping rectangle
bottom
bottom edge of cropping rectangle

Remarks

Zone parameter does not apply

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Crop(Rectangle) Method

[image]
ClearImage 8 Help
Crop(Rectangle) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > Crop Method : Crop(Rectangle) Method

r
Cropping rectangle
Crops image to specified rectangular area

Syntax

Visual Basic (Declaration)
Public Overloads Sub Crop( _
   ByVal r As Rectangle _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim r As Rectangle

instance.Crop(r)
C#
public void Crop(
   Rectangle r
)
Delphi
public procedure Crop(
    r: Rectangle
);
JScript
public function Crop(
   r : Rectangle
);
Managed Extensions for C++
public: void Crop(
   Rectangle r
)
C++/CLI
public:
void Crop(
   Rectangle r
)

Parameters

r
Cropping rectangle

Remarks

Zone parameter does not apply

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DeleteLines Method

[image]
ClearImage 8 Help
DeleteLines Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : DeleteLines Method

dir
Identifies orientation of deleted lines
Deletes image lines

Syntax

Visual Basic (Declaration)
Public Sub DeleteLines( _
   ByVal dir As LineDirection _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim dir As LineDirection

instance.DeleteLines(dir)
C#
public void DeleteLines(
   LineDirection dir
)
Delphi
public procedure DeleteLines(
    dir: LineDirection
);
JScript
public function DeleteLines(
   dir : LineDirection
);
Managed Extensions for C++
public: void DeleteLines(
   LineDirection dir
)
C++/CLI
public:
void DeleteLines(
   LineDirection dir
)

Parameters

dir
Identifies orientation of deleted lines

Remarks

Set lineCurvature, lineMinLength, lineMaxGap, lineMaxAngle to specify lines to be deleted.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


DeleteLinesAndRepair Method

[image]
ClearImage 8 Help
DeleteLinesAndRepair Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : DeleteLinesAndRepair Method

dir
Identifies orientation of deleted lines
Deletes image lines. Restores characters intersected by deleted lines.

Syntax

Visual Basic (Declaration)
Public Sub DeleteLinesAndRepair( _
   ByVal dir As LineDirection _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim dir As LineDirection

instance.DeleteLinesAndRepair(dir)
C#
public void DeleteLinesAndRepair(
   LineDirection dir
)
Delphi
public procedure DeleteLinesAndRepair(
    dir: LineDirection
);
JScript
public function DeleteLinesAndRepair(
   dir : LineDirection
);
Managed Extensions for C++
public: void DeleteLinesAndRepair(
   LineDirection dir
)
C++/CLI
public:
void DeleteLinesAndRepair(
   LineDirection dir
)

Parameters

dir
Identifies orientation of deleted lines

Remarks

Set lineCurvature, lineMinLength, lineMaxGap, lineMaxAngle to specify lines to be deleted.
Method fills gap left by deleting lines at intersection with characters and other objects.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Edit Method

[image]
ClearImage 8 Help
Edit Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Edit Method

Edit file pages in ImageEditor.EditPageEventHandler

Overload List

Overload | Description
Edit(String,EditPageEventHandler,String,ImageFileFormat,Boolean) | Edit file pages in ImageEditor.EditPageEventHandler
Edit(Stream,EditPageEventHandler,ImageFileFormat) | Edit file pages in ImageEditor.EditPageEventHandler

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Edit(String,EditPageEventHandler,String,ImageFileFormat,Boolean) Method

[image]
ClearImage 8 Help
Edit(String,EditPageEventHandler,String,ImageFileFormat,Boolean) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > Edit Method : Edit(String,EditPageEventHandler,String,ImageFileFormat,Boolean) Method

inputFile
Input file name.
handler
Input pages processing handler.
outputFile
Output file name.
format
Output file format.
overwrite
If true, overwrite existing file. Otherwise append to the file.
Edit file pages in ImageEditor.EditPageEventHandler

Syntax

Visual Basic (Declaration)
Public Overloads Function Edit( _
   ByVal inputFile As String, _
   ByVal handler As ImageEditor.EditPageEventHandler, _
   ByVal outputFile As String, _
   ByVal format As ImageFileFormat, _
   ByVal overwrite As Boolean _
) As Boolean
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim inputFile As String
Dim handler As ImageEditor.EditPageEventHandler
Dim outputFile As String
Dim format As ImageFileFormat
Dim overwrite As Boolean
Dim value As Boolean

value = instance.Edit(inputFile, handler, outputFile, format, overwrite)
C#
public bool Edit(
   string inputFile,
   ImageEditor.EditPageEventHandler handler,
   string outputFile,
   ImageFileFormat format,
   bool overwrite
)
Delphi
public function Edit(
    inputFile: String;
    handler: ImageEditor.EditPageEventHandler;
    outputFile: String;
    format: ImageFileFormat;
    overwrite: Boolean
): Boolean;
JScript
public function Edit(
   inputFile : String,
   handler : ImageEditor.EditPageEventHandler,
   outputFile : String,
   format : ImageFileFormat,
   overwrite : boolean
) : boolean;
Managed Extensions for C++
public: bool Edit(
   string* inputFile,
   ImageEditor.EditPageEventHandler* handler,
   string* outputFile,
   ImageFileFormat format,
   bool overwrite
)
C++/CLI
public:
bool Edit(
   String^ inputFile,
   ImageEditor.EditPageEventHandler^ handler,
   String^ outputFile,
   ImageFileFormat format,
   bool overwrite
)

Parameters

inputFile
Input file name.
handler
Input pages processing handler.
outputFile
Output file name.
format
Output file format.
overwrite
If true, overwrite existing file. Otherwise append to the file.

Remarks

To save in the same format as input file set format to ClearImageNet.ImageFileFormat.inputFileFormat
To save in the same format as appnded output file set format to ClearImageNet.ImageFileFormat.outputFileFormat If output file does not exists, input file format will be used.
To save in the same format based on extension output file name set format to ClearImageNet.ImageFileFormat.outputFileExtension If output file does not exists, input file format will be used.
If handler is set to null, method can perform just format conversion.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Edit(Stream,EditPageEventHandler,ImageFileFormat) Method

[image]
ClearImage 8 Help
Edit(Stream,EditPageEventHandler,ImageFileFormat) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > Edit Method : Edit(Stream,EditPageEventHandler,ImageFileFormat) Method

stream
Input stream.
handler
Input pages processing handler.
format
Output format.
Edit file pages in ImageEditor.EditPageEventHandler

Syntax

Visual Basic (Declaration)
Public Overloads Function Edit( _
   ByVal stream As Stream, _
   ByVal handler As ImageEditor.EditPageEventHandler, _
   ByVal format As ImageFileFormat _
) As MemoryStream
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim stream As Stream
Dim handler As ImageEditor.EditPageEventHandler
Dim format As ImageFileFormat
Dim value As MemoryStream

value = instance.Edit(stream, handler, format)
C#
public MemoryStream Edit(
   Stream stream,
   ImageEditor.EditPageEventHandler handler,
   ImageFileFormat format
)
Delphi
public function Edit(
    stream: Stream;
    handler: ImageEditor.EditPageEventHandler;
    format: ImageFileFormat
): MemoryStream;
JScript
public function Edit(
   stream : Stream,
   handler : ImageEditor.EditPageEventHandler,
   format : ImageFileFormat
) : MemoryStream;
Managed Extensions for C++
public: MemoryStream* Edit(
   Stream* stream,
   ImageEditor.EditPageEventHandler* handler,
   ImageFileFormat format
)
C++/CLI
public:
MemoryStream^ Edit(
   Stream^ stream,
   ImageEditor.EditPageEventHandler^ handler,
   ImageFileFormat format
)

Parameters

stream
Input stream.
handler
Input pages processing handler.
format
Output format.

Return Value

Memory stream with processed pages.

Remarks

To save in the same format as input stream set format to ClearImageNet.ImageFileFormat.inputFileFormat
If handler is set to null, method can perform just format conversion.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Fatten Method

[image]
ClearImage 8 Help
Fatten Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Fatten Method

pixels
number of pixels
dir
direction to extend
Extends black area of image objects

Syntax

Visual Basic (Declaration)
Public Sub Fatten( _
   ByVal pixels As Integer, _
   ByVal dir As MorphDirections _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim pixels As Integer
Dim dir As MorphDirections

instance.Fatten(pixels, dir)
C#
public void Fatten(
   int pixels,
   MorphDirections dir
)
Delphi
public procedure Fatten(
    pixels: Integer;
    dir: MorphDirections
);
JScript
public function Fatten(
   pixels : int,
   dir : MorphDirections
);
Managed Extensions for C++
public: void Fatten(
   int pixels,
   MorphDirections dir
)
C++/CLI
public:
void Fatten(
   int pixels,
   MorphDirections dir
)

Parameters

pixels
number of pixels
dir
direction to extend

Remarks

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FaxRemoveHeader Method

[image]
ClearImage 8 Help
FaxRemoveHeader Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : FaxRemoveHeader Method

Removes header from faxed image

Syntax

Visual Basic (Declaration)
Public Sub FaxRemoveHeader()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.FaxRemoveHeader()
C#
public void FaxRemoveHeader()
Delphi
public procedure FaxRemoveHeader();
JScript
public function FaxRemoveHeader();
Managed Extensions for C++
public: void FaxRemoveHeader();
C++/CLI
public:
void FaxRemoveHeader();

Remarks

A fax header consists of uniform text objects, residing on a single fax scan line, and located at the upper edge of the image. Once images are re-scanned or deskewed, their text objects will no longer reside on a single scan line and will not be identified as a fax header.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FaxStandardToFine Method

[image]
ClearImage 8 Help
FaxStandardToFine Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : FaxStandardToFine Method

Converts standard resolution fax image to fine resolution

Syntax

Visual Basic (Declaration)
Public Sub FaxStandardToFine()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.FaxStandardToFine()
C#
public void FaxStandardToFine()
Delphi
public procedure FaxStandardToFine();
JScript
public function FaxStandardToFine();
Managed Extensions for C++
public: void FaxStandardToFine();
C++/CLI
public:
void FaxStandardToFine();

Remarks

Zone parameter does not apply

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


GetLines Method

[image]
ClearImage 8 Help
GetLines Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : GetLines Method

Obtains list of image lines

Syntax

Visual Basic (Declaration)
Public Function GetLines() As ImageLine()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value() As ImageLine

value = instance.GetLines()
C#
public ImageLine[] GetLines()
Delphi
public function GetLines(): array of ImageLine;
JScript
public function GetLines() : ImageLine[];
Managed Extensions for C++
public: ImageLine*[]* GetLines();
C++/CLI
public:
array<ImageLine^>^ GetLines();

Return Value

Array of ImageLine objects

Remarks

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


GetObjects Method

[image]
ClearImage 8 Help
GetObjects Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : GetObjects Method

Obtains list of image objects

Syntax

Visual Basic (Declaration)
Public Function GetObjects() As ImageObject()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value() As ImageObject

value = instance.GetObjects()
C#
public ImageObject[] GetObjects()
Delphi
public function GetObjects(): array of ImageObject;
JScript
public function GetObjects() : ImageObject[];
Managed Extensions for C++
public: ImageObject*[]* GetObjects();
C++/CLI
public:
array<ImageObject^>^ GetObjects();

Return Value

Array of ImageObject objects

Remarks

Applicable only to bi-tonal image

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Invert Method

[image]
ClearImage 8 Help
Invert Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Invert Method

Sets image pixels to the opposite value

Syntax

Visual Basic (Declaration)
Public Sub Invert()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.Invert()
C#
public void Invert()
Delphi
public procedure Invert();
JScript
public function Invert();
Managed Extensions for C++
public: void Invert();
C++/CLI
public:
void Invert();

Remarks

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsBlankImage Method

[image]
ClearImage 8 Help
IsBlankImage Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : IsBlankImage Method

Checks if image is blank

Syntax

Visual Basic (Declaration)
Public Function IsBlankImage() As Boolean
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Boolean

value = instance.IsBlankImage()
C#
public bool IsBlankImage()
Delphi
public function IsBlankImage(): Boolean;
JScript
public function IsBlankImage() : boolean;
Managed Extensions for C++
public: bool IsBlankImage();
C++/CLI
public:
bool IsBlankImage();

Remarks

Blank pages normally occur in duplex scanning when both sides of the page are scanned.
Image is not blank if it has black pixels after ignoring the following image elements:
Margins – Black pixels inside the following margin
- for sides larger than 7 inches the margin will be 1 inch
- for sides between 5 and 7 inches the margin will be 0.5 inch
- for smaller sides there will be no margin
Noise - Speckles of 5x5 pixels and smaller
Object – Single object smaller than 0.5 x 0.5 inch in size

Image should have correct values for vertical and horizontal resolution for proper calculations of margins and object size.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OrBitmap Method

[image]
ClearImage 8 Help
OrBitmap Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : OrBitmap Method

OR the working image with the specified Bitmap image

Overload List

Overload | Description
OrBitmap(Bitmap) | OR the working image with the specified Bitmap image
OrBitmap(Bitmap,Int32,Int32) | OR the working image with the specified Bitmap image with offset

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OrBitmap(Bitmap) Method

[image]
ClearImage 8 Help
OrBitmap(Bitmap) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > OrBitmap Method : OrBitmap(Bitmap) Method

bmp
source Bitmap
OR the working image with the specified Bitmap image

Syntax

Visual Basic (Declaration)
Public Overloads Sub OrBitmap( _
   ByVal bmp As Bitmap _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap

instance.OrBitmap(bmp)
C#
public void OrBitmap(
   Bitmap bmp
)
Delphi
public procedure OrBitmap(
    bmp: Bitmap
);
JScript
public function OrBitmap(
   bmp : Bitmap
);
Managed Extensions for C++
public: void OrBitmap(
   Bitmap* bmp
)
C++/CLI
public:
void OrBitmap(
   Bitmap^ bmp
)

Parameters

bmp
source Bitmap

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


OrBitmap(Bitmap,Int32,Int32) Method

[image]
ClearImage 8 Help
OrBitmap(Bitmap,Int32,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > OrBitmap Method : OrBitmap(Bitmap,Int32,Int32) Method

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image
OR the working image with the specified Bitmap image with offset

Syntax

Visual Basic (Declaration)
Public Overloads Sub OrBitmap( _
   ByVal bmp As Bitmap, _
   ByVal left As Integer, _
   ByVal top As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap
Dim left As Integer
Dim top As Integer

instance.OrBitmap(bmp, left, top)
C#
public void OrBitmap(
   Bitmap bmp,
   int left,
   int top
)
Delphi
public procedure OrBitmap(
    bmp: Bitmap;
    left: Integer;
    top: Integer
);
JScript
public function OrBitmap(
   bmp : Bitmap,
   left : int,
   top : int
);
Managed Extensions for C++
public: void OrBitmap(
   Bitmap* bmp,
   int left,
   int top
)
C++/CLI
public:
void OrBitmap(
   Bitmap^ bmp,
   int left,
   int top
)

Parameters

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PasteBitmap Method

[image]
ClearImage 8 Help
PasteBitmap Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : PasteBitmap Method

Paste Bitmap image to this image

Overload List

Overload | Description
PasteBitmap(Bitmap) | Paste Bitmap image to this image
PasteBitmap(Bitmap,Int32,Int32) | Paste Bitmap image to this image at offset

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PasteBitmap(Bitmap) Method

[image]
ClearImage 8 Help
PasteBitmap(Bitmap) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > PasteBitmap Method : PasteBitmap(Bitmap) Method

bmp
source Bitmap
Paste Bitmap image to this image

Syntax

Visual Basic (Declaration)
Public Overloads Sub PasteBitmap( _
   ByVal bmp As Bitmap _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap

instance.PasteBitmap(bmp)
C#
public void PasteBitmap(
   Bitmap bmp
)
Delphi
public procedure PasteBitmap(
    bmp: Bitmap
);
JScript
public function PasteBitmap(
   bmp : Bitmap
);
Managed Extensions for C++
public: void PasteBitmap(
   Bitmap* bmp
)
C++/CLI
public:
void PasteBitmap(
   Bitmap^ bmp
)

Parameters

bmp
source Bitmap

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PasteBitmap(Bitmap,Int32,Int32) Method

[image]
ClearImage 8 Help
PasteBitmap(Bitmap,Int32,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > PasteBitmap Method : PasteBitmap(Bitmap,Int32,Int32) Method

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image
Paste Bitmap image to this image at offset

Syntax

Visual Basic (Declaration)
Public Overloads Sub PasteBitmap( _
   ByVal bmp As Bitmap, _
   ByVal left As Integer, _
   ByVal top As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap
Dim left As Integer
Dim top As Integer

instance.PasteBitmap(bmp, left, top)
C#
public void PasteBitmap(
   Bitmap bmp,
   int left,
   int top
)
Delphi
public procedure PasteBitmap(
    bmp: Bitmap;
    left: Integer;
    top: Integer
);
JScript
public function PasteBitmap(
   bmp : Bitmap,
   left : int,
   top : int
);
Managed Extensions for C++
public: void PasteBitmap(
   Bitmap* bmp,
   int left,
   int top
)
C++/CLI
public:
void PasteBitmap(
   Bitmap^ bmp,
   int left,
   int top
)

Parameters

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ReconstructLines Method

[image]
ClearImage 8 Help
ReconstructLines Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : ReconstructLines Method

dir
Identifies orientation of reconstructed lines
Replaces image lines with synthesized lines of similar thickness.

Syntax

Visual Basic (Declaration)
Public Sub ReconstructLines( _
   ByVal dir As LineDirection _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim dir As LineDirection

instance.ReconstructLines(dir)
C#
public void ReconstructLines(
   LineDirection dir
)
Delphi
public procedure ReconstructLines(
    dir: LineDirection
);
JScript
public function ReconstructLines(
   dir : LineDirection
);
Managed Extensions for C++
public: void ReconstructLines(
   LineDirection dir
)
C++/CLI
public:
void ReconstructLines(
   LineDirection dir
)

Parameters

dir
Identifies orientation of reconstructed lines

Remarks

Set lineCurvature, lineMinLength, lineMaxGap, lineMaxAngle to specify lines to be reconstructed.

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RemoveHalftone Method

[image]
ClearImage 8 Help
RemoveHalftone Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : RemoveHalftone Method

Remove halftone pattern

Syntax

Visual Basic (Declaration)
Public Sub RemoveHalftone()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.RemoveHalftone()
C#
public void RemoveHalftone()
Delphi
public procedure RemoveHalftone();
JScript
public function RemoveHalftone();
Managed Extensions for C++
public: void RemoveHalftone();
C++/CLI
public:
void RemoveHalftone();

Remarks

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RemovePunchHoles Method

[image]
ClearImage 8 Help
RemovePunchHoles Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : RemovePunchHoles Method

Remove punchholes pattern from all sides

Syntax

Visual Basic (Declaration)
Public Sub RemovePunchHoles()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.RemovePunchHoles()
C#
public void RemovePunchHoles()
Delphi
public procedure RemovePunchHoles();
JScript
public function RemovePunchHoles();
Managed Extensions for C++
public: void RemovePunchHoles();
C++/CLI
public:
void RemovePunchHoles();

Remarks

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RotateFlip Method

[image]
ClearImage 8 Help
RotateFlip Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : RotateFlip Method

rotateFlipType
Direction to rotate
Rotates image in specified direction

Syntax

Visual Basic (Declaration)
Public Sub RotateFlip( _
   ByVal rotateFlipType As RotateFlipType _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim rotateFlipType As RotateFlipType

instance.RotateFlip(rotateFlipType)
C#
public void RotateFlip(
   RotateFlipType rotateFlipType
)
Delphi
public procedure RotateFlip(
    rotateFlipType: RotateFlipType
);
JScript
public function RotateFlip(
   rotateFlipType : RotateFlipType
);
Managed Extensions for C++
public: void RotateFlip(
   RotateFlipType rotateFlipType
)
C++/CLI
public:
void RotateFlip(
   RotateFlipType rotateFlipType
)

Parameters

rotateFlipType
Direction to rotate

Remarks

Zone parameter does not apply

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Scale Method

[image]
ClearImage 8 Help
Scale Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Scale Method

Scales image

Overload List

Overload | Description
Scale(Double) | Scales image
Scale(Double,Double) | Scales image

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Scale(Double) Method

[image]
ClearImage 8 Help
Scale(Double) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > Scale Method : Scale(Double) Method

scale
scale factor
Scales image

Syntax

Visual Basic (Declaration)
Public Overloads Sub Scale( _
   ByVal scale As Double _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim scale As Double

instance.Scale(scale)
C#
public void Scale(
   double scale
)
Delphi
public procedure Scale(
    scale: Double
);
JScript
public function Scale(
   scale : double
);
Managed Extensions for C++
public: void Scale(
   double scale
)
C++/CLI
public:
void Scale(
   double scale
)

Parameters

scale
scale factor

Remarks

Image resolution is automatically adjusted

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Scale(Double,Double) Method

[image]
ClearImage 8 Help
Scale(Double,Double) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > Scale Method : Scale(Double,Double) Method

scaleX
scale factor in horizontal direction
scaleY
scale factor in vertical direction
Scales image

Syntax

Visual Basic (Declaration)
Public Overloads Sub Scale( _
   ByVal scaleX As Double, _
   ByVal scaleY As Double _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim scaleX As Double
Dim scaleY As Double

instance.Scale(scaleX, scaleY)
C#
public void Scale(
   double scaleX,
   double scaleY
)
Delphi
public procedure Scale(
    scaleX: Double;
    scaleY: Double
);
JScript
public function Scale(
   scaleX : double,
   scaleY : double
);
Managed Extensions for C++
public: void Scale(
   double scaleX,
   double scaleY
)
C++/CLI
public:
void Scale(
   double scaleX,
   double scaleY
)

Parameters

scaleX
scale factor in horizontal direction
scaleY
scale factor in vertical direction

Remarks

Image resolution is automatically adjusted

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Skew Method

[image]
ClearImage 8 Help
Skew Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Skew Method

degrees
skew angle in degrees.
Skews image

Syntax

Visual Basic (Declaration)
Public Sub Skew( _
   ByVal degrees As Double _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim degrees As Double

instance.Skew(degrees)
C#
public void Skew(
   double degrees
)
Delphi
public procedure Skew(
    degrees: Double
);
JScript
public function Skew(
   degrees : double
);
Managed Extensions for C++
public: void Skew(
   double degrees
)
C++/CLI
public:
void Skew(
   double degrees
)

Parameters

degrees
skew angle in degrees.

Remarks

Positive skew angle causes a clockwise rotation.

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


SmoothCharacters Method

[image]
ClearImage 8 Help
SmoothCharacters Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : SmoothCharacters Method

Remove single pixel irregularities around object edges.

Syntax

Visual Basic (Declaration)
Public Sub SmoothCharacters()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.SmoothCharacters()
C#
public void SmoothCharacters()
Delphi
public procedure SmoothCharacters();
JScript
public function SmoothCharacters();
Managed Extensions for C++
public: void SmoothCharacters();
C++/CLI
public:
void SmoothCharacters();

Remarks

Licensing: Requires ClearImage Repair license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ToBitonal Method

[image]
ClearImage 8 Help
ToBitonal Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : ToBitonal Method

Converts image to bi-tonal

Syntax

Visual Basic (Declaration)
Public Sub ToBitonal()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.ToBitonal()
C#
public void ToBitonal()
Delphi
public procedure ToBitonal();
JScript
public function ToBitonal();
Managed Extensions for C++
public: void ToBitonal();
C++/CLI
public:
void ToBitonal();

Remarks

Zone parameter does not apply

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ToGrayscale Method

[image]
ClearImage 8 Help
ToGrayscale Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : ToGrayscale Method

Converts image to grayscale

Syntax

Visual Basic (Declaration)
Public Sub ToGrayscale()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor

instance.ToGrayscale()
C#
public void ToGrayscale()
Delphi
public procedure ToGrayscale();
JScript
public function ToGrayscale();
Managed Extensions for C++
public: void ToGrayscale();
C++/CLI
public:
void ToGrayscale();

Remarks

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Trim Method

[image]
ClearImage 8 Help
Trim Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Trim Method

pixels
number of pixels
dir
direction to reduces
Reduces black area of image objects

Syntax

Visual Basic (Declaration)
Public Sub Trim( _
   ByVal pixels As Integer, _
   ByVal dir As MorphDirections _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim pixels As Integer
Dim dir As MorphDirections

instance.Trim(pixels, dir)
C#
public void Trim(
   int pixels,
   MorphDirections dir
)
Delphi
public procedure Trim(
    pixels: Integer;
    dir: MorphDirections
);
JScript
public function Trim(
   pixels : int,
   dir : MorphDirections
);
Managed Extensions for C++
public: void Trim(
   int pixels,
   MorphDirections dir
)
C++/CLI
public:
void Trim(
   int pixels,
   MorphDirections dir
)

Parameters

pixels
number of pixels
dir
direction to reduces

Remarks

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


XorBitmap Method

[image]
ClearImage 8 Help
XorBitmap Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : XorBitmap Method

XOR the working image with the specified Bitmap image

Overload List

Overload | Description
XorBitmap(Bitmap) | XOR the working image with the specified Bitmap image
XorBitmap(Bitmap,Int32,Int32) | XOR the working image with the specified Bitmap image with offset

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


XorBitmap(Bitmap) Method

[image]
ClearImage 8 Help
XorBitmap(Bitmap) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > XorBitmap Method : XorBitmap(Bitmap) Method

bmp
source Bitmap
XOR the working image with the specified Bitmap image

Syntax

Visual Basic (Declaration)
Public Overloads Sub XorBitmap( _
   ByVal bmp As Bitmap _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap

instance.XorBitmap(bmp)
C#
public void XorBitmap(
   Bitmap bmp
)
Delphi
public procedure XorBitmap(
    bmp: Bitmap
);
JScript
public function XorBitmap(
   bmp : Bitmap
);
Managed Extensions for C++
public: void XorBitmap(
   Bitmap* bmp
)
C++/CLI
public:
void XorBitmap(
   Bitmap^ bmp
)

Parameters

bmp
source Bitmap

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


XorBitmap(Bitmap,Int32,Int32) Method

[image]
ClearImage 8 Help
XorBitmap(Bitmap,Int32,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class > XorBitmap Method : XorBitmap(Bitmap,Int32,Int32) Method

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image
XOR the working image with the specified Bitmap image with offset

Syntax

Visual Basic (Declaration)
Public Overloads Sub XorBitmap( _
   ByVal bmp As Bitmap, _
   ByVal left As Integer, _
   ByVal top As Integer _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim bmp As Bitmap
Dim left As Integer
Dim top As Integer

instance.XorBitmap(bmp, left, top)
C#
public void XorBitmap(
   Bitmap bmp,
   int left,
   int top
)
Delphi
public procedure XorBitmap(
    bmp: Bitmap;
    left: Integer;
    top: Integer
);
JScript
public function XorBitmap(
   bmp : Bitmap,
   left : int,
   top : int
);
Managed Extensions for C++
public: void XorBitmap(
   Bitmap* bmp,
   int left,
   int top
)
C++/CLI
public:
void XorBitmap(
   Bitmap^ bmp,
   int left,
   int top
)

Parameters

bmp
source Bitmap
left
x offset of the bitmap in respect to this image
top
y offset of the bitmap in respect to this image

Remarks

PixelFormat of this and source images should be equal

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Class Properties

[image]
ClearImage 8 Help
ImageEditor Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor Class

For a list of all members of this type, see ImageEditor members.

Public Properties

 | Name | Description
public Property | Bitmap | Sets Bitmap for editing. Gets results of editing
public Property | BitmapZone | Gets results of editing. If Zone is set corresponding portion of the image.
public Property | BitsPerPixel | Gets image bits-per-pixel
public Property | Height | Gets image height in pixels
public Property | HorizontalHistogram | Gets number of black pixels in each column
public Property | HorizontalResolution | Gets/Sets horizontal resolution in dots-per-inch(DPI)
public Property | Image | Get CiImage object associated with ImageEditor
public Property | IsValid | Checks is valid Bitmap has been assigned
public Property | lineCurvature | Maximum line curvature for line identification (default medium)
public Property | lineMaxAngle | Maximum line angle in degrees for line identification (default 5.0)
public Property | lineMaxGap | Maximum gap size in pixel for line identification (default 3)
public Property | lineMinLength | Minimum length in pixel for line identification (default 100)
public Property | Pixels | Gets number of black pixels
public Property | PixelsArea | Gets image rectangle encompassing all image pixels
public Property | Rotation | Gets image rotation information
public Property | RotationConfidence | Gets confidence level of the last Rotation measurement
public Property | SkewAngle | Gets image skew angle in degrees
public Property | SkewAngleConfidence | Gets confidence level of the last SkewAngle measurement
public Property | VerticalHistogram | Gets number of black pixels in each row
public Property | VerticalResolution | Gets/Sets vertical resolution in dots-per-inch(DPI)
public Property | Width | Gets image width in pixels
public Property | Zone | Limits image modification or analysis to a rectangular area on an image
Top

See Also

Reference

ImageEditor Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Bitmap Property

[image]
ClearImage 8 Help
Bitmap Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Bitmap Property

Sets Bitmap for editing. Gets results of editing

Syntax

Visual Basic (Declaration)
Public Property Bitmap As Bitmap
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Bitmap

instance.Bitmap = value

value = instance.Bitmap
C#
public Bitmap Bitmap {get; set;}
Delphi
public read-write property Bitmap: Bitmap;
JScript
public function get,set Bitmap : Bitmap
Managed Extensions for C++
public: __property Bitmap* get_Bitmap();
public: __property void set_Bitmap(
   Bitmap* value
);
C++/CLI
public:
property Bitmap^ Bitmap {
   Bitmap^ get();
   void set (    Bitmap^ value);
}

Remarks

Setting new Bitmap destroys previously set Bitmap and all modifications.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BitmapZone Property

[image]
ClearImage 8 Help
BitmapZone Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : BitmapZone Property

Gets results of editing. If Zone is set corresponding portion of the image.

Syntax

Visual Basic (Declaration)
Public ReadOnly Property BitmapZone As Bitmap
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Bitmap

value = instance.BitmapZone
C#
public Bitmap BitmapZone {get;}
Delphi
public read-only property BitmapZone: Bitmap;
JScript
public function get BitmapZone : Bitmap
Managed Extensions for C++
public: __property Bitmap* get_BitmapZone();
C++/CLI
public:
property Bitmap^ BitmapZone {
   Bitmap^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BitsPerPixel Property

[image]
ClearImage 8 Help
BitsPerPixel Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : BitsPerPixel Property

Gets image bits-per-pixel

Syntax

Visual Basic (Declaration)
Public ReadOnly Property BitsPerPixel As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Integer

value = instance.BitsPerPixel
C#
public int BitsPerPixel {get;}
Delphi
public read-only property BitsPerPixel: Integer;
JScript
public function get BitsPerPixel : int
Managed Extensions for C++
public: __property int get_BitsPerPixel();
C++/CLI
public:
property int BitsPerPixel {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Height Property

[image]
ClearImage 8 Help
Height Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Height Property

Gets image height in pixels

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Height As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Integer

value = instance.Height
C#
public int Height {get;}
Delphi
public read-only property Height: Integer;
JScript
public function get Height : int
Managed Extensions for C++
public: __property int get_Height();
C++/CLI
public:
property int Height {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


HorizontalHistogram Property

[image]
ClearImage 8 Help
HorizontalHistogram Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : HorizontalHistogram Property

Gets number of black pixels in each column

Syntax

Visual Basic (Declaration)
Public ReadOnly Property HorizontalHistogram As Integer()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value() As Integer

value = instance.HorizontalHistogram
C#
public int[] HorizontalHistogram {get;}
Delphi
public read-only property HorizontalHistogram: array of Integer;
JScript
public function get HorizontalHistogram : int[]
Managed Extensions for C++
public: __property int[]* get_HorizontalHistogram();
C++/CLI
public:
property array<int>^ HorizontalHistogram {
   array<int>^ get();
}

Remarks

Applicable only to bi-tonal image
If Zone is set, number of entries equal to width of Zone. Otherwise number of entries is width of an image.

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


HorizontalResolution Property

[image]
ClearImage 8 Help
HorizontalResolution Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : HorizontalResolution Property

Gets/Sets horizontal resolution in dots-per-inch(DPI)

Syntax

Visual Basic (Declaration)
Public Property HorizontalResolution As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Integer

instance.HorizontalResolution = value

value = instance.HorizontalResolution
C#
public int HorizontalResolution {get; set;}
Delphi
public read-write property HorizontalResolution: Integer;
JScript
public function get,set HorizontalResolution : int
Managed Extensions for C++
public: __property int get_HorizontalResolution();
public: __property void set_HorizontalResolution(
   int value
);
C++/CLI
public:
property int HorizontalResolution {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Image Property

Get CiImage object associated with ImageEditor

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As CiImage

value = instance.Image
C#
public CiImage Image {get;}
Delphi
public read-only property Image: CiImage;
JScript
public function get Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
}

Remarks

Use this object to configure and execute Open and Save operations

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsValid Property

[image]
ClearImage 8 Help
IsValid Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : IsValid Property

Checks is valid Bitmap has been assigned

Syntax

Visual Basic (Declaration)
Public ReadOnly Property IsValid As Boolean
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Boolean

value = instance.IsValid
C#
public bool IsValid {get;}
Delphi
public read-only property IsValid: Boolean;
JScript
public function get IsValid : boolean
Managed Extensions for C++
public: __property bool get_IsValid();
C++/CLI
public:
property bool IsValid {
   bool get();
}

Remarks

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


lineCurvature Property

[image]
ClearImage 8 Help
lineCurvature Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : lineCurvature Property

Maximum line curvature for line identification (default medium)

Syntax

Visual Basic (Declaration)
Public Property lineCurvature As LineCurvature
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As LineCurvature

instance.lineCurvature = value

value = instance.lineCurvature
C#
public LineCurvature lineCurvature {get; set;}
Delphi
public read-write property lineCurvature: LineCurvature;
JScript
public function get,set lineCurvature : LineCurvature
Managed Extensions for C++
public: __property LineCurvature get_lineCurvature();
public: __property void set_lineCurvature(
   LineCurvature value
);
C++/CLI
public:
property LineCurvature lineCurvature {
   LineCurvature get();
   void set (    LineCurvature value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


lineMaxAngle Property

[image]
ClearImage 8 Help
lineMaxAngle Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : lineMaxAngle Property

Maximum line angle in degrees for line identification (default 5.0)

Syntax

Visual Basic (Declaration)
Public Property lineMaxAngle As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Double

instance.lineMaxAngle = value

value = instance.lineMaxAngle
C#
public double lineMaxAngle {get; set;}
Delphi
public read-write property lineMaxAngle: Double;
JScript
public function get,set lineMaxAngle : double
Managed Extensions for C++
public: __property double get_lineMaxAngle();
public: __property void set_lineMaxAngle(
   double value
);
C++/CLI
public:
property double lineMaxAngle {
   double get();
   void set (    double value);
}

Remarks

Measured in respect to the nearest vertical or horizontal image axes

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


lineMaxGap Property

[image]
ClearImage 8 Help
lineMaxGap Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : lineMaxGap Property

Maximum gap size in pixel for line identification (default 3)

Syntax

Visual Basic (Declaration)
Public Property lineMaxGap As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Integer

instance.lineMaxGap = value

value = instance.lineMaxGap
C#
public int lineMaxGap {get; set;}
Delphi
public read-write property lineMaxGap: Integer;
JScript
public function get,set lineMaxGap : int
Managed Extensions for C++
public: __property int get_lineMaxGap();
public: __property void set_lineMaxGap(
   int value
);
C++/CLI
public:
property int lineMaxGap {
   int get();
   void set (    int value);
}

Remarks

Not applicable if lineCurvature is straight

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


lineMinLength Property

[image]
ClearImage 8 Help
lineMinLength Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : lineMinLength Property

Minimum length in pixel for line identification (default 100)

Syntax

Visual Basic (Declaration)
Public Property lineMinLength As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Integer

instance.lineMinLength = value

value = instance.lineMinLength
C#
public int lineMinLength {get; set;}
Delphi
public read-write property lineMinLength: Integer;
JScript
public function get,set lineMinLength : int
Managed Extensions for C++
public: __property int get_lineMinLength();
public: __property void set_lineMinLength(
   int value
);
C++/CLI
public:
property int lineMinLength {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Pixels Property

[image]
ClearImage 8 Help
Pixels Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Pixels Property

Gets number of black pixels

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Pixels As Long
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Long

value = instance.Pixels
C#
public long Pixels {get;}
Delphi
public read-only property Pixels: Int64;
JScript
public function get Pixels : long
Managed Extensions for C++
public: __property long get_Pixels();
C++/CLI
public:
property int64 Pixels {
   int64 get();
}

Remarks

Applicable only to bitonal image

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PixelsArea Property

[image]
ClearImage 8 Help
PixelsArea Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : PixelsArea Property

Gets image rectangle encompassing all image pixels

Syntax

Visual Basic (Declaration)
Public ReadOnly Property PixelsArea As Rectangle
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Rectangle

value = instance.PixelsArea
C#
public Rectangle PixelsArea {get;}
Delphi
public read-only property PixelsArea: Rectangle;
JScript
public function get PixelsArea : Rectangle
Managed Extensions for C++
public: __property Rectangle get_PixelsArea();
C++/CLI
public:
property Rectangle PixelsArea {
   Rectangle get();
}

Remarks

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rotation Property

[image]
ClearImage 8 Help
Rotation Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Rotation Property

Gets image rotation information

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rotation As PageRotation
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As PageRotation

value = instance.Rotation
C#
public PageRotation Rotation {get;}
Delphi
public read-only property Rotation: PageRotation;
JScript
public function get Rotation : PageRotation
Managed Extensions for C++
public: __property PageRotation get_Rotation();
C++/CLI
public:
property PageRotation Rotation {
   PageRotation get();
}

Property Value

For text-based rotation returns then none, upsideDown, left, or right values
For graphics-based rotation returns portrait or leftOrRight values.

Remarks

For image with enough of textual elements uses characters to find rotation.
For image with mostly graphical objects uses lines and other graphic objects to find rotation.
Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


RotationConfidence Property

[image]
ClearImage 8 Help
RotationConfidence Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : RotationConfidence Property

Gets confidence level of the last Rotation measurement

Syntax

Visual Basic (Declaration)
Public ReadOnly Property RotationConfidence As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Double

value = instance.RotationConfidence
C#
public double RotationConfidence {get;}
Delphi
public read-only property RotationConfidence: Double;
JScript
public function get RotationConfidence : double
Managed Extensions for C++
public: __property double get_RotationConfidence();
C++/CLI
public:
property double RotationConfidence {
   double get();
}

Remarks

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


SkewAngle Property

[image]
ClearImage 8 Help
SkewAngle Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : SkewAngle Property

Gets image skew angle in degrees

Syntax

Visual Basic (Declaration)
Public ReadOnly Property SkewAngle As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Double

value = instance.SkewAngle
C#
public double SkewAngle {get;}
Delphi
public read-only property SkewAngle: Double;
JScript
public function get SkewAngle : double
Managed Extensions for C++
public: __property double get_SkewAngle();
C++/CLI
public:
property double SkewAngle {
   double get();
}

Remarks

Result range is from -45 degrees to 45 degrees. Value is negative, if image skewed counterclockwise and positive if image is skewed clockwise.
SkewAngleConfidence indicates confidence of this value.
Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


SkewAngleConfidence Property

[image]
ClearImage 8 Help
SkewAngleConfidence Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : SkewAngleConfidence Property

Gets confidence level of the last SkewAngle measurement

Syntax

Visual Basic (Declaration)
Public ReadOnly Property SkewAngleConfidence As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Double

value = instance.SkewAngleConfidence
C#
public double SkewAngleConfidence {get;}
Delphi
public read-only property SkewAngleConfidence: Double;
JScript
public function get SkewAngleConfidence : double
Managed Extensions for C++
public: __property double get_SkewAngleConfidence();
C++/CLI
public:
property double SkewAngleConfidence {
   double get();
}

Remarks

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


VerticalHistogram Property

[image]
ClearImage 8 Help
VerticalHistogram Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : VerticalHistogram Property

Gets number of black pixels in each row

Syntax

Visual Basic (Declaration)
Public ReadOnly Property VerticalHistogram As Integer()
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value() As Integer

value = instance.VerticalHistogram
C#
public int[] VerticalHistogram {get;}
Delphi
public read-only property VerticalHistogram: array of Integer;
JScript
public function get VerticalHistogram : int[]
Managed Extensions for C++
public: __property int[]* get_VerticalHistogram();
C++/CLI
public:
property array<int>^ VerticalHistogram {
   array<int>^ get();
}

Remarks

Applicable only to bi-tonal image
If Zone is set, number of entries equal to height of Zone. Otherwise number of entries is height of an image.

Licensing: Requires ClearImage Tools license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


VerticalResolution Property

[image]
ClearImage 8 Help
VerticalResolution Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : VerticalResolution Property

Gets/Sets vertical resolution in dots-per-inch(DPI)

Syntax

Visual Basic (Declaration)
Public Property VerticalResolution As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Integer

instance.VerticalResolution = value

value = instance.VerticalResolution
C#
public int VerticalResolution {get; set;}
Delphi
public read-write property VerticalResolution: Integer;
JScript
public function get,set VerticalResolution : int
Managed Extensions for C++
public: __property int get_VerticalResolution();
public: __property void set_VerticalResolution(
   int value
);
C++/CLI
public:
property int VerticalResolution {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Width Property

[image]
ClearImage 8 Help
Width Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Width Property

Gets image width in pixels

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Width As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Integer

value = instance.Width
C#
public int Width {get;}
Delphi
public read-only property Width: Integer;
JScript
public function get Width : int
Managed Extensions for C++
public: __property int get_Width();
C++/CLI
public:
property int Width {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Zone Property

[image]
ClearImage 8 Help
Zone Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : Zone Property

Limits image modification or analysis to a rectangular area on an image

Syntax

Visual Basic (Declaration)
Public Property Zone As Rectangle
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim value As Rectangle

instance.Zone = value

value = instance.Zone
C#
public Rectangle Zone {get; set;}
Delphi
public read-write property Zone: Rectangle;
JScript
public function get,set Zone : Rectangle
Managed Extensions for C++
public: __property Rectangle get_Zone();
public: __property void set_Zone(
   Rectangle value
);
C++/CLI
public:
property Rectangle Zone {
   Rectangle get();
   void set (    Rectangle value);
}

Remarks

Set to empty rectangle to disable zoned editing

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor Class Events

[image]
ClearImage 8 Help
ImageEditor Class Events
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor Class

For a list of all members of this type, see ImageEditor members.

Public Events

 | Name | Description
public Event | EditPageEvent | Raised by Edit(String,EditPageEventHandler,String,ImageFileFormat,Boolean) method when new page is opened
public Event | LineFoundEvent | Raised by GetLines method when new line is found
public Event | ObjectFoundEvent | Raised by GetObjects method when new object is found
Top

See Also

Reference

ImageEditor Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


EditPageEvent Event

[image]
ClearImage 8 Help
EditPageEvent Event
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : EditPageEvent Event

Raised by Edit(String,EditPageEventHandler,String,ImageFileFormat,Boolean) method when new page is opened

Syntax

Visual Basic (Declaration)
Public Event EditPageEvent As ImageEditor.EditPageEventHandler
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim handler As ImageEditor.EditPageEventHandler

AddHandler instance.EditPageEvent, handler
C#
public event ImageEditor.EditPageEventHandler EditPageEvent
Delphi
public event EditPageEvent: ImageEditor.EditPageEventHandler;
JScript
In JScript, you can handle the events defined by another class, but you cannot define your own.
Managed Extensions for C++
public: __event ImageEditor.EditPageEventHandler* EditPageEvent
C++/CLI
public:
event ImageEditor.EditPageEventHandler^ EditPageEvent

Event Data

The event handler receives an argument of type EditPageEventArgs containing data related to this event. The following EditPageEventArgs properties provide information specific to this event.

Property | Description
cancel | Flag to abort file processing. Set 'true' to abort
Editor | ImageEditor object to process page
skipPage | Flag to skip page in output file/stream. Set 'true' to skip

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LineFoundEvent Event

[image]
ClearImage 8 Help
LineFoundEvent Event
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : LineFoundEvent Event

Raised by GetLines method when new line is found

Syntax

Visual Basic (Declaration)
Public Event LineFoundEvent As ImageEditor.LineFoundEventHandler
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim handler As ImageEditor.LineFoundEventHandler

AddHandler instance.LineFoundEvent, handler
C#
public event ImageEditor.LineFoundEventHandler LineFoundEvent
Delphi
public event LineFoundEvent: ImageEditor.LineFoundEventHandler;
JScript
In JScript, you can handle the events defined by another class, but you cannot define your own.
Managed Extensions for C++
public: __event ImageEditor.LineFoundEventHandler* LineFoundEvent
C++/CLI
public:
event ImageEditor.LineFoundEventHandler^ LineFoundEvent

Event Data

The event handler receives an argument of type LineFoundEventArgs containing data related to this event. The following LineFoundEventArgs properties provide information specific to this event.

Property | Description
cancel | Flag to abort line detection. Set 'true' to abort
Count | Number of lines found during this GetLines operation
ImageLine | Information about the last found line

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ObjectFoundEvent Event

[image]
ClearImage 8 Help
ObjectFoundEvent Event
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageEditor Class : ObjectFoundEvent Event

Raised by GetObjects method when new object is found

Syntax

Visual Basic (Declaration)
Public Event ObjectFoundEvent As ImageEditor.ObjectFoundEventHandler
Visual Basic (Usage) Copy Code
Dim instance As ImageEditor
Dim handler As ImageEditor.ObjectFoundEventHandler

AddHandler instance.ObjectFoundEvent, handler
C#
public event ImageEditor.ObjectFoundEventHandler ObjectFoundEvent
Delphi
public event ObjectFoundEvent: ImageEditor.ObjectFoundEventHandler;
JScript
In JScript, you can handle the events defined by another class, but you cannot define your own.
Managed Extensions for C++
public: __event ImageEditor.ObjectFoundEventHandler* ObjectFoundEvent
C++/CLI
public:
event ImageEditor.ObjectFoundEventHandler^ ObjectFoundEvent

Event Data

The event handler receives an argument of type ObjectFoundEventArgs containing data related to this event. The following ObjectFoundEventArgs properties provide information specific to this event.

Property | Description
cancel | Flag to abort object detection. Set 'true' to abort
Count | Number of object found during this GetObjects operation
ImageObject | Information about the last found object

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor Class
ImageEditor Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageInfo Class

[image]
ClearImage 8 Help
ImageInfo Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageInfo Class

Holds information about image and page in the image

Object Model

ImageInfo Class

Syntax

Visual Basic (Declaration)
Public Class ImageInfo
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
C#
public class ImageInfo
Delphi
public class ImageInfo
JScript
public class ImageInfo
Managed Extensions for C++
public __gc class ImageInfo
C++/CLI
public ref class ImageInfo

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageInfo Class Members

[image]
ClearImage 8 Help
ImageInfo Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : ImageInfo Class

The following tables list the members exposed by ImageInfo.

Public Constructors

 | Name | Description
public Constructor | ImageInfo Constructor | Obtain properties of CiImage
Top

Public Properties

 | Name | Description
public Property | BitsPerPixel | Bits per pixel of the page image
public Property | Compression | Compression type of the page
public Property | FileFormat | Format of the image file
public Property | FileName | Name of the image file
public Property | Height | Height of the page image
public Property | HorizontalDpi | Horizontal resolution in DPI of the page image
public Property | Page | Page number. If 0, page information is not valid
public Property | PageCount | Number of pages in the image file. If 0, file information is not valid
public Property | VerticalDpi | Vertical resolution in DPI of the page image
public Property | Width | Width of the page image
Top

See Also

Reference

ImageInfo Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageInfo Constructor

[image]
ClearImage 8 Help
ImageInfo Constructor
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : ImageInfo Constructor

image
Obtain properties of CiImage

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal image As CiImage _
)
Visual Basic (Usage) Copy Code
Dim image As CiImage

Dim instance As New ImageInfo(image)
C#
public ImageInfo(
   CiImage image
)
Delphi
public ImageInfo(
    image: CiImage
);
JScript
public function ImageInfo(
   image : CiImage
);
Managed Extensions for C++
public: ImageInfo(
   CiImage* image
)
C++/CLI
public:
ImageInfo(
   CiImage^ image
)

Parameters

image

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageInfo Class Properties

[image]
ClearImage 8 Help
ImageInfo Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageInfo Class

For a list of all members of this type, see ImageInfo members.

Public Properties

 | Name | Description
public Property | BitsPerPixel | Bits per pixel of the page image
public Property | Compression | Compression type of the page
public Property | FileFormat | Format of the image file
public Property | FileName | Name of the image file
public Property | Height | Height of the page image
public Property | HorizontalDpi | Horizontal resolution in DPI of the page image
public Property | Page | Page number. If 0, page information is not valid
public Property | PageCount | Number of pages in the image file. If 0, file information is not valid
public Property | VerticalDpi | Vertical resolution in DPI of the page image
public Property | Width | Width of the page image
Top

See Also

Reference

ImageInfo Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BitsPerPixel Property

[image]
ClearImage 8 Help
BitsPerPixel Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : BitsPerPixel Property

Bits per pixel of the page image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property BitsPerPixel As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As Integer

value = instance.BitsPerPixel
C#
public int BitsPerPixel {get;}
Delphi
public read-only property BitsPerPixel: Integer;
JScript
public function get BitsPerPixel : int
Managed Extensions for C++
public: __property int get_BitsPerPixel();
C++/CLI
public:
property int BitsPerPixel {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Compression Property

[image]
ClearImage 8 Help
Compression Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : Compression Property

Compression type of the page

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Compression As PageCompression
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As PageCompression

value = instance.Compression
C#
public PageCompression Compression {get;}
Delphi
public read-only property Compression: PageCompression;
JScript
public function get Compression : PageCompression
Managed Extensions for C++
public: __property PageCompression get_Compression();
C++/CLI
public:
property PageCompression Compression {
   PageCompression get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FileFormat Property

[image]
ClearImage 8 Help
FileFormat Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : FileFormat Property

Format of the image file

Syntax

Visual Basic (Declaration)
Public ReadOnly Property FileFormat As ImageFileFormat
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As ImageFileFormat

value = instance.FileFormat
C#
public ImageFileFormat FileFormat {get;}
Delphi
public read-only property FileFormat: ImageFileFormat;
JScript
public function get FileFormat : ImageFileFormat
Managed Extensions for C++
public: __property ImageFileFormat get_FileFormat();
C++/CLI
public:
property ImageFileFormat FileFormat {
   ImageFileFormat get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


FileName Property

[image]
ClearImage 8 Help
FileName Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : FileName Property

Name of the image file

Syntax

Visual Basic (Declaration)
Public ReadOnly Property FileName As String
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As String

value = instance.FileName
C#
public string FileName {get;}
Delphi
public read-only property FileName: String;
JScript
public function get FileName : String
Managed Extensions for C++
public: __property string* get_FileName();
C++/CLI
public:
property String^ FileName {
   String^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Height Property

[image]
ClearImage 8 Help
Height Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : Height Property

Height of the page image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Height As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As Integer

value = instance.Height
C#
public int Height {get;}
Delphi
public read-only property Height: Integer;
JScript
public function get Height : int
Managed Extensions for C++
public: __property int get_Height();
C++/CLI
public:
property int Height {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


HorizontalDpi Property

[image]
ClearImage 8 Help
HorizontalDpi Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : HorizontalDpi Property

Horizontal resolution in DPI of the page image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property HorizontalDpi As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As Integer

value = instance.HorizontalDpi
C#
public int HorizontalDpi {get;}
Delphi
public read-only property HorizontalDpi: Integer;
JScript
public function get HorizontalDpi : int
Managed Extensions for C++
public: __property int get_HorizontalDpi();
C++/CLI
public:
property int HorizontalDpi {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Page Property

[image]
ClearImage 8 Help
Page Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : Page Property

Page number. If 0, page information is not valid

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Page As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As Integer

value = instance.Page
C#
public int Page {get;}
Delphi
public read-only property Page: Integer;
JScript
public function get Page : int
Managed Extensions for C++
public: __property int get_Page();
C++/CLI
public:
property int Page {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PageCount Property

[image]
ClearImage 8 Help
PageCount Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : PageCount Property

Number of pages in the image file. If 0, file information is not valid

Syntax

Visual Basic (Declaration)
Public ReadOnly Property PageCount As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As Integer

value = instance.PageCount
C#
public int PageCount {get;}
Delphi
public read-only property PageCount: Integer;
JScript
public function get PageCount : int
Managed Extensions for C++
public: __property int get_PageCount();
C++/CLI
public:
property int PageCount {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


VerticalDpi Property

[image]
ClearImage 8 Help
VerticalDpi Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : VerticalDpi Property

Vertical resolution in DPI of the page image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property VerticalDpi As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As Integer

value = instance.VerticalDpi
C#
public int VerticalDpi {get;}
Delphi
public read-only property VerticalDpi: Integer;
JScript
public function get VerticalDpi : int
Managed Extensions for C++
public: __property int get_VerticalDpi();
C++/CLI
public:
property int VerticalDpi {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Width Property

[image]
ClearImage 8 Help
Width Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : Width Property

Width of the page image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Width As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageInfo
Dim value As Integer

value = instance.Width
C#
public int Width {get;}
Delphi
public read-only property Width: Integer;
JScript
public function get Width : int
Managed Extensions for C++
public: __property int get_Width();
C++/CLI
public:
property int Width {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageIO Class

[image]
ClearImage 8 Help
ImageIO Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageIO Class

Opens, saves, gets information from file-based images

Object Model

ImageIO ClassCiImage Class

Syntax

Visual Basic (Declaration)
Public Class ImageIO
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
C#
public class ImageIO
Delphi
public class ImageIO
JScript
public class ImageIO
Managed Extensions for C++
public __gc class ImageIO
C++/CLI
public ref class ImageIO

Remarks

Licensing: Requires ClearImage PDF IO license to use with PDF files.
Any ClearImage license is required for other image file formats.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageIO Class Members

[image]
ClearImage 8 Help
ImageIO Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImageNet Namespace : ImageIO Class

The following tables list the members exposed by ImageIO.

Public Constructors

 | Name | Description
public Constructor | ImageIO Constructor | Initializes ImageIO object
Top

Public Properties

 | Name | Description
public Property | compressionBitonal | Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF.
public Property | compressionBitonalEx | Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF Property is OBSOLETE - use compressionBitonal
public Property | compressionColor | Identifies compression of saved color and grayscale images inside fo TIFF or PDF.
public Property | compressionColorEx | Identifies compression of saved color and grayscale images inside fo TIFF or PDF Property is OBSOLETE - use compressionColor
public Property | Image | Get underlying CiImage object
public Property | jpegQuality | Quality of JPEG Compression. 0-the lowest, 100-the highest
public Property | pdfMinImageHeight | Minimum height of an image to extract from PDF page. To extract only page-high image set to -98765.
public Property | pdfMinImageWidth | Minimum witdth of an image to extract from PDF page. To extract only page-wide image set to -98765.
public Property | pdfRasterColorMode | Pdf Rasterization color selection.
public Property | pdfRasterColorModeEx | Pdf Rasterization color selection Property is OBSOLETE - use pdfRasterColorMode
public Property | pdfRasterDpiBitonal | DPI of bi-tonal PDF rasterization
public Property | pdfRasterDpiColor | DPI of color PDF rasterization
public Property | pdfRasterDpiGrayscale | DPI of grayscale PDF rasterization
public Property | pdfReadMode | Pdf page reading mode selection.
public Property | pdfReadModeEx | Pdf page reading mode selection Property is OBSOLETE - use pdfReadMode
Top

Public Methods

 | Name | Description
public Method | Append | Appends bitmap to the specified file
static (Shared in Visual Basic) | CopyToClipboard | Copies Bitmap to clipboard
static (Shared in Visual Basic) | Create | Overloaded. Creates Bitmap object of specified size
public Method | Info | Overloaded. Obtains information about the image file and optionally about image page
public Method | Open | Overloaded. Reads the image to a Bitmap object
public Method | SaveAs | Saves Bitmap to the specified file
Top

See Also

Reference

ImageIO Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageIO Constructor

[image]
ClearImage 8 Help
ImageIO Constructor
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : ImageIO Constructor

Initializes ImageIO object

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New ImageIO()
C#
public ImageIO()
Delphi
public ImageIO();
JScript
public function ImageIO();
Managed Extensions for C++
public: ImageIO();
C++/CLI
public:
ImageIO();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageIO Class Methods

[image]
ClearImage 8 Help
ImageIO Class Methods
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageIO Class

For a list of all members of this type, see ImageIO members.

Public Methods

 | Name | Description
public Method | Append | Appends bitmap to the specified file
static (Shared in Visual Basic) | CopyToClipboard | Copies Bitmap to clipboard
static (Shared in Visual Basic) | Create | Overloaded. Creates Bitmap object of specified size
public Method | Info | Overloaded. Obtains information about the image file and optionally about image page
public Method | Open | Overloaded. Reads the image to a Bitmap object
public Method | SaveAs | Saves Bitmap to the specified file
Top

See Also

Reference

ImageIO Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Append Method

[image]
ClearImage 8 Help
Append Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : Append Method

bmp
Bitmap object
fileName
Name of the file
Appends bitmap to the specified file

Syntax

Visual Basic (Declaration)
Public Sub Append( _
   ByVal bmp As Bitmap, _
   ByVal fileName As String _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim bmp As Bitmap
Dim fileName As String

instance.Append(bmp, fileName)
C#
public void Append(
   Bitmap bmp,
   string fileName
)
Delphi
public procedure Append(
    bmp: Bitmap;
    fileName: String
);
JScript
public function Append(
   bmp : Bitmap,
   fileName : String
);
Managed Extensions for C++
public: void Append(
   Bitmap* bmp,
   string* fileName
)
C++/CLI
public:
void Append(
   Bitmap^ bmp,
   String^ fileName
)

Parameters

bmp
Bitmap object
fileName
Name of the file

Remarks

File format is derived automatically from the fileName extension.
Only .tif and .pdf extensions are valid. File is created if it does not exists.

Licensing: Requires ClearImage PDF IO license to use with PDF files.
Any ClearImage license is required for other image file formats.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CopyToClipboard Method

[image]
ClearImage 8 Help
CopyToClipboard Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : CopyToClipboard Method

bmp
Source Bitmap object
Copies Bitmap to clipboard

Syntax

Visual Basic (Declaration)
Public Shared Sub CopyToClipboard( _
   ByVal bmp As Bitmap _
)
Visual Basic (Usage) Copy Code
Dim bmp As Bitmap

ImageIO.CopyToClipboard(bmp)
C#
public static void CopyToClipboard(
   Bitmap bmp
)
Delphi
public procedure CopyToClipboard(
    bmp: Bitmap
); static;
JScript
public static function CopyToClipboard(
   bmp : Bitmap
);
Managed Extensions for C++
public: static void CopyToClipboard(
   Bitmap* bmp
)
C++/CLI
public:
static void CopyToClipboard(
   Bitmap^ bmp
)

Parameters

bmp
Source Bitmap object

Remarks

This method preserves Bitmap resolution values unlike Clipoard.SetData method

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Create Method

[image]
ClearImage 8 Help
Create Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : Create Method

Creates Bitmap object of specified size

Overload List

Overload | Description
Create(Int32,Int32) | Creates black-and-white Bitmap image of specified size
Create(Int32,Int32,PixelFormat) | Creates Bitmap object of specified size and pixel format

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Create(Int32,Int32) Method

[image]
ClearImage 8 Help
Create(Int32,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class > Create Method : Create(Int32,Int32) Method

width
width in pixels
height
height in pixels
Creates black-and-white Bitmap image of specified size

Syntax

Visual Basic (Declaration)
Public Overloads Shared Function Create( _
   ByVal width As Integer, _
   ByVal height As Integer _
) As Bitmap
Visual Basic (Usage) Copy Code
Dim width As Integer
Dim height As Integer
Dim value As Bitmap

value = ImageIO.Create(width, height)
C#
public static Bitmap Create(
   int width,
   int height
)
Delphi
public function Create(
    width: Integer;
    height: Integer
): Bitmap; static;
JScript
public static function Create(
   width : int,
   height : int
) : Bitmap;
Managed Extensions for C++
public: static Bitmap* Create(
   int width,
   int height
)
C++/CLI
public:
static Bitmap^ Create(
   int width,
   int height
)

Parameters

width
width in pixels
height
height in pixels

Return Value

Bitmap object

Remarks

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Create(Int32,Int32,PixelFormat) Method

[image]
ClearImage 8 Help
Create(Int32,Int32,PixelFormat) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class > Create Method : Create(Int32,Int32,PixelFormat) Method

width
width in pixels
height
height in pixels
fmt
pixel format. Valid values: Format1bppIndexed, Format8bppIndexed, Format24bppRgb
Creates Bitmap object of specified size and pixel format

Syntax

Visual Basic (Declaration)
Public Overloads Shared Function Create( _
   ByVal width As Integer, _
   ByVal height As Integer, _
   ByVal fmt As PixelFormat _
) As Bitmap
Visual Basic (Usage) Copy Code
Dim width As Integer
Dim height As Integer
Dim fmt As PixelFormat
Dim value As Bitmap

value = ImageIO.Create(width, height, fmt)
C#
public static Bitmap Create(
   int width,
   int height,
   PixelFormat fmt
)
Delphi
public function Create(
    width: Integer;
    height: Integer;
    fmt: PixelFormat
): Bitmap; static;
JScript
public static function Create(
   width : int,
   height : int,
   fmt : PixelFormat
) : Bitmap;
Managed Extensions for C++
public: static Bitmap* Create(
   int width,
   int height,
   PixelFormat fmt
)
C++/CLI
public:
static Bitmap^ Create(
   int width,
   int height,
   PixelFormat fmt
)

Parameters

width
width in pixels
height
height in pixels
fmt
pixel format. Valid values: Format1bppIndexed, Format8bppIndexed, Format24bppRgb

Return Value

Bitmap object

Remarks

Licensing: Requires any ClearImage license

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Info Method

[image]
ClearImage 8 Help
Info Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : Info Method

Obtains information about the image file and optionally about image page

Overload List

Overload | Description
Info() | Obtains information about the image file and the page used in the last Open method call
Info(String) | Obtains information about the image file and the first page in the file
Info(String,Int32) | Obtains information about the image file and the specified page in the file

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Info() Method

[image]
ClearImage 8 Help
Info() Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class > Info Method : Info() Method

Obtains information about the image file and the page used in the last Open method call

Syntax

Visual Basic (Declaration)
Public Overloads Function Info() As ImageInfo
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As ImageInfo

value = instance.Info()
C#
public ImageInfo Info()
Delphi
public function Info(): ImageInfo;
JScript
public function Info() : ImageInfo;
Managed Extensions for C++
public: ImageInfo* Info();
C++/CLI
public:
ImageInfo^ Info();

Return Value

ImageInfo object with obtained information

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Info(String) Method

[image]
ClearImage 8 Help
Info(String) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class > Info Method : Info(String) Method

fileName
Name of the image file
Obtains information about the image file and the first page in the file

Syntax

Visual Basic (Declaration)
Public Overloads Function Info( _
   ByVal fileName As String _
) As ImageInfo
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim fileName As String
Dim value As ImageInfo

value = instance.Info(fileName)
C#
public ImageInfo Info(
   string fileName
)
Delphi
public function Info(
    fileName: String
): ImageInfo;
JScript
public function Info(
   fileName : String
) : ImageInfo;
Managed Extensions for C++
public: ImageInfo* Info(
   string* fileName
)
C++/CLI
public:
ImageInfo^ Info(
   String^ fileName
)

Parameters

fileName
Name of the image file

Return Value

ImageInfo object with obtained information

Remarks

Licensing: Requires ClearImage PDF IO license to use with PDF files.
Any ClearImage license is required for other image file formats.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Info(String,Int32) Method

[image]
ClearImage 8 Help
Info(String,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class > Info Method : Info(String,Int32) Method

fileName
Name of the image file
pageNumber
Page number (1-based) in the image file
Obtains information about the image file and the specified page in the file

Syntax

Visual Basic (Declaration)
Public Overloads Function Info( _
   ByVal fileName As String, _
   ByVal pageNumber As Integer _
) As ImageInfo
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim fileName As String
Dim pageNumber As Integer
Dim value As ImageInfo

value = instance.Info(fileName, pageNumber)
C#
public ImageInfo Info(
   string fileName,
   int pageNumber
)
Delphi
public function Info(
    fileName: String;
    pageNumber: Integer
): ImageInfo;
JScript
public function Info(
   fileName : String,
   pageNumber : int
) : ImageInfo;
Managed Extensions for C++
public: ImageInfo* Info(
   string* fileName,
   int pageNumber
)
C++/CLI
public:
ImageInfo^ Info(
   String^ fileName,
   int pageNumber
)

Parameters

fileName
Name of the image file
pageNumber
Page number (1-based) in the image file

Return Value

ImageInfo object with obtained information

Remarks

Licensing: Requires ClearImage PDF IO license to use with PDF files.
Any ClearImage license is required for other image file formats.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Open Method

[image]
ClearImage 8 Help
Open Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : Open Method

Reads the image to a Bitmap object

Overload List

Overload | Description
Open(String) | Reads the image from the specified file
Open(String,Int32) | Reads the specified page from the specified image file to a Bitmap object

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Open(String) Method

[image]
ClearImage 8 Help
Open(String) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class > Open Method : Open(String) Method

fileName
Name of the file
Reads the image from the specified file

Syntax

Visual Basic (Declaration)
Public Overloads Function Open( _
   ByVal fileName As String _
) As Bitmap
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim fileName As String
Dim value As Bitmap

value = instance.Open(fileName)
C#
public Bitmap Open(
   string fileName
)
Delphi
public function Open(
    fileName: String
): Bitmap;
JScript
public function Open(
   fileName : String
) : Bitmap;
Managed Extensions for C++
public: Bitmap* Open(
   string* fileName
)
C++/CLI
public:
Bitmap^ Open(
   String^ fileName
)

Parameters

fileName
Name of the file

Return Value

Bitmap object

Remarks

For multi-page files reads the first page.
If PDF file page contains a page-size image, extracted image is returned.
Otherwise PDF page is rasterized and raster image is returned.

Licensing: Requires ClearImage PDF IO license to use with PDF files.
Any ClearImage license is required for other image file formats.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Open(String,Int32) Method

[image]
ClearImage 8 Help
Open(String,Int32) Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class > Open Method : Open(String,Int32) Method

fileName
Name of the file
pageNumber
Number of the page to read
Reads the specified page from the specified image file to a Bitmap object

Syntax

Visual Basic (Declaration)
Public Overloads Function Open( _
   ByVal fileName As String, _
   ByVal pageNumber As Integer _
) As Bitmap
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim fileName As String
Dim pageNumber As Integer
Dim value As Bitmap

value = instance.Open(fileName, pageNumber)
C#
public Bitmap Open(
   string fileName,
   int pageNumber
)
Delphi
public function Open(
    fileName: String;
    pageNumber: Integer
): Bitmap;
JScript
public function Open(
   fileName : String,
   pageNumber : int
) : Bitmap;
Managed Extensions for C++
public: Bitmap* Open(
   string* fileName,
   int pageNumber
)
C++/CLI
public:
Bitmap^ Open(
   String^ fileName,
   int pageNumber
)

Parameters

fileName
Name of the file
pageNumber
Number of the page to read

Return Value

Bitmap object

Remarks

If PDF file page contains a page-size image, extracted image is returned.
Otherwise PDF page is rasterized and raster image is returned.

Licensing: Requires ClearImage PDF IO license to use with PDF files.
Any ClearImage license is required for other image file formats.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members
Overload List

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


SaveAs Method

[image]
ClearImage 8 Help
SaveAs Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : SaveAs Method

bmp
Bitmap object
fileName
Name of the file
Saves Bitmap to the specified file

Syntax

Visual Basic (Declaration)
Public Sub SaveAs( _
   ByVal bmp As Bitmap, _
   ByVal fileName As String _
)
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim bmp As Bitmap
Dim fileName As String

instance.SaveAs(bmp, fileName)
C#
public void SaveAs(
   Bitmap bmp,
   string fileName
)
Delphi
public procedure SaveAs(
    bmp: Bitmap;
    fileName: String
);
JScript
public function SaveAs(
   bmp : Bitmap,
   fileName : String
);
Managed Extensions for C++
public: void SaveAs(
   Bitmap* bmp,
   string* fileName
)
C++/CLI
public:
void SaveAs(
   Bitmap^ bmp,
   String^ fileName
)

Parameters

bmp
Bitmap object
fileName
Name of the file

Remarks

File format is derived automatically from the fileName extension.

Licensing: Requires ClearImage PDF IO license to use with PDF files.
Any ClearImage license is required for other image file formats.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageIO Class Properties

[image]
ClearImage 8 Help
ImageIO Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageIO Class

For a list of all members of this type, see ImageIO members.

Public Properties

 | Name | Description
public Property | compressionBitonal | Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF.
public Property | compressionBitonalEx | Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF Property is OBSOLETE - use compressionBitonal
public Property | compressionColor | Identifies compression of saved color and grayscale images inside fo TIFF or PDF.
public Property | compressionColorEx | Identifies compression of saved color and grayscale images inside fo TIFF or PDF Property is OBSOLETE - use compressionColor
public Property | Image | Get underlying CiImage object
public Property | jpegQuality | Quality of JPEG Compression. 0-the lowest, 100-the highest
public Property | pdfMinImageHeight | Minimum height of an image to extract from PDF page. To extract only page-high image set to -98765.
public Property | pdfMinImageWidth | Minimum witdth of an image to extract from PDF page. To extract only page-wide image set to -98765.
public Property | pdfRasterColorMode | Pdf Rasterization color selection.
public Property | pdfRasterColorModeEx | Pdf Rasterization color selection Property is OBSOLETE - use pdfRasterColorMode
public Property | pdfRasterDpiBitonal | DPI of bi-tonal PDF rasterization
public Property | pdfRasterDpiColor | DPI of color PDF rasterization
public Property | pdfRasterDpiGrayscale | DPI of grayscale PDF rasterization
public Property | pdfReadMode | Pdf page reading mode selection.
public Property | pdfReadModeEx | Pdf page reading mode selection Property is OBSOLETE - use pdfReadMode
Top

See Also

Reference

ImageIO Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


compressionBitonal Property

[image]
ClearImage 8 Help
compressionBitonal Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : compressionBitonal Property

Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF.

Syntax

Visual Basic (Declaration)
Public Property compressionBitonal As EComprBitonal
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As EComprBitonal

instance.compressionBitonal = value

value = instance.compressionBitonal
C#
public EComprBitonal compressionBitonal {get; set;}
Delphi
public read-write property compressionBitonal: EComprBitonal;
JScript
public function get,set compressionBitonal : EComprBitonal
Managed Extensions for C++
public: __property EComprBitonal get_compressionBitonal();
public: __property void set_compressionBitonal(
   EComprBitonal value
);
C++/CLI
public:
property EComprBitonal compressionBitonal {
   EComprBitonal get();
   void set (    EComprBitonal value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


compressionBitonalEx Property

[image]
ClearImage 8 Help
compressionBitonalEx Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : compressionBitonalEx Property

Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF Property is OBSOLETE - use compressionBitonal

Syntax

Visual Basic (Declaration)
Public Property compressionBitonalEx As ComprBitonal
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As ComprBitonal

instance.compressionBitonalEx = value

value = instance.compressionBitonalEx
C#
public ComprBitonal compressionBitonalEx {get; set;}
Delphi
public read-write property compressionBitonalEx: ComprBitonal;
JScript
public function get,set compressionBitonalEx : ComprBitonal
Managed Extensions for C++
public: __property ComprBitonal get_compressionBitonalEx();
public: __property void set_compressionBitonalEx(
   ComprBitonal value
);
C++/CLI
public:
property ComprBitonal compressionBitonalEx {
   ComprBitonal get();
   void set (    ComprBitonal value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


compressionColor Property

[image]
ClearImage 8 Help
compressionColor Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : compressionColor Property

Identifies compression of saved color and grayscale images inside fo TIFF or PDF.

Syntax

Visual Basic (Declaration)
Public Property compressionColor As EComprColor
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As EComprColor

instance.compressionColor = value

value = instance.compressionColor
C#
public EComprColor compressionColor {get; set;}
Delphi
public read-write property compressionColor: EComprColor;
JScript
public function get,set compressionColor : EComprColor
Managed Extensions for C++
public: __property EComprColor get_compressionColor();
public: __property void set_compressionColor(
   EComprColor value
);
C++/CLI
public:
property EComprColor compressionColor {
   EComprColor get();
   void set (    EComprColor value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


compressionColorEx Property

[image]
ClearImage 8 Help
compressionColorEx Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : compressionColorEx Property

Identifies compression of saved color and grayscale images inside fo TIFF or PDF Property is OBSOLETE - use compressionColor

Syntax

Visual Basic (Declaration)
Public Property compressionColorEx As ComprColor
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As ComprColor

instance.compressionColorEx = value

value = instance.compressionColorEx
C#
public ComprColor compressionColorEx {get; set;}
Delphi
public read-write property compressionColorEx: ComprColor;
JScript
public function get,set compressionColorEx : ComprColor
Managed Extensions for C++
public: __property ComprColor get_compressionColorEx();
public: __property void set_compressionColorEx(
   ComprColor value
);
C++/CLI
public:
property ComprColor compressionColorEx {
   ComprColor get();
   void set (    ComprColor value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Image Property

[image]
ClearImage 8 Help
Image Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : Image Property

Get underlying CiImage object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Image As CiImage
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As CiImage

value = instance.Image
C#
public CiImage Image {get;}
Delphi
public read-only property Image: CiImage;
JScript
public function get Image : CiImage
Managed Extensions for C++
public: __property CiImage* get_Image();
C++/CLI
public:
property CiImage^ Image {
   CiImage^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


jpegQuality Property

[image]
ClearImage 8 Help
jpegQuality Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : jpegQuality Property

Quality of JPEG Compression. 0-the lowest, 100-the highest

Syntax

Visual Basic (Declaration)
Public Property jpegQuality As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As Integer

instance.jpegQuality = value

value = instance.jpegQuality
C#
public int jpegQuality {get; set;}
Delphi
public read-write property jpegQuality: Integer;
JScript
public function get,set jpegQuality : int
Managed Extensions for C++
public: __property int get_jpegQuality();
public: __property void set_jpegQuality(
   int value
);
C++/CLI
public:
property int jpegQuality {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfMinImageHeight Property

[image]
ClearImage 8 Help
pdfMinImageHeight Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfMinImageHeight Property

Minimum height of an image to extract from PDF page. To extract only page-high image set to -98765.

Syntax

Visual Basic (Declaration)
Public Property pdfMinImageHeight As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As Double

instance.pdfMinImageHeight = value

value = instance.pdfMinImageHeight
C#
public double pdfMinImageHeight {get; set;}
Delphi
public read-write property pdfMinImageHeight: Double;
JScript
public function get,set pdfMinImageHeight : double
Managed Extensions for C++
public: __property double get_pdfMinImageHeight();
public: __property void set_pdfMinImageHeight(
   double value
);
C++/CLI
public:
property double pdfMinImageHeight {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfMinImageWidth Property

[image]
ClearImage 8 Help
pdfMinImageWidth Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfMinImageWidth Property

Minimum witdth of an image to extract from PDF page. To extract only page-wide image set to -98765.

Syntax

Visual Basic (Declaration)
Public Property pdfMinImageWidth As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As Double

instance.pdfMinImageWidth = value

value = instance.pdfMinImageWidth
C#
public double pdfMinImageWidth {get; set;}
Delphi
public read-write property pdfMinImageWidth: Double;
JScript
public function get,set pdfMinImageWidth : double
Managed Extensions for C++
public: __property double get_pdfMinImageWidth();
public: __property void set_pdfMinImageWidth(
   double value
);
C++/CLI
public:
property double pdfMinImageWidth {
   double get();
   void set (    double value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfRasterColorMode Property

[image]
ClearImage 8 Help
pdfRasterColorMode Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfRasterColorMode Property

Pdf Rasterization color selection.

Syntax

Visual Basic (Declaration)
Public Property pdfRasterColorMode As EPdfRasterColorMode
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As EPdfRasterColorMode

instance.pdfRasterColorMode = value

value = instance.pdfRasterColorMode
C#
public EPdfRasterColorMode pdfRasterColorMode {get; set;}
Delphi
public read-write property pdfRasterColorMode: EPdfRasterColorMode;
JScript
public function get,set pdfRasterColorMode : EPdfRasterColorMode
Managed Extensions for C++
public: __property EPdfRasterColorMode get_pdfRasterColorMode();
public: __property void set_pdfRasterColorMode(
   EPdfRasterColorMode value
);
C++/CLI
public:
property EPdfRasterColorMode pdfRasterColorMode {
   EPdfRasterColorMode get();
   void set (    EPdfRasterColorMode value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfRasterColorModeEx Property

[image]
ClearImage 8 Help
pdfRasterColorModeEx Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfRasterColorModeEx Property

Pdf Rasterization color selection Property is OBSOLETE - use pdfRasterColorMode

Syntax

Visual Basic (Declaration)
Public Property pdfRasterColorModeEx As PdfRasterMode
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As PdfRasterMode

instance.pdfRasterColorModeEx = value

value = instance.pdfRasterColorModeEx
C#
public PdfRasterMode pdfRasterColorModeEx {get; set;}
Delphi
public read-write property pdfRasterColorModeEx: PdfRasterMode;
JScript
public function get,set pdfRasterColorModeEx : PdfRasterMode
Managed Extensions for C++
public: __property PdfRasterMode get_pdfRasterColorModeEx();
public: __property void set_pdfRasterColorModeEx(
   PdfRasterMode value
);
C++/CLI
public:
property PdfRasterMode pdfRasterColorModeEx {
   PdfRasterMode get();
   void set (    PdfRasterMode value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfRasterDpiBitonal Property

[image]
ClearImage 8 Help
pdfRasterDpiBitonal Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfRasterDpiBitonal Property

DPI of bi-tonal PDF rasterization

Syntax

Visual Basic (Declaration)
Public Property pdfRasterDpiBitonal As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As Integer

instance.pdfRasterDpiBitonal = value

value = instance.pdfRasterDpiBitonal
C#
public int pdfRasterDpiBitonal {get; set;}
Delphi
public read-write property pdfRasterDpiBitonal: Integer;
JScript
public function get,set pdfRasterDpiBitonal : int
Managed Extensions for C++
public: __property int get_pdfRasterDpiBitonal();
public: __property void set_pdfRasterDpiBitonal(
   int value
);
C++/CLI
public:
property int pdfRasterDpiBitonal {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfRasterDpiColor Property

[image]
ClearImage 8 Help
pdfRasterDpiColor Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfRasterDpiColor Property

DPI of color PDF rasterization

Syntax

Visual Basic (Declaration)
Public Property pdfRasterDpiColor As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As Integer

instance.pdfRasterDpiColor = value

value = instance.pdfRasterDpiColor
C#
public int pdfRasterDpiColor {get; set;}
Delphi
public read-write property pdfRasterDpiColor: Integer;
JScript
public function get,set pdfRasterDpiColor : int
Managed Extensions for C++
public: __property int get_pdfRasterDpiColor();
public: __property void set_pdfRasterDpiColor(
   int value
);
C++/CLI
public:
property int pdfRasterDpiColor {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfRasterDpiGrayscale Property

[image]
ClearImage 8 Help
pdfRasterDpiGrayscale Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfRasterDpiGrayscale Property

DPI of grayscale PDF rasterization

Syntax

Visual Basic (Declaration)
Public Property pdfRasterDpiGrayscale As Integer
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As Integer

instance.pdfRasterDpiGrayscale = value

value = instance.pdfRasterDpiGrayscale
C#
public int pdfRasterDpiGrayscale {get; set;}
Delphi
public read-write property pdfRasterDpiGrayscale: Integer;
JScript
public function get,set pdfRasterDpiGrayscale : int
Managed Extensions for C++
public: __property int get_pdfRasterDpiGrayscale();
public: __property void set_pdfRasterDpiGrayscale(
   int value
);
C++/CLI
public:
property int pdfRasterDpiGrayscale {
   int get();
   void set (    int value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfReadMode Property

[image]
ClearImage 8 Help
pdfReadMode Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfReadMode Property

Pdf page reading mode selection.

Syntax

Visual Basic (Declaration)
Public Property pdfReadMode As EPdfReadMode
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As EPdfReadMode

instance.pdfReadMode = value

value = instance.pdfReadMode
C#
public EPdfReadMode pdfReadMode {get; set;}
Delphi
public read-write property pdfReadMode: EPdfReadMode;
JScript
public function get,set pdfReadMode : EPdfReadMode
Managed Extensions for C++
public: __property EPdfReadMode get_pdfReadMode();
public: __property void set_pdfReadMode(
   EPdfReadMode value
);
C++/CLI
public:
property EPdfReadMode pdfReadMode {
   EPdfReadMode get();
   void set (    EPdfReadMode value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


pdfReadModeEx Property

[image]
ClearImage 8 Help
pdfReadModeEx Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : pdfReadModeEx Property

Pdf page reading mode selection Property is OBSOLETE - use pdfReadMode

Syntax

Visual Basic (Declaration)
Public Property pdfReadModeEx As PdfReadMode
Visual Basic (Usage) Copy Code
Dim instance As ImageIO
Dim value As PdfReadMode

instance.pdfReadModeEx = value

value = instance.pdfReadModeEx
C#
public PdfReadMode pdfReadModeEx {get; set;}
Delphi
public read-write property pdfReadModeEx: PdfReadMode;
JScript
public function get,set pdfReadModeEx : PdfReadMode
Managed Extensions for C++
public: __property PdfReadMode get_pdfReadModeEx();
public: __property void set_pdfReadModeEx(
   PdfReadMode value
);
C++/CLI
public:
property PdfReadMode pdfReadModeEx {
   PdfReadMode get();
   void set (    PdfReadMode value);
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageLine Class

[image]
ClearImage 8 Help
ImageLine Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageLine Class

Holds information about image line

Object Model

ImageLine Class

Syntax

Visual Basic (Declaration)
Public Class ImageLine
Visual Basic (Usage) Copy Code
Dim instance As ImageLine
C#
public class ImageLine
Delphi
public class ImageLine
JScript
public class ImageLine
Managed Extensions for C++
public __gc class ImageLine
C++/CLI
public ref class ImageLine

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageLine Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageLine Class Members

[image]
ClearImage 8 Help
ImageLine Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : ImageLine Class

The following tables list the members exposed by ImageLine.

Public Properties

 | Name | Description
public Property | Angle | Line angle in degrees
public Property | Direction | Line orientation
public Property | End | Ending point of the line
public Property | Rectangle | Rectangle encompassing line
public Property | Start | Starting point of the line
Top

See Also

Reference

ImageLine Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageLine Class Properties

[image]
ClearImage 8 Help
ImageLine Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageLine Class

For a list of all members of this type, see ImageLine members.

Public Properties

 | Name | Description
public Property | Angle | Line angle in degrees
public Property | Direction | Line orientation
public Property | End | Ending point of the line
public Property | Rectangle | Rectangle encompassing line
public Property | Start | Starting point of the line
Top

See Also

Reference

ImageLine Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Angle Property

[image]
ClearImage 8 Help
Angle Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageLine Class : Angle Property

Line angle in degrees

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Angle As Double
Visual Basic (Usage) Copy Code
Dim instance As ImageLine
Dim value As Double

value = instance.Angle
C#
public double Angle {get;}
Delphi
public read-only property Angle: Double;
JScript
public function get Angle : double
Managed Extensions for C++
public: __property double get_Angle();
C++/CLI
public:
property double Angle {
   double get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageLine Class
ImageLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Direction Property

[image]
ClearImage 8 Help
Direction Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageLine Class : Direction Property

Line orientation

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Direction As LineDirection
Visual Basic (Usage) Copy Code
Dim instance As ImageLine
Dim value As LineDirection

value = instance.Direction
C#
public LineDirection Direction {get;}
Delphi
public read-only property Direction: LineDirection;
JScript
public function get Direction : LineDirection
Managed Extensions for C++
public: __property LineDirection get_Direction();
C++/CLI
public:
property LineDirection Direction {
   LineDirection get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageLine Class
ImageLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


End Property

[image]
ClearImage 8 Help
End Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageLine Class : End Property

Ending point of the line

Syntax

Visual Basic (Declaration)
Public ReadOnly Property End As Point
Visual Basic (Usage) Copy Code
Dim instance As ImageLine
Dim value As Point

value = instance.End
C#
public Point End {get;}
Delphi
public read-only property End: Point;
JScript
public function get End : Point
Managed Extensions for C++
public: __property Point get_End();
C++/CLI
public:
property Point End {
   Point get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageLine Class
ImageLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rectangle Property

[image]
ClearImage 8 Help
Rectangle Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageLine Class : Rectangle Property

Rectangle encompassing line

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rectangle As Rectangle
Visual Basic (Usage) Copy Code
Dim instance As ImageLine
Dim value As Rectangle

value = instance.Rectangle
C#
public Rectangle Rectangle {get;}
Delphi
public read-only property Rectangle: Rectangle;
JScript
public function get Rectangle : Rectangle
Managed Extensions for C++
public: __property Rectangle get_Rectangle();
C++/CLI
public:
property Rectangle Rectangle {
   Rectangle get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageLine Class
ImageLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Start Property

[image]
ClearImage 8 Help
Start Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageLine Class : Start Property

Starting point of the line

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Start As Point
Visual Basic (Usage) Copy Code
Dim instance As ImageLine
Dim value As Point

value = instance.Start
C#
public Point Start {get;}
Delphi
public read-only property Start: Point;
JScript
public function get Start : Point
Managed Extensions for C++
public: __property Point get_Start();
C++/CLI
public:
property Point Start {
   Point get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageLine Class
ImageLine Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageObject Class

[image]
ClearImage 8 Help
ImageObject Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageObject Class

Holds information about image object

Object Model

ImageObject Class

Syntax

Visual Basic (Declaration)
Public Class ImageObject
Visual Basic (Usage) Copy Code
Dim instance As ImageObject
C#
public class ImageObject
Delphi
public class ImageObject
JScript
public class ImageObject
Managed Extensions for C++
public __gc class ImageObject
C++/CLI
public ref class ImageObject

Remarks

Image object is a blob of interconnected pixels. Two pixels touching diagonally are considered parts of the same object.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageObject Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageObject Class Members

[image]
ClearImage 8 Help
ImageObject Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : ImageObject Class

The following tables list the members exposed by ImageObject.

Public Properties

 | Name | Description
public Property | Intervals | Number of horizontal intervals in the object
public Property | Pixels | Number of pixels in the object
public Property | Rectangle | Rectangle encompassing object
Top

See Also

Reference

ImageObject Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageObject Class Properties

[image]
ClearImage 8 Help
ImageObject Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageObject Class

For a list of all members of this type, see ImageObject members.

Public Properties

 | Name | Description
public Property | Intervals | Number of horizontal intervals in the object
public Property | Pixels | Number of pixels in the object
public Property | Rectangle | Rectangle encompassing object
Top

See Also

Reference

ImageObject Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Intervals Property

[image]
ClearImage 8 Help
Intervals Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageObject Class : Intervals Property

Number of horizontal intervals in the object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Intervals As Long
Visual Basic (Usage) Copy Code
Dim instance As ImageObject
Dim value As Long

value = instance.Intervals
C#
public long Intervals {get;}
Delphi
public read-only property Intervals: Int64;
JScript
public function get Intervals : long
Managed Extensions for C++
public: __property long get_Intervals();
C++/CLI
public:
property int64 Intervals {
   int64 get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageObject Class
ImageObject Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Pixels Property

[image]
ClearImage 8 Help
Pixels Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageObject Class : Pixels Property

Number of pixels in the object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Pixels As Long
Visual Basic (Usage) Copy Code
Dim instance As ImageObject
Dim value As Long

value = instance.Pixels
C#
public long Pixels {get;}
Delphi
public read-only property Pixels: Int64;
JScript
public function get Pixels : long
Managed Extensions for C++
public: __property long get_Pixels();
C++/CLI
public:
property int64 Pixels {
   int64 get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageObject Class
ImageObject Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Rectangle Property

[image]
ClearImage 8 Help
Rectangle Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageObject Class : Rectangle Property

Rectangle encompassing object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Rectangle As Rectangle
Visual Basic (Usage) Copy Code
Dim instance As ImageObject
Dim value As Rectangle

value = instance.Rectangle
C#
public Rectangle Rectangle {get;}
Delphi
public read-only property Rectangle: Rectangle;
JScript
public function get Rectangle : Rectangle
Managed Extensions for C++
public: __property Rectangle get_Rectangle();
C++/CLI
public:
property Rectangle Rectangle {
   Rectangle get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageObject Class
ImageObject Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageOpenedEventArgs Class

[image]
ClearImage 8 Help
ImageOpenedEventArgs Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageOpenedEventArgs Class

Event arguments used by BarcodeReader.ImageOpenedEventHandler

Object Model

ImageOpenedEventArgs ClassImageInfo Class

Syntax

Visual Basic (Declaration)
Public Class ImageOpenedEventArgs
   Inherits System.EventArgs
Visual Basic (Usage) Copy Code
Dim instance As ImageOpenedEventArgs
C#
public class ImageOpenedEventArgs : System.EventArgs
Delphi
public class ImageOpenedEventArgs = class(System.EventArgs)
JScript
public class ImageOpenedEventArgs extends System.EventArgs
Managed Extensions for C++
public __gc class ImageOpenedEventArgs : public System.EventArgs
C++/CLI
public ref class ImageOpenedEventArgs : public System.EventArgs

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageOpenedEventArgs Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageOpenedEventArgs Class Members

[image]
ClearImage 8 Help
ImageOpenedEventArgs Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : ImageOpenedEventArgs Class

The following tables list the members exposed by ImageOpenedEventArgs.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort barcode detection. Set 'true' to abort
public Property | Info | Information about opened image
Top

See Also

Reference

ImageOpenedEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageOpenedEventArgs Class Properties

[image]
ClearImage 8 Help
ImageOpenedEventArgs Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageOpenedEventArgs Class

For a list of all members of this type, see ImageOpenedEventArgs members.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort barcode detection. Set 'true' to abort
public Property | Info | Information about opened image
Top

See Also

Reference

ImageOpenedEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


cancel Property

[image]
ClearImage 8 Help
cancel Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageOpenedEventArgs Class : cancel Property

Flag to abort barcode detection. Set 'true' to abort

Syntax

Visual Basic (Declaration)
Public Property cancel As Boolean
Visual Basic (Usage) Copy Code
Dim instance As ImageOpenedEventArgs
Dim value As Boolean

instance.cancel = value

value = instance.cancel
C#
public bool cancel {get; set;}
Delphi
public read-write property cancel: Boolean;
JScript
public function get,set cancel : boolean
Managed Extensions for C++
public: __property bool get_cancel();
public: __property void set_cancel(
   bool value
);
C++/CLI
public:
property bool cancel {
   bool get();
   void set (    bool value);
}

Remarks

Set 'true' to abort barcode detection

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageOpenedEventArgs Class
ImageOpenedEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Info Property

[image]
ClearImage 8 Help
Info Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageOpenedEventArgs Class : Info Property

Information about opened image

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Info As ImageInfo
Visual Basic (Usage) Copy Code
Dim instance As ImageOpenedEventArgs
Dim value As ImageInfo

value = instance.Info
C#
public ImageInfo Info {get;}
Delphi
public read-only property Info: ImageInfo;
JScript
public function get Info : ImageInfo
Managed Extensions for C++
public: __property ImageInfo* get_Info();
C++/CLI
public:
property ImageInfo^ Info {
   ImageInfo^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageOpenedEventArgs Class
ImageOpenedEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LicModule Class

[image]
ClearImage 8 Help
LicModule Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : LicModule Class

Holds information about the module and license status

Object Model

LicModule Class

Syntax

Visual Basic (Declaration)
Public Class LicModule
Visual Basic (Usage) Copy Code
Dim instance As LicModule
C#
public class LicModule
Delphi
public class LicModule
JScript
public class LicModule
Managed Extensions for C++
public __gc class LicModule
C++/CLI
public ref class LicModule

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LicModule Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LicModule Class Members

[image]
ClearImage 8 Help
LicModule Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : LicModule Class

The following tables list the members exposed by LicModule.

Public Properties

 | Name | Description
public Property | Calls | Number of calls requiring this module
public Property | IsLicensed | Is license for a product with this module registered
public Property | Name | Module name
public Property | Product | Product associated with module.
Top

See Also

Reference

LicModule Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LicModule Class Properties

[image]
ClearImage 8 Help
LicModule Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : LicModule Class

For a list of all members of this type, see LicModule members.

Public Properties

 | Name | Description
public Property | Calls | Number of calls requiring this module
public Property | IsLicensed | Is license for a product with this module registered
public Property | Name | Module name
public Property | Product | Product associated with module.
Top

See Also

Reference

LicModule Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Calls Property

[image]
ClearImage 8 Help
Calls Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > LicModule Class : Calls Property

Number of calls requiring this module

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Calls As Integer
Visual Basic (Usage) Copy Code
Dim instance As LicModule
Dim value As Integer

value = instance.Calls
C#
public int Calls {get;}
Delphi
public read-only property Calls: Integer;
JScript
public function get Calls : int
Managed Extensions for C++
public: __property int get_Calls();
C++/CLI
public:
property int Calls {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LicModule Class
LicModule Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


IsLicensed Property

[image]
ClearImage 8 Help
IsLicensed Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > LicModule Class : IsLicensed Property

Is license for a product with this module registered

Syntax

Visual Basic (Declaration)
Public ReadOnly Property IsLicensed As Boolean
Visual Basic (Usage) Copy Code
Dim instance As LicModule
Dim value As Boolean

value = instance.IsLicensed
C#
public bool IsLicensed {get;}
Delphi
public read-only property IsLicensed: Boolean;
JScript
public function get IsLicensed : boolean
Managed Extensions for C++
public: __property bool get_IsLicensed();
C++/CLI
public:
property bool IsLicensed {
   bool get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LicModule Class
LicModule Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Name Property

[image]
ClearImage 8 Help
Name Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > LicModule Class : Name Property

Module name

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Name As String
Visual Basic (Usage) Copy Code
Dim instance As LicModule
Dim value As String

value = instance.Name
C#
public string Name {get;}
Delphi
public read-only property Name: String;
JScript
public function get Name : String
Managed Extensions for C++
public: __property string* get_Name();
C++/CLI
public:
property String^ Name {
   String^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LicModule Class
LicModule Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Product Property

[image]
ClearImage 8 Help
Product Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > LicModule Class : Product Property

Product associated with module.

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Product As String
Visual Basic (Usage) Copy Code
Dim instance As LicModule
Dim value As String

value = instance.Product
C#
public string Product {get;}
Delphi
public read-only property Product: String;
JScript
public function get Product : String
Managed Extensions for C++
public: __property string* get_Product();
C++/CLI
public:
property String^ Product {
   String^ get();
}

Remarks

Purchase and register license for this product to authorize module use
This product is typically used to license module. Other ClearImage products might include this module license as well. Contact Inlite Research for more information

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LicModule Class
LicModule Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LineFoundEventArgs Class

[image]
ClearImage 8 Help
LineFoundEventArgs Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : LineFoundEventArgs Class

Event arguments used by ImageEditor.LineFoundEventHandler

Object Model

LineFoundEventArgs ClassImageLine Class

Syntax

Visual Basic (Declaration)
Public Class LineFoundEventArgs
   Inherits System.EventArgs
Visual Basic (Usage) Copy Code
Dim instance As LineFoundEventArgs
C#
public class LineFoundEventArgs : System.EventArgs
Delphi
public class LineFoundEventArgs = class(System.EventArgs)
JScript
public class LineFoundEventArgs extends System.EventArgs
Managed Extensions for C++
public __gc class LineFoundEventArgs : public System.EventArgs
C++/CLI
public ref class LineFoundEventArgs : public System.EventArgs

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LineFoundEventArgs Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LineFoundEventArgs Class Members

[image]
ClearImage 8 Help
LineFoundEventArgs Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : LineFoundEventArgs Class

The following tables list the members exposed by LineFoundEventArgs.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort line detection. Set 'true' to abort
public Property | Count | Number of lines found during this GetLines operation
public Property | ImageLine | Information about the last found line
Top

See Also

Reference

LineFoundEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LineFoundEventArgs Class Properties

[image]
ClearImage 8 Help
LineFoundEventArgs Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : LineFoundEventArgs Class

For a list of all members of this type, see LineFoundEventArgs members.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort line detection. Set 'true' to abort
public Property | Count | Number of lines found during this GetLines operation
public Property | ImageLine | Information about the last found line
Top

See Also

Reference

LineFoundEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


cancel Property

[image]
ClearImage 8 Help
cancel Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > LineFoundEventArgs Class : cancel Property

Flag to abort line detection. Set 'true' to abort

Syntax

Visual Basic (Declaration)
Public Property cancel As Boolean
Visual Basic (Usage) Copy Code
Dim instance As LineFoundEventArgs
Dim value As Boolean

instance.cancel = value

value = instance.cancel
C#
public bool cancel {get; set;}
Delphi
public read-write property cancel: Boolean;
JScript
public function get,set cancel : boolean
Managed Extensions for C++
public: __property bool get_cancel();
public: __property void set_cancel(
   bool value
);
C++/CLI
public:
property bool cancel {
   bool get();
   void set (    bool value);
}

Remarks

Set 'true' to abort object detection

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LineFoundEventArgs Class
LineFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Count Property

[image]
ClearImage 8 Help
Count Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > LineFoundEventArgs Class : Count Property

Number of lines found during this GetLines operation

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Count As Integer
Visual Basic (Usage) Copy Code
Dim instance As LineFoundEventArgs
Dim value As Integer

value = instance.Count
C#
public int Count {get;}
Delphi
public read-only property Count: Integer;
JScript
public function get Count : int
Managed Extensions for C++
public: __property int get_Count();
C++/CLI
public:
property int Count {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LineFoundEventArgs Class
LineFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageLine Property

[image]
ClearImage 8 Help
ImageLine Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > LineFoundEventArgs Class : ImageLine Property

Information about the last found line

Syntax

Visual Basic (Declaration)
Public ReadOnly Property ImageLine As ImageLine
Visual Basic (Usage) Copy Code
Dim instance As LineFoundEventArgs
Dim value As ImageLine

value = instance.ImageLine
C#
public ImageLine ImageLine {get;}
Delphi
public read-only property ImageLine: ImageLine;
JScript
public function get ImageLine : ImageLine
Managed Extensions for C++
public: __property ImageLine* get_ImageLine();
C++/CLI
public:
property ImageLine^ ImageLine {
   ImageLine^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

LineFoundEventArgs Class
LineFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ObjectFoundEventArgs Class

[image]
ClearImage 8 Help
ObjectFoundEventArgs Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : ObjectFoundEventArgs Class

Event arguments used by ImageEditor.ObjectFoundEventHandler

Object Model

ObjectFoundEventArgs ClassImageObject Class

Syntax

Visual Basic (Declaration)
Public Class ObjectFoundEventArgs
   Inherits System.EventArgs
Visual Basic (Usage) Copy Code
Dim instance As ObjectFoundEventArgs
C#
public class ObjectFoundEventArgs : System.EventArgs
Delphi
public class ObjectFoundEventArgs = class(System.EventArgs)
JScript
public class ObjectFoundEventArgs extends System.EventArgs
Managed Extensions for C++
public __gc class ObjectFoundEventArgs : public System.EventArgs
C++/CLI
public ref class ObjectFoundEventArgs : public System.EventArgs

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ObjectFoundEventArgs Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ObjectFoundEventArgs Class Members

[image]
ClearImage 8 Help
ObjectFoundEventArgs Class Members
See Also Properties Send Feedback
Inlite.ClearImageNet Namespace : ObjectFoundEventArgs Class

The following tables list the members exposed by ObjectFoundEventArgs.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort object detection. Set 'true' to abort
public Property | Count | Number of object found during this GetObjects operation
public Property | ImageObject | Information about the last found object
Top

See Also

Reference

ObjectFoundEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ObjectFoundEventArgs Class Properties

[image]
ClearImage 8 Help
ObjectFoundEventArgs Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ObjectFoundEventArgs Class

For a list of all members of this type, see ObjectFoundEventArgs members.

Public Properties

 | Name | Description
public Property | cancel | Flag to abort object detection. Set 'true' to abort
public Property | Count | Number of object found during this GetObjects operation
public Property | ImageObject | Information about the last found object
Top

See Also

Reference

ObjectFoundEventArgs Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


cancel Property

[image]
ClearImage 8 Help
cancel Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ObjectFoundEventArgs Class : cancel Property

Flag to abort object detection. Set 'true' to abort

Syntax

Visual Basic (Declaration)
Public Property cancel As Boolean
Visual Basic (Usage) Copy Code
Dim instance As ObjectFoundEventArgs
Dim value As Boolean

instance.cancel = value

value = instance.cancel
C#
public bool cancel {get; set;}
Delphi
public read-write property cancel: Boolean;
JScript
public function get,set cancel : boolean
Managed Extensions for C++
public: __property bool get_cancel();
public: __property void set_cancel(
   bool value
);
C++/CLI
public:
property bool cancel {
   bool get();
   void set (    bool value);
}

Remarks

Set 'true' to abort object detection

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ObjectFoundEventArgs Class
ObjectFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Count Property

[image]
ClearImage 8 Help
Count Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ObjectFoundEventArgs Class : Count Property

Number of object found during this GetObjects operation

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Count As Integer
Visual Basic (Usage) Copy Code
Dim instance As ObjectFoundEventArgs
Dim value As Integer

value = instance.Count
C#
public int Count {get;}
Delphi
public read-only property Count: Integer;
JScript
public function get Count : int
Managed Extensions for C++
public: __property int get_Count();
C++/CLI
public:
property int Count {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ObjectFoundEventArgs Class
ObjectFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageObject Property

[image]
ClearImage 8 Help
ImageObject Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > ObjectFoundEventArgs Class : ImageObject Property

Information about the last found object

Syntax

Visual Basic (Declaration)
Public ReadOnly Property ImageObject As ImageObject
Visual Basic (Usage) Copy Code
Dim instance As ObjectFoundEventArgs
Dim value As ImageObject

value = instance.ImageObject
C#
public ImageObject ImageObject {get;}
Delphi
public read-only property ImageObject: ImageObject;
JScript
public function get ImageObject : ImageObject
Managed Extensions for C++
public: __property ImageObject* get_ImageObject();
C++/CLI
public:
property ImageObject^ ImageObject {
   ImageObject^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ObjectFoundEventArgs Class
ObjectFoundEventArgs Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Server Class

[image]
ClearImage 8 Help
Server Class
Members See Also Send Feedback
Inlite.ClearImageNet Namespace : Server Class

Provides information about ClearImage Server

Object Model

Server ClassLicModule Class

Syntax

Visual Basic (Declaration)
Public Class Server
Visual Basic (Usage) Copy Code
Dim instance As Server
C#
public class Server
Delphi
public class Server
JScript
public class Server
Managed Extensions for C++
public __gc class Server
C++/CLI
public ref class Server

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Server Class Members

[image]
ClearImage 8 Help
Server Class Members
See Also Properties Methods Send Feedback
Inlite.ClearImageNet Namespace : Server Class

The following tables list the members exposed by Server.

Public Properties

 | Name | Description
static (Shared in Visual Basic) | Edition | Gets ClearImage Server edition: Development or Production.
static (Shared in Visual Basic) | Major | Gets ClearImage Server major version number.
static (Shared in Visual Basic) | Minor | Gets ClearImage Server minor version number.
static (Shared in Visual Basic) | Modules | List of Modules, including license status
static (Shared in Visual Basic) | Release | Gets ClearImage Server release number.
Top

Public Methods

 | Name | Description
static (Shared in Visual Basic) | Close |
static (Shared in Visual Basic) | GetThreadServer |
Top

See Also

Reference

Server Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Server Class Methods

[image]
ClearImage 8 Help
Server Class Methods
See Also Send Feedback
Inlite.ClearImageNet Namespace : Server Class

For a list of all members of this type, see Server members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | Close |
static (Shared in Visual Basic) | GetThreadServer |
Top

See Also

Reference

Server Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Close Method

[image]
ClearImage 8 Help
Close Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > Server Class : Close Method

Syntax

Visual Basic (Declaration)
Public Shared Sub Close()
Visual Basic (Usage) Copy Code
Server.Close()
C#
public static void Close()
Delphi
public procedure Close(); static;
JScript
public static function Close();
Managed Extensions for C++
public: static void Close();
C++/CLI
public:
static void Close();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Class
Server Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


GetThreadServer Method

[image]
ClearImage 8 Help
GetThreadServer Method
See Also Send Feedback
Inlite.ClearImageNet Namespace > Server Class : GetThreadServer Method

Syntax

Visual Basic (Declaration)
Public Shared Function GetThreadServer() As CiServer
Visual Basic (Usage) Copy Code
Dim value As CiServer

value = Server.GetThreadServer()
C#
public static CiServer GetThreadServer()
Delphi
public function GetThreadServer(): CiServer; static;
JScript
public static function GetThreadServer() : CiServer;
Managed Extensions for C++
public: static CiServer* GetThreadServer();
C++/CLI
public:
static CiServer^ GetThreadServer();

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Class
Server Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Server Class Properties

[image]
ClearImage 8 Help
Server Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : Server Class

For a list of all members of this type, see Server members.

Public Properties

 | Name | Description
static (Shared in Visual Basic) | Edition | Gets ClearImage Server edition: Development or Production.
static (Shared in Visual Basic) | Major | Gets ClearImage Server major version number.
static (Shared in Visual Basic) | Minor | Gets ClearImage Server minor version number.
static (Shared in Visual Basic) | Modules | List of Modules, including license status
static (Shared in Visual Basic) | Release | Gets ClearImage Server release number.
Top

See Also

Reference

Server Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Edition Property

[image]
ClearImage 8 Help
Edition Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Server Class : Edition Property

Gets ClearImage Server edition: Development or Production.

Syntax

Visual Basic (Declaration)
Public Shared ReadOnly Property Edition As String
Visual Basic (Usage) Copy Code
Dim value As String

value = Server.Edition
C#
public static string Edition {get;}
Delphi
public read-only property Edition: String; static;
JScript
public static function get Edition : String
Managed Extensions for C++
public: __property static string* get_Edition();
C++/CLI
public:
static property String^ Edition {
   String^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Class
Server Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Major Property

[image]
ClearImage 8 Help
Major Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Server Class : Major Property

Gets ClearImage Server major version number.

Syntax

Visual Basic (Declaration)
Public Shared ReadOnly Property Major As Integer
Visual Basic (Usage) Copy Code
Dim value As Integer

value = Server.Major
C#
public static int Major {get;}
Delphi
public read-only property Major: Integer; static;
JScript
public static function get Major : int
Managed Extensions for C++
public: __property static int get_Major();
C++/CLI
public:
static property int Major {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Class
Server Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Minor Property

[image]
ClearImage 8 Help
Minor Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Server Class : Minor Property

Gets ClearImage Server minor version number.

Syntax

Visual Basic (Declaration)
Public Shared ReadOnly Property Minor As Integer
Visual Basic (Usage) Copy Code
Dim value As Integer

value = Server.Minor
C#
public static int Minor {get;}
Delphi
public read-only property Minor: Integer; static;
JScript
public static function get Minor : int
Managed Extensions for C++
public: __property static int get_Minor();
C++/CLI
public:
static property int Minor {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Class
Server Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Modules Property

[image]
ClearImage 8 Help
Modules Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Server Class : Modules Property

List of Modules, including license status

Syntax

Visual Basic (Declaration)
Public Shared ReadOnly Property Modules As LicModule()
Visual Basic (Usage) Copy Code
Dim value() As LicModule

value = Server.Modules
C#
public static LicModule[] Modules {get;}
Delphi
public read-only property Modules: array of LicModule; static;
JScript
public static function get Modules : LicModule[]
Managed Extensions for C++
public: __property static LicModule*[]* get_Modules();
C++/CLI
public:
static property array<LicModule^>^ Modules {
   array<LicModule^>^ get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Class
Server Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Release Property

[image]
ClearImage 8 Help
Release Property
See Also Send Feedback
Inlite.ClearImageNet Namespace > Server Class : Release Property

Gets ClearImage Server release number.

Syntax

Visual Basic (Declaration)
Public Shared ReadOnly Property Release As Integer
Visual Basic (Usage) Copy Code
Dim value As Integer

value = Server.Release
C#
public static int Release {get;}
Delphi
public read-only property Release: Integer; static;
JScript
public static function get Release : int
Managed Extensions for C++
public: __property static int get_Release();
C++/CLI
public:
static property int Release {
   int get();
}

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Server Class
Server Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeDecoding Enumeration

[image]
ClearImage 8 Help
BarcodeDecoding Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeDecoding Enumeration

Identifies barcode decoding type

Syntax

Visual Basic (Declaration)
Public Enum BarcodeDecoding
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As BarcodeDecoding
C#
public enum BarcodeDecoding : System.Enum
Delphi
public enum BarcodeDecoding = class(System.Enum)
JScript
public enum BarcodeDecoding extends System.Enum
Managed Extensions for C++
__value public enum BarcodeDecoding : public System.Enum
C++/CLI
public enum class BarcodeDecoding : public System.Enum

Members

Member | Description
aamva | AMVAA Driver License decoding (XML)
cac |
compA | Adobe Compresion
compI | Inlite Compression

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeRotation Enumeration

[image]
ClearImage 8 Help
BarcodeRotation Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeRotation Enumeration

Identifies barcode's direction of rotation in respect to an image

Syntax

Visual Basic (Declaration)
Public Enum BarcodeRotation
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As BarcodeRotation
C#
public enum BarcodeRotation : System.Enum
Delphi
public enum BarcodeRotation = class(System.Enum)
JScript
public enum BarcodeRotation extends System.Enum
Managed Extensions for C++
__value public enum BarcodeRotation : public System.Enum
C++/CLI
public enum class BarcodeRotation : public System.Enum

Members

Member | Description
diagonal | Rotated diagonally
left | Rotated counter-clockwise
none | Not rotated
right | Rotated clockwise
upsideDown | Rotated upside down

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeType Enumeration

[image]
ClearImage 8 Help
BarcodeType Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeType Enumeration

Identifies barcode's type (symbology)

Syntax

Visual Basic (Declaration)
Public Enum BarcodeType
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As BarcodeType
C#
public enum BarcodeType : System.Enum
Delphi
public enum BarcodeType = class(System.Enum)
JScript
public enum BarcodeType extends System.Enum
Managed Extensions for C++
__value public enum BarcodeType : public System.Enum
C++/CLI
public enum class BarcodeType : public System.Enum

Members

Member | Description
Addon2 | Addon-2
Addon5 | Addon-5
Airline2of5 | Airline 2 of 5
AustralianPost | Australian Post
BpoPostcode | British Post Office Postcode
Codabar | Codabar
Code128 | Code 128
Code32 | Code 32
Code39 | Code 39
Code93 | Code 93
Datalogic2of5 | Datalogic 2 of 5
DataMatrix | DataMatrix
Ean13 | EAN-13
Ean8 | EAN-8
FourState | Generic Four States Postal Code
Industrial2of5 | Industrial 2 of 5
Interleaved2of5 | Interleaved 2 of 5
Matrix2of5 | Matrix 2 of 5
Patch | Patch code
Pdf417 | PDF417
Planet | Planet postal code
Postnet | Postnet postal code
QR | QR Code
SingaporePost |
Ucc128 | UCC 128
Upca | UPCA
Upce | UPCE
UspsIntelligentMail | USPS Intelligent Mail

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BorderExtractMode Enumeration

[image]
ClearImage 8 Help
BorderExtractMode Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : BorderExtractMode Enumeration

Sets actions for ImageEditor.BorderExtract method

Syntax

Visual Basic (Declaration)
Public Enum BorderExtractMode
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As BorderExtractMode
C#
public enum BorderExtractMode : System.Enum
Delphi
public enum BorderExtractMode = class(System.Enum)
JScript
public enum BorderExtractMode extends System.Enum
Managed Extensions for C++
__value public enum BorderExtractMode : public System.Enum
C++/CLI
public enum class BorderExtractMode : public System.Enum

Members

Member | Description
deskewCrop | Deskews and crops image using border edge
remove | Makes black borders white
removeDeskew | Makes black borders white. Deskews image using border edge

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


CleanNoiseFlags Enumeration

[image]
ClearImage 8 Help
CleanNoiseFlags Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : CleanNoiseFlags Enumeration

Sets flags for extended CleanNoise

Syntax

Visual Basic (Declaration)
Public Enum CleanNoiseFlags
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As CleanNoiseFlags
C#
public enum CleanNoiseFlags : System.Enum
Delphi
public enum CleanNoiseFlags = class(System.Enum)
JScript
public enum CleanNoiseFlags extends System.Enum
Managed Extensions for C++
__value public enum CleanNoiseFlags : public System.Enum
C++/CLI
public enum class CleanNoiseFlags : public System.Enum

Members

Member | Description
black | Remove black-on-white noise
marginsNoiseOnly | Remove noise only
white | Remove white-on-black noise

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ComprBitonal Enumeration

[image]
ClearImage 8 Help
ComprBitonal Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : ComprBitonal Enumeration

Identifies compression of saved bi-tonal (BW)images inside fo TIFF or PDF

Syntax

Visual Basic (Declaration)
Public Enum ComprBitonal
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ComprBitonal
C#
public enum ComprBitonal : System.Enum
Delphi
public enum ComprBitonal = class(System.Enum)
JScript
public enum ComprBitonal extends System.Enum
Managed Extensions for C++
__value public enum ComprBitonal : public System.Enum
C++/CLI
public enum class ComprBitonal : public System.Enum

Members

Member | Description
auto | Auto-select
g3 | Fax Group 3
g4 | Fax Group 4
none | no compression
original | compression of oppened image

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ComprColor Enumeration

[image]
ClearImage 8 Help
ComprColor Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : ComprColor Enumeration

Identifies compression of saved color and grayscale images inside fo TIFF or PDF

Syntax

Visual Basic (Declaration)
Public Enum ComprColor
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ComprColor
C#
public enum ComprColor : System.Enum
Delphi
public enum ComprColor = class(System.Enum)
JScript
public enum ComprColor extends System.Enum
Managed Extensions for C++
__value public enum ComprColor : public System.Enum
C++/CLI
public enum class ComprColor : public System.Enum

Members

Member | Description
auto | Auto-select
jpeg | Jpeg
lzw | LZW
none | no compression

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageFileFormat Enumeration

[image]
ClearImage 8 Help
ImageFileFormat Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageFileFormat Enumeration

Identifies image file format returned

Syntax

Visual Basic (Declaration)
Public Enum ImageFileFormat
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As ImageFileFormat
C#
public enum ImageFileFormat : System.Enum
Delphi
public enum ImageFileFormat = class(System.Enum)
JScript
public enum ImageFileFormat extends System.Enum
Managed Extensions for C++
__value public enum ImageFileFormat : public System.Enum
C++/CLI
public enum class ImageFileFormat : public System.Enum

Members

Member | Description
bmp | Windows Bitmap file
gif | GIF file
inputFileFormat | Format of input file.
jbig | JBIG2 file
jpeg | JPEG file
outputFileExtension | Format derived from output file extension.
outputFileFormat | Format of output file being appended.
pcx | PCX file
pdf | PDF file
png | PNG file
tiff | TIFF file
unidentified | Readable Image file of unspecified format
unknownFormat | Unreadable file: file does not exist OR not an image file OR damaged image file OR unsupported image file format

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LineCurvature Enumeration

[image]
ClearImage 8 Help
LineCurvature Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : LineCurvature Enumeration

Sets criteria for line identification and/or processing

Syntax

Visual Basic (Declaration)
Public Enum LineCurvature
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As LineCurvature
C#
public enum LineCurvature : System.Enum
Delphi
public enum LineCurvature = class(System.Enum)
JScript
public enum LineCurvature extends System.Enum
Managed Extensions for C++
__value public enum LineCurvature : public System.Enum
C++/CLI
public enum class LineCurvature : public System.Enum

Members

Member | Description
high | High curvature
low | Low curvature
medium | Medium curvature
straight | Straight line, no gaps
veryLow | Very low curvature

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


LineDirection Enumeration

[image]
ClearImage 8 Help
LineDirection Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : LineDirection Enumeration

Sets directions of lines for line identification and/or processing

Syntax

Visual Basic (Declaration)
Public Enum LineDirection
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As LineDirection
C#
public enum LineDirection : System.Enum
Delphi
public enum LineDirection = class(System.Enum)
JScript
public enum LineDirection extends System.Enum
Managed Extensions for C++
__value public enum LineDirection : public System.Enum
C++/CLI
public enum class LineDirection : public System.Enum

Members

Member | Description
horizontal | Horizontal lines
horzAndVert | Horizontal and vertical lines
vertical | Vertical lines

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


MorphDirections Enumeration

[image]
ClearImage 8 Help
MorphDirections Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : MorphDirections Enumeration

Sets directions for ImageEditor.Fatten and ImageEditor.Trim methods

Syntax

Visual Basic (Declaration)
Public Enum MorphDirections
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As MorphDirections
C#
public enum MorphDirections : System.Enum
Delphi
public enum MorphDirections = class(System.Enum)
JScript
public enum MorphDirections extends System.Enum
Managed Extensions for C++
__value public enum MorphDirections : public System.Enum
C++/CLI
public enum class MorphDirections : public System.Enum

Members

Member | Description
allNeighbors | Process all 8 neighboring pixels
diagonal | Process 4 diagonal neighbors
horizontal | Process left and right pixels
horzAndVert | Process vertical and horizonal pixels
vertical | Process above and below pixels

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PageCompression Enumeration

[image]
ClearImage 8 Help
PageCompression Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : PageCompression Enumeration

Identifies compression of the page in the image file

Syntax

Visual Basic (Declaration)
Public Enum PageCompression
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As PageCompression
C#
public enum PageCompression : System.Enum
Delphi
public enum PageCompression = class(System.Enum)
JScript
public enum PageCompression extends System.Enum
Managed Extensions for C++
__value public enum PageCompression : public System.Enum
C++/CLI
public enum class PageCompression : public System.Enum

Members

Member | Description
ccittG3 | CCITT Group III
ccittG4 | CCITT Group IV
flate | PDF Flate
jbig2 | JBIG-2
jpeg | JPEG
jpeg2K | JPEG 2000
lzw | LZW
mrc | Mixed raster content PDF page
oldJpeg | Old Jpeg format in TIFF
packbits | Packbits
pageNotPresent | Requested page is not present in the file
raster | Rasterized PDF page
rle | Run-length encoding (Huffman)
uncompressed | Uncompressed
unidentified | Unidentified compression

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PageRotation Enumeration

[image]
ClearImage 8 Help
PageRotation Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : PageRotation Enumeration

Identifies page rotation based on text or graphics

Syntax

Visual Basic (Declaration)
Public Enum PageRotation
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As PageRotation
C#
public enum PageRotation : System.Enum
Delphi
public enum PageRotation = class(System.Enum)
JScript
public enum PageRotation extends System.Enum
Managed Extensions for C++
__value public enum PageRotation : public System.Enum
C++/CLI
public enum class PageRotation : public System.Enum

Members

Member | Description
left | Page is rotated left (based on text)
leftOrRight | Page is rotated sideways (based on graphics)
none | Page is not rotated (based on text)
portrait | Page is not rotated or rotated upside-down (based on graphics)
right | Page is rotated right (based on text)
unknown | Page rotation is unknown
upsideDown | Page is rotated upside-down (based on text)

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PdfRasterMode Enumeration

[image]
ClearImage 8 Help
PdfRasterMode Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : PdfRasterMode Enumeration

Pdf Rasterization color selection

Syntax

Visual Basic (Declaration)
Public Enum PdfRasterMode
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As PdfRasterMode
C#
public enum PdfRasterMode : System.Enum
Delphi
public enum PdfRasterMode = class(System.Enum)
JScript
public enum PdfRasterMode extends System.Enum
Managed Extensions for C++
__value public enum PdfRasterMode : public System.Enum
C++/CLI
public enum class PdfRasterMode : public System.Enum

Members

Member | Description
auto | Rasterize based on color of page objects
bitonal | Rasterize page as black-and-white
color | Rasterize page as color
grayscale | Rasterize page as grayscale

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


PdfReadMode Enumeration

[image]
ClearImage 8 Help
PdfReadMode Enumeration
See Also Send Feedback
Inlite.ClearImageNet Namespace : PdfReadMode Enumeration

Pdf page reading mode selection

Syntax

Visual Basic (Declaration)
Public Enum PdfReadMode
   Inherits System.Enum
Visual Basic (Usage) Copy Code
Dim instance As PdfReadMode
C#
public enum PdfReadMode : System.Enum
Delphi
public enum PdfReadMode = class(System.Enum)
JScript
public enum PdfReadMode extends System.Enum
Managed Extensions for C++
__value public enum PdfReadMode : public System.Enum
C++/CLI
public enum class PdfReadMode : public System.Enum

Members

Member | Description
auto | Automaticly switch between image and rasterized based on content
image | Read embedded images
raster | Read rasterized pages

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader.BarcodeFoundEventHandler Delegate

[image]
ClearImage 8 Help
BarcodeReader.BarcodeFoundEventHandler Delegate
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeReader.BarcodeFoundEventHandler Delegate

sender
The source of the event.
e
The BarcodeFoundEventArgs that contains the found barcode information.
Handles BarcodeFound events.

Syntax

Visual Basic (Declaration)
Public Delegate Sub BarcodeReader.BarcodeFoundEventHandler( _
   ByVal sender As Object, _
   ByVal e As BarcodeFoundEventArgs _
)
Visual Basic (Usage) Copy Code
Dim instance As New BarcodeReader.BarcodeFoundEventHandler(AddressOf HandlerMethod)
C#
public delegate void BarcodeReader.BarcodeFoundEventHandler(
   object sender,
   BarcodeFoundEventArgs e
)
Delphi
public delegate BarcodeReader.BarcodeFoundEventHandler(
    sender: TObject;
    e: BarcodeFoundEventArgs
);
JScript
public delegate BarcodeReader.BarcodeFoundEventHandler(
   sender : Object,
   e : BarcodeFoundEventArgs
)
Managed Extensions for C++
public: __gc __delegate void BarcodeReader.BarcodeFoundEventHandler(
   Object* sender,
   BarcodeFoundEventArgs* e
)
C++/CLI
public delegate void BarcodeReader.BarcodeFoundEventHandler(
   Object^ sender,
   BarcodeFoundEventArgs^ e
)

Parameters

sender
The source of the event.
e
The BarcodeFoundEventArgs that contains the found barcode information.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader.BarcodeFoundEventHandler Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


BarcodeReader.ImageOpenedEventHandler Delegate

[image]
ClearImage 8 Help
BarcodeReader.ImageOpenedEventHandler Delegate
See Also Send Feedback
Inlite.ClearImageNet Namespace : BarcodeReader.ImageOpenedEventHandler Delegate

sender
The source of the event.
e
The ImageOpenedEventArgs that contains the opened image information.
Handles ImageOpened events.

Syntax

Visual Basic (Declaration)
Public Delegate Sub BarcodeReader.ImageOpenedEventHandler( _
   ByVal sender As Object, _
   ByVal e As ImageOpenedEventArgs _
)
Visual Basic (Usage) Copy Code
Dim instance As New BarcodeReader.ImageOpenedEventHandler(AddressOf HandlerMethod)
C#
public delegate void BarcodeReader.ImageOpenedEventHandler(
   object sender,
   ImageOpenedEventArgs e
)
Delphi
public delegate BarcodeReader.ImageOpenedEventHandler(
    sender: TObject;
    e: ImageOpenedEventArgs
);
JScript
public delegate BarcodeReader.ImageOpenedEventHandler(
   sender : Object,
   e : ImageOpenedEventArgs
)
Managed Extensions for C++
public: __gc __delegate void BarcodeReader.ImageOpenedEventHandler(
   Object* sender,
   ImageOpenedEventArgs* e
)
C++/CLI
public delegate void BarcodeReader.ImageOpenedEventHandler(
   Object^ sender,
   ImageOpenedEventArgs^ e
)

Parameters

sender
The source of the event.
e
The ImageOpenedEventArgs that contains the opened image information.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

BarcodeReader.ImageOpenedEventHandler Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor.EditPageEventHandler Delegate

[image]
ClearImage 8 Help
ImageEditor.EditPageEventHandler Delegate
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor.EditPageEventHandler Delegate

sender
The source of the event.
e
The EditPageEventArgs that contains the ImageEditor information.
Handles EditPage events.

Syntax

Visual Basic (Declaration)
Public Delegate Sub ImageEditor.EditPageEventHandler( _
   ByVal sender As Object, _
   ByVal e As EditPageEventArgs _
)
Visual Basic (Usage) Copy Code
Dim instance As New ImageEditor.EditPageEventHandler(AddressOf HandlerMethod)
C#
public delegate void ImageEditor.EditPageEventHandler(
   object sender,
   EditPageEventArgs e
)
Delphi
public delegate ImageEditor.EditPageEventHandler(
    sender: TObject;
    e: EditPageEventArgs
);
JScript
public delegate ImageEditor.EditPageEventHandler(
   sender : Object,
   e : EditPageEventArgs
)
Managed Extensions for C++
public: __gc __delegate void ImageEditor.EditPageEventHandler(
   Object* sender,
   EditPageEventArgs* e
)
C++/CLI
public delegate void ImageEditor.EditPageEventHandler(
   Object^ sender,
   EditPageEventArgs^ e
)

Parameters

sender
The source of the event.
e
The EditPageEventArgs that contains the ImageEditor information.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor.EditPageEventHandler Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor.LineFoundEventHandler Delegate

[image]
ClearImage 8 Help
ImageEditor.LineFoundEventHandler Delegate
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor.LineFoundEventHandler Delegate

sender
The source of the event.
e
The LineFoundEventArgs that contains the found line information.
Handles LineFound events.

Syntax

Visual Basic (Declaration)
Public Delegate Sub ImageEditor.LineFoundEventHandler( _
   ByVal sender As Object, _
   ByVal e As LineFoundEventArgs _
)
Visual Basic (Usage) Copy Code
Dim instance As New ImageEditor.LineFoundEventHandler(AddressOf HandlerMethod)
C#
public delegate void ImageEditor.LineFoundEventHandler(
   object sender,
   LineFoundEventArgs e
)
Delphi
public delegate ImageEditor.LineFoundEventHandler(
    sender: TObject;
    e: LineFoundEventArgs
);
JScript
public delegate ImageEditor.LineFoundEventHandler(
   sender : Object,
   e : LineFoundEventArgs
)
Managed Extensions for C++
public: __gc __delegate void ImageEditor.LineFoundEventHandler(
   Object* sender,
   LineFoundEventArgs* e
)
C++/CLI
public delegate void ImageEditor.LineFoundEventHandler(
   Object^ sender,
   LineFoundEventArgs^ e
)

Parameters

sender
The source of the event.
e
The LineFoundEventArgs that contains the found line information.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor.LineFoundEventHandler Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageEditor.ObjectFoundEventHandler Delegate

[image]
ClearImage 8 Help
ImageEditor.ObjectFoundEventHandler Delegate
See Also Send Feedback
Inlite.ClearImageNet Namespace : ImageEditor.ObjectFoundEventHandler Delegate

sender
The source of the event.
e
The ObjectFoundEventArgs that contains the found object information.
Handles ObjectFound events.

Syntax

Visual Basic (Declaration)
Public Delegate Sub ImageEditor.ObjectFoundEventHandler( _
   ByVal sender As Object, _
   ByVal e As ObjectFoundEventArgs _
)
Visual Basic (Usage) Copy Code
Dim instance As New ImageEditor.ObjectFoundEventHandler(AddressOf HandlerMethod)
C#
public delegate void ImageEditor.ObjectFoundEventHandler(
   object sender,
   ObjectFoundEventArgs e
)
Delphi
public delegate ImageEditor.ObjectFoundEventHandler(
    sender: TObject;
    e: ObjectFoundEventArgs
);
JScript
public delegate ImageEditor.ObjectFoundEventHandler(
   sender : Object,
   e : ObjectFoundEventArgs
)
Managed Extensions for C++
public: __gc __delegate void ImageEditor.ObjectFoundEventHandler(
   Object* sender,
   ObjectFoundEventArgs* e
)
C++/CLI
public delegate void ImageEditor.ObjectFoundEventHandler(
   Object^ sender,
   ObjectFoundEventArgs^ e
)

Parameters

sender
The source of the event.
e
The ObjectFoundEventArgs that contains the found object information.

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageEditor.ObjectFoundEventHandler Members
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Getting Started - ClearImage COM Server

ClearImage COM Server
Introduction
Send Feedback
Inlite's ClearImage technology is implemented as in-process COM server, referred as ClearImage COM. ClearImage COM functionality is grouped in several ClearImage modules:
CiImage
File, memory, clipboard, and Windows bitmaps image I/O functions. Basic image editing. Note: CiImage is required to use all other modules.
CiRepair
Automatic image correction functions: deskew, rotation, crop, etc. Improves OCR, image compression, and image visual quality.
CiTools
Image analysis function to implement form-processing and specialized imaging applications.
CiPdf
Adds to CiImage object ability to read and write images from/to PDF files.
CiBarcodeBasic
Barcode recognition of most popular 1D barcodes.
CiBarcodePro
Similar to CiBarcodeBasic plus recognition of damaged and poor quality barcodes, recognition of diagonal barcodes, diagnostics of recognition process.
CiPdf417
Similar to CiBarcodePro, but implements recognition of PDF417 2D barcode.
CiDataMatrix
Similar to CiBarcodePro, but implements recognition of DataMatrix 2D barcode.
CiQR
Similar to CiBarcodePro, but implements recognition of QR 2D barcode.
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Getting Started - ClearImage COM Server

ClearImage COM Server
Getting Started
Send Feedback

To start development of ClearImage project:

  • Run the ClearImage COM Demo program to familiarize yourself with most of the ClearImage capabilities. The various tools and operations can be applied interactively, and a built in viewer shows the resulting image. A continuing history documents the various steps taken. Options panels open prior to each operation to show the possible parameters, and recognition results are reported in a friendly information screen.
  • Use "API Help" button in ClearImage Demo Options and Barcode results dialog boxes to obtain function-specific help and code snippets.
  • Review Sample programs supplied with ClearImage SDK.
    Load them from Start -> Programs -> ClearImage 8 SDK -> Examples.

The following shows typical elements of a ClearImage-based program.

To start Visual Basic development

See Example VB6 project

  1. From menu: Project -> References...
    Check 'ClearImage COM Server'

  2. Create CiServer object:
    Dim Ci As ClearImage. CiServer
    Set Ci = New CiServer

  3. Create an CiImage object:
    Dim Image as CiImage
    Set Image=Ci.CreateImage

  4. Open image file:
    Image.Open "MyImageFile.tif", 1

  5. Create some processing object and attach CiImage object to this object:
    Dim Bc as CiBarcodePro
    Set Bc = Ci.CreateBarcodePro
    Bc.Image = Image

  6. Configure processing object properties (if needed):
    Bc.AutoDetect1D = ciTrue

  7. Execute processing object methods (modify image or perform measurements):
    Bc.Find

  8. Process results:
    Dim Barcode as CiBarcode
    For each Barcode in Bc.Barcodes
    ' Do something with Barcode
    Next

  9. Do something else with Image (step 5) or open another image file (step 4).

To start C++ development

See C++ Example project. This example use COM Smart Pointers.

  1. Import ClearImage Type Library. Add to all source files using ClearImage objects:
    #import "progid:ClearImage.ClearImage" exclude("LONG_PTR") no_namespace named_guids

  2. Compile Debug version project. This creates Type Library Header file: ClearImage.tlh.
    Add it "Header Files" to have ClearImage object visible in ClassView

  3. Open COM
    CoInitialize(NULL);

  4. Declare and create CiServer object
    ICiServerPtr Ci;
    HRESULT hr = Ci.CreateInstance(__uuidof(CiServer));

  5. Declare and create CiImage object
    ICiImagePtr Image = Ci->CreateImage();

  6. Open image file
    Image->Open (_bstr_t("MyImageFile.tif"), 1);

  7. Create some processing object and attach CiImage object to this object:
    Bc = Ci->CreateBarcodePro ();
    Bc->Image = Image;

  8. Configure processing object properties (if needed):
    Bc->AutoDetect1D = ciTrue;

  9. Execute processing object methods (modify image or perform measurements):
    Bc->Find(0);
  10. Process results:
    for (int i = 1 ; i <= Bc->Barcodes->Count ; i++)
    DisplayBarcode (Bc->Barcodes->Item[i]);
  11. Do something else with Image (step 7) or open another image file (step 6).

Development issues to consider

See additional programming elements in program examples:

  • Error handling
  • Zone processing vs. whole image
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


How to work with image zones

How to work with image zones
Send Feedback

Glossary Item Box

Most ClearImage methods can be performed on the entire image (default condition) or on a rectangular portion of the image (called a zone). Hence, two corresponding types of CiImage object can be created:

  • Image object pointing to the whole image. It is created by methods listed in the Image Memory section and has image memory associated with it (if allocated).
  • Zone object pointing to a zone, within an image object called the Parent. It is created using the CreateZone method or the CreateZoneRect methods of the parent image object, and it has no image memory. A Zone object uses its parent's image memory.
  • The Zone rectangle coordinates are initially specified upon the creation of the zone object. They can be subsequently read and modified through the Zone property.
  • The IsZone property confirms whether a CiImage object is a Zone object.
  • A few ClearImage methods cannot be performed on a Zone object (for example, the Skew method). Such exceptions are identified in Remarks portion of method's help page. The invocation of these methods on a Zone object returns an error.
  • The Zone's rectangle must have valid coordinates (right greater than left and bottom greater than top), otherwise the Zone is considered empty (image.Zone.IsEmpy returns True). The invocation of all methods on an empty Zone returns an error.

      NOTE: Applications should minimize the number of opened zones. Unused zone images (CiImage objects) should be deleted.

      Once a zone image is created, its parent can be re-opened with different images. The following example demonstrates using a zone object to recognize the first barcode in a specific area of multiple image files.

    • Reading Barcode in image zone Copy Code
      Public Sub T_BcZoneFiles(ByRef Ci As CiServer, ByRef Files As Collection)
      On Error Resume Next
      ' Create image object
      Dim Img As CiImage
      Set Img = Ci.CreateImage
      ' Create and define zone object
      Dim Zone As CiImage
      Set Zone = Img.CreateZone(20, 20, 1000, 1500)
      ' Create barcode recognition
      Dim BcPro As CiBarcodePro
      Set BcPro = Ci.CreateBarcodePro
      ' Initialize barcode recognition
      BcPro.Image = Zone ' Attach zone
      BcPro.AutoDetect1D = ciTrue
      BcPro.Directions = cibHorz
      BcPro.Algorithm = cibBestSpeed
      ' Iterate through files, recognizing the first barcode within zone
      Dim File
      Dim Barcode As CiBarcode
      For Each File In Files
      BcPro.Image.Parent.Open File ' Open image from file
      Set Barcode = BcPro.FirstBarcode
      If (Not Barcode Is Nothing) Then _
      Debug.Print "File:" & File & " Barcode Text:" & Barcode.Text
      Next File
      End Sub

      • © 2007-2013. Inlite Research, Inc. All Rights Reserved.


Project Overview

ClearImage COM Server
Project Overview
Send Feedback

Description

ClearImage COM Server

Classes

Class Module | Description
CiBarcode | Barcode information object
CiBarcodeBasic | 1D barcodes recognition object (Basic)
CiBarcodePro | 1D barcodes recognition object (Pro)
CiBarcodes | This collection of CiBarcode objects.Barcodes Class
CiDataMatrix | DataMatrix barcodes recognition object
CiImage | Image object
CiLine | Line information object
CiObject | An Object is a portion of the image comprised of adjacent connected pixels.Object information object
CiPdf | Pdf Read/Write configuration Class
CiPdf417 | PDF417 barcodes recognition object
CiPoint | Point-on-image object
CiQR | QR barcodes recognition object
CiRect | Rectangle on image object
CiRepair | Automatic image correction functions: deskew, rotation, crop, etc. Improves OCR, image compression, and image visual quality. Image repair object
CiServer | ClearImage COM root object
CiTools | Image analysis function to implement form-processing and specialized imaging applications. Image tools object

Public Enumerations

Enumeration | Description
EBarcodeAlgorithm | Barcode recognition algorithm
EBarcodeEncoding | Encoding or compression of barcode data
EBarcodeRotation | Barcode rotation
EBarcodeType | Recognized barcode type (symbology)
EBoolean | Boolean value
EBorderExtractAlgorithm | Border Extraction algorithm
EBorderExtractFlags | Border Extraction flags
ECleanNoiseFlags | CleanNoiseExt flags
EComprBitonal |
EComprColor |
EFileFormat | Image file format
EImageAlignment | Alignment of image on a page
EInfoType | Server information type
ELineCurvature | Limit on line curvature
ELineDirection | Line direction
EMorphDirections | Direction to fatten or trim image
EPageOrientation | Page orientation
EPageRotation | Page rotation
EPageSize | Page size
EPdfRasterColorMode | Rasterization color selection
EPdfReadMode | Pdf page reading mode selection
EScaleBmpType | Type of image-to-bitmap scale down
EScaleType | Type of image to image scale down
ESizeUnit | Alignment of image on a page
ESmoothType | Type of smoothing
FBarcodeDiag | Barcode recognition control flags
FBarcodeDirections | Barcode search direction
FBarcodeErrors | Recognized barcode errors
FBarcodeType | Barcode type (symbology) to find
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcode Object

ClearImage COM Server
CiBarcode Object
See Also Members Send Feedback

Description

Barcode information object

Object Model

CiBarcode ObjectCiRect Object

See Also

CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcode Object Members

ClearImage COM Server
CiBarcode Object Members
See Also Overview Send Feedback

Public Properties

Public Property Confidence | Barcode recognition confidence
Public Property Data | Barcode value as character array
Public Property Encoding | Barcode encoding
Public Property ErrorFlags | Barcode error flags
Public Property IsBinary | Barcode contains binary data
Public Property IsChecksumVerified | Barcode contains verified checksum
Public Property Length | Barcode length in characters
Public Property ModuleSize | Average width of barcode module
Public Property Rect | Barcode rectangle
Public Property Rotation | Barcode Rotation
Public Property Text | Barcode value as text
Public Property Type | Barcode type (symbology)

See Also

CiBarcode Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Confidence Property

ClearImage COM Server
Confidence Property
See Also Send Feedback
CiBarcode Object : Confidence Property

Description

Barcode recognition confidence

Property type

Read-write property

Syntax

Visual Basic
Public Property Confidence As Long

Remarks

The Confidence value is a diagnostic that is normally reported as:
-1 indicates that confidence not measured because it was not applicable
0 indicates failure to verify checksum or ECC. Some codes contain a checksum/ECC inherently which is always checked. For some other codes, such as Code39, there is an option to use (or not use) a checksum.
100 indicates successful recognition
1-99 indicate a value used for diagnostic purposes

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Data Property

ClearImage COM Server
Data Property
See Also Send Feedback
CiBarcode Object : Data Property

Description

Barcode value as character array

Property type

Read-write property

Syntax

Visual Basic
Public Property Data As Variant

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Encoding Property

ClearImage COM Server
Encoding Property
See Also Send Feedback
CiBarcode Object : Encoding Property

Description

Barcode encoding

Property type

Read-write property

Syntax

Visual Basic
Public Property Encoding As EBarcodeEncoding

Remarks

Value identifies detected barcode value encoding/compression. Set Encodings property of appropriate barcode reader to enable decoding/decompression.

See Also

CiBarcode Object | CiBarcode Members | CiPdf417 Encodings Property | CiDataMatrix Encodings Property | CiQR Encodings Property

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ErrorFlags Property

ClearImage COM Server
ErrorFlags Property
See Also Send Feedback
CiBarcode Object : ErrorFlags Property

Description

Barcode error flags

Property type

Read-write property

Syntax

Visual Basic
Public Property ErrorFlags As FBarcodeErrors

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


IsBinary Property

ClearImage COM Server
IsBinary Property
See Also Send Feedback
CiBarcode Object : IsBinary Property

Description

Barcode contains binary data

Property type

Read-write property

Syntax

Visual Basic
Public Property IsBinary As EBoolean

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


IsChecksumVerified Property

ClearImage COM Server
IsChecksumVerified Property
See Also Send Feedback
CiBarcode Object : IsChecksumVerified Property

Description

Barcode contains verified checksum

Property type

Read-write property

Syntax

Visual Basic
Public Property IsChecksumVerified As EBoolean

Remarks

This property indicates that checksum or ECC has been checked and passed verification. Typically this value is true for barcodes where, checksum/ECC is required or optional checksum verification is requested (ValidateOptChecksum is set).

In some cases algorithm might detect damaged checksum/ECC area, but data portion of the symbol may be easily read. The most prominent example is the PDF417 barcode, whose ECC bits are located in the lower rows of the symbol. Rather than completely rejecting such barcodes , ClearImage reports the data to the application and sets the IsChecksumVerified is false. Application should have it's own means to validate the data in such barcodes, called "suspected good. If the application does not have these means, it should reject barcode entirely.

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Length Property

ClearImage COM Server
Length Property
See Also Send Feedback
CiBarcode Object : Length Property

Description

Barcode length in characters

Property type

Read-only property

Syntax

Visual Basic
Public Property Length As Long

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ModuleSize Property

ClearImage COM Server
ModuleSize Property
See Also Send Feedback
CiBarcode Object : ModuleSize Property

Description

Average width of barcode module

Property type

Read-write property

Syntax

Visual Basic
Public Property ModuleSize As Double

Remarks

For most barcodes this value represent the width of the narrowest bar or space, measured in pixels in the image. For DataMatrix and PDF417 it is the size of the little square modules that make up the symbol. The smallest dimension vertical or horizontal is reported. Best performance is obtained when the module size is between 3-10. Smaller values require extra effort for recognition. Modules sizes smaller than 2 are often not readable. Module sizes above 10 represent excess resolution (for the purposes of recognition) and simply slow down the process.

Scanners refer to this pixel value as Dots. To obtain the physical dimensions of the feature divide this value by the resolution (in dots per inch).

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Rect Property

ClearImage COM Server
Rect Property
See Also Send Feedback
CiBarcode Object : Rect Property

Description

Barcode rectangle

Property type

Read-only property

Syntax

Visual Basic
Public Property Rect As CiRect

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Rotation Property

ClearImage COM Server
Rotation Property
See Also Send Feedback
CiBarcode Object : Rotation Property

Description

Barcode Rotation

Property type

Read-write property

Syntax

Visual Basic
Public Property Rotation As EBarcodeRotation

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Text Property

ClearImage COM Server
Text Property
See Also Send Feedback
CiBarcode Object : Text Property

Description

Barcode value as text

Property type

Read-write property

Syntax

Visual Basic
Public Property Text As String

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Type Property

ClearImage COM Server
Type Property
See Also Send Feedback
CiBarcode Object : Type Property

Description

Barcode type (symbology)

Property type

Read-write property

Syntax

Visual Basic
Public Property Type As EBarcodeType

See Also

CiBarcode Object | CiBarcode Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcodeBasic Object

ClearImage COM Server
CiBarcodeBasic Object
See Also Members Example Send Feedback

Description

1D barcodes recognition object (Basic)

Object Model

CiBarcodeBasic ObjectCiBarcodes CollectionCiBarcode ObjectCiImage Object

Example

VB Example (Visual Basic) Copy Code
Public Function T_BarcodeBasicOne(ByRef Ci As CiServer, sFileName)
  '  Find one Code 39 or Code 128 barcode in Upper left corner
  Dim Bc As CiBarcodeBasic: Set Bc = Ci.CreateBarcodeBasic
  '  Open image from file
  Bc.Image.Open sFileName
  '  Set-up zone
  Dim Zone As CiImage
  Set Zone = Bc.Image.CreateZone(500, 100, 1500, 800)
  Bc.Image = Zone
  '  Configure barcode
  Bc.Type = cibfCode128 Or cibfCode39
  '  Read barcode
  Dim Barcode As CiBarcode
  Set Barcode = Bc.FirstBarcode
  '  Process parcode
  If (Not Barcode Is Nothing) Then T_DisplayBarcode Barcode
End Function

Public Function T_BarcodeBasicAll(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiBarcodeBasic: Set Bc = Ci.CreateBarcodeBasic
  '  Open image from file
  Bc.Image.Open sFileName
  '  Configure barcode
  Bc.AutoDetect1D = ciTrue
  '  Read barcodes
  Dim Barcode As CiBarcode
  Bc.Find 0
  For Each Barcode In Bc.Barcodes
  '  Process barcode
    T_DisplayBarcode Barcode
  Next
End Function

See Also

CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcodeBasic Object Members

ClearImage COM Server
CiBarcodeBasic Object Members
See Also Overview Send Feedback

Public Methods

Public Method Find | Find multiple barcodes
Public Method FirstBarcode | Find first barcode
Public Method NextBarcode | Find another barcode

Public Properties

Public Property AutoDetect1D | Automatically recognize barcode type
Public Property Barcodes | property Barcodes
Public Property Image | Image as CiImage objectImage as CiImage object
Public Property Type | Barcode type(s) to recognize
Public Property ValidateOptChecksum | Enable validation of optional checksum

See Also

CiBarcodeBasic Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Find Method

ClearImage COM Server
Find Method
See Also Send Feedback
MaxBarcodes
CiBarcodeBasic Object : Find Method

Description

Find multiple barcodes

Syntax

Visual Basic
Public Function Find( _
   Optional ByVal MaxBarcodes As Long = 0 _
) As Long

Parameters

MaxBarcodes

Return Type

Number of found barcodes.

Remarks

Method puts Barcode objects in Barcodes collection.

The default value of MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

ClearImage COM Server
FirstBarcode Method
See Also Send Feedback
CiBarcodeBasic Object : FirstBarcode Method

Description

Find first barcode

Syntax

Visual Basic
Public Function FirstBarcode() As CiBarcode

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

ClearImage COM Server
NextBarcode Method
See Also Send Feedback
CiBarcodeBasic Object : NextBarcode Method

Description

Find another barcode

Syntax

Visual Basic
Public Function NextBarcode() As CiBarcode

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AutoDetect1D Property

ClearImage COM Server
AutoDetect1D Property
See Also Send Feedback
CiBarcodeBasic Object : AutoDetect1D Property

Description

Automatically recognize barcode type

Property type

Read-write property

Syntax

Visual Basic
Public Property AutoDetect1D As EBoolean

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

ClearImage COM Server
Barcodes Property
See Also Send Feedback
CiBarcodeBasic Object : Barcodes Property

Description

property Barcodes

Property type

Read-only property

Syntax

Visual Basic
Public Property Barcodes As CiBarcodes

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Image Property

ClearImage COM Server
Image Property
See Also Send Feedback
CiBarcodeBasic Object : Image Property

Description

Image as CiImage objectImage as CiImage object

Property type

Read-write property

Syntax

Visual Basic
Public Property Image As CiImage

Remarks

Default Image is created for object. To operate on another image or zone object assign it to Image property.

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Type Property

ClearImage COM Server
Type Property
See Also Send Feedback
CiBarcodeBasic Object : Type Property

Description

Barcode type(s) to recognize

Property type

Read-write property

Syntax

Visual Basic
Public Property Type As FBarcodeType

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ValidateOptChecksum Property

ClearImage COM Server
ValidateOptChecksum Property
See Also Send Feedback
CiBarcodeBasic Object : ValidateOptChecksum Property

Description

Enable validation of optional checksum

Property type

Read-write property

Syntax

Visual Basic
Public Property ValidateOptChecksum As EBoolean

Remarks

For Code 39 and for Interleaved 2 of 5 barcodes, this property, when set to true, requires verification of the checksum, according to the standard specifications of each symbology. The default value is false because, in practice, checksums are seldom used with these codes. For other symbologies the value of this property is ignored, because their checksums are either nonexistent or mandatory.

See Also

CiBarcodeBasic Object | CiBarcodeBasic Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcodePro Object

ClearImage COM Server
CiBarcodePro Object
See Also Members Example Send Feedback

Description

1D barcodes recognition object (Pro)

Object Model

CiBarcodePro ObjectCiBarcodes CollectionCiBarcode ObjectCiImage Object

Example

VB Example (Visual Basic) Copy Code
Public Function T_BarcodeProNmb(ByRef Ci As CiServer, sFileName, nMaxBarcodeCount)
  '  Find upto  Code 39 or Code 128 barcode in Upper left corner
  Dim Bc As CiBarcodePro: Set Bc = Ci.CreateBarcodePro
  '  Open image from file
  Bc.Image.Open sFileName
  '  Set-up zone
  Dim Zone As CiImage
  Set Zone = Bc.Image.CreateZone(500, 100, 1500, 800)
  Bc.Image = Zone
  '  Configure barcode
  Bc.Type = cibfCode128 Or cibfCode39
  Bc.Algorithm = cibBestSpeed
  Bc.Directions = cibHorz
  '  Read barcodes
  Dim Barcode As CiBarcode, nCnt: nCnt = 0
  Set Barcode = Bc.FirstBarcode
  Do While (Not Barcode Is Nothing)
    '  Process barcode
    T_DisplayBarcode Barcode
    nCnt = nCnt + 1
    If (nCnt = nMaxBarcodeCount) Then Exit Do
    Set Barcode = Bc.NextBarcode
  Loop
End Function

Public Function T_BarcodeProAll(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiBarcodePro: Set Bc = Ci.CreateBarcodePro
  '  Open image from file
  Bc.Image.Open sFileName
  '  Configure barcode
  Bc.AutoDetect1D = ciTrue
  Bc.Type = cibPATCH ' Or cibCODE_39 Or cibI25
  Bc.Directions = cibHorz Or cibVert Or cibDiag
  Bc.Algorithm = cibBestRecognition
  '  Read barcodes
  Dim Barcode As CiBarcode
  Bc.Find 0
  For Each Barcode In Bc.Barcodes
  '  Process barcode
    T_DisplayBarcode Barcode
  Next
End Function

See Also

CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcodePro Object Members

ClearImage COM Server
CiBarcodePro Object Members
See Also Overview Send Feedback

Public Methods

Public Method Find | Find multiple barcodes
Public Method FirstBarcode | Find first barcode
Public Method NextBarcode | Find another barcode

Public Properties

Public Property Algorithm | Quality of barcode image
Public Property AutoDetect1D | Automatically recognize 1-D barcode type
Public Property Barcodes | Barcodes list
Public Property DiagFlags | Barcode diagnostic flags
Public Property Directions | Directions of barcodes to recognize
Public Property Encodings | Enable/disable barcode encoding analysis
Public Property Image | Image as CiImage objectImage as CiImage object
Public Property Type | Barcode type(s) to recognize
Public Property ValidateOptChecksum | Enable validation of optional checksum

See Also

CiBarcodePro Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Find Method

ClearImage COM Server
Find Method
See Also Send Feedback
MaxBarcodes
CiBarcodePro Object : Find Method

Description

Find multiple barcodes

Syntax

Visual Basic
Public Function Find( _
   Optional ByVal MaxBarcodes As Long = 0 _
) As Long

Parameters

MaxBarcodes

Return Type

Number of found barcodes.

Remarks

Method puts Barcode objects in Barcodes collection.

The default value of MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

ClearImage COM Server
FirstBarcode Method
See Also Send Feedback
CiBarcodePro Object : FirstBarcode Method

Description

Find first barcode

Syntax

Visual Basic
Public Function FirstBarcode() As CiBarcode

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

ClearImage COM Server
NextBarcode Method
See Also Send Feedback
CiBarcodePro Object : NextBarcode Method

Description

Find another barcode

Syntax

Visual Basic
Public Function NextBarcode() As CiBarcode

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

ClearImage COM Server
Algorithm Property
See Also Send Feedback
CiBarcodePro Object : Algorithm Property

Description

Quality of barcode image

Property type

Read-write property

Syntax

Visual Basic
Public Property Algorithm As EBarcodeAlgorithm

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AutoDetect1D Property

ClearImage COM Server
AutoDetect1D Property
See Also Send Feedback
CiBarcodePro Object : AutoDetect1D Property

Description

Automatically recognize 1-D barcode type

Property type

Read-write property

Syntax

Visual Basic
Public Property AutoDetect1D As EBoolean

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

ClearImage COM Server
Barcodes Property
See Also Send Feedback
CiBarcodePro Object : Barcodes Property

Description

Barcodes list

Property type

Read-only property

Syntax

Visual Basic
Public Property Barcodes As CiBarcodes

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

ClearImage COM Server
DiagFlags Property
See Also Send Feedback
CiBarcodePro Object : DiagFlags Property

Description

Barcode diagnostic flags

Property type

Read-write property

Syntax

Visual Basic
Public Property DiagFlags As FBarcodeDiag

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Directions Property

ClearImage COM Server
Directions Property
See Also Send Feedback
CiBarcodePro Object : Directions Property

Description

Directions of barcodes to recognize

Property type

Read-write property

Syntax

Visual Basic
Public Property Directions As FBarcodeDirections

Remarks

If the orientation of the symbols is known in advance, set this parameter to correct orientation, in order to accelerate the recognition process. Diagonal search is the slowest, whereas Vertical and Horizontal are faster.

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Encodings Property

ClearImage COM Server
Encodings Property
See Also Send Feedback
CiBarcodePro Object : Encodings Property

Description

Enable/disable barcode encoding analysis

Property type

Read-write property

Syntax

Visual Basic
Public Property Encodings As EBarcodeEncoding

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Image Property

ClearImage COM Server
Image Property
See Also Send Feedback
CiBarcodePro Object : Image Property

Description

Image as CiImage objectImage as CiImage object

Property type

Read-write property

Syntax

Visual Basic
Public Property Image As CiImage

Remarks

Default Image is created for object. To operate on another image or zone object assign it to Image property.

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Type Property

ClearImage COM Server
Type Property
See Also Send Feedback
CiBarcodePro Object : Type Property

Description

Barcode type(s) to recognize

Property type

Read-write property

Syntax

Visual Basic
Public Property Type As FBarcodeType

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ValidateOptChecksum Property

ClearImage COM Server
ValidateOptChecksum Property
See Also Send Feedback
CiBarcodePro Object : ValidateOptChecksum Property

Description

Enable validation of optional checksum

Property type

Read-write property

Syntax

Visual Basic
Public Property ValidateOptChecksum As EBoolean

Remarks

For Code 39 and for Interleaved 2 of 5 barcodes, this property, when set to true, requires verification of the checksum, according to the standard specifications of each symbology. The default value is false because, in practice, checksums are seldom used with these codes. For other symbologies the value of this property is ignored, because their checksums are either nonexistent or mandatory.

See Also

CiBarcodePro Object | CiBarcodePro Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcodes Collection

ClearImage COM Server
CiBarcodes Collection
See Also Members Send Feedback

Description

This collection of CiBarcode objects.Barcodes Class

Object Model

CiBarcodes CollectionCiBarcode Object

Remarks

Barcodes collection is generated by the Find, FirstBarcode, NextBarcode methods of barcode recognition objects

See Also

CiBarcodes Members | CiBarcodeBasic | CiBarcodePro | CiDataMatrix | CiPdf417 | CiBarcode

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiBarcodes Collection Members

ClearImage COM Server
CiBarcodes Collection Members
See Also Overview Send Feedback

Public Methods

Public Method Add | method Add
Public Method Remove | method Remove

Public Properties

Public Property _NewEnum |
Public Property Count |
Public Property Item | Barcode Item (1-based)

See Also

CiBarcodes Collection

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Add Method

ClearImage COM Server
Add Method
See Also Send Feedback
pVal
CiBarcodes Collection : Add Method

Description

method Add

Syntax

Visual Basic
Public Sub Add( _
   ByVal pVal As CiBarcode _
)

Parameters

pVal

See Also

CiBarcodes Collection | CiBarcodes Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Remove Method

ClearImage COM Server
Remove Method
See Also Send Feedback
n
CiBarcodes Collection : Remove Method

Description

method Remove

Syntax

Visual Basic
Public Function Remove( _
   ByVal n As Long _
) As CiBarcode

Parameters

n

See Also

CiBarcodes Collection | CiBarcodes Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


_NewEnum Property

ClearImage COM Server
_NewEnum Property
See Also Send Feedback
CiBarcodes Collection : _NewEnum Property

Property type

Read-only property

Syntax

Visual Basic
Public Property _NewEnum As Unknown

See Also

CiBarcodes Collection | CiBarcodes Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Count Property

ClearImage COM Server
Count Property
See Also Send Feedback
CiBarcodes Collection : Count Property

Property type

Read-only property

Syntax

Visual Basic
Public Property Count As Long

See Also

CiBarcodes Collection | CiBarcodes Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Item Property

ClearImage COM Server
Item Property
See Also Send Feedback
CiBarcodes Collection : Item Property

Description

Barcode Item (1-based)

Property type

Read-only property

Syntax

Visual Basic
Public Property Item As CiBarcode

See Also

CiBarcodes Collection | CiBarcodes Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiDataMatrix Object

ClearImage COM Server
CiDataMatrix Object
See Also Members Example Send Feedback

Description

DataMatrix barcodes recognition object

Object Model

CiDataMatrix ObjectCiBarcodes CollectionCiBarcode ObjectCiImage Object

Example

VB Example (Visual Basic) Copy Code
Public Function T_DataMatrixone(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiDataMatrix: Set Bc = Ci.CreateDataMatrix
  '  Open image from file
  Bc.Image.Open sFileName
  '  Configure barcode
  Bc.Algorithm = cibBestSpeed
  Bc.Directions = cibHorz
  '  Read barcode
  Dim Barcode As CiBarcode
  Set Barcode = Bc.FirstBarcode
  '  Process barcode
  If (Not Barcode Is Nothing) Then T_DisplayBarcode Barcode
End Function

Public Function T_DataMatrixall(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiDataMatrix: Set Bc = Ci.CreateDataMatrix
  '  Open image from file
  Bc.Image.Open sFileName
  '  Configure barcode
  Bc.Algorithm = cibBestRecognition
  Bc.Directions = cibHorz Or cibVert Or cibDiag
  '  Read barcode
  Dim Barcode As CiBarcode
  Bc.Find 0
  For Each Barcode In Bc.Barcodes
  '  Process barcode
    T_DisplayBarcode Barcode
  Next
End Function

See Also

CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiDataMatrix Object Members

ClearImage COM Server
CiDataMatrix Object Members
See Also Overview Send Feedback

Public Methods

Public Method Find | Find multiple barcodes
Public Method FirstBarcode | Find first barcode
Public Method NextBarcode | Find another barcode

Public Properties

Public Property Algorithm | Quality of barcode image
Public Property Barcodes | property Barcodes
Public Property DiagFlags | Barcode diagnostic flags
Public Property Directions | Directions of barcodes to recognizeDirections of barcodes to recognize
Public Property Encodings | Enable/disable barcode encoding analysis
Public Property Image | Image as CiImage object

See Also

CiDataMatrix Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Find Method

ClearImage COM Server
Find Method
See Also Send Feedback
MaxBarcodes
CiDataMatrix Object : Find Method

Description

Find multiple barcodes

Syntax

Visual Basic
Public Function Find( _
   Optional ByVal MaxBarcodes As Long = 0 _
) As Long

Parameters

MaxBarcodes

Return Type

Number of found barcodes.

Remarks

Method puts Barcode objects in Barcodes collection.

The default value of MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

ClearImage COM Server
FirstBarcode Method
See Also Send Feedback
CiDataMatrix Object : FirstBarcode Method

Description

Find first barcode

Syntax

Visual Basic
Public Function FirstBarcode() As CiBarcode

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

ClearImage COM Server
NextBarcode Method
See Also Send Feedback
CiDataMatrix Object : NextBarcode Method

Description

Find another barcode

Syntax

Visual Basic
Public Function NextBarcode() As CiBarcode

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

ClearImage COM Server
Algorithm Property
See Also Send Feedback
CiDataMatrix Object : Algorithm Property

Description

Quality of barcode image

Property type

Read-write property

Syntax

Visual Basic
Public Property Algorithm As EBarcodeAlgorithm

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

ClearImage COM Server
Barcodes Property
See Also Send Feedback
CiDataMatrix Object : Barcodes Property

Description

property Barcodes

Property type

Read-only property

Syntax

Visual Basic
Public Property Barcodes As CiBarcodes

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

ClearImage COM Server
DiagFlags Property
See Also Send Feedback
CiDataMatrix Object : DiagFlags Property

Description

Barcode diagnostic flags

Property type

Read-write property

Syntax

Visual Basic
Public Property DiagFlags As FBarcodeDiag

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Directions Property

ClearImage COM Server
Directions Property
See Also Send Feedback
CiDataMatrix Object : Directions Property

Description

Directions of barcodes to recognizeDirections of barcodes to recognize

Property type

Read-write property

Syntax

Visual Basic
Public Property Directions As FBarcodeDirections

Remarks

If the orientation of the symbols is known in advance, set this parameter to correct orientation, in order to accelerate the recognition process. Diagonal search is the slowest, whereas Vertical and Horizontal are faster.

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Encodings Property

ClearImage COM Server
Encodings Property
See Also Example Send Feedback
CiDataMatrix Object : Encodings Property

Description

Enable/disable barcode encoding analysis

Property type

Read-write property

Syntax

Visual Basic
Public Property Encodings As EBarcodeEncoding

Remarks

Set this property to enable automatic decoding/decompression of barcode value. If compression is known set specific EBarcodeEncoding value. Alternatively OR all expected values. Default value is ebeNone.

After barcode reading detected encoding/compression is set in %CiBarcode.Encoding:ClearImage~CiBarcode~Encoding% property.

Example

VB Example (Visual Basic) Copy Code
Public Function T_DM_Decompress(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiDataMatrix: Set Bc = Ci.CreateDataMatrix
  ' Open image from file
  Bc.Image.Open sFileName
  ' Configure barcode
  Bc.Algorithm = cibBestRecognition
  Bc.Directions = cibHorz
   ' Try to decompress barcode value created using Inlite or Adobe compression
  Bc.Encodings =  ebeCompressionV1 Or ebeCompressionA1
  ' Read barcode
  Dim Barcode As CiBarcode
  Set Barcode = Bc.FirstBarcode
  ' Process barcode
  If (Not Barcode Is Nothing) Then
    '  Use detected compression:
    T_DisplayEncoding Barcode.Encoding
    T_DisplayBarcode Barcode
  End If
End Function

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Image Property

ClearImage COM Server
Image Property
See Also Send Feedback
CiDataMatrix Object : Image Property

Description

Image as CiImage object

Property type

Read-write property

Syntax

Visual Basic
Public Property Image As CiImage

See Also

CiDataMatrix Object | CiDataMatrix Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiImage Object

ClearImage COM Server
CiImage Object
See Also Members Send Feedback

Description

Image object

Object Model

CiImage ObjectCiImage ObjectCiPdf ObjectCiRect Object

See Also

CiImage Members | Image Memory | Image Formats | Image and Zones

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiImage Object Members

ClearImage COM Server
CiImage Object Members
See Also Overview Send Feedback

Public Methods

Public Method Append | Append image to file
Public Method Clear | Set all pixels to white
Public Method Close | Close image
Public Method Copy | Copy image to another image
Public Method CopyToClipboard | Copy image to clipboard
Public Method Create | Create a Bitonal image
Public Method CreateBpp | Create an image (bpp = 1, 8, 24)
Public Method CreateZone | Create new Zone within image
Public Method CreateZoneRect | Create new Zone within image
Public Method Crop | Crop rectangle
Public Method Duplicate | Create a duplicate of this CiImage object
Public Method Flip | Rotate image upside down
Public Method FlipHorz | Rotate image upside downFlip image around horizontal axis
Public Method FlipVert | Rotate image upside downFlip image around vertical axis
Public Method Invert | Invert image pixels
Public Method LoadFromMemory | Load image bits from image memory
Public Method Open | Create image from image file
Public Method OpenFromBitmap | Create image from Windows Bitmap
Public Method OpenFromClipboard | Create image from Clipboard
Public Method RotateLeft | Rotate image upside downRotate image to the left
Public Method RotateRight | Rotate image upside downRotate image to the right
Public Method Save | Save image into its image file
Public Method SaveAs | Save image in new file
Public Method SaveToBitmap | Copy image to new Windows Bitmap
Public Method SaveToDIB | Copy image to new Windows DIB
Public Method SaveToMemory | Copy image bits to image memory
Public Method ToBitonal | method ToBitonal
Public Method ToGrayscale | method ToGrayscale

Public Properties

Public Property BitsPerPixel | Number of bits to store each pixel
Public Property FileName | Image file name
Public Property Format | Image file format
Public Property Height | Image height in pixels
Public Property HorzDpi | Horizontal resolution in dots-per-inch
Public Property IsModified | Image was modified flag
Public Property IsValid | Image is opened
Public Property IsZone | Object represents a zone on another image
Public Property JpegQuality | Quality of Jpeg Compression 0-100
Public Property LineBytes | Image memory line width in bytes
Public Property PageCount | Number of pages in image file
Public Property PageNumber | Image page number in image file
Public Property Parent | Object containing image memory of this object
Public Property pComprBitonal | TIFF/PDF Compression to save Bitonal image
Public Property pComprColor | TIFF/PDF Compression to save Color/GS image
Public Property Pdf | property Pdf
Public Property VertDpi | Vertical resolution in dots-per-inch
Public Property Width | Image width in pixels
Public Property Zone | Current zone coordinates

See Also

CiImage Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Append Method

ClearImage COM Server
Append Method
See Also Example Send Feedback
FileName
Format
Only formats starting with ciTIFF or cifPDF are valid. Default values are ciTIFF_G4 for Bi-tonal images and ciTIFF_LZW for Color and Grayscale images.
CiImage Object : Append Method

Description

Append image to file

Syntax

Visual Basic
Public Sub Append( _
   ByVal FileName As String, _
   Optional ByVal Format As EFileFormat = ciTIFF_G4 _
)

Parameters

FileName
Format
Value | Description
ciBMP | BMP format. bpp= 1, 8, 24
ciEXT | Format is based on file name extension
cifICL | Image Cash Letter format. bpp=1,8,24
cifPDF | PDF Format. bpp=1,8,24
ciGIF | GIF format. bpp= 1, 8, 24. Read only
ciICO | Windows icon format, 255x255 max. bpp=8, 24
ciJBG | JBIG format. bpp=1. Read only
ciJP2 | JPEG-2000 format. bpp=8, 24
ciJPC | JPEG 2000 Code stream. bpp=8
ciJPG | JPEG format. bpp=8, 24
ciPCX | PCX format. bpp= 1, 8, 24
ciPGX | JPEG-2000 verification model. bpp=8
ciPNG | Portable Network Graphic format. bpp= 1, 8, 24
ciPNM | Portable aNyMap format. bpp=8
ciTGA | Targa format. bpp=8, 24
ciTIFF | Uncompressed TIFF format. bpp= 1, 8, 24
ciTIFF_G3_1D | TIFF Group3 compression, bpp=1
ciTIFF_G4 | TIFF Group 4 compression, bpp=1
ciTIFF_JPEG | TIFF JPEG compression, bpp=8, 24
ciTIFF_LZW
ciTIFF_NEOL | TIFF No-end-of-line compression, bpp=1
ciWBMP | Wireless Bitmap format, 255x255 max. bpp=1
Only formats starting with ciTIFF or cifPDF are valid. Default values are ciTIFF_G4 for Bi-tonal images and ciTIFF_LZW for Color and Grayscale images.

Remarks

File is created if it does not exist. Existing file should be in TIFF format.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageFile(ByRef Img As CiImage, sFileName)
  Dim ImgZone As CiImage
  Dim sMulti: sMulti = "c:\tMulti.tif"
  Dim sZone: sZone = "c:\tZone.tif"
  Dim sSingle: sSingle = "c:\tSingle.tif"
    ' Open test
  Img.Open sFileName
    T_ImageInfo Img

    ' Save multi-page TIFF
  DeleteFile sMulti
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                                Img.Width * 2 / 3, Img.Height * 2 / 3)
  Img.Append sMulti
    T_ImageInfo Img
    ImgZone.Invert:
    T_ImageInfo Img
  ImgZone.Append sMulti
    T_ImageInfo Img
  Img.Append sMulti
    Img.Invert
  Img.Append sMulti
  ImgZone.Append sMulti
    T_ImageInfo Img
    ' Open page
  Img.Open sMulti, 3
    Img.Invert
    T_ImageInfo Img
    ' Save test.  Save modified page to multi-page TIFF
  Img.Save
    T_ImageInfo Img
    ' Save as Zone Test
    Img.Invert
  ImgZone.SaveAs sZone
    T_ImageInfo Img
    ' Save as Test
  Img.SaveAs sSingle
    T_ImageInfo Img
End Sub

Public Sub T_ImageInfo(ByRef Img As CiImage)
  Debug.Print "Image #" & Img.Handle & "  File='" & Img.FileName & "'" & _
              "   Width=" & Img.Width & "   Height=" & Img.Height
  Debug.Print "  HorzDpi=" & Img.HorzDpi & "dpi   VertDpi=" & Img.VertDpi & "dpi" & _
              "  Page=" & Img.PageNumber & "  Page Count =" & Img.PageCount & _
              "  Format:=" & Img.Format & _
              IIf(Img.IsModified, "  MODIFIED", "")
End Sub
Process Multi-page file (Visual Basic) Copy Code
Public Sub T_MultiPageFile(ByRef Img As CiImage, sFileName As String)
  Dim nPage, nPageCount
  Img.Open sFileName
  nPageCount = Img.PageCount
    ' for each page
  For nPage = 1 To nPageCount
    Img.Open sFileName, nPage
        '  Process  image page
        '  ==== Read barcodes
        '     Set BarcodePro.Image = Img
        '     BarcodePro.Find 0
        '     ' process barcodes
        '  ==== Repair image
        '     Set Repair.Image = Img
        '     Repair.AutoDeskew
        '     Img.Append sFileOut ' save
  Next
End Sub

See Also

CiImage Object | CiImage Members | Open | Save | SaveAs | Append

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Clear Method

ClearImage COM Server
Clear Method
See Also Example Send Feedback
CiImage Object : Clear Method

Description

Set all pixels to white

Syntax

Visual Basic
Public Sub Clear()

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageMisc(ByRef Img As CiImage)
  Dim Img1 As CiImage, ImgZone As CiImage
    ' Invert test
  Img.Invert
    ' Duplicate test
  Set Img1 = Img.Duplicate
  Set ImgZone = Img1.CreateZone(Img.Width / 3, Img.Height / 3, _
                Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Clear test
  ImgZone.Clear
    ' Copy Test
  Img.Copy Img1
End Sub

See Also

CiImage Object | CiImage Members | Clear | Invert | Duplicate | Copy

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Close Method

ClearImage COM Server
Close Method
See Also Send Feedback
CiImage Object : Close Method

Description

Close image

Syntax

Visual Basic
Public Sub Close()

Remarks

Frees memory buffer associated with CiImage object. All following operations that require valid image will generate an error.

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Copy Method

ClearImage COM Server
Copy Method
See Also Example Send Feedback
ImageFrom
CiImage Object : Copy Method

Description

Copy image to another image

Syntax

Visual Basic
Public Sub Copy( _
   ByVal ImageFrom As CiImage _
)

Parameters

ImageFrom

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageMisc(ByRef Img As CiImage)
  Dim Img1 As CiImage, ImgZone As CiImage
    ' Invert test
  Img.Invert
    ' Duplicate test
  Set Img1 = Img.Duplicate
  Set ImgZone = Img1.CreateZone(Img.Width / 3, Img.Height / 3, _
                Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Clear test
  ImgZone.Clear
    ' Copy Test
  Img.Copy Img1
End Sub

See Also

CiImage Object | CiImage Members | Clear | Invert | Duplicate | Copy

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CopyToClipboard Method

ClearImage COM Server
CopyToClipboard Method
See Also Example Send Feedback
CiImage Object : CopyToClipboard Method

Description

Copy image to clipboard

Syntax

Visual Basic
Public Sub CopyToClipboard()

Remarks

CF_BITMAP and CF_DIB formats copied to clipboard.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Clipboard(ByRef Img As CiImage)
  Img.CopyToClipboard
  Img.OpenFromClipboard
End Sub

See Also

CiImage Object | CiImage Members | CopyToClipboard | OpenFromClipboard

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Create Method

ClearImage COM Server
Create Method
See Also Send Feedback
Width
Height
CiImage Object : Create Method

Description

Create a Bitonal image

Syntax

Visual Basic
Public Sub Create( _
   ByVal Width As Long, _
   ByVal Height As Long _
)

Parameters

Width
Height

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Use %CreateBpp:ClearImage~CiImage~CreateBpp% to create an image object for color or grayscale

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateBpp Method

ClearImage COM Server
CreateBpp Method
See Also Send Feedback
Width
Height
BitsPerPixel
CiImage Object : CreateBpp Method

Description

Create an image (bpp = 1, 8, 24)

Syntax

Visual Basic
Public Sub CreateBpp( _
   ByVal Width As Long, _
   ByVal Height As Long, _
   ByVal BitsPerPixel As Long _
)

Parameters

Width
Height
BitsPerPixel

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateZone Method

ClearImage COM Server
CreateZone Method
See Also Example Send Feedback
left
top
right
bottom
CiImage Object : CreateZone Method

Description

Create new Zone within image

Syntax

Visual Basic
Public Function CreateZone( _
   Optional ByVal left As Long = 0, _
   Optional ByVal top As Long = 0, _
   Optional ByVal right As Long = 0, _
   Optional ByVal bottom As Long = 0 _
) As CiImage

Parameters

left
top
right
bottom

Remarks

The zone's rectangle object should have valid coordinates (right greater than left and bottom greater than top); otherwise the zone is considered empty (object.Zone.IsEmpty returns True.) Invocation of ClearImage methods with an empty zone will generate an error.

Coordinates are inclusive, meaning pixels belonging to left and top row, top and bottom columns belong to a zone.
Minimum width and height of zone are 2 pixels.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Zone(ByRef Img As CiImage)
    ' Create zone on image
  Dim ImgZone As CiImage, ImgZone1 As CiImage
    ' Create zone
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                               Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Inverts zo1ne
  ImgZone.Invert
    ' Use CreateZoneRect to create another zone
  Set ImgZone1 = Img.CreateZoneRect(ImgZone.Zone)
    ' Use Zone property to expand zone
  ImgZone1.Zone.left = ImgZone1.Zone.left - 100
  ImgZone1.Zone.right = ImgZone1.Zone.right + 100
  ImgZone1.Zone.top = ImgZone1.Zone.top - 50
  ImgZone1.Zone.bottom = ImgZone1.Zone.bottom + 50
    ' Inverts expanded zone
  ImgZone1.Invert
    ' Use IsZone property
  Debug.Print "Img is '" & IIf(Img.IsZone, "zone", "image") & "' object"
  Debug.Print "ImgZone1 is '" & IIf(ImgZone1.IsZone, "zone", "image") & "' object"
    ' Use Parent property
  If (Not ImgZone1.Parent.IsZone) Then
    ImgZone1.Parent.Invert
  End If
End Sub

See Also

CiImage Object | CiImage Members | CreateZone | CreateZoneRect | IsZone | Zone | Parent

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateZoneRect Method

ClearImage COM Server
CreateZoneRect Method
See Also Example Send Feedback
Rect
CiImage Object : CreateZoneRect Method

Description

Create new Zone within image

Syntax

Visual Basic
Public Function CreateZoneRect( _
   ByVal Rect As CiRect _
) As CiImage

Parameters

Rect

Remarks

Coordinates are inclusive, meaning pixels belonging to left and top row, top and bottom columns belong to a zone.
Minimum width and height of zone are 2 pixels.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Zone(ByRef Img As CiImage)
    ' Create zone on image
  Dim ImgZone As CiImage, ImgZone1 As CiImage
    ' Create zone
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                               Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Inverts zo1ne
  ImgZone.Invert
    ' Use CreateZoneRect to create another zone
  Set ImgZone1 = Img.CreateZoneRect(ImgZone.Zone)
    ' Use Zone property to expand zone
  ImgZone1.Zone.left = ImgZone1.Zone.left - 100
  ImgZone1.Zone.right = ImgZone1.Zone.right + 100
  ImgZone1.Zone.top = ImgZone1.Zone.top - 50
  ImgZone1.Zone.bottom = ImgZone1.Zone.bottom + 50
    ' Inverts expanded zone
  ImgZone1.Invert
    ' Use IsZone property
  Debug.Print "Img is '" & IIf(Img.IsZone, "zone", "image") & "' object"
  Debug.Print "ImgZone1 is '" & IIf(ImgZone1.IsZone, "zone", "image") & "' object"
    ' Use Parent property
  If (Not ImgZone1.Parent.IsZone) Then
    ImgZone1.Parent.Invert
  End If
End Sub

See Also

CiImage Object | CiImage Members | CreateZone | CreateZoneRect | IsZone | Zone | Parent

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Crop Method

ClearImage COM Server
Crop Method
See Also Send Feedback
left
top
right
bottom
CiImage Object : Crop Method

Description

Crop rectangle

Syntax

Visual Basic
Public Sub Crop( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
top
right
bottom

Remarks

Image is cropped to the size of cropping rectangle. left, top define upper left corner coordinates of cropping rectangle. right, bottom define lower right corner of cropping rectangle. The coordinates should be valid (right greater than left and bottom greater than top); otherwise error is generated.

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Duplicate Method

ClearImage COM Server
Duplicate Method
See Also Example Send Feedback
CiImage Object : Duplicate Method

Description

Create a duplicate of this CiImage object

Syntax

Visual Basic
Public Function Duplicate() As CiImage

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageMisc(ByRef Img As CiImage)
  Dim Img1 As CiImage, ImgZone As CiImage
    ' Invert test
  Img.Invert
    ' Duplicate test
  Set Img1 = Img.Duplicate
  Set ImgZone = Img1.CreateZone(Img.Width / 3, Img.Height / 3, _
                Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Clear test
  ImgZone.Clear
    ' Copy Test
  Img.Copy Img1
End Sub

See Also

CiImage Object | CiImage Members | Clear | Invert | Duplicate | Copy

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Flip Method

ClearImage COM Server
Flip Method
See Also Example Send Feedback
CiImage Object : Flip Method

Description

Rotate image upside down

Syntax

Visual Basic
Public Sub Flip()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Example

Image rotations
VB Example (Visual Basic) Copy Code
Private Sub T_ImageRotate(ByRef Img As CiImage)
  Img.RotateLeft
  Img.RotateRight
  Img.Flip
  Img.FlipHorz
  Img.FlipVert
End Sub

See Also

CiImage Object | CiImage Members | Flip | FlipVert | FlipHorz | RotateLeft | RotateRight

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FlipHorz Method

ClearImage COM Server
FlipHorz Method
See Also Example Send Feedback
CiImage Object : FlipHorz Method

Description

Rotate image upside downFlip image around horizontal axis

Syntax

Visual Basic
Public Sub FlipHorz()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Example

Image rotations
VB Example (Visual Basic) Copy Code
Private Sub T_ImageRotate(ByRef Img As CiImage)
  Img.RotateLeft
  Img.RotateRight
  Img.Flip
  Img.FlipHorz
  Img.FlipVert
End Sub

See Also

CiImage Object | CiImage Members | Flip | FlipVert | FlipHorz | RotateLeft | RotateRight

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FlipVert Method

ClearImage COM Server
FlipVert Method
See Also Example Send Feedback
CiImage Object : FlipVert Method

Description

Rotate image upside downFlip image around vertical axis

Syntax

Visual Basic
Public Sub FlipVert()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Example

Image rotations
VB Example (Visual Basic) Copy Code
Private Sub T_ImageRotate(ByRef Img As CiImage)
  Img.RotateLeft
  Img.RotateRight
  Img.Flip
  Img.FlipHorz
  Img.FlipVert
End Sub

See Also

CiImage Object | CiImage Members | Flip | FlipVert | FlipHorz | RotateLeft | RotateRight

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Invert Method

ClearImage COM Server
Invert Method
See Also Example Send Feedback
CiImage Object : Invert Method

Description

Invert image pixels

Syntax

Visual Basic
Public Sub Invert()

Remarks

For Color and Grayscale images, inversion means the 1's complement values are calculated for each byte of the image.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageMisc(ByRef Img As CiImage)
  Dim Img1 As CiImage, ImgZone As CiImage
    ' Invert test
  Img.Invert
    ' Duplicate test
  Set Img1 = Img.Duplicate
  Set ImgZone = Img1.CreateZone(Img.Width / 3, Img.Height / 3, _
                Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Clear test
  ImgZone.Clear
    ' Copy Test
  Img.Copy Img1
End Sub

See Also

CiImage Object | CiImage Members | Clear | Invert | Duplicate | Copy

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


LoadFromMemory Method

ClearImage COM Server
LoadFromMemory Method
See Also Example Send Feedback
pData
CiImage Object : LoadFromMemory Method

Description

Load image bits from image memory

Syntax

Visual Basic
Public Sub LoadFromMemory( _
   ByVal pData As Variant _
)

Parameters

pData

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

The structure of image memory is:

  • Lines are stored starting from the top line of the image.
  • Each row should be at least object.LineBytes long
  • Minimum size of image memory should be:
    ImageBytes = object.Height * object.LineBytes
  • If bytes extend beyond image boundary, extra bytes are ignored.

The structure of image memory for a buffer of a Bitonal image is:

  • Each byte represents 8 pixels with the most significant bit corresponding to the leftmost pixel.
  • Zero value of the bit is treated as black pixel.

The structure of image memory for a buffer of a Grayscale image is:

  • Each byte represents an image pixel
  • Byte value represents pixel intensity with 0x00 for black pixel and 0xFF for white pixel

The structure of image memory for a buffer of a Color image is:

  • Each image pixel is represented by 3 bytes
  • 3-Byte value represents RGB color of a pixel with 0x000000 for black pixel and 0xFFFFFF for white pixel

Example

VBExample (Visual Basic) Copy Code
Public Sub T_LoadFromMemory(ByRef Image As CiImage, _
        Width, Height, Mem() As Byte)
  Image.Create Width, Height
  Image.LoadFromMemory Mem
End Sub
C++ Example (C++) Copy Code
bool MemoryToImage (ICiImagePtr &Image, long w, long h, long bpp, char *pSrc, long nSize)
    {
    bool bRet = false;
    _variant_t v;
    SAFEARRAY* psa;
    char *pByte = NULL;
    SAFEARRAYBOUND bounds  = {nSize, 0};
    Image->CreateBpp (w, h, bpp);
    psa = SafeArrayCreate (VT_UI1, 1, &bounds);
    if (!psa)
        goto EXIT;
        // Transfer data into safearray
    SafeArrayAccessData (psa, reinterpret_cast <void **> (&pByte));
    memcpy (pByte, pSrc, nSize);
    SafeArrayUnaccessData (psa);
        // Put safearray into variant
    v.vt = VT_ARRAY | VT_UI1;
    v.parray = psa;
        // Load variant data into image
    Image->LoadFromMemory(v);
    bRet = true;
EXIT:
    return bRet;
    }

See Also

CiImage Object | CiImage Members | LoadFromMemory | SaveToMemory

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Open Method

ClearImage COM Server
Open Method
See Also Example Send Feedback
FileName
PageNumber
Default value is 1.
CiImage Object : Open Method

Description

Create image from image file

Syntax

Visual Basic
Public Sub Open( _
   ByVal FileName As String, _
   Optional ByVal PageNumber As Long = 1 _
)

Parameters

FileName
PageNumber
Default value is 1.

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

This method reads the following image file formats:

  • Bitonal: TIFF, PCX, BMP, PDF
  • Color and Grayscale: TIFF, BMP, PDF, WMF, JPEG, Targa, PCX, and PICT.

Multi Page TIFF and PDF image files are supported. See EFileFormat for list of supported formats.
PDF read requires CiPdf license.

Additional formats might be supported. Review current specification at www.inliteresearch.com or contact technical support support@inliteresearch.com

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageFile(ByRef Img As CiImage, sFileName)
  Dim ImgZone As CiImage
  Dim sMulti: sMulti = "c:\tMulti.tif"
  Dim sZone: sZone = "c:\tZone.tif"
  Dim sSingle: sSingle = "c:\tSingle.tif"
    ' Open test
  Img.Open sFileName
    T_ImageInfo Img

    ' Save multi-page TIFF
  DeleteFile sMulti
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                                Img.Width * 2 / 3, Img.Height * 2 / 3)
  Img.Append sMulti
    T_ImageInfo Img
    ImgZone.Invert:
    T_ImageInfo Img
  ImgZone.Append sMulti
    T_ImageInfo Img
  Img.Append sMulti
    Img.Invert
  Img.Append sMulti
  ImgZone.Append sMulti
    T_ImageInfo Img
    ' Open page
  Img.Open sMulti, 3
    Img.Invert
    T_ImageInfo Img
    ' Save test.  Save modified page to multi-page TIFF
  Img.Save
    T_ImageInfo Img
    ' Save as Zone Test
    Img.Invert
  ImgZone.SaveAs sZone
    T_ImageInfo Img
    ' Save as Test
  Img.SaveAs sSingle
    T_ImageInfo Img
End Sub

Public Sub T_ImageInfo(ByRef Img As CiImage)
  Debug.Print "Image #" & Img.Handle & "  File='" & Img.FileName & "'" & _
              "   Width=" & Img.Width & "   Height=" & Img.Height
  Debug.Print "  HorzDpi=" & Img.HorzDpi & "dpi   VertDpi=" & Img.VertDpi & "dpi" & _
              "  Page=" & Img.PageNumber & "  Page Count =" & Img.PageCount & _
              "  Format:=" & Img.Format & _
              IIf(Img.IsModified, "  MODIFIED", "")
End Sub
Process Multi-page file (Visual Basic) Copy Code
Public Sub T_MultiPageFile(ByRef Img As CiImage, sFileName As String)
  Dim nPage, nPageCount
  Img.Open sFileName
  nPageCount = Img.PageCount
    ' for each page
  For nPage = 1 To nPageCount
    Img.Open sFileName, nPage
        '  Process  image page
        '  ==== Read barcodes
        '     Set BarcodePro.Image = Img
        '     BarcodePro.Find 0
        '     ' process barcodes
        '  ==== Repair image
        '     Set Repair.Image = Img
        '     Repair.AutoDeskew
        '     Img.Append sFileOut ' save
  Next
End Sub

See Also

CiImage Object | CiImage Members | Open | Save | SaveAs | Append

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


OpenFromBitmap Method

ClearImage COM Server
OpenFromBitmap Method
See Also Example Send Feedback
hBitmap
CiImage Object : OpenFromBitmap Method

Description

Create image from Windows Bitmap

Syntax

Visual Basic
Public Sub OpenFromBitmap( _
   ByVal hBitmap As Long _
)

Parameters

hBitmap

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

hBitmap points either to a Windows Device Dependent Bitmap (DDB) or Device Independent Bitmap (DIB).

  • DDB should start with BITMAP structure.
  • DIB should start with BITMAPINFOHEADER structure.

hBitmap memory is not freed by this method. Use GlobalFree for DIB and DeleteObject for DDB to free memory.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Bitmap(ByRef Img As CiImage)
  Dim hBitmap
    '  DDB test
  hBitmap = Img.SaveToBitmap
  Img.Clear
  Img.OpenFromBitmap hBitmap
End Sub

Public Sub T_Dib(ByRef Img As CiImage)
  Dim hDib
    ' DIB test
  hDib = Img.SaveToDIB
  Img.Clear
  Img.OpenFromBitmap hDib
End Sub

See Also

CiImage Object | CiImage Members | SaveToBitmap | SaveToDIB | OpenFromBitmap

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


OpenFromClipboard Method

ClearImage COM Server
OpenFromClipboard Method
See Also Example Send Feedback
CiImage Object : OpenFromClipboard Method

Description

Create image from Clipboard

Syntax

Visual Basic
Public Sub OpenFromClipboard()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Clipboard must contain either a CF_BITMAP or a CF_DIB formatted image.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Clipboard(ByRef Img As CiImage)
  Img.CopyToClipboard
  Img.OpenFromClipboard
End Sub

See Also

CiImage Object | CiImage Members | CopyToClipboard | OpenFromClipboard

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


RotateLeft Method

ClearImage COM Server
RotateLeft Method
See Also Example Send Feedback
CiImage Object : RotateLeft Method

Description

Rotate image upside downRotate image to the left

Syntax

Visual Basic
Public Sub RotateLeft()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Example

Image rotations
VB Example (Visual Basic) Copy Code
Private Sub T_ImageRotate(ByRef Img As CiImage)
  Img.RotateLeft
  Img.RotateRight
  Img.Flip
  Img.FlipHorz
  Img.FlipVert
End Sub

See Also

CiImage Object | CiImage Members | Flip | FlipVert | FlipHorz | RotateLeft | RotateRight

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


RotateRight Method

ClearImage COM Server
RotateRight Method
See Also Example Send Feedback
CiImage Object : RotateRight Method

Description

Rotate image upside downRotate image to the right

Syntax

Visual Basic
Public Sub RotateRight()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Example

Image rotations
VB Example (Visual Basic) Copy Code
Private Sub T_ImageRotate(ByRef Img As CiImage)
  Img.RotateLeft
  Img.RotateRight
  Img.Flip
  Img.FlipHorz
  Img.FlipVert
End Sub

See Also

CiImage Object | CiImage Members | Flip | FlipVert | FlipHorz | RotateLeft | RotateRight

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Save Method

ClearImage COM Server
Save Method
See Also Example Send Feedback
CiImage Object : Save Method

Description

Save image into its image file

Syntax

Visual Basic
Public Sub Save()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

Method saves image using format specified in Format property. Some formats are "read-only" and are not supported by this method.

Some formats use lossy compression. Therefore saving image in such format will modify saved image.
Amount of JPEG compression is controlled by JpegQuality parameter.

Not each format supports all CiImage. BitsPerPixel values. Image is converted to the nearest supported BPP prior to saving.
For example Bitonal image is converted to Grayscale prior to saving using JPEG format. Resulting file image might have blocking effect, typical for JPEG lossy compression.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageFile(ByRef Img As CiImage, sFileName)
  Dim ImgZone As CiImage
  Dim sMulti: sMulti = "c:\tMulti.tif"
  Dim sZone: sZone = "c:\tZone.tif"
  Dim sSingle: sSingle = "c:\tSingle.tif"
    ' Open test
  Img.Open sFileName
    T_ImageInfo Img

    ' Save multi-page TIFF
  DeleteFile sMulti
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                                Img.Width * 2 / 3, Img.Height * 2 / 3)
  Img.Append sMulti
    T_ImageInfo Img
    ImgZone.Invert:
    T_ImageInfo Img
  ImgZone.Append sMulti
    T_ImageInfo Img
  Img.Append sMulti
    Img.Invert
  Img.Append sMulti
  ImgZone.Append sMulti
    T_ImageInfo Img
    ' Open page
  Img.Open sMulti, 3
    Img.Invert
    T_ImageInfo Img
    ' Save test.  Save modified page to multi-page TIFF
  Img.Save
    T_ImageInfo Img
    ' Save as Zone Test
    Img.Invert
  ImgZone.SaveAs sZone
    T_ImageInfo Img
    ' Save as Test
  Img.SaveAs sSingle
    T_ImageInfo Img
End Sub

Public Sub T_ImageInfo(ByRef Img As CiImage)
  Debug.Print "Image #" & Img.Handle & "  File='" & Img.FileName & "'" & _
              "   Width=" & Img.Width & "   Height=" & Img.Height
  Debug.Print "  HorzDpi=" & Img.HorzDpi & "dpi   VertDpi=" & Img.VertDpi & "dpi" & _
              "  Page=" & Img.PageNumber & "  Page Count =" & Img.PageCount & _
              "  Format:=" & Img.Format & _
              IIf(Img.IsModified, "  MODIFIED", "")
End Sub
Process Multi-page file (Visual Basic) Copy Code
Public Sub T_MultiPageFile(ByRef Img As CiImage, sFileName As String)
  Dim nPage, nPageCount
  Img.Open sFileName
  nPageCount = Img.PageCount
    ' for each page
  For nPage = 1 To nPageCount
    Img.Open sFileName, nPage
        '  Process  image page
        '  ==== Read barcodes
        '     Set BarcodePro.Image = Img
        '     BarcodePro.Find 0
        '     ' process barcodes
        '  ==== Repair image
        '     Set Repair.Image = Img
        '     Repair.AutoDeskew
        '     Img.Append sFileOut ' save
  Next
End Sub

See Also

CiImage Object | CiImage Members | Open | Save | SaveAs | Append

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


SaveAs Method

ClearImage COM Server
SaveAs Method
See Also Example Send Feedback
FileName
Format
Default value ciEXT
CiImage Object : SaveAs Method

Description

Save image in new file

Syntax

Visual Basic
Public Sub SaveAs( _
   ByVal FileName As String, _
   Optional ByVal Format As EFileFormat = ciEXT _
)

Parameters

FileName
Format
Value | Description
ciBMP | BMP format. bpp= 1, 8, 24
ciEXT | Format is based on file name extension
cifICL | Image Cash Letter format. bpp=1,8,24
cifPDF | PDF Format. bpp=1,8,24
ciGIF | GIF format. bpp= 1, 8, 24. Read only
ciICO | Windows icon format, 255x255 max. bpp=8, 24
ciJBG | JBIG format. bpp=1. Read only
ciJP2 | JPEG-2000 format. bpp=8, 24
ciJPC | JPEG 2000 Code stream. bpp=8
ciJPG | JPEG format. bpp=8, 24
ciPCX | PCX format. bpp= 1, 8, 24
ciPGX | JPEG-2000 verification model. bpp=8
ciPNG | Portable Network Graphic format. bpp= 1, 8, 24
ciPNM | Portable aNyMap format. bpp=8
ciTGA | Targa format. bpp=8, 24
ciTIFF | Uncompressed TIFF format. bpp= 1, 8, 24
ciTIFF_G3_1D | TIFF Group3 compression, bpp=1
ciTIFF_G4 | TIFF Group 4 compression, bpp=1
ciTIFF_JPEG | TIFF JPEG compression, bpp=8, 24
ciTIFF_LZW
ciTIFF_NEOL | TIFF No-end-of-line compression, bpp=1
ciWBMP | Wireless Bitmap format, 255x255 max. bpp=1
Default value ciEXT

Remarks

This method saves the following image file formats:

  • Bitonal: TIFF, PCX, BMP
  • Color and Grayscale: TIFF, BMP, WMF, JPEG, Targa, PCX, and PICT.

If Format=ciEXT, then the format is derived from file extension of the FileName parameter.

See EFileFormat for list of supported formats. Some formats are "read-only" and are not supported by this method.

Additional formats might be supported. Review current specification at www.inliteresearch.com or contact technical support support@inliteresearch.com

Some formats use lossy compression. Saving images with those compression methods will modify the saved image as compared to the original image. For JPEG, the amount of JPEG compression is controlled by the JpegQuality parameter.

Not all formats support the range of CiImage. BitsPerPixel values. Prior to being saved, the image is converted to the nearest supported BPP of that particular format. For example, a bitonal image is converted to Grayscale prior to saving as a JPEG format. The saved file image may show severe blocking effects, typical of JPEG. Similarly a Color or Grayscale image is converted to bitonal prior to being saved as a TIFF format.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ImageFile(ByRef Img As CiImage, sFileName)
  Dim ImgZone As CiImage
  Dim sMulti: sMulti = "c:\tMulti.tif"
  Dim sZone: sZone = "c:\tZone.tif"
  Dim sSingle: sSingle = "c:\tSingle.tif"
    ' Open test
  Img.Open sFileName
    T_ImageInfo Img

    ' Save multi-page TIFF
  DeleteFile sMulti
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                                Img.Width * 2 / 3, Img.Height * 2 / 3)
  Img.Append sMulti
    T_ImageInfo Img
    ImgZone.Invert:
    T_ImageInfo Img
  ImgZone.Append sMulti
    T_ImageInfo Img
  Img.Append sMulti
    Img.Invert
  Img.Append sMulti
  ImgZone.Append sMulti
    T_ImageInfo Img
    ' Open page
  Img.Open sMulti, 3
    Img.Invert
    T_ImageInfo Img
    ' Save test.  Save modified page to multi-page TIFF
  Img.Save
    T_ImageInfo Img
    ' Save as Zone Test
    Img.Invert
  ImgZone.SaveAs sZone
    T_ImageInfo Img
    ' Save as Test
  Img.SaveAs sSingle
    T_ImageInfo Img
End Sub

Public Sub T_ImageInfo(ByRef Img As CiImage)
  Debug.Print "Image #" & Img.Handle & "  File='" & Img.FileName & "'" & _
              "   Width=" & Img.Width & "   Height=" & Img.Height
  Debug.Print "  HorzDpi=" & Img.HorzDpi & "dpi   VertDpi=" & Img.VertDpi & "dpi" & _
              "  Page=" & Img.PageNumber & "  Page Count =" & Img.PageCount & _
              "  Format:=" & Img.Format & _
              IIf(Img.IsModified, "  MODIFIED", "")
End Sub
Process Multi-page file (Visual Basic) Copy Code
Public Sub T_MultiPageFile(ByRef Img As CiImage, sFileName As String)
  Dim nPage, nPageCount
  Img.Open sFileName
  nPageCount = Img.PageCount
    ' for each page
  For nPage = 1 To nPageCount
    Img.Open sFileName, nPage
        '  Process  image page
        '  ==== Read barcodes
        '     Set BarcodePro.Image = Img
        '     BarcodePro.Find 0
        '     ' process barcodes
        '  ==== Repair image
        '     Set Repair.Image = Img
        '     Repair.AutoDeskew
        '     Img.Append sFileOut ' save
  Next
End Sub

See Also

CiImage Object | CiImage Members | Open | Save | SaveAs | Append

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


SaveToBitmap Method

ClearImage COM Server
SaveToBitmap Method
See Also Example Send Feedback
CiImage Object : SaveToBitmap Method

Description

Copy image to new Windows Bitmap

Syntax

Visual Basic
Public Function SaveToBitmap() As Long

Remarks

Creates Windows Device Dependent Bitmap (DDB). DDB starts with BITMAP structure. To release DDB created by this function use DeleteObject

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Bitmap(ByRef Img As CiImage)
  Dim hBitmap
    '  DDB test
  hBitmap = Img.SaveToBitmap
  Img.Clear
  Img.OpenFromBitmap hBitmap
End Sub

Public Sub T_Dib(ByRef Img As CiImage)
  Dim hDib
    ' DIB test
  hDib = Img.SaveToDIB
  Img.Clear
  Img.OpenFromBitmap hDib
End Sub

See Also

CiImage Object | CiImage Members | SaveToBitmap | SaveToDIB | OpenFromBitmap

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


SaveToDIB Method

ClearImage COM Server
SaveToDIB Method
See Also Example Send Feedback
CiImage Object : SaveToDIB Method

Description

Copy image to new Windows DIB

Syntax

Visual Basic
Public Function SaveToDIB() As Long

Remarks

Creates Device Independent Bitmap (DIB). DIB starts with BITMAPINFOHEADER structure. To release DIB created by this function use GlobalFree (hDib)

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Bitmap(ByRef Img As CiImage)
  Dim hBitmap
    '  DDB test
  hBitmap = Img.SaveToBitmap
  Img.Clear
  Img.OpenFromBitmap hBitmap
End Sub

Public Sub T_Dib(ByRef Img As CiImage)
  Dim hDib
    ' DIB test
  hDib = Img.SaveToDIB
  Img.Clear
  Img.OpenFromBitmap hDib
End Sub

See Also

CiImage Object | CiImage Members | SaveToBitmap | SaveToDIB | OpenFromBitmap

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


SaveToMemory Method

ClearImage COM Server
SaveToMemory Method
See Also Example Send Feedback
CiImage Object : SaveToMemory Method

Description

Copy image bits to image memory

Syntax

Visual Basic
Public Function SaveToMemory() As Variant

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

The structure of image memory is:

  • Lines are stored starting from the top line of the image.
  • Each row should be at least object.LineBytes long
  • Minimum size of image memory should be:
    ImageBytes = object.Height * object.LineBytes
  • If bytes extend beyond image boundary, extra bytes are ignored.

The structure of image memory for a buffer of a Bitonal image is:

  • Each byte represents 8 pixels with the most significant bit corresponding to the leftmost pixel.
  • Zero value of the bit is treated as black pixel.

The structure of image memory for a buffer of a Grayscale image is:

  • Each byte represents an image pixel
  • Byte value represents pixel intensity with 0x00 for black pixel and 0xFF for white pixel

The structure of image memory for a buffer of a Color image is:

  • Each image pixel is represented by 3 bytes
  • 3-Byte value represents RGB color of a pixel with 0x000000 for black pixel and 0xFFFFFF for white pixel

Example

VB Example (Visual Basic) Copy Code
Public Function T_SaveToMemory(ByRef Image As CiImage)
  T_SaveToMemory = Image.SaveToMemory
End Function

See Also

CiImage Object | CiImage Members | LoadFromMemory | SaveToMemory

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ToBitonal Method

ClearImage COM Server
ToBitonal Method
See Also Send Feedback
CiImage Object : ToBitonal Method

Description

method ToBitonal

Syntax

Visual Basic
Public Sub ToBitonal()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ToGrayscale Method

ClearImage COM Server
ToGrayscale Method
See Also Send Feedback
CiImage Object : ToGrayscale Method

Description

method ToGrayscale

Syntax

Visual Basic
Public Sub ToGrayscale()

Remarks

!MISSING PHRASE '_ZONEFAIL_IMG'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


BitsPerPixel Property

ClearImage COM Server
BitsPerPixel Property
See Also Send Feedback
CiImage Object : BitsPerPixel Property

Description

Number of bits to store each pixel

Property type

Read-only property

Syntax

Visual Basic
Public Property BitsPerPixel As Long

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FileName Property

ClearImage COM Server
FileName Property
See Also Send Feedback
CiImage Object : FileName Property

Description

Image file name

Property type

Read-only property

Syntax

Visual Basic
Public Property FileName As String

Remarks

FileName, Format, PageNumber, and PageCount properties are valid if:

1. Image file is opened using object.Open method, or

2. Image is saved using object.SaveAs or object.Append methods

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Format Property

ClearImage COM Server
Format Property
See Also Send Feedback
CiImage Object : Format Property

Description

Image file format

Property type

Read-only property

Syntax

Visual Basic
Public Property Format As EFileFormat

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!
See ImageFormats for a description of how image color formats relate to the file input and output formats.

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Height Property

ClearImage COM Server
Height Property
See Also Send Feedback
CiImage Object : Height Property

Description

Image height in pixels

Property type

Read-only property

Syntax

Visual Basic
Public Property Height As Long

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


HorzDpi Property

ClearImage COM Server
HorzDpi Property
See Also Send Feedback
CiImage Object : HorzDpi Property

Description

Horizontal resolution in dots-per-inch

Property type

Read-write property

Syntax

Visual Basic
Public Property HorzDpi As Long

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


IsModified Property

ClearImage COM Server
IsModified Property
See Also Send Feedback
CiImage Object : IsModified Property

Description

Image was modified flag

Property type

Read-only property

Syntax

Visual Basic
Public Property IsModified As EBoolean

Remarks

Property is invalid for zone object.

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


IsValid Property

ClearImage COM Server
IsValid Property
See Also Send Feedback
CiImage Object : IsValid Property

Description

Image is opened

Property type

Read-only property

Syntax

Visual Basic
Public Property IsValid As EBoolean

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


IsZone Property

ClearImage COM Server
IsZone Property
See Also Example Send Feedback
CiImage Object : IsZone Property

Description

Object represents a zone on another image

Property type

Read-only property

Syntax

Visual Basic
Public Property IsZone As EBoolean

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Zone(ByRef Img As CiImage)
    ' Create zone on image
  Dim ImgZone As CiImage, ImgZone1 As CiImage
    ' Create zone
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                               Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Inverts zo1ne
  ImgZone.Invert
    ' Use CreateZoneRect to create another zone
  Set ImgZone1 = Img.CreateZoneRect(ImgZone.Zone)
    ' Use Zone property to expand zone
  ImgZone1.Zone.left = ImgZone1.Zone.left - 100
  ImgZone1.Zone.right = ImgZone1.Zone.right + 100
  ImgZone1.Zone.top = ImgZone1.Zone.top - 50
  ImgZone1.Zone.bottom = ImgZone1.Zone.bottom + 50
    ' Inverts expanded zone
  ImgZone1.Invert
    ' Use IsZone property
  Debug.Print "Img is '" & IIf(Img.IsZone, "zone", "image") & "' object"
  Debug.Print "ImgZone1 is '" & IIf(ImgZone1.IsZone, "zone", "image") & "' object"
    ' Use Parent property
  If (Not ImgZone1.Parent.IsZone) Then
    ImgZone1.Parent.Invert
  End If
End Sub

See Also

CiImage Object | CiImage Members | CreateZone | CreateZoneRect | IsZone | Zone | Parent

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


JpegQuality Property

ClearImage COM Server
JpegQuality Property
See Also Send Feedback
CiImage Object : JpegQuality Property

Description

Quality of Jpeg Compression 0-100

Property type

Read-write property

Syntax

Visual Basic
Public Property JpegQuality As Long

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


LineBytes Property

ClearImage COM Server
LineBytes Property
See Also Send Feedback
CiImage Object : LineBytes Property

Description

Image memory line width in bytes

Property type

Read-only property

Syntax

Visual Basic
Public Property LineBytes As Long

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


PageCount Property

ClearImage COM Server
PageCount Property
See Also Send Feedback
CiImage Object : PageCount Property

Description

Number of pages in image file

Property type

Read-only property

Syntax

Visual Basic
Public Property PageCount As Long

Remarks

FileName, Format, PageNumber, and PageCount properties are valid if:

1. Image file is opened using object.Open method, or

2. Image is saved using object.SaveAs or object.Append methods

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


PageNumber Property

ClearImage COM Server
PageNumber Property
See Also Send Feedback
CiImage Object : PageNumber Property

Description

Image page number in image file

Property type

Read-only property

Syntax

Visual Basic
Public Property PageNumber As Long

Remarks

FileName, Format, PageNumber, and PageCount properties are valid if:

1. Image file is opened using object.Open method, or

2. Image is saved using object.SaveAs or object.Append methods

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Parent Property

ClearImage COM Server
Parent Property
See Also Example Send Feedback
CiImage Object : Parent Property

Description

Object containing image memory of this object

Property type

Read-only property

Syntax

Visual Basic
Public Property Parent As CiImage

Remarks

Parent returns an object that created zone object. For image object Parent returns itself.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Zone(ByRef Img As CiImage)
    ' Create zone on image
  Dim ImgZone As CiImage, ImgZone1 As CiImage
    ' Create zone
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                               Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Inverts zo1ne
  ImgZone.Invert
    ' Use CreateZoneRect to create another zone
  Set ImgZone1 = Img.CreateZoneRect(ImgZone.Zone)
    ' Use Zone property to expand zone
  ImgZone1.Zone.left = ImgZone1.Zone.left - 100
  ImgZone1.Zone.right = ImgZone1.Zone.right + 100
  ImgZone1.Zone.top = ImgZone1.Zone.top - 50
  ImgZone1.Zone.bottom = ImgZone1.Zone.bottom + 50
    ' Inverts expanded zone
  ImgZone1.Invert
    ' Use IsZone property
  Debug.Print "Img is '" & IIf(Img.IsZone, "zone", "image") & "' object"
  Debug.Print "ImgZone1 is '" & IIf(ImgZone1.IsZone, "zone", "image") & "' object"
    ' Use Parent property
  If (Not ImgZone1.Parent.IsZone) Then
    ImgZone1.Parent.Invert
  End If
End Sub

See Also

CiImage Object | CiImage Members | CreateZone | CreateZoneRect | IsZone | Zone | Parent

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pComprBitonal Property

ClearImage COM Server
pComprBitonal Property
See Also Send Feedback
CiImage Object : pComprBitonal Property

Description

TIFF/PDF Compression to save Bitonal image

Property type

Read-write property

Syntax

Visual Basic
Public Property pComprBitonal As EComprBitonal

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pComprColor Property

ClearImage COM Server
pComprColor Property
See Also Send Feedback
CiImage Object : pComprColor Property

Description

TIFF/PDF Compression to save Color/GS image

Property type

Read-write property

Syntax

Visual Basic
Public Property pComprColor As EComprColor

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Pdf Property

ClearImage COM Server
Pdf Property
See Also Send Feedback
CiImage Object : Pdf Property

Description

property Pdf

Property type

Read-only property

Syntax

Visual Basic
Public Property Pdf As CiPdf

Remarks

Pdf is CiPdf object, associated with this CiImage object. It allows to set/get parameters controlling functionality of Open, SaveAs and Append methods working with PDF files.

CiPdf module license is required. In absence of CiPdf license, CiBarcodePro, CiDataMatrix or CiPsf417 licenses allow extract image from PDF files ONLY for the purpose barcode recognitions. PDF file pages could not be opened in raster mode. Opened image could not be saved.

See Also

CiImage Object | CiImage Members |

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


VertDpi Property

ClearImage COM Server
VertDpi Property
See Also Send Feedback
CiImage Object : VertDpi Property

Description

Vertical resolution in dots-per-inch

Property type

Read-write property

Syntax

Visual Basic
Public Property VertDpi As Long

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Width Property

ClearImage COM Server
Width Property
See Also Send Feedback
CiImage Object : Width Property

Description

Image width in pixels

Property type

Read-only property

Syntax

Visual Basic
Public Property Width As Long

Remarks

!MISSING PHRASE '_ZONEPARENT_PARAM'!

See Also

CiImage Object | CiImage Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Zone Property

ClearImage COM Server
Zone Property
See Also Example Send Feedback
CiImage Object : Zone Property

Description

Current zone coordinates

Property type

Read-only property

Syntax

Visual Basic
Public Property Zone As CiRect

Remarks

Use Zone property to read or modify zone coordinates of zone object. It has no effect on image object.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Zone(ByRef Img As CiImage)
    ' Create zone on image
  Dim ImgZone As CiImage, ImgZone1 As CiImage
    ' Create zone
  Set ImgZone = Img.CreateZone(Img.Width / 3, Img.Height / 3, _
                               Img.Width * 2 / 3, Img.Height * 2 / 3)
    ' Inverts zo1ne
  ImgZone.Invert
    ' Use CreateZoneRect to create another zone
  Set ImgZone1 = Img.CreateZoneRect(ImgZone.Zone)
    ' Use Zone property to expand zone
  ImgZone1.Zone.left = ImgZone1.Zone.left - 100
  ImgZone1.Zone.right = ImgZone1.Zone.right + 100
  ImgZone1.Zone.top = ImgZone1.Zone.top - 50
  ImgZone1.Zone.bottom = ImgZone1.Zone.bottom + 50
    ' Inverts expanded zone
  ImgZone1.Invert
    ' Use IsZone property
  Debug.Print "Img is '" & IIf(Img.IsZone, "zone", "image") & "' object"
  Debug.Print "ImgZone1 is '" & IIf(ImgZone1.IsZone, "zone", "image") & "' object"
    ' Use Parent property
  If (Not ImgZone1.Parent.IsZone) Then
    ImgZone1.Parent.Invert
  End If
End Sub

See Also

CiImage Object | CiImage Members | CreateZone | CreateZoneRect | IsZone | Zone | Parent

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiLine Object

ClearImage COM Server
CiLine Object
See Also Members Send Feedback

Description

Line information object

Object Model

CiLine ObjectCiPoint ObjectCiRect ObjectCiPoint Object

See Also

CiLine Members | FirstLine |

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiLine Object Members

ClearImage COM Server
CiLine Object Members
See Also Overview Send Feedback

Public Properties

Public Property Angle | Line angle
Public Property Direction | Line direction
Public Property End | Line end coordinates
Public Property Rect | Rectangle, encompassing line
Public Property Start | Line start coordinates
Public Property Thickness | Line thickness

See Also

CiLine Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Angle Property

ClearImage COM Server
Angle Property
See Also Send Feedback
CiLine Object : Angle Property

Description

Line angle

Property type

Read-only property

Syntax

Visual Basic
Public Property Angle As Double

See Also

CiLine Object | CiLine Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Direction Property

ClearImage COM Server
Direction Property
See Also Send Feedback
CiLine Object : Direction Property

Description

Line direction

Property type

Read-only property

Syntax

Visual Basic
Public Property Direction As ELineDirection

See Also

CiLine Object | CiLine Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


End Property

ClearImage COM Server
End Property
See Also Send Feedback
CiLine Object : End Property

Description

Line end coordinates

Property type

Read-only property

Syntax

Visual Basic
Public Property End As CiPoint

See Also

CiLine Object | CiLine Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Rect Property

ClearImage COM Server
Rect Property
See Also Send Feedback
CiLine Object : Rect Property

Description

Rectangle, encompassing line

Property type

Read-only property

Syntax

Visual Basic
Public Property Rect As CiRect

See Also

CiLine Object | CiLine Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Start Property

ClearImage COM Server
Start Property
See Also Send Feedback
CiLine Object : Start Property

Description

Line start coordinates

Property type

Read-only property

Syntax

Visual Basic
Public Property Start As CiPoint

See Also

CiLine Object | CiLine Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Thickness Property

ClearImage COM Server
Thickness Property
See Also Send Feedback
CiLine Object : Thickness Property

Description

Line thickness

Property type

Read-only property

Syntax

Visual Basic
Public Property Thickness As Double

See Also

CiLine Object | CiLine Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiObject Object

ClearImage COM Server
CiObject Object
See Also Members Send Feedback

Description

An Object is a portion of the image comprised of adjacent connected pixels.Object information object

Object Model

CiObject ObjectCiRect Object

See Also

CiObject Members | FirstObject | NextObject | ExtractObject

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiObject Object Members

ClearImage COM Server
CiObject Object Members
See Also Overview Send Feedback

Public Properties

Public Property Intervals | Interval is a portion of an image line composed of adjacent connected pixels.Intervals in object
Public Property Pixels | Pixels in object
Public Property Rect | Rectangle, encompassing object

See Also

CiObject Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Intervals Property

ClearImage COM Server
Intervals Property
See Also Send Feedback
CiObject Object : Intervals Property

Description

Interval is a portion of an image line composed of adjacent connected pixels.Intervals in object

Property type

Read-only property

Syntax

Visual Basic
Public Property Intervals As Long

See Also

CiObject Object | CiObject Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Pixels Property

ClearImage COM Server
Pixels Property
See Also Send Feedback
CiObject Object : Pixels Property

Description

Pixels in object

Property type

Read-only property

Syntax

Visual Basic
Public Property Pixels As Long

See Also

CiObject Object | CiObject Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Rect Property

ClearImage COM Server
Rect Property
See Also Send Feedback
CiObject Object : Rect Property

Description

Rectangle, encompassing object

Property type

Read-only property

Syntax

Visual Basic
Public Property Rect As CiRect

See Also

CiObject Object | CiObject Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiPdf Object

ClearImage COM Server
CiPdf Object
See Also Members Send Feedback

Description

Pdf Read/Write configuration Class

Object Model

CiPdf Object

Remarks

CiPdf is associated with CiImage object. It allows to set/get parameters controlling functionality CiImage.Open, CiImage.SaveAs and CiImage.Append methods working with PDF files.

CiImage.SaveAs method writes to PDF file Author, Creator, Keywords, Subject, Title, ModDate metadata.
CiImage.Open method obtains from PDF file Author, Creator, Keywords, Subject, Title, CreationDate, Producer metadata.

PDF file is a storage format that encapsulates various type of data: images, text, graphics, annotation etc. Originally PDF was designed as a way to represent textual and graphic data in system-in depended manner. Many scanners and imaging system use PDF to store multi-page images, as substitute for multi-page TIFF format. Such images can be extracted directly from PDF file.

To obtain an image of "non-image" content PDF pages, like text, graphic, annotation (including annotation-based barcodes) PDF page has to be rasterized. Rasterization is similar to taking a snapshot of a page as displayed by the PDF viewer.

CiImage.Open method uses value of readMode property to treat PDF file as collection of image, collection of rasterized pages or mix of those.

  • If readMode = epemImage, Open method locates images encapsulated in PDF file.
    If image is less them minImageWidth and minImageHeight (expressed in inches, ignored if 0.0) it is skipped.
    Some scanners store black-and-white images inside of PDF using color format. To improve efficiency of image processing set useMinImageColors to ciTrue. Image is automatically converted to minimum number of color needed, i.e. grayscale or black-and-white.
  • If readMode = epemRaster, Open method rasterizes each page. Color of resulting image is determined by rasterColorMore property. If set to eprmAuto color is set based on colors present on the page. NOTE: eprmAuto mode is slower than explicit setting of color. Resolution of rasterized image is specified for each of 3 modes: Black-and-white, grayscale, and color. See dpiRasterBw, dpiRasterGs, dpiRasterRgb.
  • If readMode = epemAuto, Open method analyzes each page of PDF file for presence of an image, occupying 90% of the page. If such image is present, this page is considered an image page and image is extracted. Otherwise page is rasterized.

See Also

CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiPdf Object Members

ClearImage COM Server
CiPdf Object Members
See Also Overview Send Feedback

Public Properties

Public Property Author | property Author
Public Property CreationDate | property CreationDate
Public Property Creator | property Creator
Public Property dpiRasterBw | DPI used to rasterize as BW
Public Property dpiRasterGs | DPI used to rasterize as GS
Public Property dpiRasterRgb | DPI used to rasterize as Color
Public Property Keywords | property Keywords
Public Property minImageHeight | Minimum height of embeded images
Public Property minImageWidth | Minimum width of embeded images
Public Property ModDate | property ModDate
Public Property Producer | property Producer
Public Property rasterColorMode | Rasterize as BW, GS or Color
Public Property readMode | Open embeded images or rasterized pages
Public Property Subject | property Subject
Public Property Title | property Title
Public Property useMinImageColors | Minimize color of embeded images

See Also

CiPdf Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Author Property

ClearImage COM Server
Author Property
See Also Send Feedback
CiPdf Object : Author Property

Description

property Author

Property type

Read-write property

Syntax

Visual Basic
Public Property Author As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreationDate Property

ClearImage COM Server
CreationDate Property
See Also Send Feedback
CiPdf Object : CreationDate Property

Description

property CreationDate

Property type

Read-write property

Syntax

Visual Basic
Public Property CreationDate As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Creator Property

ClearImage COM Server
Creator Property
See Also Send Feedback
CiPdf Object : Creator Property

Description

property Creator

Property type

Read-write property

Syntax

Visual Basic
Public Property Creator As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


dpiRasterBw Property

ClearImage COM Server
dpiRasterBw Property
See Also Send Feedback
CiPdf Object : dpiRasterBw Property

Description

DPI used to rasterize as BW

Property type

Read-write property

Syntax

Visual Basic
Public Property dpiRasterBw As Long

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


dpiRasterGs Property

ClearImage COM Server
dpiRasterGs Property
See Also Send Feedback
CiPdf Object : dpiRasterGs Property

Description

DPI used to rasterize as GS

Property type

Read-write property

Syntax

Visual Basic
Public Property dpiRasterGs As Long

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


dpiRasterRgb Property

ClearImage COM Server
dpiRasterRgb Property
See Also Send Feedback
CiPdf Object : dpiRasterRgb Property

Description

DPI used to rasterize as Color

Property type

Read-write property

Syntax

Visual Basic
Public Property dpiRasterRgb As Long

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Keywords Property

ClearImage COM Server
Keywords Property
See Also Send Feedback
CiPdf Object : Keywords Property

Description

property Keywords

Property type

Read-write property

Syntax

Visual Basic
Public Property Keywords As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


minImageHeight Property

ClearImage COM Server
minImageHeight Property
See Also Send Feedback
CiPdf Object : minImageHeight Property

Description

Minimum height of embeded images

Property type

Read-write property

Syntax

Visual Basic
Public Property minImageHeight As Double

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


minImageWidth Property

ClearImage COM Server
minImageWidth Property
See Also Send Feedback
CiPdf Object : minImageWidth Property

Description

Minimum width of embeded images

Property type

Read-write property

Syntax

Visual Basic
Public Property minImageWidth As Double

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ModDate Property

ClearImage COM Server
ModDate Property
See Also Send Feedback
CiPdf Object : ModDate Property

Description

property ModDate

Property type

Read-write property

Syntax

Visual Basic
Public Property ModDate As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Producer Property

ClearImage COM Server
Producer Property
See Also Send Feedback
CiPdf Object : Producer Property

Description

property Producer

Property type

Read-write property

Syntax

Visual Basic
Public Property Producer As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


rasterColorMode Property

ClearImage COM Server
rasterColorMode Property
See Also Send Feedback
CiPdf Object : rasterColorMode Property

Description

Rasterize as BW, GS or Color

Property type

Read-write property

Syntax

Visual Basic
Public Property rasterColorMode As EPdfRasterColorMode

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


readMode Property

ClearImage COM Server
readMode Property
See Also Send Feedback
CiPdf Object : readMode Property

Description

Open embeded images or rasterized pages

Property type

Read-write property

Syntax

Visual Basic
Public Property readMode As EPdfReadMode

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Subject Property

ClearImage COM Server
Subject Property
See Also Send Feedback
CiPdf Object : Subject Property

Description

property Subject

Property type

Read-write property

Syntax

Visual Basic
Public Property Subject As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Title Property

ClearImage COM Server
Title Property
See Also Send Feedback
CiPdf Object : Title Property

Description

property Title

Property type

Read-write property

Syntax

Visual Basic
Public Property Title As String

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


useMinImageColors Property

ClearImage COM Server
useMinImageColors Property
See Also Send Feedback
CiPdf Object : useMinImageColors Property

Description

Minimize color of embeded images

Property type

Read-write property

Syntax

Visual Basic
Public Property useMinImageColors As Long

See Also

CiPdf Object | CiPdf Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiPdf417 Object

ClearImage COM Server
CiPdf417 Object
See Also Members Example Send Feedback

Description

PDF417 barcodes recognition object

Object Model

CiPdf417 ObjectCiBarcodes CollectionCiBarcode ObjectCiImage Object

Example

VB Example (Visual Basic) Copy Code
Public Function T_Pdf417one(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiPdf417: Set Bc = Ci.CreatePdf417
  '  Open image from file
  Bc.Image.Open sFileName
  '  Configure barcode
  Bc.Algorithm = cibBestSpeed
  Bc.Directions = cibHorz
  '  Read barcode
  Dim Barcode As CiBarcode
  Set Barcode = Bc.FirstBarcode
  '  Process barcode
  If (Not Barcode Is Nothing) Then
      If (Barcode.IsChecksumVerified) Then
          T_DisplayBarcode Barcode
      End If
  End If
End Function

Public Function T_Pdf417all(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiPdf417: Set Bc = Ci.CreatePdf417
  '  Open image from file
  Bc.Image.Open sFileName
  '  Configure barcode
  Bc.Algorithm = cibBestRecognition
  Bc.Directions = cibHorz Or cibVert Or cibDiag
  '  Read barcode
  Dim Barcode As CiBarcode
  Bc.Find 0
  For Each Barcode In Bc.Barcodes
  '  Process barcode
      If (Barcode.IsChecksumVerified) Then
          T_DisplayBarcode Barcode
      End If
  Next
End Function

See Also

CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiPdf417 Object Members

ClearImage COM Server
CiPdf417 Object Members
See Also Overview Send Feedback

Public Methods

Public Method Find | Find multiple barcodes
Public Method FirstBarcode | Find first barcode
Public Method NextBarcode | Find another barcode

Public Properties

Public Property Algorithm | Quality of barcode image
Public Property Barcodes | property Barcodes
Public Property DiagFlags | Barcode diagnostic flags
Public Property Directions | Directions of barcodes to recognizeDirections of barcodes to recognize
Public Property Encodings | Enable/disable barcode encoding analysis
Public Property Image | Image as CiImage objectImage as CiImage object

See Also

CiPdf417 Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Find Method

ClearImage COM Server
Find Method
See Also Send Feedback
MaxBarcodes
CiPdf417 Object : Find Method

Description

Find multiple barcodes

Syntax

Visual Basic
Public Function Find( _
   Optional ByVal MaxBarcodes As Long = 0 _
) As Long

Parameters

MaxBarcodes

Return Type

Number of found barcodes.

Remarks

Method puts Barcode objects in Barcodes collection.

The default value of MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

ClearImage COM Server
FirstBarcode Method
See Also Send Feedback
CiPdf417 Object : FirstBarcode Method

Description

Find first barcode

Syntax

Visual Basic
Public Function FirstBarcode() As CiBarcode

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

ClearImage COM Server
NextBarcode Method
See Also Send Feedback
CiPdf417 Object : NextBarcode Method

Description

Find another barcode

Syntax

Visual Basic
Public Function NextBarcode() As CiBarcode

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

ClearImage COM Server
Algorithm Property
See Also Send Feedback
CiPdf417 Object : Algorithm Property

Description

Quality of barcode image

Property type

Read-write property

Syntax

Visual Basic
Public Property Algorithm As EBarcodeAlgorithm

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

ClearImage COM Server
Barcodes Property
See Also Send Feedback
CiPdf417 Object : Barcodes Property

Description

property Barcodes

Property type

Read-only property

Syntax

Visual Basic
Public Property Barcodes As CiBarcodes

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

ClearImage COM Server
DiagFlags Property
See Also Send Feedback
CiPdf417 Object : DiagFlags Property

Description

Barcode diagnostic flags

Property type

Read-write property

Syntax

Visual Basic
Public Property DiagFlags As FBarcodeDiag

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Directions Property

ClearImage COM Server
Directions Property
See Also Send Feedback
CiPdf417 Object : Directions Property

Description

Directions of barcodes to recognizeDirections of barcodes to recognize

Property type

Read-write property

Syntax

Visual Basic
Public Property Directions As FBarcodeDirections

Remarks

If the orientation of the symbols is known in advance, set this parameter to correct orientation, in order to accelerate the recognition process. Diagonal search is the slowest, whereas Vertical and Horizontal are faster.

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Encodings Property

ClearImage COM Server
Encodings Property
See Also Example Send Feedback
CiPdf417 Object : Encodings Property

Description

Enable/disable barcode encoding analysis

Property type

Read-write property

Syntax

Visual Basic
Public Property Encodings As EBarcodeEncoding

Remarks

Set this property to enable automatic decoding/decompression of barcode value. If compression is known set specific EBarcodeEncoding value. Alternatively OR all expected values. Default value is ebeNone.

After barcode reading detected encoding/compression is set in %CiBarcode.Encoding:ClearImage~CiBarcode~Encoding% property.

Example
VB Example (Visual Basic) Copy Code
Public Function T_Pdf417_Decompress(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiPdf417: Set Bc = Ci.CreatePdf417
  ' Open image from file
  Bc.Image.Open sFileName
  ' Configure barcode
  Bc.Algorithm = cibBestRecognition
  Bc.Directions = cibHorz
   ' Try to decompress barcode value created using Inlite or Adobe compression
  Bc.Encodings =  ebeCompressionV1 Or ebeCompressionA1
  ' Read barcode
  Dim Barcode As CiBarcode
  Set Barcode = Bc.FirstBarcode
  ' Process barcode
  If (Not Barcode Is Nothing) Then
    '  Use detected compression:
    T_DisplayEncoding Barcode.Encoding
    T_DisplayBarcode Barcode
  End If
End Function

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Image Property

ClearImage COM Server
Image Property
See Also Send Feedback
CiPdf417 Object : Image Property

Description

Image as CiImage objectImage as CiImage object

Property type

Read-write property

Syntax

Visual Basic
Public Property Image As CiImage

Remarks

Default Image is created for object. To operate on another image or zone object assign it to Image property.

See Also

CiPdf417 Object | CiPdf417 Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiPoint Object

ClearImage COM Server
CiPoint Object
See Also Members Send Feedback

Description

Point-on-image object

Object Model

CiPoint Object

See Also

CiPoint Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiPoint Object Members

ClearImage COM Server
CiPoint Object Members
See Also Overview Send Feedback

Public Properties

Public Property x | The horizontal coordinate for this point
Public Property y | The vertical coordinate for this point

See Also

CiPoint Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


x Property

ClearImage COM Server
x Property
See Also Send Feedback
CiPoint Object : x Property

Description

The horizontal coordinate for this point

Property type

Read-write property

Syntax

Visual Basic
Public Property x As Long

See Also

CiPoint Object | CiPoint Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


y Property

ClearImage COM Server
y Property
See Also Send Feedback
CiPoint Object : y Property

Description

The vertical coordinate for this point

Property type

Read-write property

Syntax

Visual Basic
Public Property y As Long

See Also

CiPoint Object | CiPoint Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiQR Object

ClearImage COM Server
CiQR Object
See Also Members Example Send Feedback

Description

QR barcodes recognition object

Object Model

CiQR ObjectCiBarcodes CollectionCiBarcode ObjectCiImage Object

Example

VB EXample (Visual Basic) Copy Code
Public Function T_QRall(ByRef Ci As CiServer, sFileName)
  Dim Bc As CiQR: Set Bc = Ci.CreateQR
  '  Open image from file
  Bc.Image.Open sFileName
  '  Configure barcode
  Bc.Algorithm = cibBestRecognition
  '  Read barcode
  Dim Barcode As CiBarcode
  Bc.Find 0
  For Each Barcode In Bc.Barcodes
  '  Process barcode
       T_DisplayBarcode Barcode
  Next
End Function

See Also

CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiQR Object Members

ClearImage COM Server
CiQR Object Members
See Also Overview Send Feedback

Public Methods

Public Method Find | Find multiple barcodes
Public Method FirstBarcode | Find first barcode
Public Method NextBarcode | Find another barcode

Public Properties

Public Property Algorithm | Quality of barcode image
Public Property Barcodes | property Barcodes
Public Property DiagFlags | Barcode diagnostic flags
Public Property Encodings | Enable/disable barcode encoding analysis
Public Property Image | Image as CiImage objectImage as CiImage object

See Also

CiQR Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Find Method

ClearImage COM Server
Find Method
See Also Send Feedback
MaxBarcodes
CiQR Object : Find Method

Description

Find multiple barcodes

Syntax

Visual Basic
Public Function Find( _
   Optional ByVal MaxBarcodes As Long = 0 _
) As Long

Parameters

MaxBarcodes

Return Type

Number of found barcodes.

Remarks

Method puts Barcode objects in Barcodes collection.

The default value of MaxBarcodes is 0 (zero), which enables the detection of all the barcodes in the image (CiBarcodeBasic is limited to two)

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FirstBarcode Method

ClearImage COM Server
FirstBarcode Method
See Also Send Feedback
CiQR Object : FirstBarcode Method

Description

Find first barcode

Syntax

Visual Basic
Public Function FirstBarcode() As CiBarcode

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


NextBarcode Method

ClearImage COM Server
NextBarcode Method
See Also Send Feedback
CiQR Object : NextBarcode Method

Description

Find another barcode

Syntax

Visual Basic
Public Function NextBarcode() As CiBarcode

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Algorithm Property

ClearImage COM Server
Algorithm Property
See Also Send Feedback
CiQR Object : Algorithm Property

Description

Quality of barcode image

Property type

Read-write property

Syntax

Visual Basic
Public Property Algorithm As EBarcodeAlgorithm

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Barcodes Property

ClearImage COM Server
Barcodes Property
See Also Send Feedback
CiQR Object : Barcodes Property

Description

property Barcodes

Property type

Read-only property

Syntax

Visual Basic
Public Property Barcodes As CiBarcodes

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


DiagFlags Property

ClearImage COM Server
DiagFlags Property
See Also Send Feedback
CiQR Object : DiagFlags Property

Description

Barcode diagnostic flags

Property type

Read-write property

Syntax

Visual Basic
Public Property DiagFlags As FBarcodeDiag

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Encodings Property

ClearImage COM Server
Encodings Property
See Also Example Send Feedback
CiQR Object : Encodings Property

Description

Enable/disable barcode encoding analysis

Property type

Read-write property

Syntax

Visual Basic
Public Property Encodings As EBarcodeEncoding

Remarks

Set this property to enable automatic decoding/decompression of barcode value. If compression is known set specific EBarcodeEncoding value. Alternatively OR all expected values. Default value is ebeNone.

After barcode reading detected encoding/compression is set in %CiBarcode.Encoding:ClearImage~CiBarcode~Encoding% property.

Example

VB Example (Visual Basic) Copy Code
Public Function T_QR_Decompress(ByRef Ci As CiServer, sFileName)
  Dim Bc As QR: Set Bc = Ci.CreateQR
  ' Open image from file
  Bc.Image.Open sFileName
  ' Configure barcode
  Bc.Algorithm = cibBestRecognition
   ' Try to decompress barcode value created using Inlite or Adobe compression
  Bc.Encodings =  ebeCompressionV1 Or ebeCompressionA1
  ' Read barcode
  Dim Barcode As CiBarcode
  Set Barcode = Bc.FirstBarcode
  ' Process barcode
  If (Not Barcode Is Nothing) Then
    '  Use detected compression:
    T_DisplayEncoding Barcode.Encoding
    T_DisplayBarcode Barcode
  End If
End Function

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Image Property

ClearImage COM Server
Image Property
See Also Send Feedback
CiQR Object : Image Property

Description

Image as CiImage objectImage as CiImage object

Property type

Read-write property

Syntax

Visual Basic
Public Property Image As CiImage

Remarks

Default Image is created for object. To operate on another image or zone object assign it to Image property.

See Also

CiQR Object | CiQR Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiRect Object

ClearImage COM Server
CiRect Object
See Also Members Send Feedback

Description

Rectangle on image object

Object Model

CiRect Object

See Also

CiRect Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiRect Object Members

ClearImage COM Server
CiRect Object Members
See Also Overview Send Feedback

Public Methods

Public Method Empty Set rectangle coordinates to zero

Public Properties

Public Property bottom | The y coordinate of the lower-right corner
Public Property IsEmpty | Is rectangle has no area
Public Property left | The x coordinate of the upper-left corner
Public Property right | The x coordinate of the lower-right corner
Public Property top | The y coordinate of the upper-left corner

See Also

CiRect Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Empty Method

ClearImage COM Server
Empty Method
See Also Send Feedback
CiRect Object : Empty Method

Description

Set rectangle coordinates to zero

Syntax

Visual Basic
Public Sub Empty()

See Also

CiRect Object | CiRect Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


bottom Property

ClearImage COM Server
bottom Property
See Also Send Feedback
CiRect Object : bottom Property

Description

The y coordinate of the lower-right corner

Property type

Read-write property

Syntax

Visual Basic
Public Property bottom As Long

See Also

CiRect Object | CiRect Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


IsEmpty Property

ClearImage COM Server
IsEmpty Property
See Also Send Feedback
CiRect Object : IsEmpty Property

Description

Is rectangle has no area

Property type

Read-only property

Syntax

Visual Basic
Public Property IsEmpty As EBoolean

See Also

CiRect Object | CiRect Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


left Property

ClearImage COM Server
left Property
See Also Send Feedback
CiRect Object : left Property

Description

The x coordinate of the upper-left corner

Property type

Read-write property

Syntax

Visual Basic
Public Property left As Long

See Also

CiRect Object | CiRect Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


right Property

ClearImage COM Server
right Property
See Also Send Feedback
CiRect Object : right Property

Description

The x coordinate of the lower-right corner

Property type

Read-write property

Syntax

Visual Basic
Public Property right As Long

See Also

CiRect Object | CiRect Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


top Property

ClearImage COM Server
top Property
See Also Send Feedback
CiRect Object : top Property

Description

The y coordinate of the upper-left corner

Property type

Read-write property

Syntax

Visual Basic
Public Property top As Long

See Also

CiRect Object | CiRect Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiRepair Object

ClearImage COM Server
CiRepair Object
See Also Members Example Send Feedback

Description

Automatic image correction functions: deskew, rotation, crop, etc. Improves OCR, image compression, and image visual quality.

Image repair object

Object Model

CiRepair ObjectCiImage Object

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Repair(ByRef Ci As CiServer, ByRef Img As CiImage)
    ' Create CiRepair object
  Dim Rep As CiRepair
  Set Rep = Ci.CreateRepair
      '  Attach CiImage
  Rep.Image = Img
      '  Use CiRepair Object.  For example
  Rep.AutoInvertImage 60
  Rep.CleanBorders
  Rep.CleanNoise 3
  Rep.AutoInvertBlocks 100, 100
  Rep.AutoDeskew
  Rep.AutoRotate
  Rep.AutoRegister 100, 100
End Sub

See Also

CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiRepair Object Members

ClearImage COM Server
CiRepair Object Members
See Also Overview Send Feedback

Public Methods

Public Method AdvancedBinarize | Advanced Binarize
Public Method AutoCrop | Set image margins
Public Method AutoDeskew | Automatically deskew image
Public Method AutoInvertImage | Negative to Positive
Public Method AutoRegister | Set top and left margins
Public Method AutoRotate | Automatically rotate image
Public Method BorderExtract | Extract document image using borders
Public Method CleanNoise | Remove noise objects
Public Method CleanNoiseExt | Remove noise objects (extended)
Public Method ClearBackground | Set background to white
Public Method DeleteLines | Delete lines and reconnect intersected objects
Public Method FaxRemoveBlankLines | Remove blank lines from faxed image
Public Method FaxRemoveHeader | Remove header from faxed image
Public Method FaxStandardToFine | Convert standard resolution fax image to fine resolution
Public Method IsBlankImage | Is image blank
Public Method ReconstructLines | Find and straighten image lines
Public Method RemoveHalftone | Remove halftone from image background
Public Method RemovePunchHoles | Remove punch holes form image
Public Method Resize | Resize image to page
Public Method SmoothCharacters | Smoothen character edges

Public Properties

Public Property Image | Image as CiImage objectImage as CiImage object
Public Property pLineCurvature | Maximum line curvature
Public Property pMaxLineAngle | Maximum angle of line
Public Property pMaxLineGap | Maximum gap inside line in pixels
Public Property pMinLineLength | Minimum length of line in pixels

See Also

CiRepair Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AdvancedBinarize Method

ClearImage COM Server
AdvancedBinarize Method
See Also Send Feedback
targetDpi
0 converts to 300 DPI
-1 preserves current DPI
100 to 600 converts to specified DPI
reserved1
Set to 0.0
reserved2
Set to 0.0
CiRepair Object : AdvancedBinarize Method

Description

Advanced Binarize

Syntax

Visual Basic
Public Sub AdvancedBinarize( _
   Optional ByVal targetDpi As Long = 0, _
   Optional ByVal reserved1 As Double = 0, _
   Optional ByVal reserved2 As Double = 0 _
)

Parameters

targetDpi
0 converts to 300 DPI
-1 preserves current DPI
100 to 600 converts to specified DPI
reserved1
Set to 0.0
reserved2
Set to 0.0

Remarks

Optimized conversion of color and grayscale images to bi-tonal using multiple image analysis techniques.

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AutoCrop Method

ClearImage COM Server
AutoCrop Method
See Also Example Send Feedback
NewLeftMargin
NewTopMargin
NewRightMargin
NewBottomMargin
CiRepair Object : AutoCrop Method

Description

Set image margins

Syntax

Visual Basic
Public Sub AutoCrop( _
   ByVal NewLeftMargin As Long, _
   ByVal NewTopMargin As Long, _
   ByVal NewRightMargin As Long, _
   ByVal NewBottomMargin As Long _
)

Parameters

NewLeftMargin
NewTopMargin
NewRightMargin
NewBottomMargin

Remarks

Size of image is changed.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_AutoCrop(ByRef Rep As CiRepair)
  Rep.AutoCrop 50, 50, 50, 50
End Sub

See Also

CiRepair Object | CiRepair Members | AutoCrop | AutoRegister

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AutoDeskew Method

ClearImage COM Server
AutoDeskew Method
See Also Example Send Feedback
CiRepair Object : AutoDeskew Method

Description

Automatically deskew image

Syntax

Visual Basic
Public Function AutoDeskew() As Double

Return Type

Value range is from -45 degrees to 45 degrees. Value is negative, if image skewed counterclockwise and positive if image is skewed clockwise.

Remarks

Deskews image to the nearest vertical or horizontal axis, on the basis of measurements taken of the overall image object. It is also possible to use a zone as a reference for the measurement, in which case the Parent of the zone object is deskewed based on image data inside the zone.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_AutoDeskew(ByRef Rep As CiRepair)
  Rep.AutoDeskew
End Sub

See Also

CiRepair Object | CiRepair Members | AutoDeskew | AutoRotate | Skew Method

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AutoInvertImage Method

ClearImage COM Server
AutoInvertImage Method
See Also Example Send Feedback
Threshold
Minimum percentage of black pixels in the image to be inverted
CiRepair Object : AutoInvertImage Method

Description

Negative to Positive

Syntax

Visual Basic
Public Sub AutoInvertImage( _
   ByVal Threshold As Long _
)

Parameters

Threshold
Minimum percentage of black pixels in the image to be inverted

Example

VB Example (Visual Basic) Copy Code
Public Sub T_AutoInvertImage(ByRef Rep As CiRepair)
  Rep.AutoInvertImage 60
End Sub

See Also

CiRepair Object | CiRepair Members | AutoInvertImage | AutoInvertBlocks

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AutoRegister Method

ClearImage COM Server
AutoRegister Method
See Also Example Send Feedback
NewLeftMargin
New left margin in pixels
NewTopMargin
New top margin in pixels
CiRepair Object : AutoRegister Method

Description

Set top and left margins

Syntax

Visual Basic
Public Sub AutoRegister( _
   ByVal NewLeftMargin As Long, _
   ByVal NewTopMargin As Long _
)

Parameters

NewLeftMargin
New left margin in pixels
NewTopMargin
New top margin in pixels

Remarks

Size of image is preserved.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_AutoRegister(ByRef Rep As CiRepair)
  Rep.AutoRegister 100, 100
End Sub

See Also

CiRepair Object | CiRepair Members | AutoCrop | AutoRegister

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AutoRotate Method

ClearImage COM Server
AutoRotate Method
See Also Example Send Feedback
CiRepair Object : AutoRotate Method

Description

Automatically rotate image

Syntax

Visual Basic
Public Function AutoRotate() As EPageRotation

Return Type

If image contains sufficient textual elements, then ciRotNone, ciRotUpsideDown, ciRotLeft, and ciRotRight values are set. If image contains mostly graphical objects, such as lines, then the return values are ciRotPortrait and ciRotLeftOrRight.

Remarks

It is recommended to AutoDeskew prior to AutoRotate.

If image contains enough of textual elements AutoRotate sets image in the position with text lines running horizontally and readable from left to right . If image contains mostly graphical objects, like lines, AutoRotate sets image in the position with the most lines running horizontally.

The Parent of zone object is autorotated based on image data inside the zone.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_AutoRotate(ByRef Rep As CiRepair)
  Rep.AutoRotate
End Sub

See Also

CiRepair Object | CiRepair Members | AutoDeskew | AutoRotate | Skew Method

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


BorderExtract Method

ClearImage COM Server
BorderExtract Method
See Also Example Send Feedback
Flags
Algorithm
CiRepair Object : BorderExtract Method

Description

Extract document image using borders

Syntax

Visual Basic
Public Sub BorderExtract( _
   Optional ByVal Flags As EBorderExtractFlags = ciBexBorderDeskewCrop, _
   Optional ByVal Algorithm As EBorderExtractAlgorithm = ciBeaCleaner _
)

Parameters

Flags
Value | Description
ciBexBorder | Remove borders only
ciBexBorderDeskew | Remove borders and deskew
ciBexBorderDeskewCrop | Remove borders, deskew, and crop
ciBexDeskewCrop | Deskew, and crop
Algorithm
Value | Description
ciBeaCleaner | Cleaner border extraction
ciBeaFaster | Faster border extraction

Example

VB Example (Visual Basic) Copy Code
Public Sub T_BorderExtract(ByRef Rep As CiRepair)
  Rep.BorderExtract ciBexBorderDeskewCrop, ciBeaCleaner
End Sub

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CleanNoise Method

ClearImage COM Server
CleanNoise Method
See Also Example Send Feedback
NoiseSize
Maximum horizontal or vertical size in pixels of the noise object.
CiRepair Object : CleanNoise Method

Description

Remove noise objects

Syntax

Visual Basic
Public Sub CleanNoise( _
   ByVal NoiseSize As Long _
)

Parameters

NoiseSize
Maximum horizontal or vertical size in pixels of the noise object.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_CleanNoise(ByRef Rep As CiRepair)
    ' Remove noise objects
    '   having 3 Or less pixels on each side
  Rep.CleanNoise 3
End Sub

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CleanNoiseExt Method

ClearImage COM Server
CleanNoiseExt Method
See Also Send Feedback
Flags
maxNoiseSizeHorz
maxNoiseSizeVert
minObjectDistance
reserved0
CiRepair Object : CleanNoiseExt Method

Description

Remove noise objects (extended)

Syntax

Visual Basic
Public Sub CleanNoiseExt( _
   ByVal Flags As ECleanNoiseFlags, _
   ByVal maxNoiseSizeHorz As Long, _
   ByVal maxNoiseSizeVert As Long, _
   ByVal minObjectDistance As Long, _
   ByVal reserved0 As Long _
)

Parameters

Flags
Value | Description
ciCnxBlackNoise | Remove black-on-white noise
ciCnxMarginsNoise | Remove noise only in margins area
ciCnxWhiteNoise | Remove white-on-black noise
maxNoiseSizeHorz
maxNoiseSizeVert
minObjectDistance
reserved0

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ClearBackground Method

ClearImage COM Server
ClearBackground Method
See Also Send Feedback
ThrLevel
CiRepair Object : ClearBackground Method

Description

Set background to white

Syntax

Visual Basic
Public Sub ClearBackground( _
   Optional ByVal ThrLevel As Double = 30 _
)

Parameters

ThrLevel

Remarks

Scanning pages with white background scanned as grayscale and color typically produces off-white background. ClearBackground sets all pixels brighter than specified threshold to pure white. This makes image visually closer to the original document.

Method applies only to grayscale and color image.
ThrLevel = 0% threshold does not change an image
ThrLevel = 100% sets all color pixels to white
ThrLevel = 30% is recommended

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


DeleteLines Method

ClearImage COM Server
DeleteLines Method
See Also Example Send Feedback
Direction
bRepair
CiRepair Object : DeleteLines Method

Description

Delete lines and reconnect intersected objects

Syntax

Visual Basic
Public Sub DeleteLines( _
   ByVal Direction As ELineDirection, _
   Optional ByVal bRepair As EBoolean = ciTrue _
)

Parameters

Direction
Value | Description
ciLineHorz | Horizontal lines
ciLineUnknown | Unknown
ciLineVert | Vertical lines
ciLineVertAndHorz | Both vertical and horizontal lines
bRepair
Value | Description
ciFalse | Value is false (0)
ciTrue | Value is true (-1)

Example

VB Example (Visual Basic) Copy Code
Public Sub T_DeleteHorzLines(ByRef Rep As CiRepair)
  Rep.pLineCurvature = ciCurvHigh
  Rep.pMaxLineAngle = 5
  Rep.pMaxLineGap = 5
  Rep.pMinLineLength = 200
  Rep.DeleteLines ciLineHorz, ciFalse
End Sub

Public Sub T_DeleteAndRepairLines(ByRef Rep As CiRepair)
  Rep.pLineCurvature = ciCurvHigh
  Rep.pMaxLineAngle = 5
  Rep.pMaxLineGap = 5
  Rep.pMinLineLength = 200
  Rep.DeleteLines ciLineVertAndHorz, ciTrue
End Sub

See Also

CiRepair Object | CiRepair Members | DeleteLines | ReconstructLines | pLineCurvature | pMaxLineAngle | pMaxLineGap | pMinLineLength

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FaxRemoveBlankLines Method

ClearImage COM Server
FaxRemoveBlankLines Method
See Also Example Send Feedback
CiRepair Object : FaxRemoveBlankLines Method

Description

Remove blank lines from faxed image

Syntax

Visual Basic
Public Sub FaxRemoveBlankLines()

Remarks

!MISSING PHRASE '_COLORFAIL'!

Only blank (all white) horizontal lines created by communication error are removed.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_FaxProcessing(ByRef Rep As CiRepair)
  Rep.FaxStandardToFine
  Rep.FaxRemoveHeader
  Rep.FaxRemoveBlankLines
End Sub

See Also

CiRepair Object | CiRepair Members | FaxStandardToFine | FaxRemoveHeader | FaxRemoveBlankLines

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FaxRemoveHeader Method

ClearImage COM Server
FaxRemoveHeader Method
See Also Example Send Feedback
CiRepair Object : FaxRemoveHeader Method

Description

Remove header from faxed image

Syntax

Visual Basic
Public Sub FaxRemoveHeader()

Remarks

A fax header consists of uniform text objects, residing on a single fax scan line, and located at the upper edge of the image. Once images are re-scanned or deskewed, their text objects will no longer reside on a single scan line and will not be identified as a fax header.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_FaxProcessing(ByRef Rep As CiRepair)
  Rep.FaxStandardToFine
  Rep.FaxRemoveHeader
  Rep.FaxRemoveBlankLines
End Sub

See Also

CiRepair Object | CiRepair Members | FaxStandardToFine | FaxRemoveHeader | FaxRemoveBlankLines

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FaxStandardToFine Method

ClearImage COM Server
FaxStandardToFine Method
See Also Example Send Feedback
CiRepair Object : FaxStandardToFine Method

Description

Convert standard resolution fax image to fine resolution

Syntax

Visual Basic
Public Sub FaxStandardToFine()

Remarks

!MISSING PHRASE '_ZONEFAIL'!
!MISSING PHRASE '_COLORFAIL'!

Example

VB Example (Visual Basic) Copy Code
Public Sub T_FaxProcessing(ByRef Rep As CiRepair)
  Rep.FaxStandardToFine
  Rep.FaxRemoveHeader
  Rep.FaxRemoveBlankLines
End Sub

See Also

CiRepair Object | CiRepair Members | FaxStandardToFine | FaxRemoveHeader | FaxRemoveBlankLines

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


IsBlankImage Method

ClearImage COM Server
IsBlankImage Method
See Also Send Feedback
reserved0
Set to 0
reserved1
Set to 0.0
reserved2
Set to 0.0
CiRepair Object : IsBlankImage Method

Description

Is image blank

Syntax

Visual Basic
Public Function IsBlankImage( _
   Optional ByVal reserved0 As Long = 0, _
   Optional ByVal reserved1 As Double = 0, _
   Optional ByVal reserved2 As Double = 0 _
) As EBoolean

Parameters

reserved0
Set to 0
reserved1
Set to 0.0
reserved2
Set to 0.0

Remarks

Blank pages normally occur in duplex scanning when both sides of the page are scanned.
Image is not blank if it has black pixels after ignoring the following image elements:

Margins - Black pixels inside the following margin

  • for sides larger than 7 inches the margin will be 1 inch
  • for sides between 5 and 7 inches the margin will be 0.5 inch
  • for smaller sides there will be no margin

Noise - Sspeckles of 5x5 pixels and smaller

Object - Single object smaller than 0.5 x 0.5 inch in size

Note: Image should have correct values for vertical and horizontal resolution for proper calculations of margins and object size.
Parameters should be set to 0.

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ReconstructLines Method

ClearImage COM Server
ReconstructLines Method
See Also Example Send Feedback
Direction
CiRepair Object : ReconstructLines Method

Description

Find and straighten image lines

Syntax

Visual Basic
Public Sub ReconstructLines( _
   ByVal Direction As ELineDirection _
)

Parameters

Direction
Value | Description
ciLineHorz | Horizontal lines
ciLineUnknown | Unknown
ciLineVert | Vertical lines
ciLineVertAndHorz | Both vertical and horizontal lines

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ReconstructLines(ByRef Rep As CiRepair)
  Rep.pLineCurvature = ciCurvHigh
  Rep.pMaxLineAngle = 5
  Rep.pMaxLineGap = 5
  Rep.pMinLineLength = 200
  Rep.ReconstructLines ciLineVertAndHorz
End Sub

See Also

CiRepair Object | CiRepair Members | DeleteLines | ReconstructLines | pLineCurvature | pMaxLineAngle | pMaxLineGap | pMinLineLength

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


RemoveHalftone Method

ClearImage COM Server
RemoveHalftone Method
See Also Example Send Feedback
CiRepair Object : RemoveHalftone Method

Description

Remove halftone from image background

Syntax

Visual Basic
Public Sub RemoveHalftone()

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

VB Example (Visual Basic) Copy Code
Public Sub T_RemoveHalftone(ByRef Rep As CiRepair)
  Rep.RemoveHalftone
End Sub

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


RemovePunchHoles Method

ClearImage COM Server
RemovePunchHoles Method
See Also Example Send Feedback
CiRepair Object : RemovePunchHoles Method

Description

Remove punch holes form image

Syntax

Visual Basic
Public Sub RemovePunchHoles()

Example

VB Example (Visual Basic) Copy Code
Public Sub T_RemovePunchHoles(ByRef Rep As CiRepair)
  Rep.RemovePunchHoles
End Sub

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Resize Method

ClearImage COM Server
Resize Method
See Also Send Feedback
PageSize
PageOrientation
ImageAlignment
Width
Height
Unit
CiRepair Object : Resize Method

Description

Resize image to page

Syntax

Visual Basic
Public Sub Resize( _
   ByVal PageSize As EPageSize, _
   Optional ByVal PageOrientation As EPageOrientation = epgoAuto, _
   Optional ByVal ImageAlignment As EImageAlignment = epiaCenter, _
   Optional ByVal Width As Double = 8.5, _
   Optional ByVal Height As Double = 11, _
   Optional ByVal Unit As ESizeUnit = esuInch _
)

Parameters

PageSize
Value | Description
epgsA4 | A4 page size
epgsCustom | Custom image size
epgsImage
epgsLedger | Ledger size
epgsLegal | Legal size
epgsLetter | Letter size
epgsNearest
epgsNearestMetric
epgsNearestStd
epgsOriginal | Image size before image is modified
PageOrientation
Value | Description
epgoAuto | Orientation is determind automaticaly
epgoLandscape | Use landscape orientation
epgoPortrait | Use portrait orientation
ImageAlignment
Value Description
epiaBestFit
epiaBottomCenter
epiaBottomLeft
epiaBottomRight
epiaCenter
epiaLeftCenter
epiaRightCenter
epiaStretch
epiaTopCenter
epiaTopLeft
epiaTopRight
Width
Height
Unit
Value Description
esuCentimeter
esuInch
esuPixel

Remarks

Scanning document of standard size often produces images of slightly different dimension. Some image processing operations, like BorderExtract, AutoCrop, AutoDeskew change size of the image.

Resize method sets of an image to one of:

  • Predefined size (PageSize, PageOrientation parameters)
  • Custom size (PageSize = epgsCusom, Width, Height, Unit parameters)
  • Size of the image when it was open (PageSize = epgsOriginal)

Image data before resizing are:

  • Placed on resized image according to ImageAlignment parameter in the center of an new image, one of the corners, or aligned with center of one of sides. NOTE: If ImageAlignment is not epiaBestFit and new image size is smaller than original some of original image information will be lost.
  • Scaled to occupy maximum area of resized image (ImageAlignment = epiaBestFit)

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


SmoothCharacters Method

ClearImage COM Server
SmoothCharacters Method
See Also Example Send Feedback
Type
CiRepair Object : SmoothCharacters Method

Description

Smoothen character edges

Syntax

Visual Basic
Public Sub SmoothCharacters( _
   ByVal Type As ESmoothType _
)

Parameters

Type
Value | Description
ciSmoothDarkenEdges | Make character edges darker
ciSmoothLightenEdges | Make character edges lighter

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

VB Example (Visual Basic) Copy Code
Public Sub T_SmoothCharacters(ByRef Rep As CiRepair)
  Rep.SmoothCharacters ciSmoothDarkenEdges
End Sub

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Image Property

ClearImage COM Server
Image Property
See Also Send Feedback
CiRepair Object : Image Property

Description

Image as CiImage objectImage as CiImage object

Property type

Read-write property

Syntax

Visual Basic
Public Property Image As CiImage

Remarks

Default Image is created for object. To operate on another image or zone object assign it to Image property.

See Also

CiRepair Object | CiRepair Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pLineCurvature Property

ClearImage COM Server
pLineCurvature Property
See Also Send Feedback
CiRepair Object : pLineCurvature Property

Description

Maximum line curvature

Property type

Read-write property

Syntax

Visual Basic
Public Property pLineCurvature As ELineCurvature

See Also

CiRepair Object | CiRepair Members | DeleteLines | ReconstructLines

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pMaxLineAngle Property

ClearImage COM Server
pMaxLineAngle Property
See Also Send Feedback
CiRepair Object : pMaxLineAngle Property

Description

Maximum angle of line

Property type

Read-write property

Syntax

Visual Basic
Public Property pMaxLineAngle As Double

See Also

CiRepair Object | CiRepair Members | DeleteLines | ReconstructLines

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pMaxLineGap Property

ClearImage COM Server
pMaxLineGap Property
See Also Send Feedback
CiRepair Object : pMaxLineGap Property

Description

Maximum gap inside line in pixels

Property type

Read-write property

Syntax

Visual Basic
Public Property pMaxLineGap As Long

See Also

CiRepair Object | CiRepair Members | DeleteLines | ReconstructLines

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pMinLineLength Property

ClearImage COM Server
pMinLineLength Property
See Also Send Feedback
CiRepair Object : pMinLineLength Property

Description

Minimum length of line in pixels

Property type

Read-write property

Syntax

Visual Basic
Public Property pMinLineLength As Long

See Also

CiRepair Object | CiRepair Members | DeleteLines | ReconstructLines

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiServer Object

ClearImage COM Server
CiServer Object
See Also Members Send Feedback

Description

ClearImage COM root object

Object Model

CiServer Object

See Also

CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiServer Object Members

ClearImage COM Server
CiServer Object Members
See Also Overview Send Feedback

Public Methods

Public Method CreateAdvColor | Create new CiAdvColor object
Public Method CreateBarcodeBasic | Create new CiBarcodeBasic object
Public Method CreateBarcodePro | Create new CiBarcodePro object
Public Method CreateDataMatrix | Create new CiDataMatrix object
Public Method CreateImage | Create new CiImage object
Public Method CreatePdf417 | Create new CiPdf417 object
Public Method CreateQR | Create new CiQR object
Public Method CreateRect | Create new CiRect object
Public Method CreateRepair | Create new CiRepair object
Public Method CreateTools | Create new CiTools object
Public Method OpenExt | Open ClearImage COM License

Public Properties

Public Property DevMode | , Set Development ModeGet DevMode
Public Property Info | Server Information
Public Property VerMajor | Major version number
Public Property VerMinor | Minor version number
Public Property VerRelease | Release number

See Also

CiServer Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateAdvColor Method

ClearImage COM Server
CreateAdvColor Method
See Also Send Feedback
CiServer Object : CreateAdvColor Method

Description

Create new CiAdvColor object

Syntax

Visual Basic
Public Function CreateAdvColor() As CiAdvColor

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateBarcodeBasic Method

ClearImage COM Server
CreateBarcodeBasic Method
See Also Send Feedback
CiServer Object : CreateBarcodeBasic Method

Description

Create new CiBarcodeBasic object

Syntax

Visual Basic
Public Function CreateBarcodeBasic() As CiBarcodeBasic

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateBarcodePro Method

ClearImage COM Server
CreateBarcodePro Method
See Also Send Feedback
CiServer Object : CreateBarcodePro Method

Description

Create new CiBarcodePro object

Syntax

Visual Basic
Public Function CreateBarcodePro() As CiBarcodePro

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateDataMatrix Method

ClearImage COM Server
CreateDataMatrix Method
See Also Send Feedback
CiServer Object : CreateDataMatrix Method

Description

Create new CiDataMatrix object

Syntax

Visual Basic
Public Function CreateDataMatrix() As CiDataMatrix

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateImage Method

ClearImage COM Server
CreateImage Method
See Also Send Feedback
CiServer Object : CreateImage Method

Description

Create new CiImage object

Syntax

Visual Basic
Public Function CreateImage() As CiImage

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreatePdf417 Method

ClearImage COM Server
CreatePdf417 Method
See Also Send Feedback
CiServer Object : CreatePdf417 Method

Description

Create new CiPdf417 object

Syntax

Visual Basic
Public Function CreatePdf417() As CiPdf417

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateQR Method

ClearImage COM Server
CreateQR Method
See Also Send Feedback
CiServer Object : CreateQR Method

Description

Create new CiQR object

Syntax

Visual Basic
Public Function CreateQR() As CiQR

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateRect Method

ClearImage COM Server
CreateRect Method
See Also Send Feedback
left
top
right
bottom
CiServer Object : CreateRect Method

Description

Create new CiRect object

Syntax

Visual Basic
Public Function CreateRect( _
   Optional ByVal left As Long = 0, _
   Optional ByVal top As Long = 0, _
   Optional ByVal right As Long = 0, _
   Optional ByVal bottom As Long = 0 _
) As CiRect

Parameters

left
top
right
bottom

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateRepair Method

ClearImage COM Server
CreateRepair Method
See Also Send Feedback
CiServer Object : CreateRepair Method

Description

Create new CiRepair object

Syntax

Visual Basic
Public Function CreateRepair() As CiRepair

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CreateTools Method

ClearImage COM Server
CreateTools Method
See Also Send Feedback
CiServer Object : CreateTools Method

Description

Create new CiTools object

Syntax

Visual Basic
Public Function CreateTools() As CiTools

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


OpenExt Method

ClearImage COM Server
OpenExt Method
See Also Send Feedback
hModule
Instance handle of the module calling this method.
MasterId
License Master ID
pParam
Should always be set to 0
CiServer Object : OpenExt Method

Description

Open ClearImage COM License

Syntax

Visual Basic
Public Sub OpenExt( _
   ByVal hModule As Long, _
   ByVal MasterId As Long, _
   ByVal pParam As Long _
)

Parameters

hModule
Instance handle of the module calling this method.
MasterId
License Master ID
pParam
Should always be set to 0

Remarks

Call this method prior to any other methods, if a Master Id license other than the default is used.

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


DevMode Property

ClearImage COM Server
DevMode Property
See Also Send Feedback
bGlobalDevMode
CiServer Object : DevMode Property

Description

, Set Development ModeGet DevMode

Property type

Read-write property

Syntax

Visual Basic
Public Property DevMode( _
   Optional ByVal bGlobalDevMode As Long = 0 _
) As Long

Parameters

bGlobalDevMode

Remarks

A Call to a unlicensed ClearImage method generates an error in the production mode.

DevMode allows use of unlicensed ClearImage modules for the purpose of development.
If value is not zero and methods in unlicensed modules are called user will periodically be challenged by a dialog box reminder of the need to license the ClearImage module. However the unlicensed methods will be executed normally.

DevMode should be set to 0 for production use, so as to avoid this dialog box.

DevMode value can be set permanently on the computer if bGlobalDevMode parameter is not zero.
Otherwise it will apply only to current instance of CiServer and other modules derived from it.

If bGlobalDevMode = 0 value of DevMode will be in effect for the run time of the application.

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Info Property

ClearImage COM Server
Info Property
See Also Send Feedback
CiServer Object : Info Property

Description

Server Information

Property type

Read-only property

Syntax

Visual Basic
Public Property Info As String

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


VerMajor Property

ClearImage COM Server
VerMajor Property
See Also Send Feedback
CiServer Object : VerMajor Property

Description

Major version number

Property type

Read-only property

Syntax

Visual Basic
Public Property VerMajor As Long

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


VerMinor Property

ClearImage COM Server
VerMinor Property
See Also Send Feedback
CiServer Object : VerMinor Property

Description

Minor version number

Property type

Read-only property

Syntax

Visual Basic
Public Property VerMinor As Long

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


VerRelease Property

ClearImage COM Server
VerRelease Property
See Also Send Feedback
CiServer Object : VerRelease Property

Description

Release number

Property type

Read-only property

Syntax

Visual Basic
Public Property VerRelease As Long

See Also

CiServer Object | CiServer Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiTools Object

ClearImage COM Server
CiTools Object
See Also Members Example Send Feedback

Description

Image analysis function to implement form-processing and specialized imaging applications.

Image tools object

Object Model

CiTools ObjectCiImage Object

Example

VB Example (Visual Basic) Copy Code
Public Sub T_Tools (ByRef Ci As CiServer, ByRef Img As CiImage)
    ' Create CiTools object
  Dim Tools As CiTools
  Set Tools = Ci.CreateTools
      '  Attach CiImage
  Tools.Image = Img
      '  Use CiTools Object.  For example
  Debug.Print "Pixels=" & Tools.CountPixels
  Debug.Print "Skew=" & Tools.MeasureSkew
  T_MeasureHistogram Tools
End Sub

See Also

CiTools Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CiTools Object Members

ClearImage COM Server
CiTools Object Members
See Also Overview Send Feedback

Public Methods

Public Method AndImage | Logical AND with another image
Public Method CountPixels | Count image pixels
Public Method ExtractObject | Extract an object into new image
Public Method Fatten | Fatten image
Public Method FirstLine | Find first line
Public Method FirstObject | Find first object
Public Method MeasureHorzHistogram | Measure horizontal histogram
Public Method MeasureMargins | Measure image margins
Public Method MeasureRotation | Measure image rotation
Public Method MeasureSkew | Measure image skew
Public Method MeasureVertHistogram | Measure vertical histogram
Public Method NextLine | Find another line
Public Method NextObject | Find another object
Public Method OrImage | Logical AND with another imageLogical OR with another image
Public Method PasteImage | Logical AND with another imagePaste another image
Public Method ScaleImage | Scale image
Public Method Skew | Skew image
Public Method Trim | Trim image
Public Method XorImage | Logical AND with another imageLogical XOR with another image

Public Properties

Public Property Image | Image as CiImage object
Public Property pLineCurvature | Maximum line curvature
Public Property pLineDirection | Line direction(s)
Public Property pMaxLineAngle | Maximum angle of line
Public Property pMaxLineGap | Maximum gap inside line in pixels
Public Property pMinLineLength | Minimum length of line in pixels
Public Property pScaleBmpBrightness | Valid range 0 to 255Brightness of image scaled down to Windows Bitmap. Range 0-255
Public Property pScaleBmpContrast | Valid range 0 to 255Contrast of image scaled down to Windows Bitmap. Range 0-255
Public Property pScaleBmpType | Type of image-to-bitmap scale down
Public Property pScaleThreshold | Threshold for ciScaleThreshold-type scaling. Range 0-100
Public Property pScaleType | Type of image to image scale down
Public Property rConfidence | Image rotation and skew confidence

See Also

CiTools Object

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


AndImage Method

ClearImage COM Server
AndImage Method
See Also Example Send Feedback
ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0
CiTools Object : AndImage Method

Description

Logical AND with another image

Syntax

Visual Basic
Public Sub AndImage( _
   ByVal ImgSrc As CiImage, _
   Optional ByVal left As Long = 0, _
   Optional ByVal top As Long = 0 _
)

Parameters

ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0

Remarks

!MISSING PHRASE '_ZONEFAIL'!
BitsPerPixel property of object.Image and ImgSrc should be the same.

Example

Logical Functions
VB Example (Visual Basic) Copy Code
Public Sub T_LogicalFunctions(ByRef Tools As CiTools, ByRef ImgSrc As CiImage)
  If (Tools.Image.IsZone) Then
    Debug.Print "Logical Functions can not be applied to zone"
    Exit Sub
  End If

  Dim x, y: x = 20: y = 20
  Tools.AndImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.OrImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.XorImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.PasteImage ImgSrc, x, y
End Sub

See Also

CiTools Object | CiTools Members | OrImage | XorImage | AndImage | PasteImage

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


CountPixels Method

ClearImage COM Server
CountPixels Method
See Also Example Send Feedback
CiTools Object : CountPixels Method

Description

Count image pixels

Syntax

Visual Basic
Public Function CountPixels() As Long

Return Type

Number of black pixels in image.

Example

VB Comment (Visual Basic) Copy Code
Public Sub T_CountPixels(ByRef Tools As CiTools)
    Debug.Print "Pixel Count=" & Tools.CountPixels
End Sub
Code uses ATL COM library
C Comments (C++) Copy Code
long nPixels;
CToolsPtr Tools;
Tools = ci.CreateTools();
nPixels = Tools.CountPixels();
// This a comment
int  i = 3;

See Also

CiTools Object | CiTools Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ExtractObject Method

ClearImage COM Server
ExtractObject Method
See Also Example Send Feedback
Object
Object returned by FirstObject or NextObject methods
CiTools Object : ExtractObject Method

Description

Extract an object into new image

Syntax

Visual Basic
Public Function ExtractObject( _
   ByVal Object As CiObject _
) As CiImage

Parameters

Object
Object returned by FirstObject or NextObject methods

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

Extract all objects into individual images
VB Exampe (Visual Basic) Copy Code
Public Sub T_ExtractObjects(ByRef Tools As CiTools)
    Dim Obj As CiObject
    Dim ObjImg As CiImage   '  Image of extracted object
    Set Obj = Tools.FirstObject
    Do While Not Obj Is Nothing
       Set ObjImg = Tools.ExtractObject(Obj)
      ' TODO:  Do something with ObjImg  For Example:
      '  ObjImg.Append FileName
      Set Obj = Tools.NextObject
    Loop
End Sub

See Also

CiTools Object | CiTools Members | NextObject | ExtractObject | FirstObject | CiObject

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Fatten Method

ClearImage COM Server
Fatten Method
See Also Example Send Feedback
Pixels
Number of Pixels to add in each direction
Direction
CiTools Object : Fatten Method

Description

Fatten image

Syntax

Visual Basic
Public Sub Fatten( _
   ByVal Pixels As Long, _
   ByVal Direction As EMorphDirections _
)

Parameters

Pixels
Number of Pixels to add in each direction
Direction
Value | Description
ciMorphAllNeighbours | Modify all neighboring pixels
ciMorphDiag | Modify pixels located diagonally
ciMorphHorz | Modify pixels located to the left and right
ciMorphHorzAndVert | Modify pixels located left, right, up or down
ciMorphVert | Modify pixels located up and down

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

Morphological Functions
VB Example (Visual Basic) Copy Code
Public Sub T_Morph(ByRef Tools As CiTools)
  Tools.Fatten 2, ciMorphAllNeighbours
  Tools.Trim 4, ciMorphVert
  Tools.Outline
  Tools.Skeleton
End Sub

See Also

CiTools Object | CiTools Members | Fatten | Trim | Outline | Skeleton

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FirstLine Method

ClearImage COM Server
FirstLine Method
See Also Example Send Feedback
CiTools Object : FirstLine Method

Description

Find first line

Syntax

Visual Basic
Public Function FirstLine() As CiLine

Return Type

Nothing or 0 when no more lines are available.

Example

Iterate image lines
VB Example (Visual Basic) Copy Code
Public Sub T_ShowLines(ByRef Tools As CiTools)
  Dim Line As CiLine
  With Tools
    .pLineCurvature = ciCurvVeryLow
    .pMaxLineAngle = 4.5
    .pMaxLineGap = 5
    .pMinLineLength = 100
    .pLineDirection = ciLineVertAndHorz
    Set Line = .FirstLine
    Do While Not Line Is Nothing
      With Line
        Debug.Print "  Line Angle=" & .Angle & _
         "  Thickness=" & .Thickness & _
         "  Rect=" & "(" & .Rect.left & "," & _
           .Rect.top & " - " & .Rect.right & "," & _
           .Rect.bottom & ")" & _
         "  Start (" & .Start.X & "," & .Start.Y & _
         ")  End (" & .End.X & "," & .End.Y & ")" & _
         "  Dir=" & Switch(.Direction = ciLineHorz, "Horz", _
           .Direction = ciLineVert, "Vert")
      End With
      Set Line = .NextLine
    Loop
  End With
End Sub

See Also

CiTools Object | CiTools Members | NextLine | FirstLine | pLineCurvature | pLineDirection | pMaxLineAngle Property | pMaxLineGap | pMinLineLength | CiLine

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FirstObject Method

ClearImage COM Server
FirstObject Method
See Also Example Send Feedback
CiTools Object : FirstObject Method

Description

Find first object

Syntax

Visual Basic
Public Function FirstObject() As CiObject

Return Type

Nothing or 0 when no more objects are available.

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

Itreate all objects into individual images
VB Exampe (Visual Basic) Copy Code
Public Sub T_IterateObjects(ByRef Tools As CiTools)
    Dim Obj As CiObject
    Set Obj = Tools.FirstObject
    Do While Not Obj Is Nothing
      ' TODO:  Do something with Obj using Object properties
      Debug.Print  _
        "   Rect lt=" & Obj.Rect.left & ":" & Obj.Rect.top & _
        "  rb=" & Obj.Rect.right & ":" & Obj.Rect.bottom & _
        "   Pixels=" & Obj.pixels & "   Intervals=" & Obj.Intervals
       Set Obj = Tools.NextObject
    Loop
End Sub

See Also

CiTools Object | CiTools Members | NextObject | ExtractObject | FirstObject | CiObject

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


MeasureHorzHistogram Method

ClearImage COM Server
MeasureHorzHistogram Method
See Also Example Send Feedback
CiTools Object : MeasureHorzHistogram Method

Description

Measure horizontal histogram

Syntax

Visual Basic
Public Function MeasureHorzHistogram() As Variant

Return Type

Contains Integer array.

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

Measure Vertical and Horizontal Histograms
VB Example (Visual Basic) Copy Code
Public Sub T_MeasureHistogram(ByRef Tools As CiTools)
  Dim Hist, i, start

  Hist = Tools.MeasureHorzHistogram
  For i = LBound(Hist) To UBound(Hist)
    start = 0:  If (Tools.Image.IsZone) Then start = Tools.Image.Zone.top
    Debug.Print "Row=" & start + i & " Pixels=" & Hist(i)
  Next

  Hist = Tools.MeasureVertHistogram
  For i = LBound(Hist) To UBound(Hist)
    start = 0:  If (Tools.Image.IsZone) Then start = Tools.Image.Zone.left
    Debug.Print "Col=" & start + i & " Pixels=" & Hist(i)
  Next
End Sub

See Also

CiTools Object | CiTools Members | MeasureVertHistogram | MeasureHorzHistogram

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


MeasureMargins Method

ClearImage COM Server
MeasureMargins Method
See Also Example Send Feedback
CiTools Object : MeasureMargins Method

Description

Measure image margins

Syntax

Visual Basic
Public Function MeasureMargins() As CiRect

Return Type

Returned CiRect object represents a rectangle on the image within which all image or ROI black pixels are located. If image or ROI contains no pixels, 0 or Nothing is returned.

Example

VB Example (Visual Basic) Copy Code
Public Sub T_MeasureMargins(ByRef Tools As CiTools)
  Dim Rect As CiRect
  Set Rect = Tools.MeasureMargins
  If (Rect Is Nothing) Then
     Debug.Print "  Margins:  N/A"
  Else
     Debug.Print "  Margins:  l=" & Rect.left & "  t=" & Rect.top & _
        "  r=" & Tools.Image.Width - Rect.right & "  b=" & Tools.Image.Height - Rect.bottom
  End If
End Sub

See Also

CiTools Object | CiTools Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


MeasureRotation Method

ClearImage COM Server
MeasureRotation Method
See Also Example Send Feedback
CiTools Object : MeasureRotation Method

Description

Measure image rotation

Syntax

Visual Basic
Public Function MeasureRotation() As EPageRotation

Return Type

If image contains enough of textual elements ciRotNone, ciRotUpsideDown, ciRotLeft, and ciRotRight values are set. If image contains mostly graphical objects, like lines, return values are ciRotPortrait and ciRotLeftOrRight.

Remarks

Level of confidence in percent is set in rConfidence.

Example

Measure Skew and Rotation
VB Sample (Visual Basic) Copy Code
Public Sub T_MeasureSkewAndRotation(ByRef Tools As CiTools)
  Dim nSkew, eRot

  nSkew = Tools.MeasureSkew
  Debug.Print "Skew=" & nSkew & "   Confidence=" & Tools.rConfidence & "%"

  eRot = Tools.MeasureRotation
  Debug.Print "Rotation=" & _
     Switch(eRot = ciRotUnknown, "Unknown", _
              eRot = ciRotNone, "None", _
              eRot = ciRotLeft, "TurnedLeft", _
              eRot = ciRotRight, "TurnedRight", _
              eRot = ciRotUpsideDown, "UpsideDown", _
              eRot = ciRotLeftOrRight, "TurnedLeftOrRight", _
              eRot = ciRotPortrait, "Portrait") & _
      "   Confidence=" & Tools.rConfidence & "%"
End Sub

See Also

CiTools Object | CiTools Members | MessureSkew | MeasureRotation | rConfidence

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


MeasureSkew Method

ClearImage COM Server
MeasureSkew Method
See Also Example Send Feedback
CiTools Object : MeasureSkew Method

Description

Measure image skew

Syntax

Visual Basic
Public Function MeasureSkew() As Double

Return Type

Result range is from -45 degrees to 45 degrees. Value is negative, if image skewed counterclockwise and positive if image is skewed clockwise.

Remarks

Measures image or ROI skew relative to the nearest vertical or horizontal axis.
Level of confidence in percent is set in rConfidence.

Example

Measure Skew and Rotation
VB Sample (Visual Basic) Copy Code
Public Sub T_MeasureSkewAndRotation(ByRef Tools As CiTools)
  Dim nSkew, eRot

  nSkew = Tools.MeasureSkew
  Debug.Print "Skew=" & nSkew & "   Confidence=" & Tools.rConfidence & "%"

  eRot = Tools.MeasureRotation
  Debug.Print "Rotation=" & _
     Switch(eRot = ciRotUnknown, "Unknown", _
              eRot = ciRotNone, "None", _
              eRot = ciRotLeft, "TurnedLeft", _
              eRot = ciRotRight, "TurnedRight", _
              eRot = ciRotUpsideDown, "UpsideDown", _
              eRot = ciRotLeftOrRight, "TurnedLeftOrRight", _
              eRot = ciRotPortrait, "Portrait") & _
      "   Confidence=" & Tools.rConfidence & "%"
End Sub

See Also

CiTools Object | CiTools Members | MessureSkew | MeasureRotation | rConfidence

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


MeasureVertHistogram Method

ClearImage COM Server
MeasureVertHistogram Method
See Also Example Send Feedback
CiTools Object : MeasureVertHistogram Method

Description

Measure vertical histogram

Syntax

Visual Basic
Public Function MeasureVertHistogram() As Variant

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

Measure Vertical and Horizontal Histograms
VB Example (Visual Basic) Copy Code
Public Sub T_MeasureHistogram(ByRef Tools As CiTools)
  Dim Hist, i, start

  Hist = Tools.MeasureHorzHistogram
  For i = LBound(Hist) To UBound(Hist)
    start = 0:  If (Tools.Image.IsZone) Then start = Tools.Image.Zone.top
    Debug.Print "Row=" & start + i & " Pixels=" & Hist(i)
  Next

  Hist = Tools.MeasureVertHistogram
  For i = LBound(Hist) To UBound(Hist)
    start = 0:  If (Tools.Image.IsZone) Then start = Tools.Image.Zone.left
    Debug.Print "Col=" & start + i & " Pixels=" & Hist(i)
  Next
End Sub

See Also

CiTools Object | CiTools Members | MeasureVertHistogram | MeasureHorzHistogram

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


NextLine Method

ClearImage COM Server
NextLine Method
See Also Example Send Feedback
CiTools Object : NextLine Method

Description

Find another line

Syntax

Visual Basic
Public Function NextLine() As CiLine

Example

Iterate image lines
VB Example (Visual Basic) Copy Code
Public Sub T_ShowLines(ByRef Tools As CiTools)
  Dim Line As CiLine
  With Tools
    .pLineCurvature = ciCurvVeryLow
    .pMaxLineAngle = 4.5
    .pMaxLineGap = 5
    .pMinLineLength = 100
    .pLineDirection = ciLineVertAndHorz
    Set Line = .FirstLine
    Do While Not Line Is Nothing
      With Line
        Debug.Print "  Line Angle=" & .Angle & _
         "  Thickness=" & .Thickness & _
         "  Rect=" & "(" & .Rect.left & "," & _
           .Rect.top & " - " & .Rect.right & "," & _
           .Rect.bottom & ")" & _
         "  Start (" & .Start.X & "," & .Start.Y & _
         ")  End (" & .End.X & "," & .End.Y & ")" & _
         "  Dir=" & Switch(.Direction = ciLineHorz, "Horz", _
           .Direction = ciLineVert, "Vert")
      End With
      Set Line = .NextLine
    Loop
  End With
End Sub

See Also

CiTools Object | CiTools Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


NextObject Method

ClearImage COM Server
NextObject Method
See Also Example Send Feedback
CiTools Object : NextObject Method

Description

Find another object

Syntax

Visual Basic
Public Function NextObject() As CiObject

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

Itreate all objects into individual images
VB Exampe (Visual Basic) Copy Code
Public Sub T_IterateObjects(ByRef Tools As CiTools)
    Dim Obj As CiObject
    Set Obj = Tools.FirstObject
    Do While Not Obj Is Nothing
      ' TODO:  Do something with Obj using Object properties
      Debug.Print  _
        "   Rect lt=" & Obj.Rect.left & ":" & Obj.Rect.top & _
        "  rb=" & Obj.Rect.right & ":" & Obj.Rect.bottom & _
        "   Pixels=" & Obj.pixels & "   Intervals=" & Obj.Intervals
       Set Obj = Tools.NextObject
    Loop
End Sub

See Also

CiTools Object | CiTools Members | NextObject | ExtractObject | FirstObject | CiObject

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


OrImage Method

ClearImage COM Server
OrImage Method
See Also Example Send Feedback
ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0
CiTools Object : OrImage Method

Description

Logical AND with another imageLogical OR with another image

Syntax

Visual Basic
Public Sub OrImage( _
   ByVal ImgSrc As CiImage, _
   Optional ByVal left As Long = 0, _
   Optional ByVal top As Long = 0 _
)

Parameters

ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0

Remarks

!MISSING PHRASE '_ZONEFAIL'!
BitsPerPixel property of object.Image and ImgSrc should be the same.

Example

Logical Functions
VB Example (Visual Basic) Copy Code
Public Sub T_LogicalFunctions(ByRef Tools As CiTools, ByRef ImgSrc As CiImage)
  If (Tools.Image.IsZone) Then
    Debug.Print "Logical Functions can not be applied to zone"
    Exit Sub
  End If

  Dim x, y: x = 20: y = 20
  Tools.AndImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.OrImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.XorImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.PasteImage ImgSrc, x, y
End Sub

See Also

CiTools Object | CiTools Members | OrImage | XorImage | AndImage | PasteImage

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


PasteImage Method

ClearImage COM Server
PasteImage Method
See Also Example Send Feedback
ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0
CiTools Object : PasteImage Method

Description

Logical AND with another imagePaste another image

Syntax

Visual Basic
Public Sub PasteImage( _
   ByVal ImgSrc As CiImage, _
   Optional ByVal left As Long = 0, _
   Optional ByVal top As Long = 0 _
)

Parameters

ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0

Remarks

!MISSING PHRASE '_ZONEFAIL'!
BitsPerPixel property of object.Image and ImgSrc should be the same.

Example

Logical Functions
VB Example (Visual Basic) Copy Code
Public Sub T_LogicalFunctions(ByRef Tools As CiTools, ByRef ImgSrc As CiImage)
  If (Tools.Image.IsZone) Then
    Debug.Print "Logical Functions can not be applied to zone"
    Exit Sub
  End If

  Dim x, y: x = 20: y = 20
  Tools.AndImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.OrImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.XorImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.PasteImage ImgSrc, x, y
End Sub

See Also

CiTools Object | CiTools Members | OrImage | XorImage | AndImage | PasteImage

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ScaleImage Method

ClearImage COM Server
ScaleImage Method
See Also Example Send Feedback
ScaleX
ScaleY
CiTools Object : ScaleImage Method

Description

Scale image

Syntax

Visual Basic
Public Sub ScaleImage( _
   ByVal ScaleX As Double, _
   ByVal ScaleY As Double _
)

Parameters

ScaleX
ScaleY

Remarks

!MISSING PHRASE '_ZONEFAIL'!

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ScaleImage(ByRef Tools As CiTools)
  If (Tools.Image.IsZone) Then
    Debug.Print "Scale can not be applied to zone"
  Else
    Tools.pScaleType = ciScaleThreshold
    Tools.pScaleThreshold = 50
    Tools.ScaleImage 0.5, 0.5
  End If
End Sub

See Also

CiTools Object | CiTools Members | ScaleImage | pScaleType | pScaleThreshold

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Skew Method

ClearImage COM Server
Skew Method
See Also Example Send Feedback
Angle
Positive value represents a clockwise angle.
CiTools Object : Skew Method

Description

Skew image

Syntax

Visual Basic
Public Sub Skew( _
   ByVal Angle As Double _
)

Parameters

Angle
Positive value represents a clockwise angle.

Remarks

!MISSING PHRASE '_ZONEFAIL'!

Example

Skew image by 5.3 degrees clockwise
(Visual Basic) Copy Code
Public Sub T_Skew(ByRef Tools As CiTools)
  If (Tools.Image.IsZone) Then
    Debug.Print "Skew can not be applied to zone"
  Else
    Tools.Skew 5.3
  End If
End Sub

See Also

CiTools Object | CiTools Members | AutoDeskew | AutoRotate | Skew Method

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Trim Method

ClearImage COM Server
Trim Method
See Also Example Send Feedback
Pixels
Number of pixels to trim from each side
Direction
CiTools Object : Trim Method

Description

Trim image

Syntax

Visual Basic
Public Sub Trim( _
   ByVal Pixels As Long, _
   ByVal Direction As EMorphDirections _
)

Parameters

Pixels
Number of pixels to trim from each side
Direction
Value | Description
ciMorphAllNeighbours | Modify all neighboring pixels
ciMorphDiag | Modify pixels located diagonally
ciMorphHorz | Modify pixels located to the left and right
ciMorphHorzAndVert | Modify pixels located left, right, up or down
ciMorphVert | Modify pixels located up and down

Remarks

!MISSING PHRASE '_COLORFAIL'!

Example

Morphological Functions
VB Example (Visual Basic) Copy Code
Public Sub T_Morph(ByRef Tools As CiTools)
  Tools.Fatten 2, ciMorphAllNeighbours
  Tools.Trim 4, ciMorphVert
  Tools.Outline
  Tools.Skeleton
End Sub

See Also

CiTools Object | CiTools Members | Fatten | Trim | Outline | Skeleton

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


XorImage Method

ClearImage COM Server
XorImage Method
See Also Example Send Feedback
ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0
CiTools Object : XorImage Method

Description

Logical AND with another imageLogical XOR with another image

Syntax

Visual Basic
Public Sub XorImage( _
   ByVal ImgSrc As CiImage, _
   Optional ByVal left As Long = 0, _
   Optional ByVal top As Long = 0 _
)

Parameters

ImgSrc
left
Target position on CiTools.Image object. Default value is 0
top
Target position on CiTools.Image object. Default value is 0

Remarks

!MISSING PHRASE '_ZONEFAIL'!
BitsPerPixel property of object.Image and ImgSrc should be the same.

Example

Logical Functions
VB Example (Visual Basic) Copy Code
Public Sub T_LogicalFunctions(ByRef Tools As CiTools, ByRef ImgSrc As CiImage)
  If (Tools.Image.IsZone) Then
    Debug.Print "Logical Functions can not be applied to zone"
    Exit Sub
  End If

  Dim x, y: x = 20: y = 20
  Tools.AndImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.OrImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.XorImage ImgSrc, x, y

  x = x + Tools.Image.Width / 5 + 20
  y = y + Tools.Image.Height / 5 + 20
  Tools.PasteImage ImgSrc, x, y
End Sub

See Also

CiTools Object | CiTools Members | OrImage | XorImage | AndImage | PasteImage

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Image Property

ClearImage COM Server
Image Property
See Also Send Feedback
CiTools Object : Image Property

Description

Image as CiImage object

Property type

Read-write property

Syntax

Visual Basic
Public Property Image As CiImage

Remarks

Default Image is created for object. To operate on another image or zone object assign it to Image property.

See Also

CiTools Object | CiTools Members

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pLineCurvature Property

ClearImage COM Server
pLineCurvature Property
See Also Send Feedback
CiTools Object : pLineCurvature Property

Description

Maximum line curvature

Property type

Read-write property

Syntax

Visual Basic
Public Property pLineCurvature As ELineCurvature

See Also

CiTools Object | CiTools Members | FirstLine | NextLine

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pLineDirection Property

ClearImage COM Server
pLineDirection Property
See Also Send Feedback
CiTools Object : pLineDirection Property

Description

Line direction(s)

Property type

Read-write property

Syntax

Visual Basic
Public Property pLineDirection As ELineDirection

See Also

CiTools Object | CiTools Members | FirstLine | NextLine

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pMaxLineAngle Property

ClearImage COM Server
pMaxLineAngle Property
See Also Send Feedback
CiTools Object : pMaxLineAngle Property

Description

Maximum angle of line

Property type

Read-write property

Syntax

Visual Basic
Public Property pMaxLineAngle As Double

See Also

CiTools Object | CiTools Members | FirstLine | NextLine

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pMaxLineGap Property

ClearImage COM Server
pMaxLineGap Property
See Also Send Feedback
CiTools Object : pMaxLineGap Property

Description

Maximum gap inside line in pixels

Property type

Read-write property

Syntax

Visual Basic
Public Property pMaxLineGap As Long

See Also

CiTools Object | CiTools Members | FirstLine | NextLine

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pMinLineLength Property

ClearImage COM Server
pMinLineLength Property
See Also Send Feedback
CiTools Object : pMinLineLength Property

Description

Minimum length of line in pixels

Property type

Read-write property

Syntax

Visual Basic
Public Property pMinLineLength As Long

See Also

CiTools Object | CiTools Members | FirstLine | NextLine

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pScaleBmpBrightness Property

ClearImage COM Server
pScaleBmpBrightness Property
See Also Example Send Feedback
CiTools Object : pScaleBmpBrightness Property

Description

Valid range 0 to 255Brightness of image scaled down to Windows Bitmap. Range 0-255

Property type

Read-write property

Syntax

Visual Basic
Public Property pScaleBmpBrightness As Long

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ScaleToDIB(ByRef Tools As CiTools)
  Dim hDib
  Tools.pScaleBmpType = ciScaleBestQuality
  Tools.pScaleBmpBrightness = 100
  Tools.pScaleBmpContrast = 200
  hDib = Img.ScaleToDIB(0.5, 0.5)
    ' Copy result to clipboard
  OpenClipboard (0&):  EmptyClipboard
  SetClipboardData CF_DIB, hDib
  CloseClipboard
End Sub

See Also

CiTools Object | CiTools Members | ScaleToDIB | pScaleBmpType | pScaleBmpBrightness | pScaleBmpContrast

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pScaleBmpContrast Property

ClearImage COM Server
pScaleBmpContrast Property
See Also Example Send Feedback
CiTools Object : pScaleBmpContrast Property

Description

Valid range 0 to 255Contrast of image scaled down to Windows Bitmap. Range 0-255

Property type

Read-write property

Syntax

Visual Basic
Public Property pScaleBmpContrast As Long

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ScaleToDIB(ByRef Tools As CiTools)
  Dim hDib
  Tools.pScaleBmpType = ciScaleBestQuality
  Tools.pScaleBmpBrightness = 100
  Tools.pScaleBmpContrast = 200
  hDib = Img.ScaleToDIB(0.5, 0.5)
    ' Copy result to clipboard
  OpenClipboard (0&):  EmptyClipboard
  SetClipboardData CF_DIB, hDib
  CloseClipboard
End Sub

See Also

CiTools Object | CiTools Members | ScaleToDIB | pScaleBmpType | pScaleBmpBrightness | pScaleBmpContrast

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pScaleBmpType Property

ClearImage COM Server
pScaleBmpType Property
See Also Example Send Feedback
CiTools Object : pScaleBmpType Property

Description

Type of image-to-bitmap scale down

Property type

Read-write property

Syntax

Visual Basic
Public Property pScaleBmpType As EScaleBmpType

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ScaleToDIB(ByRef Tools As CiTools)
  Dim hDib
  Tools.pScaleBmpType = ciScaleBestQuality
  Tools.pScaleBmpBrightness = 100
  Tools.pScaleBmpContrast = 200
  hDib = Img.ScaleToDIB(0.5, 0.5)
    ' Copy result to clipboard
  OpenClipboard (0&):  EmptyClipboard
  SetClipboardData CF_DIB, hDib
  CloseClipboard
End Sub

See Also

CiTools Object | CiTools Members | ScaleToDIB | pScaleBmpType | pScaleBmpBrightness | pScaleBmpContrast

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pScaleThreshold Property

ClearImage COM Server
pScaleThreshold Property
See Also Example Send Feedback
CiTools Object : pScaleThreshold Property

Description

Threshold for ciScaleThreshold-type scaling. Range 0-100

Property type

Read-write property

Syntax

Visual Basic
Public Property pScaleThreshold As Long

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ScaleImage(ByRef Tools As CiTools)
  If (Tools.Image.IsZone) Then
    Debug.Print "Scale can not be applied to zone"
  Else
    Tools.pScaleType = ciScaleThreshold
    Tools.pScaleThreshold = 50
    Tools.ScaleImage 0.5, 0.5
  End If
End Sub

See Also

CiTools Object | CiTools Members | ScaleImage | pScaleType | pScaleThreshold

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


pScaleType Property

ClearImage COM Server
pScaleType Property
See Also Example Send Feedback
CiTools Object : pScaleType Property

Description

Type of image to image scale down

Property type

Read-write property

Syntax

Visual Basic
Public Property pScaleType As EScaleType

Example

VB Example (Visual Basic) Copy Code
Public Sub T_ScaleImage(ByRef Tools As CiTools)
  If (Tools.Image.IsZone) Then
    Debug.Print "Scale can not be applied to zone"
  Else
    Tools.pScaleType = ciScaleThreshold
    Tools.pScaleThreshold = 50
    Tools.ScaleImage 0.5, 0.5
  End If
End Sub

See Also

CiTools Object | CiTools Members | ScaleImage | pScaleType | pScaleThreshold

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


rConfidence Property

ClearImage COM Server
rConfidence Property
See Also Send Feedback
CiTools Object : rConfidence Property

Description

Image rotation and skew confidence

Property type

Read-only property

Syntax

Visual Basic
Public Property rConfidence As Long

See Also

CiTools Object | CiTools Members | MessureSkew | MeasureRotation | rConfidence

© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EBarcodeAlgorithm Enumeration

ClearImage COM Server
EBarcodeAlgorithm Enumeration
See Also Send Feedback

Description

Barcode recognition algorithm

Members

Member | Value | Description
cibBestRecognition | 2 | Find poor quality and damaged barcodes
cibBestSpeed | 1 | Fastest barcode recognition
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EBarcodeEncoding Enumeration

ClearImage COM Server
EBarcodeEncoding Enumeration
See Also Send Feedback

Description

Encoding or compression of barcode data

Members

Member | Value | Description
ebeCompressionA1 | 2 |
ebeCompressionV1 | 1 |
ebeNone | 0 |
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EBarcodeRotation Enumeration

ClearImage COM Server
EBarcodeRotation Enumeration
See Also Send Feedback

Description

Barcode rotation

Members

Member | Value | Description
cibRotDiag | 5 | Barcode is diagonal
cibRotLeft | 3 | Barcode is rotated left
cibRotNone | 1 | Barcode is not rotated
cibRotRight | 4 | Barcode is rotated right
cibRotUpsideDown | 2 | Barcode rotated upside down
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EBarcodeType Enumeration

ClearImage COM Server
EBarcodeType Enumeration
See Also Send Feedback

Description

Recognized barcode type (symbology)

Members

Member | Value | Description
cib4State | 32 | 4State postal barcode
cibAddon2 | 10 | Addon-2 barcode
cibAddon5 | 11 | Addon-5 barcode
cibAirline2of5 | 16 | IATA barcode
cibAustralianPost | 35 | Australian Post barcode
cibBpoPostcode | 34 | British Post barcode
cibCodabar | 4 | Codabar barcode
cibCode128 | 3 | Code 128 barcode
cibCode32 | 12 | Code 32 barcode
cibCode39 | 2 | Code 39 barcode
cibCode93 | 7 | Code 93 barcode
cibDatalogic2of5 | 14 | Datalogic barcode
cibDataMatrix | 30 | DataMatrix code
cibEan13 | 9 | EAN-13 barcode
cibEan8 | 6 | EAN-8 barcode
cibIndustrial2of5 | 13 | Industrial barcode
cibInterleaved2of5 | 1 | Interleaved 2 of 5 barcode
cibMatrix2of5 | 15 | Matrix barcode
cibPatch | 18 | Patch code
cibPdf417 | 31 | PDF417 barcode
cibPlanet | 20 | Planet barcode
cibPostnet | 19 | Postnet barcode
cibQR | 36 | QR barcode
cibSingaporePost | 37 | Singapore Post barcode
cibUcc128 | 17 | UCC-128 barcode
cibUpca | 5 | UPC-A barcode
cibUpce | 8 | UPC-E barcode
cibUspsIntelligentMail | 33 | USPS Inteligent mail barcode
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EBoolean Enumeration

ClearImage COM Server
EBoolean Enumeration
See Also Send Feedback

Description

Boolean value

Members

Member | Value | Description
ciFalse | 0 | Value is false (0)
ciTrue | 65535 | Value is true (-1)
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EBorderExtractAlgorithm Enumeration

ClearImage COM Server
EBorderExtractAlgorithm Enumeration
See Also Send Feedback

Description

Border Extraction algorithm

Members

Member | Value | Description
ciBeaCleaner | 2 | Cleaner border extraction
ciBeaFaster | 1 | Faster border extraction
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EBorderExtractFlags Enumeration

ClearImage COM Server
EBorderExtractFlags Enumeration
See Also Send Feedback

Description

Border Extraction flags

Members

Member | Value | Description
ciBexBorder | 1 | Remove borders only
ciBexBorderDeskew | 2 | Remove borders and deskew
ciBexBorderDeskewCrop | 3 | Remove borders, deskew, and crop
ciBexDeskewCrop | 4 | Deskew, and crop
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ECleanNoiseFlags Enumeration

ClearImage COM Server
ECleanNoiseFlags Enumeration
See Also Send Feedback

Description

CleanNoiseExt flags

Members

Member | Value | Description
ciCnxBlackNoise | 1 | Remove black-on-white noise
ciCnxMarginsNoise | 8 | Remove noise only in margins area
ciCnxWhiteNoise | 2 | Remove white-on-black noise
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EComprBitonal Enumeration

ClearImage COM Server
EComprBitonal Enumeration
See Also Send Feedback

Members

Member | Value | Description
citbAUTO | 0 |
citbCCITTFAX3 | 3 |
citbCCITTFAX4 | 4 |
citbNONE | 1 |
citbORIGINAL | 500 |
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EComprColor Enumeration

ClearImage COM Server
EComprColor Enumeration
See Also Send Feedback

Members

Member | Value | Description
citcAUTO | 0 |
citcJPEG | 7 |
citcLZW | 5 |
citcNONE | 1 |
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EFileFormat Enumeration

ClearImage COM Server
EFileFormat Enumeration
See Also Send Feedback

Description

Image file format

Members

Member | Value | Description
ciBMP | 3 | BMP format. bpp= 1, 8, 24
ciEXT | 1 | Format is based on file name extension
cifICL | 23 | Image Cash Letter format. bpp=1,8,24
cifPDF | 22 | PDF Format. bpp=1,8,24
ciGIF | 102 | GIF format. bpp= 1, 8, 24. Read only
ciICO | 106 | Windows icon format, 255x255 max. bpp=8, 24
ciJBG | 113 | JBIG format. bpp=1. Read only
ciJP2 | 114 | JPEG-2000 format. bpp=8, 24
ciJPC | 115 | JPEG 2000 Code stream. bpp=8
ciJPG | 103 | JPEG format. bpp=8, 24
ciPCX | 4 | PCX format. bpp= 1, 8, 24
ciPGX | 116 | JPEG-2000 verification model. bpp=8
ciPNG | 104 | Portable Network Graphic format. bpp= 1, 8, 24
ciPNM | 117 | Portable aNyMap format. bpp=8
ciTGA | 108 | Targa format. bpp=8, 24
ciTIFF | 5 | Uncompressed TIFF format. bpp= 1, 8, 24
ciTIFF_G3_1D | 6 | TIFF Group3 compression, bpp=1
ciTIFF_G4 | 7 | TIFF Group 4 compression, bpp=1
ciTIFF_JPEG | 20 | TIFF JPEG compression, bpp=8, 24
ciTIFF_LZW | 21 |
ciTIFF_NEOL | 8 | TIFF No-end-of-line compression, bpp=1
ciWBMP | 110 | Wireless Bitmap format, 255x255 max. bpp=1
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EImageAlignment Enumeration

ClearImage COM Server
EImageAlignment Enumeration
See Also Send Feedback

Description

Alignment of image on a page

Members

Member | Value | Description
epiaBestFit | 20 |
epiaBottomCenter | 6 |
epiaBottomLeft | 3 |
epiaBottomRight | 4 |
epiaCenter | 0 |
epiaLeftCenter | 7 |
epiaRightCenter | 8 |
epiaStretch | 21 |
epiaTopCenter | 5 |
epiaTopLeft | 1 |
epiaTopRight | 2 |
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EInfoType Enumeration

ClearImage COM Server
EInfoType Enumeration
See Also Send Feedback

Description

Server information type

Members

Member | Value | Description
ciErrorText | 3 | Error text for specified error
ciModulesList | 1 | List of modules - List format
ciModulesXml | 2 | List of modules - XML format
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ELineCurvature Enumeration

ClearImage COM Server
ELineCurvature Enumeration
See Also Send Feedback

Description

Limit on line curvature

Members

Member | Value | Description
ciCurvHigh | 5 | High curvature with gaps
ciCurvLow | 3 | Low curvature with gaps
ciCurvMedium | 4 | Medium curvature with gaps
ciCurvStraight | 1 | Straight lines, no gaps
ciCurvVeryLow | 2 | Very low curvature with gaps
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ELineDirection Enumeration

ClearImage COM Server
ELineDirection Enumeration
See Also Send Feedback

Description

Line direction

Members

Member | Value | Description
ciLineHorz | 2 | Horizontal lines
ciLineUnknown | 0 | Unknown
ciLineVert | 1 | Vertical lines
ciLineVertAndHorz | 3 | Both vertical and horizontal lines
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EMorphDirections Enumeration

ClearImage COM Server
EMorphDirections Enumeration
See Also Send Feedback

Description

Direction to fatten or trim image

Members

Member | Value | Description
ciMorphAllNeighbours | 7 | Modify all neighboring pixels
ciMorphDiag | 4 | Modify pixels located diagonally
ciMorphHorz | 1 | Modify pixels located to the left and right
ciMorphHorzAndVert | 3 | Modify pixels located left, right, up or down
ciMorphVert | 2 | Modify pixels located up and down
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EPageOrientation Enumeration

ClearImage COM Server
EPageOrientation Enumeration
See Also Send Feedback

Description

Page orientation

Members

Member | Value | Description
epgoAuto | 0 | Orientation is determind automaticaly
epgoLandscape | 2 | Use landscape orientation
epgoPortrait | 1 | Use portrait orientation
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EPageRotation Enumeration

ClearImage COM Server
EPageRotation Enumeration
See Also Send Feedback

Description

Page rotation

Members

Member | Value | Description
ciRotLeft | 4 | Page is rotated left
ciRotLeftOrRight | 12 | Page is rotated left or right
ciRotNone | 1 | Page is not rotated
ciRotPortrait | 3 | Page is not rotated or rotated upside down
ciRotRight | 8 | Page is rotated right
ciRotUnknown | 0 | Page rotation unknown
ciRotUpsideDown | 2 | Page rotated upside down
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EPageSize Enumeration

ClearImage COM Server
EPageSize Enumeration
See Also Send Feedback

Description

Page size

Members

Member | Value | Description
epgsA4 | 20 | A4 page size
epgsCustom | 4 | Custom image size
epgsImage | 40 |
epgsLedger | 12 | Ledger size
epgsLegal | 11 | Legal size
epgsLetter | 10 | Letter size
epgsNearest | 41 |
epgsNearestMetric | 43 |
epgsNearestStd | 42 |
epgsOriginal | 5 | Image size before image is modified
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EPdfRasterColorMode Enumeration

ClearImage COM Server
EPdfRasterColorMode Enumeration
See Also Send Feedback

Description

Rasterization color selection

Members

Member | Value | Description
eprmAuto | 0 | Rasterize based on color of page objects
eprmBw | 1 | Rasterize page as black-and-white
eprmGs | 2 | Rasterize page as grayscale
eprmRgb | 3 | Rasterize page as color
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EPdfReadMode Enumeration

ClearImage COM Server
EPdfReadMode Enumeration
See Also Send Feedback

Description

Pdf page reading mode selection

Members

Member | Value | Description
epemAuto | 0 | Automaticly switch between image and rasterized based on content
epemImage | 1 | Read embedded images
epemRaster | 2 | Read rasterized pages
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EScaleBmpType Enumeration

ClearImage COM Server
EScaleBmpType Enumeration
See Also Send Feedback

Description

Type of image-to-bitmap scale down

Members

Member | Value | Description
ciScaleBestQuality | 1 | Scale to achieve best visual quality
ciScaleBestSpeed | 2 | Scale using the fastest scaling algorithm
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


EScaleType Enumeration

ClearImage COM Server
EScaleType Enumeration
See Also Send Feedback

Description

Type of image to image scale down

Members

Member | Value | Description
ciScaleMergeLineGaps | 1 | Merge gaps, making image lighter
ciScaleMergeLinePixels | 2 | Merge pixels, making image darker
ciScaleSkipLines | 3 | Skip extra lines
ciScaleThreshold | 101 | Apply threshold to merged lines
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ESizeUnit Enumeration

ClearImage COM Server
ESizeUnit Enumeration
See Also Send Feedback

Description

Alignment of image on a page

Members

Member | Value | Description
esuCentimeter | 3 |
esuInch | 1 |
esuPixel | 0 |
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


ESmoothType Enumeration

ClearImage COM Server
ESmoothType Enumeration
See Also Send Feedback

Description

Type of smoothing

Members

Member | Value | Description
ciSmoothDarkenEdges | 1 | Make character edges darker
ciSmoothLightenEdges | 2 | Make character edges lighter
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FBarcodeDiag Enumeration

ClearImage COM Server
FBarcodeDiag Enumeration
See Also Send Feedback

Description

Barcode recognition control flags

Members

Member | Value | Description
cibNoValidation | 512 | Disable checksum or ECC validation
cibRawData | 64 | Return un-decoded data
cibSymbologyIdentifier | 8192 | Output AIM symbology identifier
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FBarcodeDirections Enumeration

ClearImage COM Server
FBarcodeDirections Enumeration
See Also Send Feedback

Description

Barcode search direction

Members

Member | Value | Description
cibDiag | 4 | Recognize diagonal barcodes
cibHorz | 1 | Recognize horizontal barcodes
cibVert | 2 | Recognize vertical barcodes
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FBarcodeErrors Enumeration

ClearImage COM Server
FBarcodeErrors Enumeration
See Also Send Feedback

Description

Recognized barcode errors

Members

Member | Value | Description
cibBadChecksum | 2 | Checksum (or ECC) failed
cibBadData | 16 | At least one Data character is incorrect
cibBadStartChar | 4 | Incorrect Start character
cibBadStopChar | 8 | Incorrect Stop character
cibDecoding | 1 | Barcode decoding problem
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


FBarcodeType Enumeration

ClearImage COM Server
FBarcodeType Enumeration
See Also Send Feedback

Description

Barcode type (symbology) to find

Members

Member | Value | Description
cibf4State | 33554432 | 4State postal barcods: USPS Intelligent Mail, British Postcode, Australian Postcode
cibfAddon2 | 512 | Addon-2 barcode
cibfAddon5 | 1024 | Addon-5 barcode
cibfAirline2of5 | 524288 | IATA barcode
cibfCodabar | 8 | Codabar barcode
cibfCode128 | 4 | Code 128 barcode
cibfCode32 | 8388608 | Code 32 barcode
cibfCode39 | 2 | Code 39 barcode
cibfCode93 | 64 | Code 93 barcode
cibfDatalogic2of5 | 131072 | Datalogic barcode
cibfEan13 | 256 | EAN-13 barcode
cibfEan8 | 32 | EAN-8 barcode
cibfIndustrial2of5 | 65536 | Industrial barcode
cibfInterleaved2of5 | 1 | Interleaved 2 of 5 barcode
cibfMatrix2of5 | 262144 | Matrix barcode
cibfPatch | 2097152 | Patch code
cibfPostnet | 16777216 | Postnet or Planet barcode
cibfUcc128 | 1048576 | UCC-128 barcode
cibfUpca | 16 | UPC-A barcode
cibfUpce | 128 | UPC-E barcode
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


_Installation and System Requirements

_Installation and System Requirements
Send Feedback

Glossary Item Box

Installation

Production version of ClearImageNet installed

ClearImageNet is installed as a part of ClearImage SDK installation.

System Requirements

Hardware Requirements
CPU | Pentium4 or later
Memory | 512 MB or Greater.
Software Requirements
Operating system | Windows 2000, XP, 2003 Server, Vista
Other Software | Microsoft .NET Framework 2.0 or later

Microsoft .NET Framework 2.0

The framework is required for operation of ClearImageNet. It is not required for ClearImage COM, ClearImage Demo or ClearImage Licensing Manager.

Download the .NET Framework 2.0 from Microsoft Website .


References

ClearImage COM Server
References
Send Feedback
© 1992-2011. Inlite Research, Inc. All Rights Reserved.


Getting Started - ClearImage 8 Help

Getting Started
Send Feedback
© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Introduction - ClearImage 8 Help

Introduction
Send Feedback
© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Inlite.ClearImage Namespace Inheritance Hierarchy

Inlite.ClearImage Namespace Inheritance Hierarchy
See Also Send Feedback

Inheritance Hierarchy

System.Object
Inlite.ClearImage.CiBarcode
Inlite.ClearImage.CiBarcodeBasic
Inlite.ClearImage.CiBarcodePro
Inlite.ClearImage.CiBarcodes
Inlite.ClearImage.CiDataMatrix
Inlite.ClearImage.CiImage
Inlite.ClearImage.CiLine
Inlite.ClearImage.CiObject
Inlite.ClearImage.CiPdf
Inlite.ClearImage.CiPdf417
Inlite.ClearImage.CiPoint
Inlite.ClearImage.CiQR
Inlite.ClearImage.CiRect
Inlite.ClearImage.CiRepair
Inlite.ClearImage.CiServer
Inlite.ClearImage.CiTools

See Also

Reference

ClearImageNet.70 Assembly

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ClearImageException Class Methods

[image]
ClearImage 8 Help
ClearImageException Class Methods
See Also Send Feedback
Inlite.ClearImageNet Namespace : ClearImageException Class

For a list of all members of this type, see ClearImageException members.

Public Methods

 | Name | Description
public Method | GetBaseException | When overridden in a derived class, returns the System.Exception that is the root cause of one or more subsequent exceptions. (Inherited from System.Exception)
public Method | GetObjectData | When overridden in a derived class, sets the System.Runtime.Serialization.SerializationInfo with information about the exception. (Inherited from System.Exception)
public Method | GetType | Gets the runtime type of the current instance. (Inherited from System.Exception)
Top

See Also

Reference

ClearImageException Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ClearImageException Class Properties

[image]
ClearImage 8 Help
ClearImageException Class Properties
See Also Send Feedback
Inlite.ClearImageNet Namespace : ClearImageException Class

For a list of all members of this type, see ClearImageException members.

Public Properties

 | Name | Description
public Property | Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from System.Exception)
public Property | HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from System.Exception)
public Property | InnerException | Gets the System.Exception instance that caused the current exception. (Inherited from System.Exception)
public Property | Message | Gets a message that describes the current exception. (Inherited from System.Exception)
public Property | Source | Gets or sets the name of the application or the object that causes the error. (Inherited from System.Exception)
public Property | StackTrace | Gets a string representation of the frames on the call stack at the time the current exception was thrown. (Inherited from System.Exception)
public Property | TargetSite | Gets the method that throws the current exception. (Inherited from System.Exception)
Top

See Also

Reference

ClearImageException Class
Inlite.ClearImageNet Namespace

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageInfo Constructor

[image]
ClearImage 8 Help
ImageInfo Constructor
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageInfo Class : ImageInfo Constructor

Overload List

Overload | Description
ImageInfo Constructor | Obtain properties of CiImage

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageInfo Class
ImageInfo Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


ImageIO Constructor

[image]
ClearImage 8 Help
ImageIO Constructor
See Also Send Feedback
Inlite.ClearImageNet Namespace > ImageIO Class : ImageIO Constructor

Overload List

Overload | Description
ImageIO Constructor | Initializes ImageIO object

Requirements

Target Platforms: Windows 98, Windows NT 4.0, Windows Millennium Edition, Windows 2000, Windows XP Home Edition, Windows XP Professional, Windows Server 2003 family, Windows Vista, Windows Server 2008 family

See Also

Reference

ImageIO Class
ImageIO Members

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Inlite.ClearImageNet Namespace Inheritance Hierarchy

Inlite.ClearImageNet Namespace Inheritance Hierarchy
See Also Send Feedback

Inheritance Hierarchy

System.Object
Inlite.ClearImageNet.Barcode
Inlite.ClearImageNet.BarcodeReader
Inlite.ClearImageNet.ImageEditor
Inlite.ClearImageNet.ImageInfo
Inlite.ClearImageNet.ImageIO
Inlite.ClearImageNet.ImageLine
Inlite.ClearImageNet.ImageObject
Inlite.ClearImageNet.LicModule
Inlite.ClearImageNet.Server
System.EventArgs
Inlite.ClearImageNet.BarcodeFoundEventArgs
Inlite.ClearImageNet.EditPageEventArgs
Inlite.ClearImageNet.ImageOpenedEventArgs
Inlite.ClearImageNet.LineFoundEventArgs
Inlite.ClearImageNet.ObjectFoundEventArgs
System.Exception
Inlite.ClearImageNet.ClearImageException

See Also

Reference

ClearImageNet.70 Assembly

© 2007-2013. Inlite Research, Inc. All Rights Reserved.


Copy of How to read barcodes

Copy of How to read barcodes
Send Feedback

Glossary Item Box

The following examples demonstrate typical uses of BarcodeReader class

Read specific barcode type Copy Code
// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
// Default for all directions is 'true'
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine(bc.Text);}

// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
// Default for all directions is 'true'
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
{ Console.WriteLine(bc.Text);}

Colorized Example Code Copy Code
// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
// Default for all directions is 'true'
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
{ Console.WriteLine(bc.Text);}

Language Filetered text Box TAB Style
// Configure barcode reader. Set direction and expected types

BarcodeReader reader = new BarcodeReader();

// Default for all directions is 'true'

reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;

reader.Code39 = true;

// Read and process barcodes

Barcode[] barcodes = reader.Read(fileName, pageNumber);

foreach (Barcode bc in barcodes)

{ Console.WriteLine(bc.Text);}

Colorized Example Code TAB Style
// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
// Default for all directions is 'true'
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
{ Console.WriteLine(bc.Text);}

Automatically detect 1D barcode type Copy Code
// Configure barcode reader
BarcodeReader reader = new BarcodeReader();
reader.Auto1D = true; // <=== ENABLE AUTOMATIC BARCODE DETECTION
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine (bc.Text); }

Read 2D barcode Copy Code
// Configure barcode reader
BarcodeReader reader = new BarcodeReader();
reader.Pdf417 = true;  // <=== ENABLE 2D Barcode
// reader.DataMatrix = true;
// reader.QR = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine(bc.Text); }

Read barcode in an image zone

A Zone is a rectangular area-of-interest on an image. To apply operations to a rectangular region of an image set the Zone property of BarcodeReader. Zone setting can be changed at any time.
Set Zone to new Rectangle() to return to default (entire image) setting.

Read barcode in an image zone Copy Code
// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Set zone on a page
reader.Zone = new Rectangle(10, 10, 500, 400); // <==== SET ZONE TO READ
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName, pageNumber);
foreach (Barcode bc in barcodes)
  { Console.WriteLine(bc.Text); }

Read barcode from multi-page file Copy Code
 // Configure barcode reader.
BarcodeReader reader = new BarcodeReader();
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
// Read and process barcodes
Barcode[] barcodes = reader.Read(fileName); // <=== READ ALL PAGES
foreach (Barcode bc in barcodes)
  { Console.WriteLine ("Page: " + bc.Page.ToString() + " " + bc.Text); }

Read barcode with events Copy Code

private void _OnBarcodeFound (object sender, BarcodeFoundEventArgs e)
{
  Console.WriteLine ("Page: " + e.Barcode.Page.ToString() + " " +   e.Barcode.Text);
// e.cancel = (e.Count == 3); // Cancel after 3 barcodes are found
}
....

// Configure barcode reader. Set direction and expected types
BarcodeReader reader = new BarcodeReader();
reader.Horizontal = true; reader.Vertical = false; reader.Diagonal = false;
reader.Code39 = true;
reader.BarcodeFoundEvent +=  // <===  CONFIGURE EVENT HANDLER
new BarcodeReader.BarcodeFoundEventHandler(_OnBarcodeFound);
// Read and process barcodes
reader.Read(fileName);